<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class checks extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->user_sso->validate_session();
        if (!$this->user_sso->is_valid_session()) {
            $userSSO_ID = $this->user_sso->getUserID();
            $this->user_sso->set_user_session($userSSO_ID);
        }
        $this->load->model('check');
        $this->load->helper('date');
    }

    public function index() {
        $data['view_title'] = 'الصفحة الرئيسية';
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('home', $data);
        $this->load->view('includes/footer.php', $data);
    }

    // getFintialInfo
    public function FintialMaster() { 
        if (!$this->user_sso->is_allowed_function('206')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } 
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('checks/fininialMaster', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function getFintialInfo() {
             /*if (!$this->user_sso->is_allowed_function('1')) {
            redirect('/messages/disply_msg/1020/');
            return; I_ORDER_DATE 
        }*/
         $parm = array(
            'I_ACCOUNT' => $this->input->post('I_ACCOUNT'),
            'I_TO_DATE' => $this->input->post('I_TO_DATE'),
        );

        $data = $this->check->getFintialInfo($parm);
         
        echo json_encode($data);
    }

    

// checkMaster
    public function checkMaster() { 
    
   /* if (!$this->user_sso->is_allowed_function('40')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } */
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('checks/checksMaster', $data);
        $this->load->view('includes/footer.php', $data);
    }


    public function getChecksList() {
             /*if (!$this->user_sso->is_allowed_function('1')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }*/
        $parm = array(
            'I_ACCOUNT' => $this->input->post('I_ACCOUNT'),
            'I_TO_DATE' => $this->input->post('I_TO_DATE'),
        );
        $data = $this->check->getDeferedChecksList($parm);
        /*var_dump($data);
        die();*/
        echo json_encode($data);
    }

    public function updateCheck() {
        $parm = array(
            'I_CHECK_SERIAL' => $this->input->post('I_CHECK_SERIAL'),
            'I_NEW_PERIOD' => $this->input->post('I_NEW_PERIOD'),
        );
        $data = $this->check->UPDATE_CHECK_PERIOD($parm);
        echo json_encode($data);
   
    }
    



   
}

?>
