<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Check extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

   /*
	      I_ORDER_DATE            IN      VARCHAR2,
        I_ACCOUNT_ID            IN      ACCOUNTS_TB.ACCOUNT_ID%TYPE,
        O_ORDER_INFO            OUT     SYS_REFCURSOR
    )
	*/

     public function getFintialInfo($data) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
			array('name' => ':I_ORDER_DATE', 'value' => $data['I_TO_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ACCOUNT_ID', 'value' => $data['I_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ORDER_INFO', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );

        $this->db->stored_procedure('ORDERS_PKG', 'GET_FINANCE_INFO', $paramts, $results);
		
        return $results;
    }
    
    
     public function getDeferedChecksList($data) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ACCOUNT', 'value' => $data['I_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TO_DATE', 'value' => $data['I_TO_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_CHECKS_LIST', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );

        $this->db->stored_procedure('FINANCIAL_PKG', 'GET_DEFERRED_CHECKS_LIST', $paramts, $results);
        return $results;
    }
 public function UPDATE_CHECK_PERIOD($data) {
        $msg="";
        $paramts = array(
            array('name' => ':I_CHECK_SERIAL', 'value' => $data['I_CHECK_SERIAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NEW_PERIOD', 'value' => $data['I_NEW_PERIOD'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        /*var_dump($paramts);
        die();*/
        $this->db->stored_procedure('FINANCIAL_PKG', 'UPDATE_CHECK_PERIOD', 
            $paramts, $msg);
       
        return $msg;
    }
   
}

