<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class common extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    public function getOilandGazAccounts($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_GAZ_PETROL_ACCOUNTS', $paramts, $results);
        return $results ; 
    } 


    public function getCompanyInfo($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COMPANY_ID', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_GENERAL_COMPANY_INFO_2', $paramts, $results);
        return $results ; 
    } 

    public function getTransCompanys($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TRANS_COMPANY_BY_TERM', $paramts, $results);
        return $results ; 
    } 


    public function getTesters($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TESTERS_BY_TERM', $paramts, $results);
        return $results ; 
    } 

    public function getFreightCars($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_FREIGHT_CARS_INFO_BY_TERM ', $paramts, $results);
        return $results ; 
    } 





 
    
}