<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class consignment extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

     
    public function addOutConsignment($data) {
        $consignmentSID = -1;
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CON_ID', 'value' => $data['CON_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CON_DT', 'value' => $data['CON_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUEL_TYPE', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUEL_AMOUNT', 'value' => $data['FUEL_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_COMP_ACCOUNT', 'value' => $data['COMP_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_COM', 'value' => $data['TRANS_COM'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_TYPE', 'value' => $data['TRANS_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_DRIVER', 'value' => $data['DRIVER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TESTER', 'value' => $data['TESTER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES', 'value' => $data['NOTES'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_STATUS', 'value' => $data['STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_WAREHOUSE', 'value' => $data['WAREHOUSE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_INSERT_USER', 'value' => $data['INSERT_USER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_CONS_SER', 'value' => &$consignmentSID, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'ADD_NEW_OUT_CONSIGNMENT', $paramts, $results);
        return array('consignmentSID' => $consignmentSID, 'success' => $success, 'msg' => $msg);
    }

    public function addOutConsignmentDetails($data) {
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_ID', 'value' => $data['CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUll_CELLS', 'value' => $data['FUll_CELLS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT', 'value' => $data['AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'ADD_CONSIGNMENT_FREIGHTER_INFO', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }

    public function updateOutConsignment($data) {
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CON_ID', 'value' => $data['CON_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CON_DT', 'value' => $data['CON_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUEL_TYPE', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUEL_AMOUNT', 'value' => $data['FUEL_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_COMP_ACCOUNT', 'value' => $data['COMP_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_COM', 'value' => $data['TRANS_COM'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_TYPE', 'value' => $data['TRANS_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_DRIVER', 'value' => $data['DRIVER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TESTER', 'value' => $data['TESTER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_WAREHOUSE', 'value' => $data['WAREHOUSE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES', 'value' => $data['NOTES'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'EDIT_BASIC_OUT_CONSIGNMENT_INF', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }

    public function approveOutConsignment($data) {
        $success = 0;
        $msg = "";
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),  
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'APPROVE_OUT_CONSIGNMENT_INF', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }

    public function returnOutConsignment($data) {
        $success = 0;
        $msg = "";
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),  
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'RETURN_OUT_CONSIGNMENT', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }

    public function cancelOutConsignment($data) {
        $success = 0;
        $msg = "";
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),  
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'CANCEL_OUT_CONSIGNMENT_INF', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }

    public function portReturnConsignment($data){
        $success = 0;
        $msg = "";
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),  
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'PORT_RETURN_OUT_CONSIGNMENT', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }


    public function getOutConsignments($data) {
        $cursor = $this->db->get_cursor();
        $cnt = '';
        $paramts = array(
            array('name' => ':I_CONS_SR', 'value' => null, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CONS_ID', 'value' => $data['CON_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BENFT_ACC', 'value' => $data['COMP_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_ID', 'value' => $data['CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_COM', 'value' => $data['TRANS_COM'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_STATUS', 'value' => $data['STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_OUT_CONSIGNMET_GENERAL_INF', $paramts, $results);
        return $results;
    }

    public function getOutConsignment($data) {
        $cursor = $this->db->get_cursor();
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_RECEIPT', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_OUT_CONSIGNMET', $paramts, $results);
        return (count($results) > 0)? $results[0] : null;
    }

    public function getOutConsignmentDetails($data) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_CON_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_CARS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_OUT_CONSIGNMENT_DETAILS', $paramts, $results);
        return (count($results) > 0)? $results : null;
    }










    public function getGazPetrolAccounts($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TEARM', 'value' => $data['TEARM'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':O_DATA ', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_GAZ_PETROL_ACCOUNTS', $paramts, $results);
        return (count($results) > 0)? $results : null;
    }


    public function getAccounts($data) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TEARM', 'value' => $data['TEARM'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':O_DATA ', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_ACCOUNT_INFO_BY_NAME', $paramts, $results);
        return (count($results) > 0)? $results : null;
    }


    public function getAccount($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ACCOUNT_ID', 'value' => $data['ACCOUNT_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_RECEIPT', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_ACCOUNT', $paramts, $results);
        return (count($results) > 0)? $results[0] : null;
       
    }

    public function getBank($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ID', 'value' => $data['BANK_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_RECEIPT', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_BANK', $paramts, $results);
        return (count($results) > 0)? $results[0] : null;
       
    }
    
    public function getOotConsignemetSerial(){
        $serial = -1 ; 
        $paramts = array(
            array('name' => ':O_CONS_SR', 'value' => &$serial, 'length' => 30, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_OUT_CONSIGNMENT_SERIAL_NO', $paramts, $results);
        return $serial;
       
    }
    
    
    //////////////////////////////////
    /////// In Consignments //////////
    //////////////////////////////////
    
      
    public function addNewInConsignment($data){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_BENEFICIARY', 'value' => $data['BENEFICIARY'], 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':I_IN_DATE', 'value' => $data['IN_DATE'], 'length' => 20, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT', 'value' => $data['FUEL_AMOUNT'], 'length' => 28, 'type' => OCI_ASSOC),
            array('name' => ':I_SUPPLIER', 'value' => $data['SUPPLIER_COM'], 'length' => 28, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        //print_r($paramts) ; exit() ; 
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'ADD_IN_CONSIGNMET_INFO', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }
    
    public function getInConsignments($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_CONS_SR', 'value' => $data['CON_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BENFT', 'value' => NULL, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PORT', 'value' => $data['IN_PORT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_STATUS', 'value' => $data['STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BILL_NO', 'value' => $data['BILL_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_IN_CONSIGNMETS_GENERAL_INF', $paramts, $results);
        return $results;
    }
    
    public function getInConsignmentInfo($cid, $port){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_CONS_SR', 'value' => $cid, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PORT', 'value' => $port, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_IN_CONSIGNMET_INF', $paramts, $results);
        return isset($results[0])? $results[0] : null;
    }
    
    public function updateInConsignementInfo($data){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_SERIAL', 'value' => $data['CON_SR'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_BENEFICIARY', 'value' => $data['BENEFICIARY'], 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':I_IN_DATE', 'value' => $data['CON_DT'], 'length' => 20, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT', 'value' => $data['FUEL_AMOUNT'], 'length' => 28, 'type' => OCI_ASSOC),
            array('name' => ':I_SUPPLIER', 'value' => $data['SUPPLIER'], 'length' => 28, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'UPDATE_IN_CONSIGNMET_INFO', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);        
    }
    
    public function updateEgyptInConsignementInfo($data){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_SERIAL', 'value' => $data['CON_SR'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_SUPPLIER', 'value' => $data['SUPLIER_ACC'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SUPPLY_DT', 'value' => $data['OUT_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_IN_DATE', 'value' => $data['IN_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT_LTR', 'value' => $data['FUEL_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT_TN', 'value' => $data['FUEL_AMOUNT_TN'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PAL_AMOUNT_TN', 'value' => $data['PAL_AMOUNT_TN'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PILL_ID', 'value' => $data['INVOICE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_WAERHOUSE', 'value' => $data['WAREHOUSE_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BENEFICIARY', 'value' => $data['BENEFICIARY_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FRONT_CAR_ID', 'value' => $data['FRONT_CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BACK_CAR_ID', 'value' => $data['BACK_CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_DRIVER', 'value' => $data['DRIVER_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SHIFT_SR', 'value' => $data['SHIFT_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_METER_READ_20', 'value' => $data['METER_READING_20'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_METER_READ_NORMAL', 'value' => $data['METER_READING_NORMAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_WITHDRAW_AMOUNT', 'value' => $data['WITHDRAW_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FILTER_AMOUNT', 'value' => $data['FILTER_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SAMPLES_AMOUNT', 'value' => $data['SAMPLES_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AGREED_LACK', 'value' => $data['AGREED_LACK_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_OLD_LACK', 'value' => $data['OLD_LACK_ALTER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_OLD_LACK_INVOICE', 'value' => $data['OLD_LACK_INVOICE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NEW_LACK', 'value' => $data['NEW_LACK_ALTER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NET_LACK_20', 'value' => $data['NET_LACK_20'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NET_LACK_NORMAL', 'value' => $data['NET_LACK_NORMAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_METER_NO', 'value' => $data['METER_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES', 'value' => $data['NOTE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_INSEPT_NOTES', 'value' => $data['INSEPT_NOTES'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        ) ;
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'UPDATE_EGYPT_IN_CONSIGNMET', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);           
    }

    public function complteEgyptInConsignement($data){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_SERIAL', 'value' => $data['CON_SR'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_SUPPLY_ACNT', 'value' => $data['SUPLIER_ACC'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT_TN', 'value' => $data['FUEL_AMOUNT_TN'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES', 'value' => $data['NOTES'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        ) ;
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'COMPLETE_EGYPT_IN_CONSIGNMET', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);           
    }
    
    public function approveInConignement($ID, $port, $user){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_CONS_SR', 'value' => $ID, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PORT', 'value' => $port, 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $user, 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'APPROVE_IN_CONSIGNMENT', $paramts, $results);
        return array('success' => $success, 'msg' => $msg); 
    }
    
    public function cancelInConignement($ID, $port, $user){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_CONS_SR', 'value' => $ID, 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_PORT', 'value' => $port, 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $user, 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'CANCEL_IN_CONSIGNMENT', $paramts, $results);
        return array('success' => $success, 'msg' => $msg); 
    }
    
    public function returnInConignement($ID, $port, $user){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_CONS_SR', 'value' => $ID, 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_PORT', 'value' => $port, 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $user, 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'RETURN_IN_CONSIGNMENT', $paramts, $results);
        return array('success' => $success, 'msg' => $msg); 
    }
    
    public function addNewEgyptInConsignment($data){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_SUPPLIER', 'value' => $data['SUPLIER_ACC'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SUPPLY_DT', 'value' => $data['OUT_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_IN_DATE', 'value' => $data['IN_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT_LTR', 'value' => $data['FUEL_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AMOUNT_TN', 'value' => $data['FUEL_AMOUNT_TN'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PAL_AMOUNT_TN', 'value' => $data['PAL_AMOUNT_TN'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PILL_ID', 'value' => $data['INVOICE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_WAERHOUSE', 'value' => $data['WAREHOUSE_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BENEFICIARY', 'value' => $data['BENEFICIARY_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FRONT_CAR_ID', 'value' => $data['FRONT_CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BACK_CAR_ID', 'value' => $data['BACK_CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TRANS_DRIVER', 'value' => $data['EGY_DRIVER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SHIFT_SR', 'value' => $data['SHIFT_SR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_METER_READ_20', 'value' => $data['METER_READING_20'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_METER_READ_NORMAL', 'value' => $data['METER_READING_NORMAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_WITHDRAW_AMOUNT', 'value' => $data['WITHDRAW_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FILTER_AMOUNT', 'value' => $data['FILTER_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SAMPLES_AMOUNT', 'value' => $data['SAMPLES_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_AGREED_LACK', 'value' => $data['AGREED_LACK_AMOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_OLD_LACK', 'value' => $data['OLD_LACK_ALTER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_OLD_LACK_INVOICE', 'value' => $data['OLD_LACK_INVOICE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NEW_LACK', 'value' => $data['NEW_LACK_ALTER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NET_LACK_20', 'value' => $data['NET_LACK_20'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NET_LACK_NORMAL', 'value' => $data['NET_LACK_NORMAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_METER_NO', 'value' => $data['METER_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES', 'value' => $data['NOTE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_INSEPT_NOTES', 'value' => $data['INSEPT_NOTES'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        //print_r($paramts) ; exit() ; 
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'ADD_IN_CONSIGNMET_EGYPT_INFO', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }

    public function reviewEgyptInConsignment($data){
        $success = -1 ; 
        $msg = '' ; 
        $paramts = array(
            array('name' => ':I_CONSG_SR', 'value' => $data['CONSG_SERIAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $data['USER'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 5, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        //print_r($paramts) ; exit() ; 
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'REVIEW_IN_CONSIGNMET_EGYPT', $paramts, $results);
        return array('success' => $success, 'msg' => $msg);
    }
    
    
    
        public function GetEgyptionPurchases_TOTALS($data){

        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_STATUS', 'value' => $data['STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('REPORTS_PKG','GET_EGYPTION_PURCHASES_TOTALS', $paramts, $results);
        return $results;
    }

    public function GetEgyptionPurchases_DETAILS($data){

        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_STATUS', 'value' => $data['STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('REPORTS_PKG','GET_EGYPTION_PURCHASES_DETAILS', $paramts, $results);
        return $results;
    }

    public function GetEgyptionInConsgLackAmounts($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_FUEL_TYPE', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG','GET_EGY_IN_CONSG_LACK_AMOUNTS', $paramts, $results);
        return $results;
    }

    public function getPivotPurchases($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COMPANY', 'value' => $data['COMPANY'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),   
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('REPORTS_PKG','GET_TOTAL_COMPANIES_PURCHASES_PIVOT', $paramts, $results);
        return $results;
    }

    public function getPivotPurchasesByCategory($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_CATEGORY', 'value' => $data['CATEGORY'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_COMPANY', 'value' => $data['COMPANY'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),   
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('REPORTS_PKG','GET_TOTAL_COMP_PURCH_PIVOT_BY_CATEGORY', $paramts, $results);
        return $results;
    }

    public function getTotalSalesToCompanies($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),   
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG','TOTAL_INSTITUTE_SALES_TO_COMPANIES', $paramts, $results);
        return $results;
    }

    public function calculateCompaniesRatios($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COMPANY', 'value' => $data['COMPANY'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['START_DT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['END_DT'], 'length' => -1, 'type' => OCI_ASSOC),   
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('REPORTS_PKG','CALCULATE_COMPANIES_RATIOS', $paramts, $results);
        return $results;
    }

    public function getTotalOutProductinPeriod($parm){
        $total = -1 ; 
        $paramts = array(
            array('name' => ':I_PRODUCT', 'value' => $parm['p_PRODUCT_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $parm['p_START_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $parm['p_END_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_TOTALS', 'value' => &$total, 'length' => 10, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TOTAL_OUT_PRODUCT', $paramts, $results);
        return $total;
    }
   
public function TEST($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_WAREHOUSE', 'value' => $data['p_WAREHOUSE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT', 'value' => $data['p_PRODUCT_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT', 'value' => $data['p_START_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT', 'value' => $data['p_END_DATE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('REPORTS_PKG', 'PRINT_WAREHOUSE_TRANS_TOTALS', $paramts, $results);
        return $results;
    }


}

