<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class constants extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    public function getAccounts($parm = null) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_SERIAL', 'value' => $parm, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ACCOUNTS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR),
        );
        //$this->db->stored_procedure('CONSTANTS_PKG', 'GET_ACCOUNTS', $paramts, $results);
        //return  $results;
        if($parm == 1){
            $results = array(array('ACCOUNT_ID' => '1', 'ACCOUNT_NAME' => 'حساب رقم 1'),
            array('ACCOUNT_ID' => '2', 'ACCOUNT_NAME' => 'حساب رقم 2'));
        } else if($parm == 2){
            $results = array(array('ACCOUNT_ID' => '1', 'ACCOUNT_NAME' => 'بنك فلسطين'),
            array('ACCOUNT_ID' => '2', 'ACCOUNT_NAME' => 'البنك العربي'));
        }
        return $results;
    }
    
    public function getProductInfo($serial = NULL, $category = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_PRODUCT_SR', 'value' => $serial, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PRODUCT_CAT', 'value' => $category, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_PRODUCTS_INFO', $paramts, $results);
        return $results;
       
    } 

    public function getCategoriesList(){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_FUEL_CATEGORIES_LIST', $paramts, $results);
        return $results;
       
    }
    
    public function getOilandGazAccounts($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_GAZ_PETROL_ACCOUNTS', $paramts, $results);
        return $results ; 
    } 


    public function getBanks(){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_BANKS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_BANKS', $paramts, $results);
        return $results ; 
    } 

    public function getCompanyByTerm($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_COMPANY_BY_TERM', $paramts, $results);
        return $results ; 
    } 

    public function getCompaniesList(){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_COMPANIES_LIST', $paramts, $results);
        return $results ; 
    } 





    public function getCompanyInfo($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COMPANY_ID', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_GENERAL_COMPANY_INFO_2', $paramts, $results);
        return $results ; 
    } 



    public function getReceipts($parm) {
        $cursor = $this->db->get_cursor();
        $msg = '';
        $paramts = array(
           
            array('name' => ':I_CHECK_ID', 'value' => $parm['CHECK_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BANK_ACC_SID', 'value' => $parm['BANK_ACC_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CHECK_CASH_DT_FROM', 'value' => $parm['CHECK_CASH_DT_FROM'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CHECK_CASH_DT_TO', 'value' => $parm['CHECK_CASH_DT_TO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CHECK_TYPE', 'value' => $parm['CHECK_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CHECK_MOVE_TYP_SID', 'value' => $parm['CHECK_MOVE_TYP_SID'], 'length' => -1, 'type' => OCI_ASSOC),
	    array('name' => ':I_NO_OF_COPIES', 'value' => $parm['NO_OF_COPIES'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CHECK_YEAR', 'value' => $parm['CHECK_YEAR'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_LOC_CODE_SID', 'value' => $parm['LOC_CODE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_CHECKS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 200, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('FINANCIAL_PKG', 'GET_RECEIPTS', $paramts, $results);
        return $results;
    }
	
	public function getReceipt($parm) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
           
            array('name' => ':I_CASH_RECEIPT_SERIAL', 'value' => $parm['CASH_RECEIPT_SERIAL'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_RECEIPT', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('FINANCIAL_PKG', 'GET_RECEIPT', $paramts, $results);
        return  $results;
    }


    public function getTransCompanys($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TRANS_COMPANY_BY_TERM', $paramts, $results);
        return $results ; 
    } 


    public function getTesters($term = NULL){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $term, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TESTERS_BY_TERM', $paramts, $results);
        return $results ; 
    } 



	public function addFreightCar($data)
	{
		$carSerial = -1;
		$success = 0;
		$msg = '';
		$paramts = array(

				array('name' => ':I_COMPANY_ID', 'value' => $data['COMPANY'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':I_CAR_ID', 'value' => $data['CAR_ID'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':I_CAR_MODEL', 'value' => $data['CAR_MODEL'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':I_PRODUCT_CATEGORY', 'value' => $data['PRODUCT_CATEGORY'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':I_TOT_CAPACITY', 'value' => $data['TOTAL_CAPACITY'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':I_TANKS_NO', 'value' => $data['TANKS'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':I_IS_TRAILER', 'value' => $data['TRAILER'], 'length' => 10, 'type' => OCI_ASSOC),
				array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
				array('name' => ':O_CAR_SER', 'value' => &$carSerial, 'length' => 300, 'type' => OCI_ASSOC),
				array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
		);
		$this->db->stored_procedure('CONSIGNMENTS_PKG', 'ADD_NEW_FREIGHT_CAR', $paramts,$results);
		return array('carSerial' => $carSerial, 'msg' => $msg );

	}


	public function getFreightCars($parm){
		$cursor = $this->db->get_cursor();

		$paramts = array(
                array('name' => ':I_CAR_SR', 'value' => $parm['CAR_SR'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':I_CAR_ID', 'value' => $parm['CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':I_OWNER', 'value' => $parm['COMPANY'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':I_MODEL_TERM', 'value' => $parm['CAR_MODEL'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':I_CATEGORY', 'value' => $parm['PRODUCT_CATEGORY'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':I_IS_TRAILER', 'value' => $parm['TRAILER'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
		);
		$this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_FREIGHT_CARS_INFO_BY_TERM ', $paramts, $results);
		return $results ;
	}

    public function getFreightCarsList($parm){
        $cursor = $this->db->get_cursor();

        $paramts = array(
                array('name' => ':I_CAR_SR', 'value' => $parm['CAR_SR'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':I_CAR_ID', 'value' => $parm['CAR_ID'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':I_OWNER', 'value' => $parm['COMPANY'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':I_MODEL_TERM', 'value' => $parm['CAR_MODEL'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':I_CATEGORY', 'value' => $parm['PRODUCT_CATEGORY'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':I_IS_TRAILER', 'value' => $parm['TRAILER'], 'length' => -1, 'type' => OCI_ASSOC),
                array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_FREIGHT_CARS_LIST ', $paramts, $results);
        return $results ;
    }
	
	public function getCarsByTerm($parm){
		$cursor = $this->db->get_cursor();

		$paramts = array(
				array('name' => ':I_TERM', 'value' => $parm['TERM'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':I_CATEGORY', 'value' => $parm['CATEGORY'], 'length' => -1, 'type' => OCI_ASSOC),
				array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
		);
		$this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_CARS_BY_TERM ', $paramts, $results);
		return $results ;
	}

 
    public function getAccountsByTerm($parm){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $parm['TERM'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PARENT_ACCOUNT', 'value' => $parm['PARENT_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_ACCOUNT_BY_TERM ', $paramts, $results);
        return $results ; 
    }

    public function getAnyAccountByTerm($parm){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM', 'value' => $parm['TERM'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_PARENT_ACCOUNT', 'value' => $parm['PARENT_ACCOUNT'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_ANY_ACCOUNT_BY_TERM ', $paramts, $results);
        return $results ; 
    }


    public function getAccountByValue($parm){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ACCOUNT_VALUE', 'value' => $parm['ACCOUNT_VALUE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'GET_ACCOUNT_BY_VALUE', $paramts, $results);
        return $results ; 
    }
    public function addcompany($data) {
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_COMPANY_ID', 'value' => $data['company_id'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_COMPANY_NAME', 'value' => $data['company_name'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_IS_TRANSPORTER', 'value' => $data['company_type'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'Add_Company', $paramts, $results);
        return array( 'success' => $success, 'msg' => $msg);
    }

    public function addaccount($data) {
        $paramts = array(
            array('name' => ':I_PARENT_ACCOUNT_ID', 'value' => $data['parent_account_id'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ACCOUNT_NAME', 'value' => $data['company_name'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ACCOUNT_VALUE', 'value' => $data['account_value'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_COMPANY_ID', 'value' => $data['company_id'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'Add_Account', $paramts, $results);
    }

    public function addfuel($data) {
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_MARKET_PRICE', 'value' => $data['market_price'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_SALE_PRICE', 'value' => $data['sale_price'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_BUY_PRICE', 'value' => $data['buy_price'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_DIFF_PRICE', 'value' => $data['differ_price'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_START_DATE', 'value' => $data['start_date'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_END_DATE', 'value' => $data['end_date'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUEL_SERIAL', 'value' => $data['FUEL_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER', 'value' => $data['USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG', 'Add_Fuel', $paramts, $results);
        return array( 'success' => $success, 'msg' => $msg);
    }


    public function get_company($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COMPANY_ID' , 'value' => $data['company_id'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_TERM' , 'value' => null , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_IS_TRANPORER' , 'value' =>  $data['company_type'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_FIELD' , 'value' => $data['parent_account'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => 100, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_GENERAL_COMPANY_INFO' , $paramts , $results);
        return $results ;

    }

    public function get_fuel($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_FUEL_SERIAL' , 'value' => $data['FUEL_TYPE'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_START_DATE' , 'value' =>  $data['start_date'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_END_DATE' , 'value' => $data['end_date'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => 100, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_GENERAL_FUEL_INFO' , $paramts , $results);
        return (count($results) > 0)? $results : null;
    }


    public function  validcompany($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COMPANY_ID' , 'value' => $data['company_id'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => 100, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_Company' , $paramts , $results);
        return (count($results) > 0)? $results : null;
    }

    public function  delete_fuel_price($fuel_id){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_PRICE_SR' , 'value' => $fuel_id , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'DELETE_FUEL_PRICE' , $paramts , $results);

        return array( 'success' => $success, 'msg' => $msg);
    }

    public function initProductPriceApproval($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_PRICE_SR' , 'value' => $data['PRICE_SR'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER_ID' , 'value' => $data['USER_ID'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'INITIAL_PRODUCT_PRICE_APPROVAL' , $paramts , $results);

        return array( 'success' => $success, 'msg' => $msg);
    }

    public function finalProductPriceApproval($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_PRICE_SR' , 'value' => $data['PRICE_SR'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER_ID' , 'value' => $data['USER_ID'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'FINAL_PRODUCT_PRICE_APPROVAL' , $paramts , $results);

        return array( 'success' => $success, 'msg' => $msg);
    }

    public function getAccountsCategories(){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_ACCOUNTS_CATEGORIES' , $paramts , $results);
        return $results ;
    }
    
    public function activateFreightCars($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CAR_SR' , 'value' => $data['CAR_SR'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG' , 'ACTIVATE_FRIGHT_CAR' , $paramts , $results);
        return array( 'success' => $success, 'msg' => $msg);
    }

    public function deactivateFreightCars($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CAR_SR' , 'value' => $data['CAR_SR'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG' , 'DEACTIVATE_FRIGHT_CAR' , $paramts , $results);
        return array( 'success' => $success, 'msg' => $msg);
    }

    public function updateFreightCars($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_CAR_SR' , 'value' => $data['CAR_SERIAL'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_ID' , 'value' => $data['CAR_ID'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_COMPANY' , 'value' => $data['COMPANY'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_MODEL' , 'value' => $data['MODEL'] , 'length' => 50 , 'type' => OCI_ASSOC),
            array('name' => ':I_CAPACITY' , 'value' => $data['CAPACITY'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_FUEL_CAT' , 'value' => $data['CATEGORY'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_TANKS' , 'value' => $data['TANKS'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_TRAILER' , 'value' => $data['TRAILER'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 2, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG' , 'CHANGE_FRIGHT_CAR_INFO' , $paramts , $results);
        return array('success' => $success, 'msg' => $msg) ;
    } 

    public function get_product_buy_price($data){
        $price = '';
        $paramts = array(
            array('name' => ':I_PRODUCT' , 'value' => $data['PRODUCT'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_IN_DATE' , 'value' => $data['OUT_DATE'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_PRICE', 'value' => &$price, 'length' => 10, 'type' => OCI_ASSOC),
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_PRODUCT_BUY_PRICE' , $paramts , $results);
        return array('PRICE' => $price) ;
    }

    public function addCompanyLimitInfo($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_ACCOUNT' , 'value' => $data['COM_ACCOUNT'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_LIMIT' , 'value' => $data['COMPANY_LIMIT'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT' , 'value' => $data['PERIOD_START'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT' , 'value' => $data['PERIOD_END'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES' , 'value' => $data['NOTES'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 1000, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'ADD_COMPANY_LIMIT_INFO' , $paramts , $results);
        return array('success' => $success, 'msg' => $msg) ;
    } 

    public function editCompanyLimitInfo($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_SERIAL' , 'value' => $data['LIMIT_SERIAL'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_ACCOUNT' , 'value' => $data['COM_ACCOUNT'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_LIMIT' , 'value' => $data['COMPANY_LIMIT'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_START_DT' , 'value' => $data['PERIOD_START'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_END_DT' , 'value' => $data['PERIOD_END'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_NOTES' , 'value' => $data['NOTES'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 1000, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'CHANGE_COMPANY_LIMIT_INFO' , $paramts , $results);
        return array('success' => $success, 'msg' => $msg) ;
    } 

    public function getCompaniesLimitsInfo($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_SERIAL' , 'value' => $data['LIMIT_SR'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_ACCOUNT' , 'value' => $data['COM_ACCOUNT'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_PERIOD_ST' , 'value' => $data['PERIOD_START'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_PERIOD_ED' , 'value' => $data['PERIOD_END'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_STATUS' , 'value' => $data['STATUS'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_COMPANIES_LIMITS_INFO' , $paramts , $results);
        return $results;
    }

    public function approveCompanyLimit($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_SERIAL' , 'value' => $data['LIMIT_SERIAL'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 1000, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'APPROVE_COM_LIMIT' , $paramts , $results);
        return array('success' => $success, 'msg' => $msg) ;
    }

    public function cancelCompanyLimit($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_SERIAL' , 'value' => $data['LIMIT_SERIAL'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 1000, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'CANCEL_COM_LIMIT_INFO' , $paramts , $results);
        return array('success' => $success, 'msg' => $msg) ;
    }

    public function returnCompanyLimit($data){
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':I_SERIAL' , 'value' => $data['LIMIT_SERIAL'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':I_USER' , 'value' => $data['USER'] , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 1000, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'RETURN_COM_LIMIT_INFO' , $paramts , $results);
        return array('success' => $success, 'msg' => $msg) ;
    }

    public function getEgyptianDriverByTerm($term){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TERM' , 'value' => $term , 'length' => -1 , 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('GLOBAL_PKG' , 'GET_EGYPTIAN_DRIVER_BY_TERM' , $paramts , $results);
        return $results;
    }

}
