<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class technical_check extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
    }

   public function getcar($data){
       $cursor = $this->db->get_cursor();
       $parm = array(
           array('name' => ':I_CARNO', 'value' => $data['car_no'] , 'length' => 10, 'type' => OCI_ASSOC),
           array('name' => ':O_CARMODEL', 'value' => $cursor, 'length' => 100, 'type' => OCI_B_CURSOR)
       );
       $this->db->stored_procedure('TECHNICAL_PKG','GET_CARTYPE_BY_CARNO', $parm, $results);
       return (count($results) > 0)? $results[0]['CAR_MODEL'] :null;
   }

    public function addcarcheck($data){
        $DATE='';
        $paramts = array(
            array('name' => ':I_EXAMIN_DATE' , 'value' => $data['EXAMIN_DATE'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_FINANCIAL_NO' , 'value' =>  $data['FINANCIAL_NO'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_COMPANY_NO' , 'value' => $data['COMP_NO']  , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_EXAMIN_PLACE' , 'value' =>  $data['EXAMIN_PLACE'] , 'length' => 1000 , 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_ID' , 'value' => $data['car_no'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_CAP' , 'value' => $data['car_cap'], 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_EXAMIN_RESULT' , 'value' => $data['EXAMIN_RESULT'] , 'length' => 1000 , 'type' => OCI_ASSOC),
            array('name' => ':O_DATE', 'value' => &$DATE, 'length' => 50, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('TECHNICAL_PKG' , 'ADD_CAR_CHECK' , $paramts , $results);
        return $DATE;

    }

    public function getcarcheck($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_EXAMIN_DATE' , 'value' => $data['EXAMIN_DATE'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_FINANCIAL_NO' , 'value' =>  $data['FINANCIAL_NO'] , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_ID' , 'value' => $data['car_no'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => 100, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('TECHNICAL_PKG' , 'GET_CAR_CHECK' , $paramts , $results);
       return (count($results) > 0)? $results : null;

    }
    public function editcarcheck($data){
        $paramts = array(
            array('name' => ':I_SN' , 'value' =>  $data['SN'] , 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_EXAMIN_PLACE' , 'value' =>  $data['EXAMIN_PLACE'] , 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_CAR_CAP' , 'value' => $data['car_cap'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_EXAMIN_RESULT' , 'value' => $data['EXAMIN_RESULT'], 'length' => -1, 'type' => OCI_ASSOC),
        );
        $this->db->stored_procedure('TECHNICAL_PKG' , 'EDIT_CAR_CHECK' , $paramts , $results);
    }


    public function getonecarcheck($data){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_EXAMIN_DATE' , 'value' => $data , 'length' => 10 , 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => 100, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('TECHNICAL_PKG' , 'GET_CAR_CHECK_BY_SN' , $paramts , $results);
        return (count($results) > 0)? $results : null;

    }


}