<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
    
class user_m extends CI_Model {
	
	public function __construct(){
		parent::__construct();
	}

    public function getUser($PARAM = NULL) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_USER', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_USER', $paramts, $results);
        //print_r($results) ; exit() ; 
        return ($results)? $results[0]: null;
    }  

    public function getUsers($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_FNAME', 'value' => $PARAM['USER_FNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_SNAME', 'value' => $PARAM['USER_SNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LNAME', 'value' => $PARAM['USER_LNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_EMP_NO', 'value' => $PARAM['USER_EMP_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_STATUS', 'value' => $PARAM['USER_STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LEVEL_CD', 'value' => $PARAM['USER_LEVEL_CD'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_USERS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_USERS', $paramts, $results);
        return ($results)? $results : null;
    }

    public function updateUser ($PARAM = NULL) {
        $responseId = 0;
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO_OLD', 'value' => $PARAM['USER_ID_NO_OLD'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_FNAME', 'value' => $PARAM['USER_FNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_SNAME', 'value' => $PARAM['USER_SNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LNAME', 'value' => $PARAM['USER_LNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_EMP_NO', 'value' => $PARAM['USER_EMP_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_STATUS', 'value' => $PARAM['USER_STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_JOB_TITLE', 'value' => $PARAM['USER_JOB_TITLE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_USER_ID_NO', 'value' => &$responseId, 'length' => 20, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'UPDATE_USER', $paramts, $results);
        return $responseId;
    }  




    public function getRole($PARAM = NULL) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_ROLE', $paramts, $results);
        return ($results)? $results[0] : null;
    } 

    public function getRoles($PARAM = NULL) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLES', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_ROLES', $paramts, $results);
        return ($results)? $results : null;
    } 

    public function addRole($PARAM = NULL) {
        $responseId = -1;
        $paramts = array(
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE_SID', 'value' => &$responseId, 'length' => 8, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_ROLE', $paramts, $results);
        return $responseId;
    } 

    public function addRoleFunction ($PARAM = NULL) {
        $responseId = -1;
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUNCTION_ID', 'value' => $PARAM['FUNCTION_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_ROLE_FUNCTION', $paramts, $results);
        return;
    }

    public function getFunctions() {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_FUNCTIONS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_FUNCTIONS', $paramts, $results);
        return ($results)? $results : null;
    }

    public function getRoleFunctions($PARAM = NULL) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE_FUNCTIONS', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_ROLE_FUNCTIONS', $paramts, $results);
        return ($results)? $results : null;
    }


    public function updateRole($PARAM = NULL) {
        $responseId = -1;
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE_SID', 'value' => &$responseId, 'length' => 8, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'UPDATE_ROLE', $paramts, $results);
        return $responseId;
    }

   




















    public function GET_RESP_ROLE($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['I_ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['I_ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_LOCATION', 'value' => $PARAM['I_ROLE_LOCATION'], 'length' => -1, 'type' => OCI_ASSOC),
    
            array('name' => ':O_RESP_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_ROLE', $paramts, $results);
        return array('ret_data' => $results);
    }  
    
    public function GET_RESP_FUNCTION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
    
            array('name' => ':O_RESP_FUNCTION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    }     
    
  
    
 
    public function GET_RESP_USER_ROLE($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_USER_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_ROLE', $paramts, $results);
        return array('ret_data' => $results);
    }         
    
    public function GET_RESP_USER_YEAR($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_YEAR', 'value' => $PARAM['I_USER_YEAR'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_USER_YEAR', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_YEAR', $paramts, $results);
        return array('ret_data' => $results);
    }     
    
    public function GET_RESP_USER_LOCATION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_USER_LOCATION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_LOCATION', $paramts, $results);
        return array('ret_data' => $results);
    }    
    
     public function GET_RESP_ROLE_FUNCTION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUNCTION_ID', 'value' => $PARAM['I_FUNCTION_ID'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_ROLE_FUNCTION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_ROLE_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    }        
    
 /*
    public function ADD_RESP_USER($parmetar)
    {
    
        $results='';
        $O_MIN_VAL='';
        $O_MAX_VAL='';
        $paramts = array(
           
               array('name' => ':I_USER_ID_NO', 'value' =>$parmetar['I_USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_FNAME', 'value' =>$parmetar['I_USER_FNAME'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_SNAME', 'value' =>$parmetar['I_USER_SNAME'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_LNAME', 'value' =>$parmetar['I_USER_LNAME'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_EMP_NO', 'value' =>$parmetar['I_USER_EMP_NO'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_STATUS', 'value' =>$parmetar['I_USER_STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_LEVEL_CD', 'value' =>$parmetar['I_USER_LEVEL_CD'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_USER_JOB_TITLE', 'value' =>$parmetar['I_USER_JOB_TITLE'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_IS_SYS_ADMIN', 'value' =>$parmetar['I_IS_SYS_ADMIN'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':O_MIN_VAL', 'value' =>&$O_MIN_VAL, 'length' => 100, 'type' => OCI_ASSOC),
               array('name' => ':O_MAX_VAL', 'value' =>&$O_MAX_VAL , 'length' => 100, 'type' => OCI_ASSOC)  
        );
        $this->db->stored_procedure('USERS_PKG','ADD_RESP_USER ',$paramts, $results );

       
        $res=array('res'=>$results,'O_MIN_VAL'=>$O_MIN_VAL,'O_MAX_VAL'=>$O_MAX_VAL);
        return $res;
    }

  public function ADD_RESP_USER_ROLE($parmetar)
    {
    
        $results='';
        $O_MIN_VAL='';
        $O_MAX_VAL='';
        $paramts = array(
           
               array('name' => ':I_USER_ID', 'value' =>$parmetar['I_USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
               array('name' => ':I_ROLE_ID', 'value' =>$parmetar['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG','ADD_RESP_USER_ROLE ',$paramts, $results );

       
    }

    */
    public function ADD_RESP_USER ($PARAM) {

        $O_SUCCESS = "";

         $O_MSG = "" ;
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['I_USER_ID_NO'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_FNAME', 'value' => $PARAM['I_USER_FNAME'], 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_SNAME', 'value' => $PARAM['I_USER_SNAME'], 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LNAME', 'value' => $PARAM['I_USER_LNAME'], 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_EMP_NO', 'value' => $PARAM['I_USER_EMP_NO'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_STATUS', 'value' => $PARAM['I_USER_STATUS'], 'length' => 3, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LEVEL_CD', 'value' => $PARAM['I_USER_LEVEL_CD'], 'length' => 3, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_JOP_TITLE', 'value' => $PARAM['I_USER_JOP_TITLE'], 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':I_IS_SYS_ADMIN', 'value' => $PARAM['I_IS_SYS_ADMIN'], 'length' => 3, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$O_SUCCESS, 'length' => 3, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$O_MSG, 'length' => 1000, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER', $paramts, $results);
         return array ('O_SUCCESS' => $O_SUCCESS, 'O_MSG' => $O_MSG);
    }
    
    public function ADD_RESP_USER_YEAR ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_YEAR', 'value' => $PARAM['I_USER_YEAR'], 'length' => -1, 'type' => OCI_ASSOC)
  
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER_YEAR', $paramts, $results);
        return array('ret_data' => $results);
    }  
    public function ADD_RESP_USER_LOCATION ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_LOCATION_CODE', 'value' => $PARAM['I_LOCATION_CODE'], 'length' => -1, 'type' => OCI_ASSOC)
  
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER_LOCATION', $paramts, $results);
        return array('ret_data' => $results);
    }  
     public function DELETE_RESP_USER_LOCATION ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_USER_LOCATION', $paramts, $results);
        return array('ret_data' => $results);
    }   
        
     public function DELETE_RESP_USER_YEAR ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_USER_YEAR', $paramts, $results);
        return array('ret_data' => $results);
    }   
    
    
    public function ADD_RESP_USER_ROLE ($PARAM ) {
      
        $success = '' ; 
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$success, 'length' => 3, 'type' => OCI_ASSOC)
            
  
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER_ROLE', $paramts, $results);
        return array('success' => $success);
    }    
     public function DELETE_RESP_USER_ROLE ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_USER_ROLE', $paramts, $results);
        return array('ret_data' => $results);
    }   
 
       
    public function UPDATE_RESP_ROLE($PARAM = NULL) {

        $responseId = -1;
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['I_ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['I_ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_LOCATION', 'value' => $PARAM['I_ROLE_LOCATION'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE_SID', 'value' => &$responseId, 'length' => 8, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'UPDATE_RESP_ROLE', $paramts, $results);
        return array('responseId' => $responseId);
    }    
    
           
    public function DELETE_RESP_ROLE_FUNCTION ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_ROLE_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    } 
    
     public function GET_RESP_USER_ROLE_FUNCTION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_ROLE_FUNCTION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_ROLE_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    }   
    
     public function GET_PAGES($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
  
             array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
             array('name' => ':O_PAGES', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_PAGES', $paramts, $results);
        return array('ret_data' => $results);
    }     
}
 