<script src="js/userChain_scripts.js?v=<?php echo(rand(10, 99)); ?>" type="text/javascript"></script>
<!-- BEGIN CONTENT -->

<!-- BEGIN CONTENT -->

<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">سندات الصرف</h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->
        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>إدارة سندات الصرف</div>
                    </div>
                    <div class="portlet-body form">
                        <form id="" action="#" class="form-horizontal">
                            <div class="form-body">
                                <!-- BEGIN FORM-->
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">معرف السند</label>
                                                            <div class="col-md-9">
                                                            <input type="text" class="form-control" id="TRANS_SR" value="" tabindex="5">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">من حساب</label>
                                                            <div class="col-md-9">
                                                                <select name="FROM_BANCK" id="FROM_BANCK" class="form-control select" tabindex="1">
                                                                    <option value="" selected="selected">الجميع</option>
                                                                    <?php 
                                                                    foreach ($banks as $bank) {
                                                                        ?>
                                                                        <option value="<?php echo($bank['ACCOUNT_ID']); ?>" ACC_BALANCE="<?php echo($bank['BALANCE']); ?>" ACC_CURR="<?php echo($bank['CURRENCY_NAME']); ?>">
                                                                            <?php echo($bank['ACCOUNT_NAME'] .' - '.$bank['ACCOUNT_VALUE']); ?>
                                                                        </option>
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">إلى حساب</label>
                                                            <div class="col-md-7">
                                                                <input type="text" class="form-control TO_ACCOUNT_TERM" id="TO_ACCOUNT_TERM" value="" tabindex="2">
                                                                <input id="TO_ACCOUNT" type="hidden" class="form-control TO_ACCOUNT" value="" tabindex="-1">
                                                            </div>
                                                            <div class="col-md-2">
                                                                <input type="text" class="form-control" id="TO_ACCOUNT_CRN" value="" readonly="readonly" tabindex="-1"> 
                                                                <input type="hidden" class="form-control" id="TO_ACCOUNT_CRN_ID" value="" /> 
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ السند</label>
                                                            <div class="col-md-9">
                                                                <div class="input-group input-daterange" data-date-format="dd/mm/yyyy">
                                                                    <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="TRANS_SDT" id="TRANS_SDT" tabindex="3">
                                                                    <span class="input-group-addon"> إلى </span>
                                                                    <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="TRANS_EDT" id="TRANS_EDT" tabindex="4">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">حالة الحوالة</label>
                                                            <div class="col-md-9">
                                                                <select class="form-control" name="STATUS" id="STATUS" tabindex="6">
                                                                    <option value="">الجميع</option>
                                                                    <option value="0">قيد الإعداد</option>
                                                                    <option value="1">معتمد رقابة</option>
                                                                    <option value="2">معتمد مدير مالي</option>
                                                                    <option value="3">مصروف</option>
                                                                    <option value="5">معتمد نهائي</option>
                                                                    <option value="6">ملغي</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="row">
                                                    <div class="col-md-offset-5 col-md-7">
                                                        <button id="queryOutgoingTransfers_btn" type="button" class="btn green" tabindex="7">استعلام
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="outgoingTransfers_tb">
                                            <thead>
                                            <tr role="row" class="heading">
                                                <th>معرف السند</th>
                                                <th>من حساب</th>
                                                <th>إلى حساب</th>
                                                <th>تاريخ الحوالة</th>
                                                <th>المبلغ</th>
                                                <th>سعر الصرف</th>
                                                <th>تاريخ الصرف</th>
                                                <th>البيان</th>
                                                <th>حالة السند</th>
                                                <th>إدخال</th>
                                                <th>إجراءات</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                <td  colspan="11">
                                                    عذرا لا يوجد بيانات
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="allowedToEdit" id="allowedToEdit" value="<?php echo($allowedToEdit) ; ?>" />
                            <input type="hidden" name="allowedToExchange" id="allowedToExchange" value="<?php echo($allowedToExchange) ; ?>" />
                            <input type="hidden" name="allowedToCApprove" id="allowedToCApprove" value="<?php echo($allowedToCApprove) ; ?>" />
                            <input type="hidden" name="allowedToFApprove" id="allowedToFApprove" value="<?php echo($allowedToFApprove) ; ?>" />
                            <!--<input type="hidden" name="allowedToGMApprove" id="allowedToGMApprove" value="<?php //echo($allowedToGMApprove) ; ?>" />
                            <input type="hidden" name="allowedToMApprove" id="allowedToMApprove" value="<?php //echo($allowedToMApprove) ; ?>" />-->
                            <input type="hidden" name="allowedToApprove" id="allowedToApprove" value="<?php echo($allowedToApprove) ; ?>" />
                            <input type="hidden" name="allowedToCancel" id="allowedToCancel" value="<?php echo($allowedToCancel) ; ?>" />
                            <input type="hidden" name="allowedToReturn" id="allowedToReturn" value="<?php echo($allowedToReturn) ; ?>" />
                            <input type="hidden" name="allowedToReturnExch" id="allowedToReturnExch" value="<?php echo($allowedToReturnExch) ; ?>" />
                            <input type="hidden" name="allowedToPrint" id="allowedToPrint" value="<?php echo($allowedToPrint) ; ?>" />
                        </form>
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
</div>

<div class="modal fade" id="setExchangeRateModal" style="margin-top: 120px;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <div class="caption"><i class="icon-settings font-red"></i><span class="caption-subject font-red sbold uppercase">سعرالصرف</span></div>
            </div>
            <div class="modal-body ">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="control-label col-md-2">سعر الصرف</label>
                            <div class="col-md-6">
                                <input id="CURR_RATE" name="CURR_RATE" type="text" class="form-control" value="" placeholder="">
                                <span class="help-block"></span>
                            </div>
                        </div>
                    </div>
                </div>  
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="control-label col-md-2">تاريخ الصرف</label>
                            <div class="col-md-6">
                                <input id="EXCHANGE_DATE" name="EXCHANGE_DATE" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" value="" placeholder="">
                                <span class="help-block"></span>
                            </div>
                            <div class="col-md-2">
                                <button id="setExchangeRate_btn" type="button" class="btn green">حفظ</button>
                                <input type="hidden" name="t_TRANS_SR" id="t_TRANS_SR">
                            </div>
                        </div>
                    </div>
                </div>  
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<form id="manageOutgoingTrans_frm" action="index.php/cashReceipts/outgoingTransfer" target="_blank" method="post">
    <input type="hidden" name="p_TRANS_SR" id="p_TRANS_SR" /> 
</form>

<form id="printOutgoingTrans_frm" action="index.php/reports/printOutgoingTransfer" target="_blank" method="post">
    <input type="hidden" name="i_TRANS_SR" id="i_TRANS_SR" /> 
</form>