<script src="js/cashReceipt_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">الشيكات المدفوعة
            <small>استعلام</small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>محددات الإستعلام</div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">
                            
                            <div class="form-body">

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                               <div class="row">
                                                   <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">رقم المستند</label>
                                                            <div class="col-md-9">
                                                                <input id="CHECK_ID" type="text" class="form-control" placeholder="" tabindex="1">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">الشركة</label>
                                                            <div class="col-md-3">
                                                                <input  id="ACCOUNT_TERM" type="text" class="form-control"
                                                                value=''
                                                                placeholder="" tabindex="2">
                                                                <input  id="ACCOUNT" type="hidden" class="form-control"
                                                                value=''
                                                                placeholder="" tabindex="-1">
                                                            </div>

                                                            <div class="col-md-6">
                                                                <input  id="ACCOUNT_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                            </div>
                                                        </div>
                                                    </div>

                                                   <div class="col-md-4">
                                                       <div class="form-group">
                                                           <label class="control-label col-md-3">نوع المستند</label>
                                                           <div class="col-md-9">
                                                               <select id="RCPT_TYPE" class="form-control select" tabindex="6">
                                                                   <option value="">-- اختر --</option>
                                                                   <option value="T">حوالة مالية</option>
                                                                   <option value="C">شيك</option>
                                                               </select>
                                                               <span class="help-block"></span>
                                                           </div>
                                                       </div>
                                                   </div>
                                                </div> 

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">من تاريخ</label>
                                                            <div class="col-md-9">
                                                                <input id="START_DT" type="text" class="form-control" placeholder="" tabindex="4">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">الى تاريخ</label>
                                                            <div class="col-md-9">
                                                                <input id="END_DT" type="text" class="form-control" placeholder="" tabindex="5">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-4 Bank" style="display: none">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">البنك</label>
                                                            <div class="col-md-9">
                                                                <select id="CHECK_BANK" name="CHECK_BANK[1]" class="form-control" tabindex="3">
                                                                    <option value="">-- اختر البنك --</option>
                                                                    <?php foreach($banks as $bank) :?>
                                                                        <option value="<?=$bank['ID']?>"><?=$bank['BANK_NAME']?></option>
                                                                    <?php endforeach?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div> 

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"></label>
                                                            <div class="col-md-9">
                                                                <button id="getPaidChecks_btn" type="button" class="btn green" tabindex="7">بحث</button>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div> 
                                               
                                                
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>

                                <h3 class="form-section">نتائج البحث</h3>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="checksMaster_tb">
                                                    <thead>
                                                        <tr role="row" class="heading">
                                                            <th> نوع السند</th>
                                                            <th> الرقم المسلسل</th>
                                                            <th> رقم المستند </th>
                                                            <th> رقم سند القبض</th>
                                                            <th> البنك </th>
                                                            <th> حساب الشركة </th>
                                                            <th>المبلغ </th>
                                                            <th> تاريخ الدفع</th>
                                                            <th> تاريخ الإستحقاق </th>
                                                            <th> تاريخ التحصيل/الإرجاع </th>
                                                             <th>حالة الشيك </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td colspan="9">
                                                                لا يوجد بيانات.
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                    <tfoot>
                                                        <tr>
                                                            <td colspan="5"> اجمالي </td>
                                                            <td><input id="amountSum" type="text" class="form-control" placeholder="" value="0" readonly style="width:150px;"> </td>
                                                            <td colspan="2"></td>

                                                        </tr>
                                                    </tfoot>
                                                </table>
                                    </div>
                                </div>


                                <!--/row-->


                                <!--/row-->

                                <!--/row-->
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->
