<script src="js/consignment_scripts.js" type="text/javascript"></script>


<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title"> كشوفات المشتريات
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>ادارة كشوفات المشتريات</div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">

                            <div class="form-body">

                                <div class="row">
                                    <div class="col-md-12">

                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">نوع  الكشف</label>
                                                            <div class="col-md-9">
                                                                <select id="PURCH_TYPE" class="form-control">
                                                                    <option value="0">كشف إجمالي</option>
                                                                    <option value="1"> كشف تفصيلي</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    </div>

                                                <div class="row">

                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">من تاريخ</label>
                                                            <div class="col-md-9">
                                                                <input id="START_DT" name="START_DT" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="" tabindex="1">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">الى تاريخ</label>
                                                            <div class="col-md-9">
                                                                <input id="END_DT" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="" tabindex="2">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                                <div class="row">

                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">نوع الوقود</label>
                                                            <div class="col-md-3">
                                                                <input  id="FUEL_TYPE" type="text" class="form-control" value='' placeholder="" tabindex="3">
                                                            </div>

                                                            <div class="col-md-6">
                                                                <input  id="FUEL_TYPE_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                                <input type="hidden" name="product_category" id="product_category" value="" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">حالة الارسالية</label>
                                                            <div class="col-md-9">
                                                                <select id="STATUS" class="form-control" tabindex="4">
                                                                    <option value="">-- الجميع --</option>
                                                                    <option value="0">قيد الاعداد</option>
                                                                    <option value="1">معتمد</option>
                                                                </select>
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"></label>
                                                            <div class="col-md-9">
                                                                <button id="getPurchases_btn" type="button" class="btn green" tabindex="5">بحث</button>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>


                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>

                                <h3 class="form-section">نتائج البحث</h3>
                                </br>
                                <div class="row">
                                    <div class="col-md-12" id="div_total">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="purchases_total_tb" cellspacing="0" width="100%">
                                            <thead>
                                            <tr role="row" class="heading">
                                                <th>عدد الإرساليات</th>
                                                <th>  اسم الصنف</th>
                                                <th>  الكمية</th>
                                                <th>  السعر</th>
                                                <th>  الكمية الاجمالية باللتر</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                <td colspan="5">
                                                    لا يوجد بيانات.
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                        </div>
                                    <div class="col-md-12" id="div_details" style="display:none;" cellspacing="0" width="100%">
                                    <table class="table table-striped table-bordered table-hover table-checkable" id="purchases_details_tb">
                                        <thead>
                                        <tr role="row" class="heading">
                                            <th>رقم الإرسالية</th>
                                            <th> اسم الصنف</th>
                                            <th> رقم البوليصة</th>
                                            <th>  تاريخ الاستلام</th>
                                            <th>  تاريخ التوريد</th>
                                            <th> الكمية بالطن</th>
                                            <th> الكمية باللتر</th>
                                            <th> السعر الإجمالي</th>
                                            <th>   الحالة</th>
                                            <th>  ملاحظات</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td colspan="12">
                                                لا يوجد بيانات.
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            </div>
                            <input type="hidden" name="allowedToView" id="allowedToView" value="<?php echo($allow_to_view) ; ?>" />
                            <input type="hidden" name="allowedToApprove" id="allowedToApprove" value="<?php echo($allow_to_approve) ; ?>" />
                            <input type="hidden" name="allowedToCancel" id="allowedToCancel" value="<?php echo($allow_to_cancel) ; ?>" />
                            <input type="hidden" name="allowedToReturn" id="allowedToReturn" value="<?php echo($allow_to_return) ; ?>" />
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->

