<script src="js/consignment_scripts.js?v=<?php echo(rand(10, 99)); ?>" type="text/javascript"></script>
<script>
    $(window).load(function () {
        if ($("#F_CON_SR").val() != '') {
            $("#getInConsignment_btn").click();
        }
    });
</script>
<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title"> بيانات الإرسالية الواردة
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>الإرسالية الواردة</div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form id="in_consignment_form" action="#" class="form-horizontal">
                            
                            <div class="form-body">

                                <div class="row">
                                    <div class="col-md-12">
                                        
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                               <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-1">رقم الارسالية</label>
                                                            <div class="col-md-10">
                                                                <input id="F_CON_SR" type="text" class="form-control" value="<?= $F_CON_SR ?>" placeholder="ادخل رقم الارسالية للبحث">
                                                                <span class="help-block"></span>
                                                            </div>
                                                            <div class="col-md-1">
                                                                <button id="getInConsignment_btn" type="button" class="btn green">بحث</button>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div> 
                                               
                                                
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>

                                <h3 class="form-section">بيانات الارسالية</h3>

                                <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">الجهة المستفيدة</label>
                                                <div class="col-md-9">
                                                    <select id="BENEFICIARY_NO" name="BENEFICIARY_NO" class="form-control" tabindex="1">
                                                        <option value="1" selected="selected">السوق</option>
                                                        <option value="2">وكالة الغوث</option>
                                                        <option value="3">سلطة الطاقة</option>    
                                                    </select>
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">تاريخ الارسالية</label>
                                                <div class="col-md-9">
                                                    <input  id="KARM_IN_DATE" name="KARM_IN_DATE" type="text" class="form-control"
                                                    value='<?php echo mdate("%d/%m/%Y", now()); ?>'
                                                    placeholder="dd/mm/yyyy" tabindex="2"> </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!--/row-->
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">نوع الوقود</label>
                                                <div class="col-md-3">
                                                    <input  id="FUEL_TYPE" name="FUEL_TYPE" type="text" class="form-control"
                                                    value=''
                                                    placeholder="" tabindex="3">
                                                    <input type="hidden" id="PRODUCT_CATEGORY" value="" />
                                                </div>

                                                <div class="col-md-6">
                                                    <input  id="FUEL_TYPE_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                    
                                                </div> 
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">الكمية</label>
                                                <div class="col-md-9">
                                                    <input id="FUEL_AMOUNT" name="FUEL_AMOUNT" type="text" class="form-control" placeholder=""  tabindex="4">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">الشركة الموردة</label>
                                                <div class="col-md-9">
                                                    <input  id="SUPPLIER_COM" name="SUPPLIER_COM" type="text" class="form-control" value='' placeholder="" tabindex="5">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6" id="warehouse_div" style="display: none;">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">مدخلة للمخزن</label>
                                                <div class="col-md-9">
                                                    <select id="TO_WAREHOUSE" name="TO_WAREHOUSE" class="form-control select" tabindex="6">
                                                        <?php foreach($warehouses as $warehouse){ ?>
                                                        <option value="<?php echo($warehouse['WAREHOUSE_ID']) ; ?>" <?php if($warehouse['WAREHOUSE_ID'] == 3) echo(' selected="selected" '); ?>><?php echo($warehouse['WAREHOUSE_NAME']) ; ?></option> 
                                                        <?php } ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>



                                <!--/row-->


                                <!--/row-->

                                <!--/row-->
                            </div>
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-offset-3 col-md-9">
                                                <input type="hidden" name="IN_CONS_SR" id="IN_CONS_SR" value="" />
                                                <input type="hidden" name="allowedToUpdate" id="allowedToUpdate" value="<?php echo($allow_to_update) ; ?>" />
                                                <button id="updateInConsignment_btn" type="button" class="btn green" tabindex="10">حفظ التعديلات</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6"> </div>
                                </div>
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->


