<script src="js/consignment_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">المخزن<small> تعديل حركة مخزن</small></h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->
        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption"><i class="fa fa-gift"></i>تعديل حركة</div>
                    </div>
                    <div class="portlet-body form">
                        <!-- BEGIN FORM-->
                        <form id="add_warehouse_trans_form" action="#" class="form-horizontal">
                            <div class="form-body">
                                <input type="hidden" class="TRANS_SR" id="TRANS_SR" value="<?php echo $warehouses_info[0]['TRANS_SR']; ?>">
                                <input type="hidden" class="RELATED_SR" id="RELATED_SR" value="<?php echo $warehouses_info[0]['RELATED_SR']; ?>">
                                <h3 class="form-section">بيانات الحركة</h3>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تاريخ الحركة</label>
                                            <div class="col-md-9">
                                                <input  id="TRANS_DATE" name="TRANS_DATE" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" value='<?php echo $warehouses_info[0]['TRANS_DATE']; ?>' tabindex="1"> </div>
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">نوع الحركة</label>
                                            <div class="col-md-9">
                                                <select id="TRANS_TYPE" class="form-control select" tabindex="2">
                                                    <option <?php echo(($warehouses_info[0]['TRANS_TYPE'] == "3") ? 'selected' : ''); ?> value="3">عجز</option>
                                                    <option <?php echo(($warehouses_info[0]['TRANS_TYPE'] == "6") ? 'selected' : ''); ?> value="6">فائض</option>
                                                    <option <?php echo(($warehouses_info[0]['TRANS_TYPE'] == "4"||$warehouses_info[0]['TRANS_TYPE'] == "5") ? 'selected' : ''); ?> value="4">نقل</option>
                                                </select>
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">الصنف</label>
                                            <div class="col-md-9">
                                                <select id="FUEL_CAT" class="form-control select" tabindex="3">
                                                    <?php foreach ($product as $product) { ?>
                                                        <option value="<?php echo($product['WAREHOUSE_CAT']); ?>"  <?php echo(($warehouses_info[0]['PRODUCT_CAT'] == $product['WAREHOUSE_CAT']) ? 'selected' : ''); ?>><?php echo $product['FUEL_NAME']."(".$product['FUEL_UNIT'].")"; ?></option>
                                                    <?php } ?>
                                                </select>
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <!--/row-->
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">المخزن</label>
                                            <div class="col-md-9">
                                                <select id="FROM_WAREHOUSE" class="form-control select" tabindex="4">
                                                    <?php foreach($warehouses as $warehouse){ ?>
                                                        <option value="<?php echo($warehouse['WAREHOUSE_ID']) ; ?>" <?php echo(($warehouses_info[0]['FROM_WAREHOUSE_SR'] == $warehouse['WAREHOUSE_ID']) ? 'selected' : ''); ?>><?php echo($warehouse['WAREHOUSE_NAME']) ; ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="toWarehouse_div"  <?php echo((($warehouses_info[0]['TRANS_TYPE'] == "3") ||($warehouses_info[0]['TRANS_TYPE'] == "6"))? 'style="display: none;"' : ''); ?> class="col-md-4" >
                                        <div class="form-group">
                                            <label class="control-label col-md-3">إلى مخزن</label>
                                            <div class="col-md-9">
                                                <select id="TO_WAREHOUSE" class="form-control select" tabindex="5">
                                                    <option value="">اختر</option>
                                                    <?php foreach($warehouses as $warehouse){ ?>
                                                        <option value="<?php echo($warehouse['WAREHOUSE_ID']) ; ?>" <?php echo(($warehouses_info[0]['TO_WAREHOUSE_SR'] == $warehouse['WAREHOUSE_ID']) ? 'selected' : ''); ?>><?php echo($warehouse['WAREHOUSE_NAME']) ; ?></option>
                                                    <?php } ?>
                                                </select>
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">الكمية</label>
                                            <div class="col-md-9">
                                                <input id="TRAN_AMOUNT" name="TRAN_AMOUNT" value="<?php echo $warehouses_info[0]['TRANS_AMOUNT']; ?>" type="text" class="form-control" tabindex="6">
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>
                               <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">ملاحظات</label>
                                            <div class="col-md-9">
                                                <input id="TRANS_NOTE" name="TRANS_NOTE" value="<?php echo $warehouses_info[0]['NOTES']; ?>" type="text" class="form-control" tabindex="6">
                                                <span class="help-block"></span>
                                               
                                            </div>
                                        </div>
                                    </div>
                               </div>
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-offset-3 col-md-9">
                                                <button id="updateWarehouseTrans_btn" type="button" class="btn green" tabindex="7">تعديل</button>
                                                <button type="button" class="btn default">الغاء</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6"> </div>
                                </div>
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>
            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->
