<script src="js/consignment_scripts.js" type="text/javascript"></script>

    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <div class="page-content">
            <!-- BEGIN PAGE HEADER-->
            <!-- BEGIN PAGE TITLE-->
            <h3 class="page-title">المخزن<small> إضافة حركة مخزن</small></h3>
            <!-- END PAGE TITLE-->
            <!-- END PAGE HEADER-->
            <div class="row">
                <div class="col-md-12"><div id="alert_container"></div></div>
                <div class="col-md-12">
                    <div class="portlet box green">
                        <div class="portlet-title">
                            <div class="caption"><i class="fa fa-gift"></i>إضافة حركة</div>
                        </div>
                        <div class="portlet-body form">
                            <!-- BEGIN FORM-->
                            <form id="add_warehouse_trans_form" action="#" class="form-horizontal">
                                <div class="form-body">
                                    
                                    
                                    <h3 class="form-section">بيانات الحركة</h3>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">تاريخ الحركة</label>
                                                <div class="col-md-9">
                                                    <input  id="TRANS_DATE" name="TRANS_DATE" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" value='' tabindex="1"> </div>
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label col-md-1">نوع الحركة</label>
                                                <div class="col-md-11">
                                                    <select id="TRANS_TYPE" class="form-control select" tabindex="2">
                                                        <option selected="selected" value="3">عجز</option>
                                                         <option value="6">فائض</option>
                                                        <option value="4">نقل</option> 
                                                    </select>
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label col-md-1">الصنف</label>
                                                <div class="col-md-11">
                                                    <select id="FUEL_CAT" class="form-control select" tabindex="3">
                                                        <option value="2">سولار</option>
                                                        <option value="1">بنزين</option>
                                                        <option value="3">غاز</option>
                                                        <option selected="selected" value="6">سولار مصري</option>
                                                        <option value="8">بنزين مصري</option>
                                                        <option value="9">غاز مصري</option> 
                                                         <option value="4">سولار قطري</option>
                                                    </select>
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    <!--/row-->
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">المخزن</label>
                                                <div class="col-md-9">
                                                    <select id="FROM_WAREHOUSE" class="form-control select" tabindex="4">
                                                        <?php foreach($warehouses as $warehouse){ ?>
                                                        <option value="<?php echo($warehouse['WAREHOUSE_ID']) ; ?>" <?php if($warehouse['WAREHOUSE_ID'] == 3) echo(' selected="selected" '); ?>><?php echo($warehouse['WAREHOUSE_NAME']) ; ?></option> 
                                                        <?php } ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div id="toWarehouse_div" style="display: none;" class="col-md-4" >
                                            <div class="form-group">
                                                <label class="control-label col-md-1">إلى مخزن</label>
                                                <div class="col-md-11">
                                                    <select id="TO_WAREHOUSE" class="form-control select" tabindex="5">
                                                        <?php foreach($warehouses as $warehouse){ ?>
                                                        <option value="<?php echo($warehouse['WAREHOUSE_ID']) ; ?>"><?php echo($warehouse['WAREHOUSE_NAME']) ; ?></option> 
                                                        <?php } ?>
                                                    </select>
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label col-md-1">الكمية</label>
                                                <div class="col-md-11">
                                                    <input id="TRAN_AMOUNT" name="TRAN_AMOUNT" type="text" class="form-control" tabindex="6">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>
                                
                                          <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="control-label col-md-1">ملاحظة</label>
                                                <div class="col-md-11">
                                                    <input id="TRANS_NOTES" name="TRANS_NOTES" type="text" class="form-control" tabindex="7">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                                <div class="form-actions">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-offset-3 col-md-9">
                                                    <button id="addWarehouseTrans_btn" type="button" class="btn green" tabindex="7">حفظ</button>
                                                    <button type="button" class="btn default">الغاء</button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6"> </div>
                                    </div>
                                </div>
                            </form>
                            <!-- END FORM-->
                        </div>
                    </div>
                </div>
            </div>
        <!-- END CONTENT BODY -->
        </div>
    <!-- END CONTENT -->
