<script src="js/constant.js?v=<?php echo(rand(10,99)); ?>" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">إدارة الأصناف</h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12">
                <div id="alert_container"></div>
            </div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift">بيانات الصنف</i></div>
                        <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                            <?php if($allowToAdd){ ?>
                            <a href="javascript:;" class="add" id="addNewProduct_tool"> </a>
                        <?php } ?>
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <form id="" action="#" class="form-horizontal">
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-12">

                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                            <div class="form-group">
                                                                <label class="control-label col-md-3">نوع الوقود</label>
                                                                <div class="col-md-3">
                                                                    <input  id="FUEL_TYPE" name="" type="text" class="form-control" value='' placeholder="" tabindex="0">
                                                                    <input type="hidden" id="PRODUCT_CATEGORY" value="" />
                                                                </div>

                                                                <div class="col-md-6">
                                                                    <input  id="FUEL_TYPE_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>

                                                                </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ البداية</label>
                                                            <div class="col-md-9">
                                                                <input  type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" size="16" id="start_date"  name="" tabindex="1">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ النهاية</label>
                                                            <div class="col-md-9">
                                                                <input  type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" size="16" id="end_date"  name="" tabindex="2">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row">
                                                            <div class="col-md-offset-3 col-md-9">
                                                                <button id="search_fuel" type="button" class="btn green" tabindex="3">استعلام</button>
                                                                <input type="hidden" name="initApproval" id="initApproval" value="<?php echo($initApproval); ?>" />
                                                                <input type="hidden" name="finalApproval" id="finalApproval" value="<?php echo($finalApproval); ?>" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>
                                <h3 class="form-section">نتائج البحث</h3>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-hover table-bordered" id="search_fuel_tb">
                                            <thead>
                                            <tr>
                                                <th>نوع الوقود</th>
                                                <th>سعر الشراء (دولار)</th>
                                                <th>سعر البيع (شيكل)</th>
                                                <th>سعر السوق (شيكل)</th>
                                                <th>فروقات</th>
                                                <th>تاريخ البداية</th>
                                                <th>تاريخ النهاية</th>
                                                <th>مدخل السعر</th>
                                                <th>اعتماد المدير</th>
                                                <th>اعتماد الرقابة</th>
                                                <th>اجراءات</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                <td colspan="11">
                                                    لا يوجد بيانات.
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->

       
        <div id="delete_fuel_model" class="modal fade" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                        <h4 class="modal-title">حذف سعر الوقود</h4>
                    </div>
                    <div class="modal-body">
                        <div class="scroller" style="height:100px" data-always-visible="1" data-rail-visible1="1">
                            <div class="row">
                                <input type="hidden" id="fuel_id">
                                <div class="col-md-12">
هل انت متأكد من حذف سعر الوقود؟
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary " id="confirm_delete">حذف</button>
                        <button type="button" data-dismiss="modal" class="btn dark btn-outline">إلغاء</button>
                    </div>
                </div>
            </div>
        </div>
    
    </div>
    <!-- END CONTENT -->