<script src="js/guarantee_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title"> 
            <small>  الضمانات البنكية</small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>ادارة الضمانات البنكية</div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">
                            
                            <div class="form-body">

                                <div class="row">
                                    <div class="col-md-12">
                                        
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>

                                            </div>

                                            <div class="portlet-body">



                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">رقم الضمان</label>
                                                            <div class="col-md-9">
                                                                <input id="GUARANTEE_SID" type="text" class="form-control" placeholder=""  tabindex="0" value="">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">الشركة</label>
                                                            <div class="col-md-9">
                                                                <input id="COMPANY_TERM" type="text" class="form-control" placeholder=""  tabindex="3">
                                                                <input id="COMPANY" type="hidden" class="form-control" placeholder=""  tabindex="3">
                                                                <input id="ACCOUNT" type="hidden" class="form-control" placeholder=""  tabindex="3">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">البنك</label>
                                                            <div class="col-md-9">
                                                                <select id="BANK" class="form-control" tabindex="3">
                                                                    <option value="">-- اختر --</option>
                                                                    <?php foreach($banks as $bank) : ?>
                                                                        <option value="<?= $bank['ID'];?>"><?= $bank['BANK_NAME'];?></option>
                                                                    <?php endforeach?>
                                                                </select>
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">رقم الحساب البنكي</label>
                                                            <div class="col-md-9">
                                                                <input id="BANK_ACCOUNT" type="text" class="form-control" placeholder=""  tabindex="3">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">قيمة الضمان</label>
                                                            <div class="col-md-9">
                                                                <input id="GUARANTEE_VALUE" type="text" class="form-control" placeholder=""  tabindex="3">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ البداية</label>
                                                            <div class="col-md-9">
                                                                <input  id="START_DATE" type="text" class="form-control"
                                                                value=''
                                                                placeholder="dd/mm/yyyy" tabindex="1"> </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ النهاية</label>
                                                            <div class="col-md-9">
                                                                <input  id="END_DATE" type="text" class="form-control"
                                                                value=''
                                                                placeholder="dd/mm/yyyy" tabindex="1"> </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"></label>
                                                            <div class="col-md-9">
                                                                <button id="getGuarantees_btn" type="button" class="btn green">بحث</button>
                                                                <input type="hidden" name="allowedToEdit" id="allowedToEdit" value="<?php echo($allowedToEdit); ?>">
                                                                <input type="hidden" name="allowedToApprove" id="allowedToApprove" value="<?php echo($allowedToApprove); ?>">
                                                                <input type="hidden" name="allowedToCancel" id="allowedToCancel" value="<?php echo($allowedToCancel); ?>">
                                                                <input type="hidden" name="allowedToReturn" id="allowedToReturn" value="<?php echo($allowedToReturn); ?>">
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>


                                            </div>

                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>

                                <h3 class="form-section">الضمانات البنكية</h3>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="guaranteesMaster_tb">
                                                    <thead>
                                                        <tr role="row" class="heading">
                                                            <th> رقم الضمان </th>
                                                            <th> الشركة </th>
                                                            <th> الحساب </th>
                                                            <th> البنك </th>
                                                            <th> حساب البنك </th>
                                                            <th> القيمة </th>
                                                            <th> البداية </th>
                                                            <th> النهاية </th>
                                                            <th> الحالة </th>
                                                            <th> اجراءات </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td colspan="10">
                                                                لا يوجد بيانات.
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                    <!--
                                                    <tfoot>
                                                        <tr>
                                                            <td colspan="5"> اجمالي </td>
                                                            <td> 
                                                                <input id="amountSum" type="text" class="form-control" placeholder="" value="0" readonly> 
                                                            </td>
                                                            <td colspan="4">  </td>

                                                        </tr>
                                                    </tfoot>
                                                    -->
                                                </table>
                                    </div>
                                </div>


                                <!--/row-->


                                <!--/row-->

                                <!--/row-->
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->

<form id="goToManageGuaranteesForm" action="index.php/guarantees/manageGuarantee" method="post" target="_blank">
    <input type="hidden" id="F_GUARANTEE_SID" name="F_GUARANTEE_SID">
</form>