<script src="assets/global/plugins/bootbox/bootbox.min.js" type="text/javascript"></script>
<script src="js/rafah_scripts.js?v=<?php echo(rand(10, 99)); ?>" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title"> بيانات قياسات مخازن المحروقات  <small>معبر رفح للترول</small></h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>استعلام عن قياسات المخازن</div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">
                            
                            <div class="form-body">

                                <div class="row">
                                    <div class="col-md-12">
                                        
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">محددات الإستعلام</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                             <label class="control-label col-md-3">الفترة</label>
                                                            <div class="input-group" data-date-format="dd/mm/yyyy">
                                                                <input type="text" class="form-control date-picker" name="START_DT" id="START_DT" data-date-format="dd/mm/yyyy" tabindex="1">
                                                                <span class="input-group-addon"> إلى </span>
                                                                <input type="text" class="form-control date-picker" name="END_DT" id="END_DT" data-date-format="dd/mm/yyyy" tabindex="2">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"> وقت القياس </label>
                                                            <div class="col-md-9">
                                                                <select id="GAUGE_TIME" class="form-control" name="GAUGE_TIME" tabindex="3">
                                                                    <option value="">الجميع</option>
                                                                    <option value="1">بداية العمل</option>
                                                                    <option value="2">نهاية العمل</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"> الخزان </label>
                                                            <div class="col-md-9">
                                                                <select id="TANK_SR" class="form-control" name="TANK_SR" tabindex="4">
                                                                    <option value="">الجميع</option>
                                                                    <?php 
                                                                    foreach($tanks as $tank){
                                                                        ?>
                                                                    <option value="<?php echo($tank['SERIAL_NO']); ?>"><?php echo($tank['TANK_NAME']); ?></option>
                                                                    <?php } ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                   
                                                    <div class="col-md-1">
                                                        <button id="getRafahPortTanksGauges_btn" type="button" class="btn green">جلب البيانات</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>

                                <h3 class="form-section"> نتائج الاستعلام</h3>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="rafahPortTanksGauges_tb">
                                            <thead>
                                                <tr role="row" class="heading">
                                                    <th>الخزان</th>
                                                    <th>تاريخ القياس</th>
                                                    <th>وقت القيات</th>
                                                    <th>ساعة القياس</th>
                                                    <th>القياس</th>
                                                    <th>الصنف</th>
                                                    <th>ملاحظات القياس</th>
                                                    <th>مدخل القياس</th>
                                                    <th>مدقق القياس</th>
                                                    <th>حالة البيان</th>
                                                    <th>اجراءات</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td colspan="11">لا يوجد بيانات</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->