<div id="alert_container"></div>
<div class="licenses_form col-md-offset-0" style="display: none">
    <div class="mt-element-ribbon bg-grey-steel">
        <div class="ribbon ribbon-color-success  uppercase ">إدخال ترخيص</div>
        </br></br>
        <form id="licensesform" action="#" class="form-horizontal">
            <div class="form-body">
                <input type="hidden" id="L_STATION_SR" name="L_STATION_SR" value="<?php echo $station_sr;?>">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">نوع الترخيص</label>
                            <div class="col-md-8">
                                <select class="form-control" name="LTYPE" id="LTYPE" tabindex="1">
                                    <option value="">اختر</option>
                                    <?php for ($i = 0; $i < sizeof($license_type); $i++) {?>
                                    <option value="<?php echo $license_type[$i]['SERIAL_NO'];?>"><?php echo $license_type[$i]['TYPE_NAME'];?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">السنة</label>

                            <div class="col-md-8">
                                <select class="form-control" id="YEAR" name="YEAR"tabindex="2" >
                                    <option value="2019">2019</option>
                                    <option value="2018">2018</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">تاريخ الترخيص</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" id="START_DT"
                                       name="START_DT" tabindex="3">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">تاريخ انتهاء الترخيص</label>

                            <div class="col-md-8">
                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" id="END_DT"
                                       name="END_DT" tabindex="4">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="control-label col-md-2">ملاحظات </label>
                            <div class="col-md-10">
                                <input type="text" class="form-control" name="NOTES" id="NOTES" tabindex="5">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="files">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label col-md-4">المرفق</label>
                                <div class="col-md-6">
                                    <input id="mod_files0" class="mod_files" type="file" name="files[]" multiple  tabindex="6">
                                </div>
                                <div class="col-md-1">
                                    <a href="javascript:;" class="btn btn-sm" name="" id="addattach_modal"><i class="fa fa-plus"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-offset-9 col-md-9">
                                <button id="add_station_licenses" type="button" class="btn green" tabindex="7">حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="portlet box green">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-gift"></i> تراخيص المحطة
                </div>
            </div>
            <div class="portlet-body">
                <div class="table-scrollable">
                    <table class="table table-striped table-bordered table-hover table-checkable"
                           id="licenses_tb">
                        <thead>
                        <tr role="row" class="heading">
                            <th>نوع الترخيص</th>
                            <th>السنة</th>
                            <th>تاريخ الترخيص</th>
                            <th>تاريخ انتهاء الترخيص</th>
                            <th>ملاحظات</th>
                            <th>المرفق</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php for ($i = 0; $i < sizeof($license); $i++) {?>
                        <tr>
                            <td><?php echo $license[$i]['LTYPE_NAME'];?></td>
                            <td><?php echo $license[$i]['LICENSE_YEAR'];?></td>
                            <td><?php echo $license[$i]['LICENSE_START'];?></td>
                            <td><?php echo $license[$i]['LICENSE_END'];?></td>
                            <td><?php echo $license[$i]['NOTES'];?></td>
                            <td><?php echo $license[$i]['FILES_LINKS'];?></td>
                        </tr>
                        <?php }?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>