var resulting_message = $('#resulting_message');

var error = $('.alert-danger', resulting_message);
var success = $('.alert-success', resulting_message);  

var add_user_form = $('#receipt_form');


var FormValidation22 = function () {


    // validation using icons
    var handleValidation22 = function() {
        // for more info visit the official plugin documentation: 
            // http://docs.jquery.com/Plugins/Validation


              add_user_form.validate({
                errorElement: 'span', //default input error message container
                errorClass: 'help-block help-block-error', // default input error message class
                focusInvalid: false, // do not focus the last invalid input
                ignore: "true",  // validate all fields including form hidden input

              
                rules: {
                       firstname: {
                       required : true
                       
                     },

                      
                    
                    
                },

                invalidHandler: function (event, validator) { //display error alert on form submit              
                    success.hide();
                    error.show();
                    App.scrollTo(error, -200);
                },

                errorPlacement: function (error, element) { // render error placement for each input type
                    var icon = $(element).parent('.input-icon').children('i');
                    icon.removeClass('fa-check').addClass("fa-warning");  
                    icon.attr("data-original-title", error.text()).tooltip({'container': 'body'});
                },

                highlight: function (element) { // hightlight error inputs
                    check_flag = false;
                    $(element)
                        .closest('.form-group').removeClass("has-success").addClass('has-error'); // set error class to the control group   
                },

                unhighlight: function (element) { // revert the change done by hightlight
                    
                },

                success: function (label, element) {
                    check_flag = true;
                    var icon = $(element).parent('.input-icon').children('i');
                    $(element).closest('.form-group').removeClass('has-error').addClass('has-success'); // set success class to the control group
                    icon.removeClass("fa-warning").addClass("fa-check");

                },

                submitHandler: function (form) {
                    success.show();
                    error.hide();
                   //  agent_add_info[0].submit(); // submit the form
                }
            });


    }

 

    var handleWysihtml5 = function() {
        if (!jQuery().wysihtml5) {
            
            return;
        }

        if ($('.wysihtml5').size() > 0) {
            $('.wysihtml5').wysihtml5({
                "stylesheets": ["../assets/global/plugins/bootstrap-wysihtml5/wysiwyg-color.css"]
            });
        }
    }

    return {
        //main function to initiate the module
        init: function () {

            handleWysihtml5();
            handleValidation22();
          

        }

    };

}();


$(document).on('click', "#updateUser_btn", function (e) {
 

        var USER_ID_NO = $("#USER_ID_NO").val();
        var firstname = $("#firstname").val();
        var fathername =  $("#fathername").val();

        var familyname =  $("#familyname").val();

        var employee_number =  $("#employee_number").val();

        var job_name = $('#job_name').val();

        if(USER_ID_NO == '' || USER_ID_NO ==null)
        {
             $('#USER_ID_NO').addClass('error red');
        }

        else { 

            $('#USER_ID_NO').removeClass('error red');

                 if(firstname == '' || firstname ==null)
                    {
                         $('#firstname').addClass('error red');
                    }

                    else {
                         $('#firstname').removeClass('error red');



                     if(fathername == '' || fathername ==null)
                    {
                         $('#fathername').addClass('error red');
                    }

                    else {
                         $('#fathername').removeClass('error red');


                          if(familyname == '' || familyname ==null)
                    {
                         $('#familyname').addClass('error red');
                    }

                    else {
                         $('#familyname').removeClass('error red');

                         
                      

                         insertAgentData();

                     }



                         }
                    }
                         
                    }
 
});

function  insertAgentData() {

    var records = [];
	$(".USER_ROLE:checked").each(function () {
		records.push(JSON.stringify({
			'ROLE_ID': $(this).val()
		}));
	});




           $.ajax(
         {
            url: "index.php/user/Add_new_User_data",
            type: "post",
           data: {
            USER_ID_NO: $("#USER_ID_NO").val(),
            USER_FNAME: $("#firstname").val(),
            USER_SNAME: $("#fathername").val(),
            USER_LNAME: $("#familyname").val(),
            USER_EMP_NO: $("#employee_number").val(),
            USER_STATUS : $("#USER_STATUS").val(),
            USER_JOP_TITLE : $("#job_name").val(),
            role_rows: JSON.stringify(records)
        },
            
            dataType: 'json',
             success: function(data_json) {
               

                 if (data_json['O_SUCCESS'] =="1"){
                       
                   
                         $('#alert-danger').hide();
                          $('#alert-danger').addClass('display-hide');
                        $('#success_message').empty();
                        $('#success_message').append(data_json['O_MSG']);
                        $('#success_message').show();

                        $('#success_message').removeClass('display-hide');
                    

 
                       }

                       else {

                        
                        $('#alert-danger').empty();
                         $('#alert-danger').append('يوجد خطأ في الادخال');
                         $('#alert-danger').show();
                         $('#alert-danger').removeClass('display-hide');
                       
                       }
}
          });


}