$(document).ready(function() {
$(document).on('click', "#accounts_tb_new", function (e) {
    e.preventDefault();
    var nextTabIndex = parseInt($('#company_btn').attr('tabindex'));
    $("#accounts_tb tbody").append(
        '<tr>' +
        '<td class="form-group">' +
        '<select id="parent_account_id" class="form-control parent_account_id " name="parent_account_id"  tabindex="' + nextTabIndex + '">' +
            ' <option value="">-- اختر --</option>'+
            '<option value="2">محروقات</option>'+
            '<option value="3">غاز</option>'+
            '<option value="7">مازوت</option>'+
        '</td>' +
        '<td class="form-group">' +
        '<input type="text" class="form-control" id="account_value" name="account_value" tabindex="' + ++nextTabIndex + '">' +
        '</td>' +
        '<td><a class="btn red deleteRow" href="javascript:;" tabindex="-1"> حذف </a></td>' +
        '</tr>'
    );
    $('#company_btn').attr('tabindex', ++nextTabIndex)
});


$(document).on('click', ".deleteRow", function (e) {
    e.preventDefault();
    $(this).parents('tr').remove();
});

$(document).on('keypress', function (event) {
    if (event.keyCode == 13){
        var tabindex = $(event.target).attr("tabindex");
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    }
    if (event.keyCode == 43){
        $('#accounts_tb_new').click();
        event.preventDefault();
    }
});

    $(document).on('change', "#company_type", function (e) {
        var tabindex = $(this).attr('tabindex');
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    });

    $(document).on('change', ".parent_account_id", function (e) {
        var tabindex = $(this).attr('tabindex');
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    });

    $(document).on('change', "#search_company_type", function (e) {
        var tabindex = $(this).attr('tabindex');
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    });
    $(document).on('change', "#search_parent_account", function (e) {
        var tabindex = $(this).attr('tabindex');
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    });


$(document).on('click', "#company_btn", function (e) {
    FormValidation.init();
    if($("#comp_info").valid() !== true){
        return;
    }
    var isValid = 1;
    if($("#company_name").val() == ''){
        $("#company_name").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#company_name").closest('.form-group').removeClass('has-error');
    }
    if($("#company_id").val() == ''){
        $("#company_id").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#company_id").closest('.form-group').removeClass('has-error');
    }
    if($("#company_type").val() == ''){
        $("#company_type").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#company_type").closest('.form-group').removeClass('has-error');
    }
    if(!isValid) return;
    var records = [];
    $("#accounts_tb tbody tr").each(function () {
        if($(this).find("#account_value").val()!=''&&$(this).find("#parent_account_id").val()!=''){
        records.push(JSON.stringify({
            'account_value': $(this).find("#account_value").val(),
            'parent_account_id': $(this).find("#parent_account_id").val()
        }));}
    });
    $.ajax({
        type: 'post',
        url: "index.php/constant/addcompany",
        cache: false,
        dataType: "json",
        data: {
            company_name: $("#company_name").val(),
            company_id: $("#company_id").val(),
            company_type: $("#company_type").val(),
            accounts: JSON.stringify(records)
        },
        success: function (data) {
           if(data.success > 0){
               document.getElementById('comp_info').reset();
            }


            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});

        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });

});

$(document).on('click', "#fuel_btn", function (e) {
    FormValidation.init();
    if($("#fuel_info").valid() !== true){
        return;
    }
    var isValid = 1;
    if($("#FUEL_TYPE").val() == ''){
        $("#fuel_type").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#fuel_type").closest('.form-group').removeClass('has-error');
    }
    if($("#buy_price").val() == ''){
        $("#buy_price").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#buy_price").closest('.form-group').removeClass('has-error');
    }
    if($("#sale_price").val() == ''){
        $("#sale_price").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#sale_price").closest('.form-group').removeClass('has-error');
    }
    if($("#market_price").val() == ''){
        $("#market_price").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#market_price").closest('.form-group').removeClass('has-error');
    }
    if($("#start_date").val() == ''){
        $("#start_date").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#start_date").closest('.form-group').removeClass('has-error');
    }
    if($("#end_date").val() == ''){
        $("#end_date").closest('.form-group').addClass('has-error');
        isValid = 0;
    }else{
        $("#end_date").closest('.form-group').removeClass('has-error');
    }
    if(!isValid) return;
    $.ajax({
        type: 'post',
        url: "index.php/constant/addfuel",
        cache: false,
        dataType: "json",
        data: {
            FUEL_TYPE: $("#FUEL_TYPE").val(),
            buy_price: $("#buy_price").val(),
            sale_price: $("#sale_price").val(),
            market_price: $("#market_price").val(),
            differ_price : $('#differ_price').val(),
            start_date: $("#start_date").val(),
            end_date: $("#end_date").val()
        },
        success: function (data) {
            if(data.success > 0){
             document.getElementById('fuel_info').reset();
             }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });

});

$(document).on('click', "#search_company", function (e){
    $('#search_comp_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,

        "ajax": {
            type: 'POST',
            url: "index.php/constant/view_company_action",
            dataType: "json",
            cache: false,
            data: {
                company_id: $('#TRANS_COM').val(),
                company_type: $('#search_company_type').val(),
                parent_account: $('#search_parent_account').val()
            }
        },
        "order": [[0, "asc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing": "جاري معالجة البيانات...",
            "search": "بحث:",
            "paginate": {
                "first": "الأول",
                "last": "الأخير",
                "next": "التالي",
                "previous": "السابق"
            },
        },
        "sAjaxDataProp": "",
     "aoColumnDefs": [
            {
               /* "aTargets": [6],
                "mData": "download_link",
                "mRender": function (data, type, full) {
                    var res = "";
                    res += '<a class="btn green" target="_blank" href="index.php/carCheck/updatecar/'+ data.SN+'" >تعديل</a>';
                    return res;
                }*/
                "aTargets": [2],
                "mData": "download_link",
                "mRender": function (data, type, full) {
                    var res = "";
                    if(data.IS_TRANSPORTER == 1) {
                        res += 'ناقلة';
                    }else{
                        res += 'غير ناقلة';
                    }
                    return res;
                }
            }
        ],
        "aoColumns": [
            {"mData": 'COMPANY_NAME'},
            {"mData": "COMPANY_ID"},
            {"mData": null},
            {"mData": "COM_FIELD"},
            {"mData": "ACCOUNT_VALUE"}
            /*{"mData": null}*/
        ]

    });

});

    $(document).on('click', "#search_fuel", function (e){

        getProductsPrices();

    });

    $(document).on('click', '.initApproval', function(e){
        var PRICE_SR = $(this).attr('REC_SERIAL'); 
        $.ajax({
            type: 'post',
            url: "index.php/constant/productPriceInitialApproval",
            cache: false,
            dataType: "json",
            data: {
                PRICE_SR: PRICE_SR
            },
            success: function (data) {
                    showMessage({
                        message: data.msg,
                        type: (data.success > 0) ? 'success' : 'warning',
                        icon: (data.success > 0) ? 'check' : 'warning'
                    });
                    getProductsPrices();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
            }
        });
        e.preventDefault();
    });

    $(document).on('click', '.finalApproval', function(e){
        var PRICE_SR = $(this).attr('REC_SERIAL'); 

        $.ajax({
            type: 'post',
            url: "index.php/fcontrol/productPriceFinalApproval",
            cache: false,
            dataType: "json",
            data: {
                PRICE_SR: PRICE_SR
            },
            success: function (data) {
                    showMessage({
                        message: data.msg,
                        type: (data.success > 0) ? 'success' : 'warning',
                        icon: (data.success > 0) ? 'check' : 'warning'
                    });
                    getProductsPrices();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
            }
        });
        e.preventDefault();
    });


    $(document).on('click', '.delete_fuel', function () {
        $(".modal-body #fuel_id").val($(this).attr('id'));
    });
    $(document).on('click', '#confirm_delete', function () {
        $.ajax({
            type: 'post',
            url: "index.php/constant/delete_fuel_price",
            cache: false,
            dataType: "json",
            data: {
                fuel_id: $("#fuel_id").val()
            },
            success: function (data) {
                    showMessage({
                        message: data.msg,
                        type: (data.success > 0) ? 'success' : 'warning',
                        icon: (data.success > 0) ? 'check' : 'warning'
                    });
                $('#delete_fuel_model').modal('hide');
                getProductsPrices();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
                $('#delete_fuel_model').modal('hide');
            }
        });

    });

$('#search_comp_tb').dataTable({
    "destroy": true,
    "bStateSave": true,
    "lengthMenu": [
        [10, 20, 50, 100, 150, -1],
        [10, 20, 50, 100, 150, "All"] // change per page values here
    ],
    "pageLength": 10,
    "data": [],

    "columns": [
        { title: "اسم الشركة" },
        { title: "رقم المشتغل" },
        { title: "نوع الشركة" },
        { title: "مجال العمل" },
        { title: "رقم الحساب" }
        /*{ title: "عمليات" }*/
    ],
    "language": {
        "lengthMenu": "عرض _MENU_ سجل في الصفحة",
        "zeroRecords": "عذرا - لا يوجد بيانات.",
        "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
        "infoEmpty": "لا تتوفر اي بيانات.",
        "infoFiltered": "(تصفية من _MAX_ سجل)",
        "loadingRecords": "تحميل...",
        "processing":     "جاري معالجة البيانات...",
        "search":         "بحث:",
        "paginate": {
            "first":      "الأول",
            "last":       "الأخير",
            "next":       "التالي",
            "previous":   "السابق"
        }
    }

});


function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

var FormValidation = function() {
    var handleValidation = function () {
        var form1 = $('#comp_info');
        var error1 = $('.alert-danger', form1);
        var success1 = $('.alert-success', form1);
        form1.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                company_name: {
                    required: "هذا الحقل مطلوب",
                },
                company_id: {
                    required: "هذا الحقل مطلوب",
                    number:"الرجاء ادخال ارقام فقط",
                    maxlength:"الرجاء ادخال رقم مكون من 9 خانات",
                    minlength:"الرجاء ادخال رقم مكون من 9 خانات",
                },
                company_type: {
                    required: "هذا الحقل مطلوب",
                },
                account_value: {
                    number:"الرجاء ادخال ارقام فقط",
                    maxlength:"الرجاء ادخال رقم مكون من 4 خانات",
                    minlength:"الرجاء ادخال رقم مكون من 4 خانات"
                }
            },
            rules: {
                company_name: {
                    required: true,
                },
                company_id: {
                    required: true,
                    number:true,
                    maxlength:9,
                    minlength:9
                },
                company_type: {
                    required: true,
                },
                account_value:{
                    number:true,
                    maxlength:4,
                    minlength:4
                },
            },

            invalidHandler: function (event, validator) { //display error alert on form submit
                success1.hide();
                error1.show();
                App.scrollTo(error1, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success1.show();
                error1.hide();
            }


        });
    }

    var handleValidation__2 = function () {
        var form1 = $('#fuel_info');
        var error1 = $('.alert-danger', form1);
        var success1 = $('.alert-success', form1);
        form1.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                FUEL_TYPE: {
                    required: "هذا الحقل مطلوب",
                },
                buy_price: {
                    required: "هذا الحقل مطلوب",
                },
                sale_price: {
                    required: "هذا الحقل مطلوب",
                },
                market_price: {
                    required: "هذا الحقل مطلوب",
                },
                start_date: {
                    required: "هذا الحقل مطلوب",
                    date : 'ادخلالتاريخ',
                },
                end_date: {
                    required: "هذا الحقل مطلوب",
                    date : 'ادخلالتاريخ',
                }
            },
            rules: {
                FUEL_TYPE: {
                    required: true,
                },
                buy_price: {
                    required: true,
                },
                sale_price: {
                    required: true,
                },
                market_price: {
                    required: true,
                },
                start_date: {
                    required: true,
                },
                end_date: {
                    required: true,
                }
            },

            invalidHandler: function (event, validator) { //display error alert on form submit
                success1.hide();
                error1.show();
                App.scrollTo(error1, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success1.show();
                error1.hide();
            }


        });
    }

    var handleValidationComLimit = function () {
        var form = $('#companyLimitInfo_frm');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                ACCOUNT_NAME: {
                    required: "هذا الحقل مطلوب",
                },
                COMPANY_LIMIT: {
                    required: "هذا الحقل مطلوب",
                    number : "الرجاء إدخال قيمة السقف كرقم فقط بدون الوحدة"
                },
                COMPANY_RATIO: {
                    required: "هذا الحقل مطلوب",
                    number : "الرجاء إدخال النسبة كقيمة رقمية فقط"
                },
                PERIOD_START: {
                    required: "هذا الحقل مطلوب",
                },
                PERIOD_END: {
                    required: "هذا الحقل مطلوب",
                }
            },
            rules: {
                ACCOUNT_NAME: {
                    required: true,
                },
                COMPANY_LIMIT: {
                    required: true,
                    number : true, 
                },
                COMPANY_RATIO: {
                    required: true,
                    number : true,
                },
                PERIOD_START: {
                    required: true,
                },
                PERIOD_END: {
                    required: true,
                },
            },

            invalidHandler: function (event, validator) { //display error alert on form submit
                success.hide();
                error.show();
                App.scrollTo(error, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success.show();
                error.hide();
            }
        });
    }
    return {
        init: function () {
            handleValidation();
            handleValidation__2();
            handleValidationComLimit(); 
        }

    }
}();


$(document).ready(function() {
$('#FUEL_TYPE').blur(function(e){
    var elm = $(this);
    $.ajax({
        type: 'POST',
        url: "index.php/common/getPetrolProductInfoByID",
        cache: false,
        dataType: "json",
        data: {
            ID: $('#FUEL_TYPE').val()
        },
        success: function (data) {
            if(data.length > 0){
                $('#FUEL_TYPE_NAME').val(data[0]['FUEL_NAME']);
            }else{
                elm.focus();
                $('#PRODUCT_CATEGORY').val('');
                $('#FUEL_TYPE_NAME').val('');
                showMessage({message:"نوع الوقود غير صحيح.", type:"warning", icon:"warning"});
            }
        }
        ,
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });
    e.preventDefault();
}) ;
}) ;



    $(document).on('keyup', "#TRANS_COM_TERM", function (event) {
        if($(this).val() == ''){
            $("#TRANS_COM").val('');
            $("#TRANS_COM_NAME").val('');
        }
        $search_for = $(this).val();
        $(this).autocomplete({
            source: function (request, response) {
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getCompanyInfo",
                    cache: false,
                    dataType: "json",
                    data: {
                        term: $search_for
                    },
                    success: function (data) {
                        response($.map(data, function (item) {
                            return {
                                label: item.COMPANY_NAME_A,
                                value: item.COMPANY_ID
                            }
                        }));
                    }
                    ,
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            },
            minLength: 1,
            position: {
                my: "right bottom",
                at: "right top",
                collision: "flip"
            },
            select: function (event, ui) {
                $("#TRANS_COM").val(ui.item.value);
                $("#TRANS_COM_NAME").val(ui.item.label);
                $("#TRANS_COM-error").remove();
            },
            open: function () {
                $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
            },
            close: function () {
                $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
            }
        });
    });

    $(document).on('keyup', "#ACCOUNT_TERM", function (event) {
        if($(this).val() == ''){
            $("#ACCOUNT").val('');
            $("#ACCOUNT_NAME").val(''); 
        }
        $(this).autocomplete({
            source: function (request, response) {
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountsByTerm",
                    cache: false,
                    dataType: "json",
                    data: {
                        TERM: $("#ACCOUNT_TERM").val(),
                    },
                    success: function (data) {
                        response($.map(data, function (item) {
                            return {
                                label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                                key: item.ACCOUNT_ID,
                                value: item.ACCOUNT_VALUE,
                                name : item.ACCOUNT_NAME 
                            }
                        }));
                    }
                    ,
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            },
            minLength: 1,
            position: {
                my: "right bottom",
                at: "right top",
                collision: "flip"
            },
            select: function (event, ui) {
                $("#ACCOUNT").val(ui.item.key);
                $("#ACCOUNT_NAME").val(ui.item.name);
                $("#ACCOUNT_TERM").val(ui.item.value);
            },
            open: function () {
                $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
            },
            close: function () {
                if($("#ACCOUNT_TERM").val() == ''){
                    $("#ACCOUNT").val('');
                    $("#ACCOUNT_NAME").val('');
                }
                $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
            }
        });
    });

    $(document).on('click', "#saveCompanyLimitInfo_btn", function (event) {
        FormValidation.init();
        if($("#companyLimitInfo_frm").valid() !== true){
            return; 
        }
        $.ajax({
            type: 'POST',
            url: "index.php/constant/saveCompanyLimitInfo" ,
            cache: false,
            dataType: "json",
            data: {
                COM_ACCOUNT: $("#ACCOUNT").val(),
                COMPANY_LIMIT: $("#COMPANY_LIMIT").val(),
                PERIOD_START: $("#PERIOD_START").val(),
                PERIOD_END: $("#PERIOD_END").val(),
                NOTES: $("#NOTES").val(),
                LIMIT_SERIAL: $("#LIMIT_SERIAL").val(),
            },
            success: function (data) {
                showMessage({message: data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
                resetCompanyLimitInfo(); 
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: errorThrown, type: 'warning', icon: 'warning'});
            }
        });
        event.preventDefault(); 
    }); 

    $(document).on('click', '#clearLimitInfoForm', function(e){
        resetCompanyLimitInfo();
        e.preventDefault(); 
    }); 

    $(document).on('click', "#queryCompanyLimits_btn", function (event) {
        getCompamiesLimitsList(); 
        event.preventDefault(); 
    });

    $(document).on('click', ".approveCompanyLimit", function (event) {
        var serial = $(this).attr('LIMIT_SERIAL'); 
        $.ajax({
            type: 'POST',
            url: "index.php/constant/approveCompanyLimit",
            cache: false,
            dataType: "json",
            data: {
                LIMIT_SR: serial
            },
            success: function (data) {
                if(data.success == 1){
                    getCompamiesLimitsList(); 
                   showMessage({message:data.msg, type:"success", icon:"success"});
                } else {
                    showMessage({message:data.msg, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message:textStatus, type:"warning", icon:"warning"});
            }
        });
        event.preventDefault(); 
    }); 

    $(document).on('click', ".cancelCompanyLimit", function (event) {
        var serial = $(this).attr('LIMIT_SERIAL'); 
        $.ajax({
            type: 'POST',
            url: "index.php/constant/cancelCompanyLimit",
            cache: false,
            dataType: "json",
            data: {
                LIMIT_SR: serial
            },
            success: function (data) {
                if(data.success == 1){
                    getCompamiesLimitsList(); 
                   showMessage({message:data.msg, type:"success", icon:"success"});
                } else {
                    showMessage({message:data.msg, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message:textStatus, type:"warning", icon:"warning"});
            }
        });
        event.preventDefault(); 
    }); 

    $(document).on('click', ".returnCompanyLimit", function (event) {
        var serial = $(this).attr('LIMIT_SERIAL'); 
        $.ajax({
            type: 'POST',
            url: "index.php/constant/returnCompanyLimit",
            cache: false,
            dataType: "json",
            data: {
                LIMIT_SR: serial
            },
            success: function (data) {
                if(data.success == 1){
                    getCompamiesLimitsList(); 
                   showMessage({message:data.msg, type:"success", icon:"success"});
                } else {
                    showMessage({message:data.msg, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message:textStatus, type:"warning", icon:"warning"});
            }
        });
        event.preventDefault(); 
    }); 

    $(document).on('click', '.editCompanyLimit', function(e){
        $('#p_LIMIT_SERIAL').val($(this).attr('LIMIT_SERIAL')); 
        $('#manageComLimit_frm').submit(); 
        e.preventDefault(); 
    }); 

    $(document).ready(function() {
        $('#company_id').blur(function(e){
            var elm = $(this);
            $.ajax({
                type: 'POST',
                url: "index.php/constant/validcompany",
                cache: false,
                dataType: "json",
                data: {
                    ID: $('#company_id').val()
                },
                success: function (data) {
                   if(data.length > 0){
                       elm.focus();
                       showMessage({message:"رقم المشتغل موجود سابقا", type:"warning", icon:"warning"});
                    }
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
            e.preventDefault();
        }) ;
    }) ;



}) ;

function getProductsPrices(){
    var allowToApprove1 = $('#initApproval').val(); 
        var allowToApprove2 = $('#finalApproval').val(); 
        $('#search_fuel_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            "dom": 'Blfrtip',
            "buttons": [
                {
                    extend: 'excel', text: 'تصدير الى اكسل',
                }
            ],
            "ajax": {
                type: 'POST',
                url: "index.php/constant/view_fuel_action",
                dataType: "json",
                cache: false,
                data: {
                    FUEL_TYPE: $('#FUEL_TYPE').val(),
                    start_date: $('#start_date').val(),
                    end_date: $('#end_date').val()
                }
            },
            "order": [],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs": [
                {
                   "aTargets": [10],
                     "mData": "download_link",
                     "mRender": function (data, type, full) {
                        var res = "";
                        if(data.INITIAL_APPROVAL == '-' && allowToApprove1 == 1){
                            res += '<a class="btn green initApproval" href="#" REC_SERIAL="' + data.FUEL_PRICE_SERIAL + '">اعتماد المدير</a>';
                        }
                        if(data.FINAL_APPROVAL == '-' && allowToApprove2 == 1){
                            res += '<a class="btn red finalApproval" href="#" REC_SERIAL="' + data.FUEL_PRICE_SERIAL + '">اعتماد الرقابة</a>';
                        }
                        if(data.INITIAL_APPROVAL == '-'){
                            res += '<a class="btn red delete_fuel" data-toggle="modal" href="#delete_fuel_model" id="' + data.FUEL_PRICE_SERIAL + '" >حذف</a>';
                        }
                     return res;
                     }
                }
            ],
            "aoColumns": [
                {"mData": "PRODUCT_NAME"},
                {"mData": "BUY_PRICE"},
                {"mData": "SALE_PRICE"},
                {"mData": "MARKET_PRICE"},
                {"mData": "DIFF_PRICE"},
                {"mData": "START_DT"},
                {"mData": "END_DT"},
                {"mData": "INSERT_USER"},
                {"mData": "INITIAL_APPROVAL"},
                {"mData": "FINAL_APPROVAL"},
                {"mData": null}
            ]

        });
}

function resetCompanyLimitInfo(){
    if($('#LIMIT_SERIAL').val() == ''){
        $('#ACCOUNT_TERM').val(''); 
        $('#ACCOUNT').val(''); 
        $('#ACCOUNT_NAME').val(''); 
        $('#COMPANY_LIMIT').val(''); 
        $('#NOTES').val(''); 
    } 
}

function getCompamiesLimitsList(){
    $('#companiesLimits_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        "dom": 'Blfrtip',
        "buttons": [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax": {
            type: 'POST',
            url: "index.php/constant/getCompaniesLimitsData",
            dataType: "json",
            cache: false,
            data: {
                COM_ACCOUNT: $('#ACCOUNT').val(),
                STATUS: $('#STATUS').val(),
                LIMIT_START: $('#LIMIT_SDT').val(), 
                LIMIT_END: $('#LIMIT_EDT').val(), 
            }
        },
        "order": [],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing": "جاري معالجة البيانات...",
            "search": "بحث:",
            "paginate": {
                "first": "الأول",
                "last": "الأخير",
                "next": "التالي",
                "previous": "السابق"
            },
        },
        "sAjaxDataProp": "",
        "columns": [
            {"data": null, "width": "200px", "render": function (data, type, full){
                return data.COM_FIN_NO + ' - ' + data.COM_NAME
            }},
            {"data": "COM_LIMIT"},
            {"data": "PERIOD_STD"},
            {"data": "PERIOD_EDD"},
            {"data": "NOTES"},
            {"data": "STATUS_NAME"},
            {"data": null, "render": function (data, type, full){
                return data.INSERT_DT + ' - ' + data.INSER_NAME
            }},
            {"data": null, "render": function (data, type, full){
                if(data.APPROVE_DT != '' && data.APPROVE_DT != null) return data.APPROVE_DT + ' - ' + data.APPROVER_NAME
                return ''; 
            }},
            {"data": null, "render": function (data, type, full) {
                var res = "";
                if(data.STATUS == 0){ 
                    if($('#allowedToApprove').val() == 1) res += '<a class="btn green approveCompanyLimit" href="#" LIMIT_SERIAL="' + data.SERIAL_NO + '">اعتماد</a>';
                    if($('#allowedToEdit').val() == 1) res += '<a class="btn green editCompanyLimit" href="#" LIMIT_SERIAL="' + data.SERIAL_NO + '">تعديل</a>';
                    if($('#allowedToCancel').val() == 1) res += '<a class="btn green cancelCompanyLimit" href="#" LIMIT_SERIAL="' + data.SERIAL_NO + '">الغاء</a>';
                }
                if(data.STATUS == 1){ 
                    if($('#allowedToReturn').val() == 1) res += '<a class="btn green returnCompanyLimit" href="#" LIMIT_SERIAL="' + data.SERIAL_NO + '">إرجاع</a>';
                }
                return res;
            }}
        ]

    });
}
