$(document).on('keyup', "#COMPANY_ID", function (event) {
    if (event.keyCode == 13) {
        $("#getComAgent_btn").click();
    }
});

$(document).on('click', "#getComAgent_btn", function (e) {
    var html = ''; 
    $.ajax({
        type: 'post',
        url: "index.php/statements/getCompanyAgent",
        cache: false,
        dataType: "json",
        data: {
            COMPANY_ID : $("#COMPANY_ID").val()
        },
        success: function (data){
            $('#agentsData_div').empty();
            $.each(data, function(index, item) { 
                $.ajax({
                    type: 'post',
                    url: "index.php/statements/getAgentAccounts",
                    cache: false,
                    dataType: "json",
                    data: {
                        AGENT_ID : item.USER_IDENTITY_NUMBER
                    },
                    success: function (result){
                        html = '<div class="row"> <div class="col-md-4"><div class="form-group"><label class="control-label col-md-3">الشركة</label><div class="col-md-9">'+
                                        '<input id="COMPANY_NAME" value="'+item.COMPANY_NAME+'" type="text" class="form-control" readonly="readonly"></div></div></div> '+ 
                            '<div class="col-md-4"><div class="form-group"><label class="control-label col-md-3">رقم الهوية</label><div class="col-md-9">'+
                                        '<input id="USER_ID_NO" value="'+item.USER_IDENTITY_NUMBER+'" type="text" class="form-control"  readonly="readonly"></div></div></div>'+
                            '<div class="col-md-4"><div class="form-group"><label class="control-label col-md-3">اسم المندوب</label><div class="col-md-9">'+
                                        '<input id="USER_NAME" value="'+item.USER_NAME+'" type="text" class="form-control" readonly="readonly"></div></div></div></div> '+
                            '<h3 class="form-section">حسابات الشركة</h3>'+
                            '<div class="row"><div class="col-md-12"><div class="form-group"><div class="col-md-10">' ; 
                        $.each(result, function(index, account) { 
                            var checkedItem = '' ;
                            if(account.ACTIVE_ACCOUNT == 1){
                                checkedItem = ' checked="checked" ' ; 
                            }
                            html = html + '<label style="display: inline-block; width: 25%">' +
                                    '<input type="checkbox"  class="AGENT_ACCOUNT_'+item.USER_IDENTITY_NUMBER+'" value="'+account.ACCOUNT_ID+'" name="COM_ACC_ID" id="COM_ACC_ID_'+account.ACCOUNT_ID+'" '+checkedItem+'>  ' + account.ACCOUNT_VALUE + '</label>' ;
                        });
                        html = html + '</div></div></div></div>' +
                        '<div class="row"><div class="col-md-6"><div class="row"><div class="col-md-offset-3 col-md-9">'+
                        '<button type="button" class="btn green saveAgentAccounts_btn" AGENT_ID="'+item.USER_IDENTITY_NUMBER+'" tabindex="5">حفظ </button></div></div></div><div class="col-md-6"></div></div>'+
                        '<h3 class="form-section"></h3>'; 
                        $('#agentsData_div').append(html);
                    }, 
                    error: function (jqXHR, textStatus, errorThrown) {
                        showMessage({message:"حدثت مشكلة في جلب البيانات المتعلقة بحسابات الشركة" + errorThrown, type:"error", icon:"warning"});
                    }
                });
            });
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"حدثت مشكلة في جلب البيانات المتعلقة بمندوب الشركة" + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', ".saveAgentAccounts_btn", function (e) {
    var records = [];
    var agent = $(this).attr('AGENT_ID'); 
	$(".AGENT_ACCOUNT_"+agent).each(function () {
            if($(this).prop('checked')){
		records.push(JSON.stringify({
			'ACCOUNT_ID': $(this).val()
		}));
            }
	});
	$.ajax({
		type: 'post',
		url: "index.php/statements/saveAgentsAccounts",
		cache: false,
		dataType: "json",
		data: {
                    AGENT_ID : agent, 
                    active_accounts: JSON.stringify(records) 
		},
		success: function (data) {
                    var msg
                    if(data.success > 0){
                        msg = 'تمت العملية بنجاح' ; 
                    } else {
                         msg = 'حدثت مشكلة في عملية تفعيل حساب المندوب' ;
                    }
                    App.alert({
                            container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                            place: 'prepent', // append or prepent in container 
                            type: (data.success > 0)? 'success' : 'warning',  // alert's type
                            message: msg,  // alert's message
                            close: true, // make alert closable
                            reset: true, // close all previouse alerts first
                            focus: false, // auto scroll to the alert after shown
                            closeInSeconds: 10, // auto close after defined seconds
                            icon: 'check' // put icon before the message
                    });
		},
		error: function (jqXHR, textStatus, errorThrown) {
			App.alert({
				container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
				place: 'prepent', // append or prepent in container 
				type: 'error',  // alert's type
				message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
				close: true, // make alert closable
				reset: true, // close all previouse alerts first
				focus: true, // auto scroll to the alert after shown
				closeInSeconds: 10, // auto close after defined seconds
				icon: 'warning' // put icon before the message
			});
		}
	});
    
    e.preventDefault();
});






