$(document).ready(function ()
{
	
	$('#checks-modal').on('shown.bs.modal', function (e) {
  // do something...
    
})

	$(document).on('click', ".updist", function (e) {
		 e.preventDefault();
        var dist_id = $(this).attr("role");
		$('#dis_id').val(dist_id);
		$('#editdisform').submit();
    });
	
	///// deactive distributor
	$(document).on('click', ".deactive", function (e) {
		e.preventDefault();
        var I_DISTR_ID = $(this).attr("role");

		$.ajax({
            type: 'post',
            url: "index.php/gasmanage/deactivateDistributor",
            //cache: false,
            dataType: "json",
            data: {
                I_DISTR_ID: I_DISTR_ID,
            },
            success: function (data) {
               if(data.success > 0){
				
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
				var table = $('#display_master_distributors_tb').DataTable();
	            table.ajax.reload( null, false );

			   }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });
	
	/////////////
		///// active distributor
	$(document).on('click', ".activate", function (e) {
		 e.preventDefault();
        var I_DISTR_ID = $(this).attr("role");
		$.ajax({
            type: 'post',
            url: "index.php/gasmanage/activateDistributor",
            //cache: false,
            dataType: "json",
            data: {
                I_DISTR_ID: I_DISTR_ID,
            },
            success: function (data) {
               if(data.success > 0){
				showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
								var table = $('#display_master_distributors_tb').DataTable();
	            table.ajax.reload( null, false );

			   }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
		 
    });
	
	
	//////////////////////////
	
	
	//change service status
	///// deactive service  deactiveservice activateservice
	$(document).on('click', ".deactiveservice", function (e) {
		e.preventDefault();
        var I_SERVICE_SR = $(this).attr("role");

		$.ajax({
            type: 'post',
            url: "index.php/gasmanage/deactivateService",
            //cache: false,
            dataType: "json",
            data: {
                I_SERVICE_SR: I_SERVICE_SR,
            },
            success: function (data) {
               if(data.success > 0){
				  
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
				   var table = $('#display_master_service_tb').DataTable();
	               table.ajax.reload( null, false );
              
			   }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });
	
	/////////////
		///// active service
	$(document).on('click', ".activateservice", function (e) {
		 e.preventDefault();
        var I_SERVICE_SR = $(this).attr("role");
		$.ajax({
            type: 'post',
            url: "index.php/gasmanage/activateService",
            //cache: false,
            dataType: "json",
            data: {
                I_SERVICE_SR: I_SERVICE_SR,
            },
            success: function (data) {
               if(data.success > 0){
				   
			
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
			     var table = $('#display_master_service_tb').DataTable();
	            table.ajax.reload( null, false );
			   }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
		 
    });
	

	
	// updateDist jass*** CHANGE_DISTRIBUTER_COMPANY dist_id comp_id
		$(document).on('click', ".updateDist", function (e) {
		 e.preventDefault();
       /* var dist_id = $(this).attr("role");
		$('#dist_id').val(dist_id);
		$('#update-modal').modal('show'); */
		$.ajax({
            type: 'post',
            url: "index.php/gasmanage/updateDist",
            //cache: false,
            dataType: "json",
            data: {
                dist_id: $("#dist_id").val(),
                comp_id: $("#comp_id").val(),
            },
            success: function (data) {
               if(data.success > 0){
				$('#update-modal').modal('hide'); 
			    var table = $('#display_master_distributors_tb').DataTable();
	            table.ajax.reload( null, false );
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
			   }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });
	 
	

//  goToDistrebutor

	$(document).on('click', ".goToDistrebutor", function (e) {
        var COM_ID = $(this).attr("role");
		$("#I_COM_SR").val(COM_ID);
	    $("#distrebutorMasterForm").submit();
         e.preventDefault();
        // window.location = 'index.php/gasmanage?COM_ID=' + COM_ID;

    });
	
	//  goToDistrebutor

	$(document).on('click', ".goToService", function (e) {
        var COM_ID = $(this).attr("role");
		$("#I_COM_SR_S").val(COM_ID);
	    $("#serviceMasterForm").submit();
         e.preventDefault();
        // window.location = 'index.php/gasmanage?COM_ID=' + COM_ID;

    });

	
		

// jass ***
$(document).on('click', ".upserv", function (e) {
        var I_SERVICE_SR = $(this).attr("role");
		$("#I_SERVICE_SR").val(I_SERVICE_SR);
	    $("#ServiceDetailsForm").submit();
         e.preventDefault();
        // window.location = 'index.php/gasmanage?COM_ID=' + COM_ID;

    });
	
	


	
	
	$(document).on('click', ".goToAddService", function (e) {
        var COM_ID = $(this).attr("COM_ID");
		$("#COM_ID").val(COM_ID);
		$("#addMasterForm").submit();
         e.preventDefault();
        // window.location = 'index.php/gasmanage?COM_ID=' + COM_ID;

    });
	
	
	$(document).on('click', ".goToDist", function (e) {
		 e.preventDefault();
        var COM_ID = $(this).attr("role");
		$('#comp_id').val(COM_ID);
		$('#checks-modal').modal('show'); 
		

    });
	

  $(document).on('click', ".displayDist", function (e) {
        var COM_ID = $('#comp_id').val();
		var Dist_DT = $('#Dist_DT').val();
		$('#comp_dist_id').val(COM_ID);
		$('#date_val').val(Dist_DT);

       $("#DistForm").submit();
         e.preventDefault();

    });
	
	
	
	$(document).on('click', "#add_service_btn", function (e) {
     //  alert("add_service_btn");
    $.ajax({
        type: 'post',
        url: "index.php/gasmanage/addService",

        cache: false,
        data: {
            Service_Name: $("#Service_Name").val(),
			I_OWNER_ID  : $("#I_OWNER_ID").val(),
            comp_id: $("#comp_id").val(),
            Service_Field: $("#Service_Field").val(),
            Service_Quality: $("#Service_Quality").val(),
            Service_Address: $("#Service_Address").val(),
            Service_Owner: $("#Service_Owner").val(),
            mobile_Owner: $("#mobile_Owner").val(),
        },

        success: function (data) {
			  var data = JSON.parse(data);
              showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
  			$("#Service_Name").val("");
			$("#I_OWNER_ID").val("");
            $("#Service_Field").val("");
            $("#Service_Quality").val("");
            $("#Service_Address").val("");
            $("#Service_Owner").val("");
            $("#mobile_Owner").val("");
			
        },
        error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

        }
    });
    e.preventDefault();
}
);
////////////////////////////////////////////
$(document).on('click', "#up_service_btn", function (e) {
     //  alert("add_service_btn");
    $.ajax({
        type: 'post',
        url: "index.php/gasmanage/updateService",

        cache: false,
        data: {
            Service_Name: $("#Service_Name").val(),
			I_OWNER_ID  : $("#I_OWNER_ID").val(),
            Service_Field: $("#Service_Field").val(),
            Service_Quality: $("#Service_Quality").val(),
            Service_Address: $("#Service_Address").val(),
            Service_Owner: $("#Service_Owner").val(),
            mobile_Owner: $("#mobile_Owner").val(),
			Comp_Id     : $("#comp_id").val(),
			SERIAL_NO     : $("#SERIAL_NO").val(),
			                 
        },

        success: function (data) {
			  var data = JSON.parse(data);
              showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
  			/*$("#Service_Name").val("");
			$("#I_OWNER_ID").val("");
            $("#Service_Field").val("");
            $("#Service_Quality").val("");
            $("#Service_Address").val("");
            $("#Service_Owner").val("");
            $("#mobile_Owner").val("");
			*/
			
        },
        error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

        }
    });
    e.preventDefault();
}
);



///////////////////////////////////////////
	// on change select todayck
	$('#ORDER_TYPE').on('change', function() {
	  if(this.value==5 ||  this.value==6 || this.value==8 ){
		  		$(".todayckdiv").removeClass("hidden");
                                
	  }
	   else{
				$(".todayckdiv").addClass("hidden");
                                $("#todayck").prop('checked', 0) ; 

		  }
	})

	$(window).load(function () {
$( ".datepicker-dropdown :first-child").addClass("custompk");
});
	$(document).on('click', ".deleteDate", function (e) {
		 var date_val= $(this).attr("role");
      $.ajax(
         {
            url: "index.php/order/deleteAvailableDays",
            type: "post", 
			 dataType: "json",
           data: {
            I_ORDER_DT: date_val,
                     },
            success: function (data) {
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }

          });
		   e.preventDefault();
    $(this).parents('tr').remove();

});
  

   $('.datepicker').datepicker({dateFormat: 'dd-mm-yy'});
		$(document).on('click', "#add_available_btn", function (e)
    {
		var ORDER_DT_NEW= $("#ORDER_DT_NEW").val();
		var ORDER_TYPE_NEW= $("#ORDER_TYPE_NEW").val();
		if(ORDER_TYPE_NEW==1){
			var I_KARM= 0; 
			var I_RAFAH= 1; 
			
			
		}
		else if(ORDER_TYPE_NEW==2){
			
			var I_KARM= 1; 
			var I_RAFAH= 0; 
			
			
		}
		else{
			
			var I_KARM= 1; 
			var I_RAFAH= 1; 
			
			
		}
		    $.ajax({
            type: 'post',
            url: "index.php/order/addAvailabeOrderDate",  
            cache: false,
            dataType: "json",
            data: {
                I_ORDER_DT: $("#ORDER_DT_NEW").val(),
                I_RAFAH: I_RAFAH,
				I_KARM: I_KARM,
				
            },
            success: function (data) {
			$("#ORDER_DT_NEW").val("");
		    $("#ORDER_TYPE_NEW").val(3); 
			$("#ORDER_DT").val("");
			
		
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
				$("#get_available_btn").click();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
		

		
		
	});

	
	
$(document).on('click', "#gas_manage_btn", function (e) {
    if($('#COM_NAME').val()==''){
        $('#COM_SR').val('');
    }
    if($('#PARENT_NAME').val()==''){
        $('#PARENT_ID').val('');
    }
$('#gas_manage_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        "ajax": 
        {
            "url": "index.php/gasmanage/getCompList",
            "type": "POST",
            "data": {
                I_COMPANY: $('#COM_SR').val(),
                I_PARENT: $('#PARENT_ID').val(),
                
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
		 "aoColumnDefs":
                    [
					
		{
                            "aTargets": [5],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                 res += '<a href="" id="addservice"  COM_ID = "' + full.COM_ID + '" class="btn btn-success goToAddService">إضافة مصلحة</a>';
                                 res += '<a href=""  class="btn btn-info goToDist" role="' + full.COM_ID + '" >الكميات الموزعة</a>';
								 res += '<a href=""  class="btn btn-warning goToDistrebutor" role="' + full.COM_ID + '" >الموزعون</a>';
								 res += '<a href=""  class="btn btn-danger goToService" role="' + full.COM_ID + '" >المصالح</a>';
								 res += '<a href="index.php/gasmanage/add_distributer" target="_blank" class="btn purple" >إضافة موزع</a>';


                                return res;

                            }
                        },
						
						
					
						
						{
                            "aTargets": [5], "width": "30%"
                        }

                    ],
					
	      "aoColumns": 
        [   { "mData": 'COM_ID', 'style' : 'text-align: right !important;' },
            { "mData": 'COM_NAME' },
			{ "mData": 'PARENT_COM' },
            { "mData": 'DISTRIBUTERS' },
			{ "mData": 'SERVICES' },
			{ "mData": 'null' },
        ]
        
        
    });
	    });

	/// addhere


    $('#COM_NAME').autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/gasmanage/get_gas_company_by_term",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $('#COM_NAME').val(),
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label:item.COM_NAME,
                            key: item.COM_ID,
                            value:item.COM_NAME
                        }
                    }));
                },
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#COM_SR").val(ui.item.key);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });


    $('#PARENT_NAME').autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $('#PARENT_NAME').val(),
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label:item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value:item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME
                        }
                    }));
                },
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#PARENT_ID").val(ui.item.key);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });

    $(document).on('click', '.RETURN_DIS', function () {
        $(".modal-body #M_COM_SR").val($('#COM_SR').val());
        $(".modal-body #M_DIS_ID").val($('#DIS_ID').val());
        $(".modal-body #M_DIS_TYPE").val($('#DIS_TYPE').val());
        $(".modal-body #M_IN_START_DT").val($('#IN_START_DT').val());
        $(".modal-body #M_IN_END_DT").val($('#IN_END_DT').val());
        $(".modal-body #M_K_TYPE").val($('#K_TYPE').val());
        $(".modal-body #M_NO_FROM").val($('#NO_FROM').val());
        $(".modal-body #M_NO_TO").val($('#NO_TO').val());
        $(".modal-body #M_START_TOTAL").val($('#START_TOTAL').val());
        $(".modal-body #M_END_TOTAL").val($('#END_TOTAL').val());
    });

    $(document).on('click', "#return_dis_btn", function (e) {
        $.ajax({
            type: 'POST',
            url: "index.php/gasmanage/return_dis_data",
            cache: false,
            dataType: "json",
            data: {
                COM_SR: $('#M_COM_SR').val(),
                DIS_ID: $('#M_DIS_ID').val(),
                DIS_TYPE: $('#M_DIS_TYPE').val(),
                IN_START_DT: $('#M_IN_START_DT').val(),
                IN_END_DT: $('#M_IN_END_DT').val(),
                K_TYPE: $('#M_K_TYPE').val(),
                NO_FROM: $('#M_NO_FROM').val(),
                NO_TO: $('#M_NO_TO').val(),
                START_TOTAL: $('#M_START_TOTAL').val(),
                END_TOTAL: $('#M_END_TOTAL').val()
            },
            success: function (data) {
                $('#return_model').modal('hide');
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                $('#return_model').modal('hide');
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });

    });

	
	$(document).on('click', "#getCompDistGas_btn", function (e) {
        if($('#COM_NAME').val()==''){
            $('#COM_SR').val('');
        }
        if($('#DIS_NAME').val()==''){
            $('#DIS_ID').val('');
        }
        FormValidation.init();
         if($("#gas_dis").valid() !== true){
         return;
         }
         var isValid = 1;
         if($("#K_TYPE").val()!=0&&$('#NO_FROM').val()==''){
         $(".error").closest('.form-group').addClass('has-error');
         isValid = 0;
         }else{
         $(".error").closest('.form-group').removeClass('has-error');
         }
        if(!isValid) return;
        $('#gas_distribute_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
            dom: 'Blfrtip',
            buttons: [
                {
                    extend: 'excel', text: 'تصدير الى اكسل',
                }
            ],
        "ajax": 
        {
            "url": "index.php/gasmanage/getDistributemasterbyListcompid",
            "type": "POST",
            "data": {
			    COM_SR: $('#COM_SR').val(),
                DIS_ID: $('#DIS_ID').val(),
                DIS_TYPE: $('#DIS_TYPE').val(),
                IN_START_DT: $('#IN_START_DT').val(),
                IN_END_DT: $('#IN_END_DT').val(),
                K_TYPE: $('#K_TYPE').val(),
                NO_FROM: $('#NO_FROM').val(),
                NO_TO: $('#NO_TO').val(),
                START_TOTAL: $('#START_TOTAL').val(),
                END_TOTAL: $('#END_TOTAL').val(),
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
	
          "aoColumns": 
		  // COMPANY_NAME
        [ 
		    { "mData": 'COMPANY_NAME', 'style' : 'text-align: right !important;' },
     		{ "mData": 'DISTRIBUTER_NAME', 'style' : 'text-align: right !important;' },
		    { "mData": 'TYPE_NAME'},
		    { "mData": 'DISTR_DATE'},
			{ "mData": 'C2P5K' },
			{ "mData": 'C5K' },
            { "mData": 'C12K' },
			{ "mData": 'C24K' },
            { "mData": 'C36K' },
			{ "mData": 'C48K' },
			{ "mData": 'TOTAL_AMOUNT' },
			{ "mData": 'AVERAGE_AMOUNT' },
        ]
    });
    e.preventDefault();
});



    $('#DIS_NAME').autocomplete({
        source: function (request, response) {
            if($('#COM_NAME').val()==''){
                $('#COM_SR').val('');}
            $.ajax({
                type: 'POST',
                url: "index.php/gasmanage/get_distribute_by_term",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $('#DIS_NAME').val(),
                    COM: $('#COM_SR').val(),
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label:item.DISTRIBUTER_NAME,
                            key: item.DISTRIBUTER_ID,
                            value:item.DISTRIBUTER_NAME+ '(' + item.COMPANY_NAME +')'
                        }
                    }));
                },
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#DIS_ID").val(ui.item.key);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });

    $(document).on('click', "#GET_OBJECTION_BTN", function (e) {
        if($('#DIS_NAME').val()==''){
            $('#DIS_ID').val('');}
        $('#GASOBJECTION_TB').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            "ajax":
            {
                "url": "index.php/gasmanage/getgasobjections",
                "type": "POST",
                "data": {
                    DIS_ID: $('#DIS_ID').val(),
                    OBJ_ST: $('#OBJ_ST').val(),
                    START_DT: $('#START_DT').val(),
                    END_DT: $('#END_DT').val()
                }
            },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
            "sAjaxDataProp" : "",
            "aoColumnDefs":
                [
                    {
                        "aTargets": [14],
                        "mData": "download_link",
                        "mRender": function (data, type, full)
                        {
                            var res = "";
                            res += '<a  id = "' + data.OBJ_REC_SR + '" data-toggle="modal" href="#accept_model" style="margin-bottom: 5%" class="btn blue accept_btn ">قبول</a>';
                            res += '<a id ="' + data.OBJ_REC_SR + '" data-toggle="modal" href="#reject_model"  class="btn red reject_btn " >رفض</a>';
                            return res;
                        }
                    }
                ],
            "aoColumns":
            // COMPANY_NAME
                [
                    { "mData": 'OBJECTOR_NAME','width':'10%' },
                    { "mData": 'OBJECTOR_MOBILE','width':'5%' },
                    { "mData": 'COMPANY_NAME','width':'10%' },
                    { "mData": 'DISTRIBUTION_DATE','width':'5%' },
                    { "mData": 'C2P5K','width':'5%'},
                    { "mData": 'C5K','width':'5%' },
                    { "mData": 'C12K','width':'5%' },
                    { "mData": 'C24K' ,'width':'5%'},
                    { "mData": 'C36K' ,'width':'5%'},
                    { "mData": 'C48K' ,'width':'5%'},
                    { "mData": 'OBJECTION_TIME','width':'5%' },
                    { "mData": 'OBJECTION_TEXT' ,'width':'10%'},
                    { "mData": 'OBJECTION_STAT' ,'width':'5%'},
                    { "mData": 'MOF_ACTION' ,'width':'10%'},
                    {"mData":null,'width':'10%'}
                ]
        });
        e.preventDefault();
    });


    $(document).on('click', "#get_dis_total_btn", function (e) {
        if($('#COM_NAME').val()==''){
            $('#COM_SR').val('');
        }
        if($('#DIS_NAME').val()==''){
            $('#DIS_ID').val('');
        }

        $('#distribute_total_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            dom: 'Blfrtip',
            buttons: [
                {
                    extend: 'excel', text: 'تصدير الى اكسل',
                }
            ],
            "ajax":
            {
                "url": "index.php/gasmanage/getdistributed_totals",
                "type": "POST",
                "data": {
                    COM_SR: $('#COM_SR').val(),
                    START_DT: $('#T_START_DT').val(),
                    END_DT: $('#T_END_DT').val(),
                    DIST_TYPE: $('#DIS_TYPE').val(),
                    DIST_NO: $('#DIS_ID').val(),
                }
            },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
            "sAjaxDataProp" : "",

            "aoColumns":
            // COMPANY_NAME
                [
                    { "mData": 'COMPANY_NAME'},
                    { "mData": 'DISTRIBUTER_NAME'},
                    { "mData": 'TYPE_NAME'},
                    { "mData": 'C2P5K_TOTAL' },
                    { "mData": 'C5K_TOTAL' },
                    { "mData": 'C12K_TOTAL' },
                    { "mData": 'C24K_TOTAL' },
                    { "mData": 'C36K_TOTAL' },
                    { "mData": 'C48K_TOTAL' },
                    { "mData": 'TOTAL_OF_TOTALS' },
                ]
        });
        e.preventDefault();
    });

    $(document).on('click', '.accept_btn', function () {
        $(".modal-body #accept_obj_id").val($(this).attr('id'));
    });

    $(document).on('click', '.reject_btn', function () {
        $(".modal-body #reject_obj_id").val($(this).attr('id'));
    });

    $(document).on('click', ".cov_accept_btn", function (e) {
        $.ajax(
            {
                url: "index.php/gasmanage/accept_objection",
                type: "post",
                dataType: "json",
                data: {
                    objec_id: $('#accept_obj_id').val(),
                    objec_text:$("#accept_text").val()
                },
                success: function (data) {
                    $('#accept_model').modal('hide');
                    showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    $('#accept_model').modal('hide');
                    showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});
                }
            });
        e.preventDefault();
    });


    $(document).on('click', ".cov_reject_btn", function (e) {
        $.ajax(
            {
                url: "index.php/gasmanage/reject_objection",
                type: "post",
                dataType: "json",
                data: {
                    objec_id: $('#reject_obj_id').val(),
                    objec_text:$("#reject_text").val()
                },
                success: function (data) {
                    $('#reject_model').modal('hide');
                    showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    $('#reject_model').modal('hide');
                    showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});
                }

            });
        e.preventDefault();
    });


    $(document).on('click', "#GET_DILAY_DISTR_BTN", function (e) {
        if($('#COM_NAME').val()==''){
            $('#COM_SR').val('');
        }
        if($('#PARENT_NAME').val()==''){
            $('#PARENT_ID').val('');
        }
        $('#DILAYDISTR_TB').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            "ajax":
            {
                "url": "index.php/gasmanage/GET_DILAY_DISTR_TOTAL",
                "type": "POST",
                "data": {
                    COM_SR: $('#COM_SR').val(),
                    PARENT_SR: $('#PARENT_ID').val(),
                    DIST_DATE: $('#DISTR_DT').val(),

                }
            },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
            "sAjaxDataProp" : "",
            "aoColumnDefs":
                [

                    {
                        "aTargets": [5],
                        "mData": "download_link",
                        "mRender": function (data, type, full)
                        {
                            var res = "";
                            res += '<a com_sr="' + full.GAS_COMPANY + '" disr_date="' + full.DISTR_DATE + '" data-toggle="modal" href="#dilay_return_model"  class="btn btn-success dailyreturn ">فك إعتماد</a>';
                            res += '<a  class="btn btn-info gotodistbycom" com_sr="' + full.GAS_COMPANY + '" disr_date="' + full.DISTR_DATE + '" >ذهاب إلي</a>';
                            return res;
                        }
                    },
                ],

            "aoColumns":
                [   { "mData": 'DISTR_DATE'},
                    { "mData": 'COMPANY_NAME' },
                    { "mData": 'PARENT_COMPANY' },
                    { "mData": 'TOTAL_AMOUNT' },
                    { "mData": 'TOTAL_CYLINDERS' },
                    { "mData": 'null' },
                ]


        });
    });

    $(document).on('click', '.gotodistbycom', function () {
        $("#comp_dis_id").val($(this).attr('com_sr'));
        $("#dist_date").val($(this).attr('disr_date'));
        $("#dilaydistbycomp").submit();
    });


    $(document).on('click', '.dailyreturn', function () {
        $(".modal-body #D_COM_SR").val($(this).attr('com_sr'));
        $(".modal-body #D_START_DT").val($(this).attr('disr_date'));
        $(".modal-body #D_END_DT").val($(this).attr('disr_date'));
    });




    $(document).on('click', '#dilay_return_dis_btn', function () {
        $.ajax({
            type: 'POST',
            url: "index.php/gasmanage/return_dis_data",
            cache: false,
            dataType: "json",
            data: {
                COM_SR: $('#D_COM_SR').val(),
                DIS_ID: null,
                DIS_TYPE: null,
                IN_START_DT: $('#D_START_DT').val(),
                IN_END_DT: $('#D_END_DT').val(),
                K_TYPE: null,
                NO_FROM: null,
                NO_TO: null,
                START_TOTAL: null,
                END_TOTAL: null
            },
            success: function (data) {
                $('#dilay_return_model').modal('hide');
                showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                $('#dilay_return_model').modal('hide');
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
    });



    $(document).on('click', "#CAL_Gas_btn", function (e) {
        if($('#COM_NAME').val()==''){
            $('#COM_SR').val('');
        }
        $('#CAL_GAS_TB').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            dom: 'Blfrtip',
            buttons: [
                {
                    extend: 'excel', text: 'تصدير الى اكسل',
                }
            ],
            "ajax":
            {
                "url": "index.php/gasmanage/getcalc_gascomp",
                "type": "POST",
                "data": {
                    COM_SR: $('#COM_SR').val(),
                    DIST_TYPE: $('#DIS_TYPE').val(),
                    CAL_START_DT: $('#CAL_START_DT').val(),
                    CAL_END_DT: $('#CAL_END_DT').val(),
                }
            },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
            "sAjaxDataProp" : "",

            "aoColumns":
            // COMPANY_NAME
                [
                    { "mData": 'DISTRIBUTER_NAME'},
                    { "mData": 'COMPANY_TOTAL'},
                    { "mData": 'DISTRIBUTER_TOTAL'},
                    { "mData": 'DISTRIBUTERS_SHARE' },
                    { "mData": 'DISTRIBUTER_RATIO' },
                    { "mData": 'NEW_DISTR_RATIO' }
                ]
        });
        e.preventDefault();
    });


	//display_master_distributors_tb
	
        $('#display_master_distributors_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/gasmanage/getDistributormasterbyListcompid",
            "type": "POST",
            "data": {
			    I_COM_SR: $('#I_COM_SR').val(),
                
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
		"aoColumnDefs":
                    [
		{
                            "aTargets": [3],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                 res += '<a role = "' + full.DISTRIBUTER_ID + '" class="btn blue updist">تعديل</a>';
								 if(full.STATUS == 1)
                                 res += '<a href=""  class="btn green deactive" role="' + full.DISTRIBUTER_ID + '" >ايقاف مؤقت</a>';
							     if(full.STATUS== 2)
								 res += '<a href=""  class="btn green activate" role="' + full.DISTRIBUTER_ID + '" >ارجاع</a>';
                                 return res;
                            }
                        },
						{
                            "aTargets": [2], "width": "25%"
                        }
                    ],
	      "aoColumns": 
		[   { "mData": 'DISTRIBUTER_ID'},
			{ "mData": 'DISTRIBUTER_NAME', 'style' : 'text-align: right !important;' },
            { "mData": 'PLACE' },
			{ "mData": 'null' },

			
			
        ]
        
        
    });
	/////////////////////////////////////////
		//display_master_distributors_tb
	
        $('#display_master_service_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/gasmanage/getServiceMasterbyListcompid",
            "type": "POST",
            "data": {
			    I_COM_SR: $('#I_COM_SR').val(),
                
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
		"aoColumnDefs":
                    [
					
		{ 
                            "aTargets": [8],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                 res += '<a href=""  role = "' + full.SERIAL_NO + '" class="btn blue upserv">تعديل</a>';
								 if(full.STATUS== 1)
                                 res += '<a href=""  class="btn green deactiveservice" role="' + full.SERIAL_NO + '" >ايقاف مؤقت</a>';
								 if(full.STATUS== 2)
								 res += '<a href=""  class="btn green activateservice" role="' + full.SERIAL_NO + '" >ارجاع</a>';

                                return res;

                            }
                        },
						
						
					
						
						{
                            "aTargets": [8], "width": "25%"
                        }

                    ],
		
	      "aoColumns": 
		[   { "mData": 'SERIAL_NO'},
			{ "mData": 'SERVICE_NAME', 'style' : 'text-align: right !important;' },
            { "mData": 'SERVICE_OWNER' },
			
			{ "mData": 'MOBILE_NO' },
			{ "mData": 'USAGE' },
			{ "mData": 'SERVICE_SHARE' },
			
			{ "mData": 'ADDRESS' },
			{ "mData": 'OWNER_ID' },
	
			{ "mData": 'null' },

			
			
        ]
        
        
    });
	
///////////// jass *****
    
    $(document).on('click', "#getOrdersMaster_btn", function (e) {
        $('#ordersMaster_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,

            "ajax":
                    {
                        "url": "index.php/order/getOrdersMaster",
                        "type": "POST",
                        "data": {
                            FROM_DATE: $('#FROM_DATE').val(),
                            TO_DATE: $('#TO_DATE').val(),
                            ORDER_TYPE: $('#ORDER_TYPE').val(),
                            MASTER_STATUS: $('#MASTER_STATUS').val(),
                            MASTER_FLAG: $('#MASTER_FLAG').val(),
                        }
                    },
            "order": [[0, "desc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [4],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                 res += '<a href="" ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.FUEL_CATEGORY + '" class="btn blue goToManageOrders">ذهاب إلى</a>';
                                    res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.FUEL_CATEGORY + '" class="btn green totallyExecute">تنفيذ كلي</a>';
                                    res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.FUEL_CATEGORY + '" class="btn btn-info partiallyExecute">تنفيذ جزئي</a>';
									if(data.MASTER_STATUS==0)
									res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" MASTER_ID = "' + data.MASTER_ID + '" class="btn btn-warning sendcrossing">ارسال للمعبر</a>';
 
                                return res;

                            }
                        },
						
						
						{
                            "aTargets": [2],
                            "mData": "SAME_DAY",
                            "mRender": function (data, type, full)
                            {
								if( data.FUEL_CATEGORY== 1)
								return "اليوم";
							    return "غير ذلك";
							

                            }
                        },
						
						
						
						{
                            "aTargets": [0], "width": "20%"
                        }

                    ],

            "aoColumns":
                    [
                        {"mData": "ORDER_DATE", "data": "data.ORDER_DATE"},
                        {"mData": "CATEGORY_NAME", "data": "data.CATEGORY_NAME"},
						// SAME_DAY
						{"mData": "SAME_DAY", "data": "data.SAME_DAY"},
                        {"mData": "STATUS_NAME", "data": "data.STATUS_NAME"},
						// 
                        {"mData": null}
                    ],

            /* "columns": [
             { "title": "الترتيب" , "data": "C_ORDER" },
             { "title": "الشركة" , "data" : "ACCOUNT_NAME" },
             { "title": "رصيد الشركة" , "data" : "ACCOUNT_ID" },
             { "title": "نسبة الأساس" , "data" : "ACCOUNT_VALUE"},
             ], */


        });

    });
    
    $('#getFinancialInfo_btn').click(function (e) {
		var todayck = $('#todayck:checkbox:checked').length > 0;
			if(todayck== true)
				todayck=1;
			else
				todayck=0;

        //App.startPageLoading({animate: true});
        App.blockUI({
            target: '#initOrder_frm',
            boxed: true,
            textOnly: true,
            message: 'جلب البيانات...'
        });
        //return true;
        FormValidation.init();
        if ($("#initOrder_frm").valid() !== true) {
            return;
        }

        $.ajax({
            type: 'post',
            url: "index.php/order/getOrderInfo",
            cache: false,
            dataType: "html",
            data: {
                Order_date: $("#ORDER_DT").val(),
                Order_type: $("#ORDER_TYPE").val(),
				todayck:    todayck,
            },
            success: function (data) {
                // if(data.success > 0){
                $("#manualOrders").removeClass("hidden");
                $("#manualOrders").html(data);
                //App.stopPageLoading();
                App.unblockUI('#initOrder_frm');
                // }
                // showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });
	
	$(document).on('click', ".partiallyExecute_btn", function (e) {
		$(this).css('display', 'none');
		$(this).parent().parent().find(".fuelRemainAmount").css('display', 'block');
		$(this).parent().find(".fuelReceivedStatus").val(2);
		
	});
	

    $(document).on('click', ".saveOrder_btn", function (e) {
		var ACCOUNT_ID = $(this).parents('tr').find(".ACCOUNT_ID").val();
        var	I_ACC_BALANCE	= $(".balance_report-"+ACCOUNT_ID).val();
        var I_CHECKS =	$(".CHECKS-"+ACCOUNT_ID).val();	
        var I_GURANTEES = $(".GARANTEES-"+ACCOUNT_ID).val();
        var I_ORDER_PRICE =	$(".total-"+ACCOUNT_ID).val();

        var I_OLD_ORDERS =	$(".fuelOldAmount_"+ACCOUNT_ID).val();

        var I_TOTAL_BALANCE = $(".final-"+ACCOUNT_ID).val();





				
        var orderInfo = {};
				var todayck = $('#todayck:checkbox:checked').length > 0;
			if(todayck== true)
				todayck=1;
			else
				todayck=0;
        orderInfo['ORDER_DATE'] = $("#ORDER_DT").val();
		orderInfo['I_ACC_BALANCE'] = I_ACC_BALANCE;
		orderInfo['I_CHECKS'] = I_CHECKS;
		orderInfo['I_GURANTEES'] = I_GURANTEES;
		orderInfo['I_ORDER_PRICE'] = I_ORDER_PRICE;
		orderInfo['I_OLD_ORDERS'] = I_OLD_ORDERS;
		orderInfo['I_TOTAL_BALANCE'] =I_TOTAL_BALANCE;
		
        orderInfo['ORDER_TYPE'] = $("#ORDER_TYPE").val();
        orderInfo['ORDER_ID'] = $(this).parents('tr').find(".ORDER_ID").val();
        orderInfo['ACCOUNT_ID'] = $(this).parents('tr').find(".ACCOUNT_ID").val();
        orderInfo['GROUP_NO'] = $(this).parents('tr').find(".GROUP_NO").val();
        orderInfo['RANK_NO'] = $(this).parents('tr').find(".rankNo").val();
	    orderInfo['I_Todayck'] = todayck;

		 console.log(orderInfo);
		 
        var fuelDetails = [];
		var todayck = $('#todayck:checkbox:checked').length > 0;
			if(todayck== true)
				todayck=1;
			else
				todayck=0;

			
        $(this).parents('tr').find(".fuel-details tbody tr").each(function () {
            fuelDetails.push(JSON.stringify({
                'FUEL_SERIAL' : $(this).find(".fuelSerial").val(),
                'FUEL_AMOUNT' : $(this).find(".fuelAmount").val(),
                'APPROVED_AMOUNT' : $(this).find(".fuelApprovedAmount").val(),
                'PRODUCT_PRICE' : $(this).find(".productPrice").val(),
                'RECEIVED_AMOUNT' : $(this).find(".fuelRemainAmount").val(),
                'RECEIVE_STATUS' : $(this).find(".fuelReceivedStatus").val(),
				'I_Todayck'      :  todayck
            }));
        });

	
        $.ajax({
            type: 'post',
            url: "index.php/order/saveOrder",
            cache: false,
            dataType: "json",
            data: {
                orderInfo: JSON.stringify(orderInfo),
                fuelDetails: JSON.stringify(fuelDetails)
            },
            success: function (data) {

                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'success', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });




    //// 

    // $('.datepicker:eq(0)').addClass("datepicker-dropdown2");


///////////////////////////////////
    $(document).on('click', "#create_master_order_btn", function (e) {
        // alert("create_master_order_btn");
        $.ajax({
            type: 'post',
            url: "index.php/order/createMasterOrder",
            cache: false,
            dataType: "json",
            data: {
                Order_date: $("#ORDER_DT").val(),
                Order_type: $("#ORDER_TYPE").val(),
            },
            success: function (data) {
                if (data.success > 0) {
                    // $("#SERIAL_NO").val(data.consignmentSID);
                }
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();

    });
	
	$(document).on('click', ".goToAccountStatment_btn", function (e) {
        $("#F_ACCOUNT_ID").val($(this).attr("ACCOUNT_ID"));
		$("#F_ACCOUNT_NAME").val($(this).attr("ACCOUNT_VALUE") + " - " + $(this).attr("ACCOUNT_NAME"));
		$("#F_END_DT").val($('#ORDER_DT').val());
		var dateArray = $('#ORDER_DT').val().split("/");
		var n = new Date(dateArray[2], dateArray[1] - 1, dateArray[0]);
		n.setMonth(n.getMonth() - 1);
		var f = $.datepicker.formatDate('dd/mm/yy', n);
        $("#F_START_DT").val(f);
        $("#goToAccountStatmentForm").submit();
        e.preventDefault();
    });

    $(document).on('click', ".goToManageOrders", function (e) {
        $("#F_ORDER_DATE").val($(this).attr("ORDER_DATE"));
        $("#F_ORDER_TYPE").val($(this).attr("ORDER_TYPE"));
        $("#ordersMasterForm").submit();
        e.preventDefault();
    });
	
	$(document).on('click', ".totallyExecute", function (e) {
		var ORDER_DATE = $(this).attr("ORDER_DATE");
		var ORDER_TYPE = $(this).attr("ORDER_TYPE");
		$.ajax({
            type: 'post',
            url: "index.php/order/totallyExecute",
            cache: false,
            dataType: "json",
            data: {
                ORDER_DATE: ORDER_DATE,
				ORDER_TYPE: ORDER_TYPE,
            },
            success: function (data) {
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });
       
        e.preventDefault();
    });
	
	/// 
	
	$(document).on('click', ".sendcrossing", function (e) {
		var MASTER_ID = $(this).attr("MASTER_ID");
		//var ORDER_TYPE = $(this).attr("ORDER_TYPE");
		// ORDERS_PKG.SEND_ORDER_TO_PORT
		
		$.ajax({
            type: 'post',
            url: "index.php/order/sendOrderToport",
            cache: false,
            dataType: "json",
            data: {
                MASTER_ID: MASTER_ID,
            },
            success: function (data) {
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });

        e.preventDefault();
    });

	
    
    $(document).on('click', ".partiallyExecute", function (e) {
		var ORDER_DATE = $(this).attr("ORDER_DATE");
		var ORDER_TYPE = $(this).attr("ORDER_TYPE");
		$.ajax({
            type: 'post',
            url: "index.php/order/partiallyExecute",
            cache: false,
            dataType: "json",
            data: {
                ORDER_DATE: ORDER_DATE,
				ORDER_TYPE: ORDER_TYPE,
            },
            success: function (data) {
                $("#F_ORDER_DATE").val(ORDER_DATE);
				$("#F_ORDER_TYPE").val(ORDER_TYPE);
				$("#ordersMasterForm").submit();
                //showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });
       
        e.preventDefault();
    });


    $(document).on('click', ".approveOrders", function (e) {
        var elm = $(this).parent();
        $.ajax({
            type: 'post',
            url: "index.php/order/ApproveOrder",
            cache: false,
            dataType: "json",
            data: {
                Order_Id: $(this).attr("order_id"),
            },
            success: function (data) {
                elm.html(data.msg);
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });
        e.preventDefault();
    });


    $(document).on('click', "#getOrders_btn", function (e)
    {
        $('#inOrdersMaster_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,

            "ajax":
                    {
                        "url": "index.php/order/getInitialOrdersList",
                        "type": "POST",
                        "data": {
                            I_ORDER_ID: $('#I_ORDER_ID').val(),
                            I_FROM: $('#I_FROM').val(),
                            I_TO: $('#I_TO').val(),
                            I_TYPE: $('#I_TYPE').val(),
                            I_STATUS: $('#I_STATUS').val(),
                        }
                    },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [3],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                if (data.ORDER_STATUS == 1) {

                                    res += '<a href="" order_id = "' + data.ORDER_ID + '" class="btn blue goToManageOrders">ذهاب إلى</a>';

                                } else {
                                    res += '<a href="" order_id = "' + data.ORDER_ID + '" class="btn blue goToManageOrders">ذهاب إلى</a>';
                                    res += '<a href="" order_id = "' + data.ORDER_ID + '" class="btn green approveOrders">اعتماد</a>';



                                }

                                return res;

                            }
                        }

                    ],

            "aoColumns":
                    [
                        {"mData": 'ORDER_ID', "data": "data.ORDER_ID"},
                        {"mData": "ORDER_DATE", "data": "data.ORDER_DATE"},
                        {"mData": "ORDER_STATUS_NAME", "data": "data.ORDER_STATUS_NAME"},
                        {"mData": null}
                    ],

            /*"aoColumns": 
             [  
             
             { "mData": ORDER_ID, "data": "ORDER_ID"},
             { "mData": ORDER_DATE,  "data": "ORDER_DATE"},  
             // { "mData": ORDER_TYPE,  "data": "ORDER_TYPE"},  
             { "mData": ORDER_STATUS , "data": "ORDER_STATUS" }
             { "mData": action , "data": null }
             ],*/

            /* "columns": [
             { "title": "الترتيب" , "data": "C_ORDER" },
             { "title": "الشركة" , "data" : "ACCOUNT_NAME" },
             { "title": "رصيد الشركة" , "data" : "ACCOUNT_ID" },
             { "title": "نسبة الأساس" , "data" : "ACCOUNT_VALUE"},
             ], */


        });

    });



    $('[tabindex=0]').focus();
    FormValidation.init();


    $('#getOrderDetails_btn').click(function (e) {
        var orderTable = $('#orderDetails_tb').DataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [20, 30, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 150,
            "ajax":
                    {
                        "url": "index.php/order/getOrderDetails",
                        "type": "POST",
                        "data": {
                            ORDER_ID: $('#ORDER_ID').val()
                        }
                    },
            //        "order": [[0, "asc"]],
            rowsGroup: [0, 1, 2, 3, 5, 4, 10, 11, 12, 13],
            //        rowId : DT_ROWID, 
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [8],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                return '<input type="text" id="APPROVED_AMOUNT_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" FPRICE="' + data.UNIT_PRICE + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + data.FUEL_AMOUNT + '" class="input-xsmall" />';
                            }
                        },
                        {
                            "aTargets": [9],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                //console.log($('#financialInfo_tb').DataTable().data()[0].ACCOUNT_ID); 
                                //console.log($('#financialInfo_tb').DataTable().iDataRow) ; 
                                var fuel_price = data.UNIT_PRICE * data.FUEL_AMOUNT;
                                //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                                return '<input type="text" id="FUEL_PRICE_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + fuel_price.toFixed(2) + '" class="input-xsmall" readonly="1" />';
                            }
                        }
                    ],
            "aoColumns":
                    [
                        {"mData": 'ACCOUNT_VALUE', width: "5%"},
                        {"mData": 'ACCOUNT_NAME', width: "15%"},
                        {"mData": "ACCOUNT_BALANCE", width: "7%"},
                        {"mData": "DEFERRED_CHECKS", width: "7%"},
                        {"mData": "ORDER_BALANCE", width: "7%"},
                        {"mData": "GURANTEES", width: "7%"},
                        {"mData": "FUEL_NAME", width: "7%"},
                        {"mData": "FUEL_AMOUNT", width: "7%"},
                        {"mData": null, width: "5%"},
                        {"mData": null, width: "10%"},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'ORDER_PRICE_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'TOTAL_ACCOUNT_BAL_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'COMP_RANK_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%"}
                    ]

        });

        orderTable.on('draw', function () {
            var odata = orderTable.rows().data().toArray();
            $.each(odata, function (key, value) {
                var fuel_price = value.UNIT_PRICE * value.FUEL_AMOUNT;
                var order_price_td = $('[id^="ORDER_PRICE_TD_' + value.ACCOUNT_ID + '_"]');
                if ($(document).find($('#ORDER_PRICE_' + value.ACCOUNT_ID)).length) {
                    //console.log(key+':'+ value.ACCOUNT_ID) ;

                    //console.log($('#ORDER_PRICE_' + value.ACCOUNT_ID).length) ;
                    var cur_order_price = $('#ORDER_PRICE_' + value.ACCOUNT_ID).val();
                    //console.log(parseFloat(cur_order_price) + fuel_price.toFixed(2)) ;
                    $('#ORDER_PRICE_' + value.ACCOUNT_ID).val(parseFloat(cur_order_price) + fuel_price.toFixed(2));
                } else {
                    //console.log('in else' + order_price_td) ; 
                    order_price_td[0].innerHTML = '<input type="text" id="ORDER_PRICE_' + value.ACCOUNT_ID + '" value="' + fuel_price + '" class="input-xsmall" readonly="1" />';
                }
                //$('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                order_price_td[1].innerHTML = '';
                order_price_td[2].innerHTML = '';
            });


            //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
        });

        e.preventDefault();
    });




    $('#getFinancialInfo_btn1').click(function (e) {
        FormValidation.init();
        if ($("#initOrder_frm").valid() !== true) {
            return;
        }
        var orderTable = $('#financialInfo_tb').DataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [20, 30, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 150,
            "ajax":
                    {
                        "url": "index.php/order/getCompaniesFinancialInfo",
                        "type": "POST",
                        "data": {
                            ORDER_DT: $('#ORDER_DT').val(),
                            ORDER_TYPE: $('#ORDER_TYPE').val()
                        }
                    },
            //        "order": [[0, "asc"]],
            rowsGroup: [0, 1, 2, 3, 5, 4, 10, 11, 12, 13],
            //        rowId : DT_ROWID, 
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [8],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                return '<input type="text" id="APPROVED_AMOUNT_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" FPRICE="' + data.UNIT_PRICE + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + data.FUEL_AMOUNT + '" class="input-xsmall" />';
                            }
                        },
                        {
                            "aTargets": [9],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                //console.log($('#financialInfo_tb').DataTable().data()[0].ACCOUNT_ID); 
                                //console.log($('#financialInfo_tb').DataTable().iDataRow) ; 
                                var fuel_price = data.UNIT_PRICE * data.FUEL_AMOUNT;
                                //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                                return '<input type="text" id="FUEL_PRICE_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + fuel_price.toFixed(2) + '" class="input-xsmall" readonly="1" />';
                            }
                        }
                    ],
            "aoColumns":
                    [
                        {"mData": 'ACCOUNT_VALUE', width: "5%"},
                        {"mData": 'ACCOUNT_NAME', width: "15%"},
                        {"mData": "ACCOUNT_BALANCE", width: "7%"},
                        {"mData": "DEFERRED_CHECKS", width: "7%"},
                        {"mData": "ORDER_BALANCE", width: "7%"},
                        {"mData": "GURANTEES", width: "7%"},
                        {"mData": "FUEL_NAME", width: "7%"},
                        {"mData": "FUEL_AMOUNT", width: "7%"},
                        {"mData": null, width: "5%"},
                        {"mData": null, width: "10%"},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'ORDER_PRICE_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'TOTAL_ACCOUNT_BAL_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'COMP_RANK_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%"}
                    ]

        });

        orderTable.on('draw', function () {
            var odata = orderTable.rows().data().toArray();
            $.each(odata, function (key, value) {
                var fuel_price = value.UNIT_PRICE * value.FUEL_AMOUNT;
                var order_price_td = $('[id^="ORDER_PRICE_TD_' + value.ACCOUNT_ID + '_"]');
                if ($(document).find($('#ORDER_PRICE_' + value.ACCOUNT_ID)).length) {
                    //console.log(key+':'+ value.ACCOUNT_ID) ;

                    //console.log($('#ORDER_PRICE_' + value.ACCOUNT_ID).length) ;
                    var cur_order_price = $('#ORDER_PRICE_' + value.ACCOUNT_ID).val();
                    //console.log(parseFloat(cur_order_price) + fuel_price.toFixed(2)) ;
                    $('#ORDER_PRICE_' + value.ACCOUNT_ID).val(parseFloat(cur_order_price) + fuel_price.toFixed(2));
                } else {
                    //console.log('in else' + order_price_td) ; 
                    order_price_td[0].innerHTML = '<input type="text" id="ORDER_PRICE_' + value.ACCOUNT_ID + '" value="' + fuel_price + '" class="input-xsmall" readonly="1" />';
                }
                //$('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                order_price_td[1].innerHTML = '';
                order_price_td[2].innerHTML = '';
            });


            //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
        });

        e.preventDefault();
    });


    $('#getOrderInitDetails_btn').click(function (e) {
        FormValidation.init();
        if ($("#initOrder_frm").valid() !== true) {
            return;
        }
        var orderTable = $('#financialInfo_tb').DataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [20, 30, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 150,
            "ajax":
                    {
                        "url": "index.php/order/getCompaniesFinancialInfo",
                        "type": "POST",
                        "data": {
                            ORDER_DT: $('#ORDER_DT').val(),
                            ORDER_TYPE: $('#ORDER_TYPE').val()
                        }
                    },
            //        "order": [[0, "asc"]],
            rowsGroup: [0, 1, 2, 3, 5, 4, 10, 11, 12, 13],
            //        rowId : DT_ROWID, 
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [8],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                return '<input type="text" id="APPROVED_AMOUNT_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" FPRICE="' + data.UNIT_PRICE + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + data.FUEL_AMOUNT + '" class="input-xsmall" />';
                            }
                        },
                        {
                            "aTargets": [9],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                //console.log($('#financialInfo_tb').DataTable().data()[0].ACCOUNT_ID); 
                                //console.log($('#financialInfo_tb').DataTable().iDataRow) ; 
                                var fuel_price = data.UNIT_PRICE * data.FUEL_AMOUNT;
                                //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                                return '<input type="text" id="FUEL_PRICE_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + fuel_price.toFixed(2) + '" class="input-xsmall" readonly="1" />';
                            }
                        }
                    ],
            "aoColumns":
                    [
                        {"mData": 'ACCOUNT_VALUE', width: "5%"},
                        {"mData": 'ACCOUNT_NAME', width: "15%"},
                        {"mData": "ACCOUNT_BALANCE", width: "7%"},
                        {"mData": "DEFERRED_CHECKS", width: "7%"},
                        {"mData": "ORDER_BALANCE", width: "7%"},
                        {"mData": "GURANTEES", width: "7%"},
                        {"mData": "FUEL_NAME", width: "7%"},
                        {"mData": "FUEL_AMOUNT", width: "7%"},
                        {"mData": null, width: "5%"},
                        {"mData": null, width: "10%"},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'ORDER_PRICE_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'TOTAL_ACCOUNT_BAL_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'COMP_RANK_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%"}
                    ]

        });

        orderTable.on('draw', function () {
            alert('draw');
            var odata = orderTable.rows().data().toArray();
            $.each(odata, function (key, value) {
                var fuel_price = value.UNIT_PRICE * value.FUEL_AMOUNT;
                var order_price_td = $('[id^="ORDER_PRICE_TD_' + value.ACCOUNT_ID + '_"]');
                if ($(document).find($('#ORDER_PRICE_' + value.ACCOUNT_ID)).length) {
                    //console.log(key+':'+ value.ACCOUNT_ID) ;

                    //console.log($('#ORDER_PRICE_' + value.ACCOUNT_ID).length) ;
                    var cur_order_price = $('#ORDER_PRICE_' + value.ACCOUNT_ID).val();
                    //console.log(parseFloat(cur_order_price) + fuel_price.toFixed(2)) ;
                    $('#ORDER_PRICE_' + value.ACCOUNT_ID).val(parseFloat(cur_order_price) + fuel_price.toFixed(2));
                } else {
                    //console.log('in else' + order_price_td) ; 
                    order_price_td[0].innerHTML = '<input type="text" id="ORDER_PRICE_' + value.ACCOUNT_ID + '" value="' + fuel_price + '" class="input-xsmall" readonly="1" />';
                }
                //$('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                order_price_td[1].innerHTML = '';
                order_price_td[2].innerHTML = '';
            });


            //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
        });

        e.preventDefault();
    });

    $(document).ajaxStart(function () {
        App.startPageLoading({animate: true});
    });
    $(document).ajaxStop(function () {
        window.setTimeout(function () {
            App.stopPageLoading();
        }, 50);
    });




    $(document).on('click', "#add_dis_btn", function (e) {
            $.ajax({
                type: 'post',
                url: "index.php/gasmanage/add_new_distributer",
                cache: false,
                dataType: "json",
                data: {
                    dis_id: $("#dis_id").val(),
                    dis_name  : $("#dis_name").val(),
                    cover: $("#cover").val(),
                    COM_SR: $("#COM_SR").val(),
                    dis_share: $("#dis_share").val(),
                    dis_no: $("#dis_no").val(),
                    phone_no: $("#phone_no").val(),
                    freight_no: $("#freight_no").val(),
                    accept_dt: $("#accept_dt").val(),
                    cylinder_no: $("#cylinder_no").val(),
                    note: $("#note").val(),
                    trans_type: $("#trans_type").val(),
                    property: $("#property").val(),
                    test_res: $("#test_res").val(),
                    test_note: $("#test_note").val(),
                },
                success: function (data) {
                    showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
                    document.getElementById("add_disForm").reset();
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});
                }
            });
            e.preventDefault();
        });

    $(document).on('click', "#edit_dis_btn", function (e) {
            $.ajax({
                type: 'post',
                url: "index.php/gasmanage/conf_edit_distributer",
                cache: false,
                dataType: "json",
                data: {
                    dis_id: $("#dis_id").val(),
                    dis_name  : $("#dis_name").val(),
                    cover: $("#cover").val(),
                    COM_SR: $("#COM_SR").val(),
                    dis_share: $("#dis_share").val(),
                    dis_no: $("#dis_no").val(),
                    phone_no: $("#phone_no").val(),
                    freight_no: $("#freight_no").val(),
                    accept_dt: $("#accept_dt").val(),
                    cylinder_no: $("#cylinder_no").val(),
                    note: $("#note").val(),
                    trans_type: $("#trans_type").val(),
                    property: $("#property").val(),
                    test_res: $("#test_res").val(),
                    test_note: $("#test_note").val(),
                },
                success: function (data) {
                    showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});
                }
            });
            e.preventDefault();
        });


});



$(document).on('blur', 'input[id^="APPROVED_AMOUNT_"]', function () {
    var amount = $(this).val();
    var unitPrice = $(this).attr('FPRICE');
    var approvedPrice = amount * unitPrice;
    var comAcc = $(this).attr('ACCOUNT_ID');
    var fuelType = $(this).attr('id').substring(20);
    var order_price = 0;
    var order_price_td = $('[id^="ORDER_PRICE_TD_' + comAcc + '_"]')[0];
    $('#FUEL_PRICE_' + comAcc + '_' + fuelType).val(approvedPrice);
    $('input[id^="FUEL_PRICE_' + comAcc + '"]').each(function (index) { //"#ORDER_PRICE_"+comAcc
        order_price = order_price + parseInt($(this).val());
    });
    order_price_td.innerHTML = '<input type="text" id="ORDER_PRICE_' + comAcc + '" value="' + order_price + '" class="input-xsmall" readonly="1" />';
//    var table = $('#financialInfo_tb').DataTable() ;
//        var orderData1 = table.rows().data().toArray() ;
//        console.log(orderData1) ;
});

$(document).on('keypress', function (event) {
    if (event.keyCode == 13) {
        var tabindex = $(event.target).attr("tabindex");
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    }
});

var FormValidation = function () {
    var handleValidation = function () {
        var form = $('#initOrder_frm');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: true, // do not focus the last invalid input
            ignore: "", // validate all fields including form hidden input
            messages: {
                ORDER_DT: {
                    required: "هذا الحقل مطلوب"
                }
            },
            rules: {
                ORDER_DT: {
                    required: true
                }
            },

            invalidHandler: function (event, validator) { //display error alert on form submit              
                success.hide();
                error.show();
                //App.scrollTo(error, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success.show();
                error.hide();
            }
        });
    }
    var handleValidation__2 = function () {
        var form1 = $('#gas_dis');
        var error1 = $('.alert-danger', form1);
        var success1 = $('.alert-success', form1);
        form1.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                NO_FROM: {
                    required: "الرجاء ادخال قيمة ",
                }
            },
            rules: {
                NO_FROM: {
                    required: function() {
                        return $('#K_TYPE').val()!=0;
                    }
                }
            },

            invalidHandler: function (event, validator) { //display error alert on form submit
                success1.hide();
                error1.show();
                App.scrollTo(error1, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success1.show();
                error1.hide();
            }


        });
    }
    return {
        init: function () {
            handleValidation();
            handleValidation__2();
        }
    }
}();

$(document).on('click', '#addStationInfo_but', function(e){
    $('#addStationInfo').modal('show');
    e.preventDefault();
}); 


$(document).on('click', '#ADD_STATION_BTN', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/gasmanage/addControledStation",
        cache: false,
        dataType: "json",
        data: {
            'STATION_NAME': $('#STATION_NAME').val(), 
            'STATION_CODE' : $('#STATION_CODE').val(), 
            'STATION_ID' : $('#STATION_ID').val(), 
            'ADDRESS' : $('#ADDRESS').val(), 
            'JARS_COUNT' : $('#IN_JARS_COUNT').val(), 
            'JARS_SIZE' : $('#JAR_SIZE').val(), 
            'S_MOBILE' : $('#S_MOBILE').val(), 
            'NOTES' : $('#NOTES').val(), 
        },
        success: function (data) {
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            if(data.success){
                getStationsInfoList();
                $('#STATION_NAME').val('');
                $('#STATION_CODE').val('');  
                $('#STATION_ID').val('');  
                $('#ADDRESS').val('');
                $('#IN_JARS_COUNT').val('');  
                $('#JARS_SIZE').val(''); 
                $('#S_MOBILE').val('');  
                $('#NOTES').val('');  
            }   
            $('#addStationInfo').modal('hide');
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:errorThrown, type:'warning', icon:'warning'});
        }
    });
    e.preventDefault();
}); 

$(document).on('click', '.addNewJars', function(e){
    $('#s_STATION_CODE').val($(this).attr('STATION_CODE'));
    $('#addGasJarsModal').modal('show');
    e.preventDefault();
}); 

$(document).on('click', '#ADD_JARS_BTN', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/gasmanage/addJarsToStation",
        cache: false,
        dataType: "json",
        data: {
            'STATION_CODE': $('#s_STATION_CODE').val(), 
            'JARS_COUNT' : $('#JARS_COUNT').val(), 
            'JARS_SIZE' : $('#JARS_SIZE').val(),
            'BENE_NAME' : $('#BENE_NAME').val(),
            'BENE_MOBILE' : $('#BENE_MOBILE').val()
        },
        success: function (data) {
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            if(data.success){
                getStationsInfoList();
                $('#s_STATION_CODE').val('');
                $('#JARS_COUNT').val('');  
                $('#JARS_SIZE').val('');  
            }   
            $('#addGasJarsModal').modal('hide');
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:errorThrown, type:'warning', icon:'warning'});
        }
    });
    e.preventDefault();
}); 

$(document).on('click', '.printJarsIDs', function(e){
    $('#i_JAR_SR').val(null);
    $('#i_STATION_CODE').val($(this).attr('STATION_CODE'));
    $('#printJarIDs_frm').submit();
    e.preventDefault();
}); 

$(document).on('click', '#queryStationFillInfo_but', function(e){
    getStationsRegisteredFillInfo();
}); 

function getStationsInfoList(){
    $('#gazControl_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/gasmanage/getControledStationsList", 
            "type": "POST",
            
        },
        "order": [[2, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 6 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                { 
                    var res = '';  
                    if($('#allowedToAdd').val()) res += '<a href="" STATION_CODE = "'+ data.STATION_CODE +'" class="btn blue addNewJars">إضافة اسطوانات</a>';
                    if($('#allowedToPrint').val()) res += '<a href="" STATION_CODE = "'+ data.STATION_CODE +'" class="btn green printJarsIDs">طباعة 30 هوية</a>'; 
                   
                   return res;
                }
            } 

        ],
        "aoColumns": 
        [   
            { "mData": "STATION_CODE"},
            { "mData": 'STATION_NAME'},
            { "mData": "OWNER_STATION"},
            { "mData": "ADDRESS"},
            { "mData": "STATION_MOBILE"},
            { "mData": "JARS_COUNT"},
            { "mData": null}
        ]
        
    });
}

function getStationsRegisteredFillInfo(){
    $('#registeredGasAmounts_tb').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        "ajax": 
        {
            "url": "index.php/gasmanage/getRegisteredStationsFillList", 
            "type": "POST",
            "data" : {
                'STATION_ID' : $('#COMPANY_ID').val(),
                'FILL_START' : $('#FILL_START_DT').val(),
                'FILL_END' : $('#FILL_END_DT').val(),
            }
        },
        "order": [[1, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
        },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 1 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                { 
                   return data.STATION_NAME + ' (' +data.STATION_ID + ')';
                }
            } ,
            {
                "aTargets": [ 6 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                { 
                   return '';
                }
            } 

        ],
        "aoColumns": 
        [   
            { "mData": 'FILL_DT'},
            { "mData": null},
            { "mData": "BENEFICIARY"},
            { "mData": "COUNT_48K"},
            { "mData": "AGENT_NAME"},
            { "mData": "INSERT_DT"},
            { "mData": null}
        ]
        
    });
}


$(document).on('keyup', "#COMPANY_TERM", function (event) {
    if($(this).val() == ''){
        $("#COMPANY_ID").val('');
        $("#COMPANY_NAME").val('');
    }
    $search_for = $(this).val();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getCompanyInfo",
                cache: false,
                dataType: "json",
                data: {
                    term: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.COMPANY_NAME_A,
                            value: item.COMPANY_ID
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#COMPANY_TERM").val(ui.item.value);
            $("#COMPANY_ID").val(ui.item.value);
            $("#COMPANY_NAME").val(ui.item.label);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});


function showMessage(config) {
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type, // alert's type
        message: config.message, // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage() {
    $('#alert_container').html('');
}

