$(document).ready(function ()
{
    // on change select todayck
    $('#ORDER_TYPE').on('change', function () {
        if (this.value == 5 || this.value == 6 || this.value == 8) {
            $(".todayckdiv").removeClass("hidden");

        } else {
            $(".todayckdiv").addClass("hidden");
            $("#todayck").prop('checked', 0);

        }
    })

    $(window).load(function () {
        $(".datepicker-dropdown :first-child").addClass("custompk");
    });
    $(document).on('click', ".deleteDate", function (e) {
        var date_val = $(this).attr("role");
        $.ajax(
                {
                    url: "index.php/order/deleteAvailableDays",
                    type: "post",
                    dataType: "json",
                    data: {
                        I_ORDER_DT: date_val,
                    },
                    success: function (data) {
                        showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

                    }

                });
        e.preventDefault();
        $(this).parents('tr').remove();

    });


    $('.datepicker').datepicker({dateFormat: 'dd-mm-yy'});
    $(document).on('click', "#add_available_btn", function (e)
    {
        var ORDER_DT_NEW = $("#ORDER_DT_NEW").val();
        var karm_port = 0;
        rafah_port = 0;
        rafah_gas_port = 0;
        if ($("#KARM_PORT").prop('checked'))
            karm_port = 1;
        if ($("#RAFAH_PORT").prop('checked'))
            rafah_port = 1;
        if ($("#RAFAH_GAS_PORT").prop('checked'))
            rafah_gas_port = 1;

//        var ORDER_TYPE_NEW= $("#ORDER_TYPE_NEW").val();
//        if(ORDER_TYPE_NEW==1){
//            var I_KARM= 0; 
//            var I_RAFAH= 1; 
//			
//			
//		}
//		else if(ORDER_TYPE_NEW==2){
//			
//			var I_KARM= 1; 
//			var I_RAFAH= 0; 
//			
//			
//		}
//		else{
//			
//			var I_KARM= 1; 
//			var I_RAFAH= 1; 
//			
//			
//		}
        $.ajax({
            type: 'post',
            url: "index.php/order/addAvailabeOrderDate",
            cache: false,
            dataType: "json",
            data: {
                I_ORDER_DT: ORDER_DT_NEW,
                I_RAFAH: rafah_port,
                I_KARM: karm_port,
                I_RAFAH_GAS: rafah_gas_port
            },
            success: function (data) {
                $("#ORDER_DT_NEW").val("");
                $("#KARM_PORT").prop('checked', false);
                $("#RAFAH_PORT").prop('checked', false);
                $("#RAFAH_GAS_PORT").prop('checked', false);
                $("#ORDER_DT").val("");


                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
                $("#get_available_btn").click();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();




    });


    $(document).on('click', "#get_available_btn", function (e) {

        $('#available_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            "ajax":
                    {
                        "url": "index.php/order/getAvailableDays",
                        "type": "POST",
                        "data": {
                            I_ORDER_DT: $('#ORDER_DT').val(),
                            I_ORDER_TYPE: $('#ORDER_TYPE').val(),
                        }
                    },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [4],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";

                                res += '<a href="" role="' + full.ORDER_DT + '" class="btn btn-danger deleteDate">حذف</a>';

                                return res;
                            }
                        },
                        {
                            "aTargets": [1],
                            "mData": "RAFAH_PORT",
                            "mRender": function (data, type, full)
                            {
                                if (full.RAFAH_PORT == 1)
                                    return "متاح";
                                else {
                                    return "غير متاح";
                                }
                            }

                     },
                     {
                            "aTargets": [2],
                            "mData": "RAFAH_GAS_PORT",
                            "mRender": function (data, type, full)
                            {
                                if (full.RAFAH_GAS_PORT == 1)
                                    return "متاح";
                                else {
                                    return "غير متاح";
                                }
                            }

                     },
                        {
                            "aTargets": [3],
                            "mData": "KARM_PORT",
                            "mRender": function (data, type, full)
                            {
                                if (full.KARM_PORT == 1)
                                    return "متاح";
                                else {
                                    return "غير متاح";
                                }
                            }

                     },
                    ],
            "aoColumns":
                    [{"mData": 'ORDER_DT', 'style': 'text-align: right !important;'},
                        {"mData": 'RAFAH_PORT'},
                        {"mData": 'KARM_PORT'},
                        {"mData": null},
                    ]


        });
        e.preventDefault();
    });



    $(document).on('click', "#getOrdersMaster_btn", function (e)
    {
        $('#ordersMaster_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            "ajax":
                    {
                        "url": "index.php/order/getOrdersMaster",
                        "type": "POST",
                        "data": {
                            FROM_DATE: $('#FROM_DATE').val(),
                            TO_DATE: $('#TO_DATE').val(),
                            ORDER_TYPE: $('#ORDER_TYPE').val(),
                            MASTER_STATUS: $('#MASTER_STATUS').val(),
                            MASTER_FLAG: $('#MASTER_FLAG').val(),
                        }
                    },
            "ordering": false,
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [6],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                res += '<a href="" ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.ORDER_TYPE + '" TODAY_ORDER="'+data.SAME_DAY+'" class="btn blue goToManageOrders">ذهاب إلى</a>';
                                if(data.APPROVE_STATUS == 0)
                                    res += '<a href=""  MASTER_ID = "' + data.MASTER_ID + '" class="btn green approveOrder">اعتماد الرقابة</a>';
                                //if(data.APPROVE_STATUS == 1){
                                    res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.ORDER_TYPE + '" class="btn btn-success totallyExecute">تنفيذ كلي</a>';
                                    res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.ORDER_TYPE + '" class="btn btn-info partiallyExecute">تنفيذ جزئي</a>';
                                    if (data.MASTER_STATUS == 0 && (data.ORDER_TYPE == 6 || data.ORDER_TYPE == 8))
                                        res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" MASTER_ID = "' + data.MASTER_ID + '" class="btn btn-warning sendcrossing">ارسال للمعبر</a>';
                                    if (data.MASTER_STATUS == 0)
                                        res += '<a href=""  ORDER_DATE = "' + data.ORDER_DATE + '" ORDER_TYPE = "' + data.ORDER_TYPE + '" class="btn yellow sendSMS">SMS</a>';
                                //}
                                res += '<a href="index.php/reports/printDistributedAmounts/' + data.MASTER_ID + '"  target="_blank"  ORDER_DATE = "' + data.ORDER_DATE + '" MASTER_ID = "' + data.MASTER_ID + '" class="btn btn-danger">طباعة الطلبية</a>';

                                return res;

                            }
                  },
                        {
                            "aTargets": [2],
                            "mData": "SAME_DAY",
                            "mRender": function (data, type, full)
                            {
                                if (data.SAME_DAY == 1)
                                    return "اليوم";
                                return "غير ذلك";


                            }
            },

                    ],
            "aoColumns":
                    [
                        {"mData": "ORDER_DATE", "width": "200px"},
                        {"mData": "CATEGORY_NAME"},
                        // SAME_DAY
                        {"mData": "SAME_DAY"},
                        {"mData": "STATUS_NAME"},
                        {"mData": "APPROVE_TXT"},
                        {"mData": "APPROVE_DATE"},
                        // 
                        {"mData": null}
                    ],
            /* "columns": [
             { "title": "الترتيب" , "data": "C_ORDER" },
             { "title": "الشركة" , "data" : "ACCOUNT_NAME" },
             { "title": "رصيد الشركة" , "data" : "ACCOUNT_ID" },
             { "title": "نسبة الأساس" , "data" : "ACCOUNT_VALUE"},
             ], */


        });

    });

    $('#getFinancialInfo_btn').click(function (e) {
        var todayck = $('#todayck:checkbox:checked').length > 0;
        if (todayck == true)
            todayck = 1;
        else
            todayck = 0;

        //App.startPageLoading({animate: true});
        App.blockUI({
            target: '#initOrder_frm',
            boxed: true,
            textOnly: true,
            message: 'جلب البيانات...'
        });
        //return true;
        FormValidation.init();
        if ($("#initOrder_frm").valid() !== true) {
            return;
        }

        $.ajax({
            type: 'post',
            url: "index.php/order/getOrderInfo",
            cache: false,
            dataType: "html",
            data: {
                Order_date: $("#ORDER_DT").val(),
                Order_type: $("#ORDER_TYPE").val(),
                todayck: todayck,
            },
            success: function (data) {
                // if(data.success > 0){
                $("#manualOrders").removeClass("hidden");
                $("#manualOrders").html(data);
                //App.stopPageLoading();
                App.unblockUI('#initOrder_frm');
                // }
                // showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });

    $(document).on('click', ".partiallyExecute_btn", function (e) {
        $(this).css('display', 'none');
        $(this).parent().parent().find(".fuelRemainAmount").css('display', 'block');
        $(this).parent().find(".fuelReceivedStatus").val(2);

    });
    
    


    $(document).on('click', ".saveOrder_btn", function (e) {
        var ACCOUNT_ID = $(this).parents('tr').find(".ACCOUNT_ID").val();
        var I_ACC_BALANCE = $(".balance_report-" + ACCOUNT_ID).val();
        var I_CHECKS = $(".CHECKS-" + ACCOUNT_ID).val();
        var I_GURANTEES = $(".GARANTEES-" + ACCOUNT_ID).val();
        var I_ORDER_PRICE = $(".total-" + ACCOUNT_ID).val();

        var I_OLD_ORDERS = $(".fuelOldAmount_" + ACCOUNT_ID).val();

        var I_TOTAL_BALANCE = $(".final-" + ACCOUNT_ID).val();






        var orderInfo = {};
        var todayck = $('#todayck:checkbox:checked').length > 0;
        if (todayck == true)
            todayck = 1;
        else
            todayck = 0;
        orderInfo['ORDER_DATE'] = $("#ORDER_DT").val();
        orderInfo['I_ACC_BALANCE'] = I_ACC_BALANCE;
        orderInfo['I_CHECKS'] = I_CHECKS;
        orderInfo['I_GURANTEES'] = I_GURANTEES;
        orderInfo['I_ORDER_PRICE'] = I_ORDER_PRICE;
        orderInfo['I_OLD_ORDERS'] = I_OLD_ORDERS;
        orderInfo['I_TOTAL_BALANCE'] = I_TOTAL_BALANCE;

        orderInfo['ORDER_TYPE'] = $("#ORDER_TYPE").val();
        orderInfo['ORDER_ID'] = $(this).parents('tr').find(".ORDER_ID").val();
        orderInfo['ACCOUNT_ID'] = $(this).parents('tr').find(".ACCOUNT_ID").val();
        orderInfo['GROUP_NO'] = $(this).parents('tr').find(".GROUP_NO").val();
        orderInfo['RANK_NO'] = $(this).parents('tr').find(".rankNo").val();
        orderInfo['I_Todayck'] = todayck;

        console.log(orderInfo);

        var fuelDetails = [];
        var todayck = $('#todayck:checkbox:checked').length > 0;
        if (todayck == true)
            todayck = 1;
        else
            todayck = 0;


        $(this).parents('tr').find(".fuel-details tbody tr").each(function () {
            fuelDetails.push(JSON.stringify({
                'FUEL_SERIAL': $(this).find(".fuelSerial").val(),
                'FUEL_AMOUNT': $(this).find(".fuelAmount").val(),
                'APPROVED_AMOUNT': $(this).find(".fuelApprovedAmount").val(),
                'PRODUCT_PRICE': $(this).find(".productPrice").val(),
                'RECEIVED_AMOUNT': $(this).find(".fuelRemainAmount").val(),
                'RECEIVE_STATUS': $(this).find(".fuelReceivedStatus").val(),
                'I_Todayck': todayck
            }));
        });


        $.ajax({
            type: 'post',
            url: "index.php/order/saveOrder",
            cache: false,
            dataType: "json",
            data: {
                orderInfo: JSON.stringify(orderInfo),
                fuelDetails: JSON.stringify(fuelDetails)
            },
            success: function (data) {

                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'success', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();
    });
    
    $(document).on('click', ".printInstallApp_btn", function (e) {
        var ORDER_DT = $("#ORDER_DT").val();
        var ACCOUNT_ID = $(this).parents('tr').find(".ACCOUNT_ID").val();
        $("#R_ACCOUNT_ID").val(ACCOUNT_ID);
        $("#R_ORDER_DT").val(ORDER_DT);
        $("#printInstallmenetAppForm").submit();
        e.preventDefault();
        
    });




    //// 

    // $('.datepicker:eq(0)').addClass("datepicker-dropdown2");


///////////////////////////////////
    $(document).on('click', "#create_master_order_btn", function (e) {
        // alert("create_master_order_btn");
        $.ajax({
            type: 'post',
            url: "index.php/order/createMasterOrder",
            cache: false,
            dataType: "json",
            data: {
                Order_date: $("#ORDER_DT").val(),
                Order_type: $("#ORDER_TYPE").val(),
            },
            success: function (data) {
                if (data.success > 0) {
                    // $("#SERIAL_NO").val(data.consignmentSID);
                }
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown, type: "error", icon: "warning"});

            }
        });
        e.preventDefault();

    });

    $(document).on('click', ".goToAccountStatment_btn", function (e) {
        $("#F_ACCOUNT_ID").val($(this).attr("ACCOUNT_ID"));
        $("#F_ACCOUNT_NAME").val($(this).attr("ACCOUNT_VALUE") + " - " + $(this).attr("ACCOUNT_NAME"));
        $("#F_END_DT").val($('#ORDER_DT').val());
        var dateArray = $('#ORDER_DT').val().split("/");
        var n = new Date(dateArray[2], dateArray[1] - 1, dateArray[0]);
        n.setMonth(n.getMonth() - 1);
        var f = $.datepicker.formatDate('dd/mm/yy', n);
        $("#F_START_DT").val(f);
        $("#goToAccountStatmentForm").submit();
        e.preventDefault();
    });

    $(document).on('click', ".goToManageOrders", function (e) {
        $("#F_ORDER_DATE").val($(this).attr("ORDER_DATE"));
        $("#F_ORDER_TYPE").val($(this).attr("ORDER_TYPE"));
        $("#F_TODAY_ORDER").val($(this).attr("TODAY_ORDER"));
        $("#ordersMasterForm").submit();
        e.preventDefault();
    });

    $(document).on('click', ".totallyExecute", function (e) {
        var ORDER_DATE = $(this).attr("ORDER_DATE");
        var ORDER_TYPE = $(this).attr("ORDER_TYPE");
        $.ajax({
            type: 'post',
            url: "index.php/order/totallyExecute",
            cache: false,
            dataType: "json",
            data: {
                ORDER_DATE: ORDER_DATE,
                ORDER_TYPE: ORDER_TYPE,
            },
            success: function (data) {
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });

        e.preventDefault();
    });

    /// 

    $(document).on('click', ".sendcrossing", function (e) {
        var MASTER_ID = $(this).attr("MASTER_ID");
        //var ORDER_TYPE = $(this).attr("ORDER_TYPE");
        // ORDERS_PKG.SEND_ORDER_TO_PORT

        $.ajax({
            type: 'post',
            url: "index.php/order/sendOrderToport",
            cache: false,
            dataType: "json",
            data: {
                MASTER_ID: MASTER_ID,
            },
            success: function (data) {
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });

        e.preventDefault();
    });


    $(document).on('click', ".approveOrder", function (e) {
        var MASTER_ID = $(this).attr("MASTER_ID");

        $.ajax({
            type: 'post',
            url: "index.php/order/approveOrder",
            cache: false,
            dataType: "json",
            data: {
                MASTER_ID: MASTER_ID,
            },
            success: function (data) {
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
                $('#getOrdersMaster_btn').click(); 
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });

        e.preventDefault();
    });



    $(document).on('click', ".partiallyExecute", function (e) {
        var ORDER_DATE = $(this).attr("ORDER_DATE");
        var ORDER_TYPE = $(this).attr("ORDER_TYPE");
        $.ajax({
            type: 'post',
            url: "index.php/order/partiallyExecute",
            cache: false,
            dataType: "json",
            data: {
                ORDER_DATE: ORDER_DATE,
                ORDER_TYPE: ORDER_TYPE,
            },
            success: function (data) {
                alert(data.msg); 
                $("#F_ORDER_DATE").val(ORDER_DATE);
                $("#F_ORDER_TYPE").val(ORDER_TYPE);
                $("#ordersMasterForm").submit();
                //showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });

        e.preventDefault();
    });
    
    $(document).on('click', ".sendSMS", function (e) {
        if(confirm('هل أنت متأكد من رغبتك باعلام المندوبين بالكميات المعتمدة في الطلبية؟')){
            var ORDER_DATE = $(this).attr("ORDER_DATE");
            var ORDER_TYPE = $(this).attr("ORDER_TYPE");
            $.ajax({
                type: 'post',
                url: "index.php/order/smsAgentsNotification",
                cache: false,
                dataType: "json",
                data: {
                    ORDER_DATE: ORDER_DATE,
                    ORDER_TYPE: ORDER_TYPE,
                },
                success: function (data) {
                    showMessage({message: 'تم إعلام ' + data.smsCount + ' مندوب بالكميات المعتمدة.', type: (data.smsCount > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    showMessage({message: 'حدثت مشكلة أثناء عملية إرسال الرسائل النصية. ' + errorThrown, type: 'warning', icon: 'warning'});

                }
            });
        }
        e.preventDefault();
    });

/*
    $(document).on('click', ".approveOrders", function (e) {
        var elm = $(this).parent();
        $.ajax({
            type: 'post',
            url: "index.php/order/ApproveOrder",
            cache: false,
            dataType: "json",
            data: {
                Order_Id: $(this).attr("order_id"),
            },
            success: function (data) {
                elm.html(data.msg);
                showMessage({message: data.msg, type: (data.success > 0) ? 'success' : 'warning', icon: (data.success > 0) ? 'check' : 'warning'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: 'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon: 'warning'});

            }
        });
        e.preventDefault();
    });

*/
    $(document).on('click', "#getOrders_btn", function (e)
    {
        $('#inOrdersMaster_tb').dataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            "ajax":
                    {
                        "url": "index.php/order/getInitialOrdersList",
                        "type": "POST",
                        "data": {
                            I_ORDER_ID: $('#I_ORDER_ID').val(),
                            I_FROM: $('#I_FROM').val(),
                            I_TO: $('#I_TO').val(),
                            I_TYPE: $('#I_TYPE').val(),
                            I_STATUS: $('#I_STATUS').val(),
                        }
                    },
            "order": [[0, "asc"]],
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [3],
                            "mData": "download_link",
                            "mRender": function (data, type, full)
                            {
                                var res = "";
                                if (data.ORDER_STATUS == 1) {

                                    res += '<a href="" order_id = "' + data.ORDER_ID + '" class="btn blue goToManageOrders">ذهاب إلى</a>';

                                } else {
                                    res += '<a href="" order_id = "' + data.ORDER_ID + '" class="btn blue goToManageOrders">ذهاب إلى</a>';
                                    res += '<a href="" order_id = "' + data.ORDER_ID + '" class="btn green approveOrders">اعتماد</a>';



                                }

                                return res;

                            }
                        }

                    ],
            "aoColumns":
                    [
                        {"mData": 'ORDER_ID', "data": "data.ORDER_ID"},
                        {"mData": "ORDER_DATE", "data": "data.ORDER_DATE"},
                        {"mData": "ORDER_STATUS_NAME", "data": "data.ORDER_STATUS_NAME"},
                        {"mData": null}
                    ],
            /*"aoColumns": 
             [  
             
             { "mData": ORDER_ID, "data": "ORDER_ID"},
             { "mData": ORDER_DATE,  "data": "ORDER_DATE"},  
             // { "mData": ORDER_TYPE,  "data": "ORDER_TYPE"},  
             { "mData": ORDER_STATUS , "data": "ORDER_STATUS" }
             { "mData": action , "data": null }
             ],*/

            /* "columns": [
             { "title": "الترتيب" , "data": "C_ORDER" },
             { "title": "الشركة" , "data" : "ACCOUNT_NAME" },
             { "title": "رصيد الشركة" , "data" : "ACCOUNT_ID" },
             { "title": "نسبة الأساس" , "data" : "ACCOUNT_VALUE"},
             ], */


        });

    });



    $('[tabindex=0]').focus();
    FormValidation.init();


    $('#getOrderDetails_btn').click(function (e) {
        var orderTable = $('#orderDetails_tb').DataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [20, 30, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 150,
            "ajax":
                    {
                        "url": "index.php/order/getOrderDetails",
                        "type": "POST",
                        "data": {
                            ORDER_ID: $('#ORDER_ID').val()
                        }
                    },
            //        "order": [[0, "asc"]],
            rowsGroup: [0, 1, 2, 3, 5, 4, 10, 11, 12, 13],
            //        rowId : DT_ROWID, 
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [8],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                return '<input type="text" id="APPROVED_AMOUNT_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" FPRICE="' + data.UNIT_PRICE + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + data.FUEL_AMOUNT + '" class="input-xsmall" />';
                            }
                        },
                        {
                            "aTargets": [9],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                //console.log($('#financialInfo_tb').DataTable().data()[0].ACCOUNT_ID); 
                                //console.log($('#financialInfo_tb').DataTable().iDataRow) ; 
                                var fuel_price = data.UNIT_PRICE * data.FUEL_AMOUNT;
                                //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                                return '<input type="text" id="FUEL_PRICE_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + fuel_price.toFixed(2) + '" class="input-xsmall" readonly="1" />';
                            }
                        }
                    ],
            "aoColumns":
                    [
                        {"mData": 'ACCOUNT_VALUE', width: "5%"},
                        {"mData": 'ACCOUNT_NAME', width: "15%"},
                        {"mData": "ACCOUNT_BALANCE", width: "7%"},
                        {"mData": "DEFERRED_CHECKS", width: "7%"},
                        {"mData": "ORDER_BALANCE", width: "7%"},
                        {"mData": "GURANTEES", width: "7%"},
                        {"mData": "FUEL_NAME", width: "7%"},
                        {"mData": "FUEL_AMOUNT", width: "7%"},
                        {"mData": null, width: "5%"},
                        {"mData": null, width: "10%"},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'ORDER_PRICE_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'TOTAL_ACCOUNT_BAL_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'COMP_RANK_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%"}
                    ]

        });

        orderTable.on('draw', function () {
            var odata = orderTable.rows().data().toArray();
            $.each(odata, function (key, value) {
                var fuel_price = value.UNIT_PRICE * value.FUEL_AMOUNT;
                var order_price_td = $('[id^="ORDER_PRICE_TD_' + value.ACCOUNT_ID + '_"]');
                if ($(document).find($('#ORDER_PRICE_' + value.ACCOUNT_ID)).length) {
                    //console.log(key+':'+ value.ACCOUNT_ID) ;

                    //console.log($('#ORDER_PRICE_' + value.ACCOUNT_ID).length) ;
                    var cur_order_price = $('#ORDER_PRICE_' + value.ACCOUNT_ID).val();
                    //console.log(parseFloat(cur_order_price) + fuel_price.toFixed(2)) ;
                    $('#ORDER_PRICE_' + value.ACCOUNT_ID).val(parseFloat(cur_order_price) + fuel_price.toFixed(2));
                } else {
                    //console.log('in else' + order_price_td) ; 
                    order_price_td[0].innerHTML = '<input type="text" id="ORDER_PRICE_' + value.ACCOUNT_ID + '" value="' + fuel_price + '" class="input-xsmall" readonly="1" />';
                }
                //$('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                order_price_td[1].innerHTML = '';
                order_price_td[2].innerHTML = '';
            });


            //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
        });

        e.preventDefault();
    });




    $('#getFinancialInfo_btn1').click(function (e) {
        FormValidation.init();
        if ($("#initOrder_frm").valid() !== true) {
            return;
        }
        var orderTable = $('#financialInfo_tb').DataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [20, 30, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 150,
            "ajax":
                    {
                        "url": "index.php/order/getCompaniesFinancialInfo",
                        "type": "POST",
                        "data": {
                            ORDER_DT: $('#ORDER_DT').val(),
                            ORDER_TYPE: $('#ORDER_TYPE').val()
                        }
                    },
            //        "order": [[0, "asc"]],
            rowsGroup: [0, 1, 2, 3, 5, 4, 10, 11, 12, 13],
            //        rowId : DT_ROWID, 
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [8],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                return '<input type="text" id="APPROVED_AMOUNT_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" FPRICE="' + data.UNIT_PRICE + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + data.FUEL_AMOUNT + '" class="input-xsmall" />';
                            }
                        },
                        {
                            "aTargets": [9],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                //console.log($('#financialInfo_tb').DataTable().data()[0].ACCOUNT_ID); 
                                //console.log($('#financialInfo_tb').DataTable().iDataRow) ; 
                                var fuel_price = data.UNIT_PRICE * data.FUEL_AMOUNT;
                                //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                                return '<input type="text" id="FUEL_PRICE_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + fuel_price.toFixed(2) + '" class="input-xsmall" readonly="1" />';
                            }
                        }
                    ],
            "aoColumns":
                    [
                        {"mData": 'ACCOUNT_VALUE', width: "5%"},
                        {"mData": 'ACCOUNT_NAME', width: "15%"},
                        {"mData": "ACCOUNT_BALANCE", width: "7%"},
                        {"mData": "DEFERRED_CHECKS", width: "7%"},
                        {"mData": "ORDER_BALANCE", width: "7%"},
                        {"mData": "GURANTEES", width: "7%"},
                        {"mData": "FUEL_NAME", width: "7%"},
                        {"mData": "FUEL_AMOUNT", width: "7%"},
                        {"mData": null, width: "5%"},
                        {"mData": null, width: "10%"},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'ORDER_PRICE_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'TOTAL_ACCOUNT_BAL_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'COMP_RANK_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%"}
                    ]

        });

        orderTable.on('draw', function () {
            var odata = orderTable.rows().data().toArray();
            $.each(odata, function (key, value) {
                var fuel_price = value.UNIT_PRICE * value.FUEL_AMOUNT;
                var order_price_td = $('[id^="ORDER_PRICE_TD_' + value.ACCOUNT_ID + '_"]');
                if ($(document).find($('#ORDER_PRICE_' + value.ACCOUNT_ID)).length) {
                    //console.log(key+':'+ value.ACCOUNT_ID) ;

                    //console.log($('#ORDER_PRICE_' + value.ACCOUNT_ID).length) ;
                    var cur_order_price = $('#ORDER_PRICE_' + value.ACCOUNT_ID).val();
                    //console.log(parseFloat(cur_order_price) + fuel_price.toFixed(2)) ;
                    $('#ORDER_PRICE_' + value.ACCOUNT_ID).val(parseFloat(cur_order_price) + fuel_price.toFixed(2));
                } else {
                    //console.log('in else' + order_price_td) ; 
                    order_price_td[0].innerHTML = '<input type="text" id="ORDER_PRICE_' + value.ACCOUNT_ID + '" value="' + fuel_price + '" class="input-xsmall" readonly="1" />';
                }
                //$('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                order_price_td[1].innerHTML = '';
                order_price_td[2].innerHTML = '';
            });


            //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
        });

        e.preventDefault();
    });


    $('#getOrderInitDetails_btn').click(function (e) {
        FormValidation.init();
        if ($("#initOrder_frm").valid() !== true) {
            return;
        }
        var orderTable = $('#financialInfo_tb').DataTable({
            "destroy": true,
            "bStateSave": true,
            "lengthMenu": [
                [20, 30, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 150,
            "ajax":
                    {
                        "url": "index.php/order/getCompaniesFinancialInfo",
                        "type": "POST",
                        "data": {
                            ORDER_DT: $('#ORDER_DT').val(),
                            ORDER_TYPE: $('#ORDER_TYPE').val()
                        }
                    },
            //        "order": [[0, "asc"]],
            rowsGroup: [0, 1, 2, 3, 5, 4, 10, 11, 12, 13],
            //        rowId : DT_ROWID, 
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs":
                    [
                        {
                            "aTargets": [8],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                return '<input type="text" id="APPROVED_AMOUNT_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" FPRICE="' + data.UNIT_PRICE + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + data.FUEL_AMOUNT + '" class="input-xsmall" />';
                            }
                        },
                        {
                            "aTargets": [9],
                            "mData": "",
                            "mRender": function (data, type, full)
                            {
                                //console.log($('#financialInfo_tb').DataTable().data()[0].ACCOUNT_ID); 
                                //console.log($('#financialInfo_tb').DataTable().iDataRow) ; 
                                var fuel_price = data.UNIT_PRICE * data.FUEL_AMOUNT;
                                //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                                return '<input type="text" id="FUEL_PRICE_' + data.ACCOUNT_ID + '_' + data.FUEL_SERIAL + '" ACCOUNT_ID="' + data.ACCOUNT_ID + '" value="' + fuel_price.toFixed(2) + '" class="input-xsmall" readonly="1" />';
                            }
                        }
                    ],
            "aoColumns":
                    [
                        {"mData": 'ACCOUNT_VALUE', width: "5%"},
                        {"mData": 'ACCOUNT_NAME', width: "15%"},
                        {"mData": "ACCOUNT_BALANCE", width: "7%"},
                        {"mData": "DEFERRED_CHECKS", width: "7%"},
                        {"mData": "ORDER_BALANCE", width: "7%"},
                        {"mData": "GURANTEES", width: "7%"},
                        {"mData": "FUEL_NAME", width: "7%"},
                        {"mData": "FUEL_AMOUNT", width: "7%"},
                        {"mData": null, width: "5%"},
                        {"mData": null, width: "10%"},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'ORDER_PRICE_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'TOTAL_ACCOUNT_BAL_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%", "sDefaultContent": '', "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).prop('id', 'COMP_RANK_TD_' + oData.ACCOUNT_ID + '_' + iRow);
                                $(nTd).html('<input type="text" value="0.00" class="input-xsmall" readonly="1" />');
                            }},
                        {"mData": null, width: "10%"}
                    ]

        });

        orderTable.on('draw', function () {
            alert('draw');
            var odata = orderTable.rows().data().toArray();
            $.each(odata, function (key, value) {
                var fuel_price = value.UNIT_PRICE * value.FUEL_AMOUNT;
                var order_price_td = $('[id^="ORDER_PRICE_TD_' + value.ACCOUNT_ID + '_"]');
                if ($(document).find($('#ORDER_PRICE_' + value.ACCOUNT_ID)).length) {
                    //console.log(key+':'+ value.ACCOUNT_ID) ;

                    //console.log($('#ORDER_PRICE_' + value.ACCOUNT_ID).length) ;
                    var cur_order_price = $('#ORDER_PRICE_' + value.ACCOUNT_ID).val();
                    //console.log(parseFloat(cur_order_price) + fuel_price.toFixed(2)) ;
                    $('#ORDER_PRICE_' + value.ACCOUNT_ID).val(parseFloat(cur_order_price) + fuel_price.toFixed(2));
                } else {
                    //console.log('in else' + order_price_td) ; 
                    order_price_td[0].innerHTML = '<input type="text" id="ORDER_PRICE_' + value.ACCOUNT_ID + '" value="' + fuel_price + '" class="input-xsmall" readonly="1" />';
                }
                //$('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + value.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
                order_price_td[1].innerHTML = '';
                order_price_td[2].innerHTML = '';
            });


            //$('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val(parseInt($('#OTOTAL_PIRCE_' + data.ACCOUNT_ID).val() + fuel_price.toFixed(2))) ;
        });

        e.preventDefault();
    });


});



$(document).on('blur', 'input[id^="APPROVED_AMOUNT_"]', function () {
    var amount = $(this).val();
    var unitPrice = $(this).attr('FPRICE');
    var approvedPrice = amount * unitPrice;
    var comAcc = $(this).attr('ACCOUNT_ID');
    var fuelType = $(this).attr('id').substring(20);
    var order_price = 0;
    var order_price_td = $('[id^="ORDER_PRICE_TD_' + comAcc + '_"]')[0];
    $('#FUEL_PRICE_' + comAcc + '_' + fuelType).val(approvedPrice);
    $('input[id^="FUEL_PRICE_' + comAcc + '"]').each(function (index) { //"#ORDER_PRICE_"+comAcc
        order_price = order_price + parseInt($(this).val());
    });
    order_price_td.innerHTML = '<input type="text" id="ORDER_PRICE_' + comAcc + '" value="' + order_price + '" class="input-xsmall" readonly="1" />';
//    var table = $('#financialInfo_tb').DataTable() ;
//        var orderData1 = table.rows().data().toArray() ;
//        console.log(orderData1) ;
});

$(document).on('keypress', function (event) {
    if (event.keyCode == 13) {
        var tabindex = $(event.target).attr("tabindex");
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    }
});

var FormValidation = function () {
    var handleValidation = function () {
        var form = $('#initOrder_frm');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: true, // do not focus the last invalid input
            ignore: "", // validate all fields including form hidden input
            messages: {
                ORDER_DT: {
                    required: "هذا الحقل مطلوب"
                }
            },
            rules: {
                ORDER_DT: {
                    required: true
                }
            },
            invalidHandler: function (event, validator) { //display error alert on form submit              
                success.hide();
                error.show();
                //App.scrollTo(error, -200);
            },
            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },
            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },
            submitHandler: function (form) {
                success.show();
                error.hide();
            }
        });
    }
    return {
        init: function () {
            handleValidation();
        }
    }
}();

function showMessage(config) {
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type, // alert's type
        message: config.message, // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage() {
    $('#alert_container').html('');
}




/*
 $('#inOrdersMaster_tb').dataTable({
 "destroy": true,
 "bStateSave": true,
 "lengthMenu": [
 [10, 20, 50, 100, 150, -1],
 [10, 20, 50, 100, 150, "All"] // change per page values here
 ],
 "pageLength": 10,
 
 "ajax": 
 {
 "url": "index.php/orders/getInitialOrdersList", 
 "type": "POST",
 "data": {
 CON_ID: $('#CON_ID').val(),
 START_DT: $('#START_DT').val(),
 END_DT: $('#END_DT').val(),
 IN_PORT: $('#IN_PORT').val(),
 FUEL_TYPE: $('#FUEL_TYPE').val(),
 STATUS: $('#STATUS').val(),
 BILL_NO: $("#BILL_NO").val()
 }  
 },
 
 
 
 "order": [[0, "asc"]],
 "language": {
 "lengthMenu": "عرض _MENU_ سجل في الصفحة",
 "zeroRecords": "عذرا - لا يوجد بيانات.",
 "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
 "infoEmpty": "لا تتوفر اي بيانات.",
 "infoFiltered": "(تصفية من _MAX_ سجل)",
 "loadingRecords": "تحميل...",
 "processing":     "جاري معالجة البيانات...",
 "search":         "بحث:",
 "paginate": {
 "first":      "الأول",
 "last":       "الأخير",
 "next":       "التالي",
 "previous":   "السابق"
 },
 },
 "sAjaxDataProp" : "",
 "aoColumnDefs": 
 [ 
 {
 "aTargets": [ 3 ],
 "mData": "download_link",
 "mRender": function ( data, type, full ) 
 {
 var res = "";
 if(data.ORDER_STATUS == 1){ 
 res += '<a href="" ORDER_ID = "'+ data.ORDER_ID +'" class="btn blue goToManageOrders">ذهاب إلى</a><span>   </span>';
 res += '<a href="" ORDER_ID = "'+ data.ORDER_ID +'" class="btn green approveOrders">اعتماد</a>';
 } else if(data.ORDER_STATUS == 2){ 
 res += '<a href="" ORDER_ID = "'+ data.ORDER_ID +'" class="btn yellow goToManageOrders">ارجاع</a>';
 res += '<a href="" ORDER_ID = "'+ data.ORDER_ID +'" class="btn red approveOrders">الغاء</a>';
 } 
 
 return res;
 }
 } 
 
 ],
 "aoColumns": 
 [   
 { "mData": 'ORDER_ID' },
 { "mData": "ORDER_DATE" },
 { "mData": "ORDER_STATUS" },
 { "mData": null }
 ],
 
 
 /* "aoColumnDefs": 
 [ 
 {
 "aTargets": [ 1 ],
 "mData": 'IN_PORT',
 "mRender": function ( data, type, full ) 
 {
 var txt ; 
 if(data.IN_PORT == 1){
 txt = "كرم أبو سالم" ;
 }
 else if(data.IN_PORT == 2){
 txt = "رفح";
 }
 return txt ;
 }
 },
 {
 "aTargets": [ 11 ],
 "mData": "download_link",
 "mRender": function ( data, type, full ) 
 {
 var res = "";
 if(data.STATUS == 0){
 if($('#allowedToView').val()) {
 res += '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'" class="btn blue goToManageInConsignment">ذهاب إلى</a>';
 }
 if($('#allowedToApprove').val()) {
 res += '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'" class="btn green approveInConsignment">اعتماد</a>';
 }
 if($('#allowedToCancel').val()) {
 res += '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'"  class="btn red cancelInConsignment">الغاء</a>';
 }
 } else if(data.STATUS == 1){ 
 if($('#allowedToView').val()) {
 res += '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'" class="btn blue goToManageInConsignment">ذهاب إلى</a>' +
 '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'" class="btn blue returnInConsignment">ارجاع</a>';
 }
 }
 else if(data.STATUS == 2){ 
 if($('#allowedToView').val()) {
 res += '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'" class="btn blue goToManageInConsignment">ذهاب إلى</a>';
 }
 }
 
 if(data.IN_PORT == 2){ 
 if($('#allowedToView').val()) {
 res += '<a href="" CON_SR = "'+ data.SERIAL_NO +'" PORT="'+data.IN_PORT+'" class="btn btn-warning completeEgyptInConsignment">اكمال البيانات</a>';
 }
 }
 
 return res;
 
 }
 },
 { "width": "5%", "targets": 0 },
 { "width": "10%", "targets": 1 }, 
 { "width": "10%", "targets": 2 },
 { "width": "15%", "targets": 3 },
 { "width": "10%", "targets": 4 },
 { "width": "15%", "targets": 5 },
 { "width": "10%", "targets": 6 },
 { "width": "10%", "targets": 10 }, 
 { "width": "15%", "targets": 11 }
 
 
 ],*/
/* "aoColumns": 
 [   
 { "mData": 'SERIAL_NO' },
 { "mData": null},  
 { "mData": "CON_IN_DT" },
 { "mData": "PRODUCT_NAME" },
 { "mData": "PRODUCT_AMOUNT" },
 { "mData": "SUPPLIER_NAME" },
 { "mData": "TARGET_BENEF" },
 { "mData": null , "width" : "10%" , "visible": false , "render" : function(data , type , full){
 if($("#IN_PORT").val() == 2){
 return data.BILL_ID ; 
 } 
 return ''  ;
 }
 }, 
 { "mData": null , "width" : "10%" , "visible": false , "render" : function(data , type , full){
 if($("#IN_PORT").val() == 2){
 return data.SUPPLY_DT ; 
 }
 return '' ;
 }
 },
 { "mData": null , "width" : "10%" , "visible": false , "render" : function(data , type , full){
 if($("#IN_PORT").val() == 2){
 return data.AMOUNT_TN ; 
 }
 return '' ;
 }
 },
 { "mData": "STATUS_TXT" },
 { "mData": null }
 ],*/
/* "footerCallback": function ( row, data, start, end, display ) {
 var api = this.api(), data;
 
 // Remove the formatting to get integer data for summation
 var intVal = function ( i ) {
 return typeof i === 'string' ?
 i.replace(/[\$,]/g, '')*1 :
 typeof i === 'number' ?
 i : 0;
 };
 
 // Total over all pages
 total = api
 .column( 4 )
 .data()
 .reduce( function (a, b) {
 return intVal(a) + intVal(b);
 }, 0 );
 
 // Total over this page
 pageTotal = api
 .column( 4, { page: 'current'} )
 .data()
 .reduce( function (a, b) {
 return intVal(a) + intVal(b);
 }, 0 );
 
 // Update footer
 $( api.column( 4 ).footer() ).html(
 pageTotal + ' من اجمالي </br>('+ total +')'
 );
 }
 
 });*/

//});






