/**
 * Created by pc1 on 12/18/2018.
 */

$(document).ready(function () {
    var rownum=0;
    var config = {
        '.chosen-select'           : {},
        '.chosen-select-deselect'  : { allow_single_deselect: true },
        '.chosen-select-no-single' : { disable_search_threshold: 10 },
        '.chosen-select-no-results': { no_results_text: 'Oops, nothing found!' },
        '.chosen-select-rtl'       : { rtl: true },
        '.chosen-select-width'     : { width: '95%' }
    }
    for (var selector in config) {
        $(selector).chosen(config[selector]);
    }

    $(document).on('click', "#addattach", function (e) {
        $('.files').append('<div class="row"><div class="col-md-4"><div class="form-group"><label class="control-label col-md-4"></label><div class="col-md-6">'
            +'<input id="" class="" type="file" name="files[]" multiple></div><div class="col-md-1"><a href="javascript:;" class="btn btn-sm" name="" id="cancle"><i class="fa fa-close"></i></a>'
            +' </div></div></div></div>');
    });

    $(document).on('click', "#addattach_modal", function (e) {
        rownum++;
        $('.files').append('<div class="row"><div class="col-md-6"><div class="form-group"><label class="control-label col-md-4"></label><div class="col-md-6">'
            +'<input id="mod_files'+rownum+'" class="mod_files" type="file" name="files[]" multiple></div><div class="col-md-1"><a href="javascript:;" class="btn btn-sm" name="" id="cancle"><i class="fa fa-close"></i></a>'
            +' </div></div></div></div>');
    });

    $(document).on('click', "#cancle", function (e) {
        rownum--;
        $(this).parent().parent().parent().parent().empty();
    });

    $('#GOVERNORATE_ID').on('change', function () {
            $.ajax({
                type: 'POST',
                url: "index.php/stations/GET_CITIES_LIST",
                data:{
                    gov_id:$('#GOVERNORATE_ID').val()
                },
                dataType: "json",
                cache: false,
                success: function (data) {
                    $('#CITIE_ID').empty();
                    $('#CITIE_ID').append('<option value="">اختر </option>');
                    $.each(data, function (i, result) {
                        $('#CITIE_ID').append('<option value="'+result.CITY_ID+'">'+result.CITY_NAME+'</option>');
                    });
                }
            });
    });

    $('#STATION_TYPE').on('change', function () {
        $.ajax({
            type: 'POST',
            url: "index.php/stations/GET_SUPPLIYERS_LIST",
            data:{
                TYPE:$('#STATION_TYPE').val()
            },
            dataType: "json",
            cache: false,
            success: function (data) {
                $('.chzn').empty();
                $('.chzn').append('<select name="SUPPLIER_ID[]"id="SUPPLIER_ID" data-placeholder="اختر" multiple class="form-control chosen-select-rtl">');
                $.each(data, function (i, result) {
                    $('#SUPPLIER_ID').append('<option value="'+result.COMPANY_ID+'">'+result.SUPPLIER_NAME+'</option>');
                });
                $('.chzn').append('</select>');
                for (var selector in config) {
                    $(selector).chosen(config[selector]);
                }
            }
        });
    });

    $(document).on('click', "#stat_info_btn", function (e) {
        $.ajax({
            type: 'POST',
            url: "index.php/stations/view_station",
            data: {
                STATION_NO:$(this).attr('SER_NO')
            },
            dataType: "json",
            success: function (data) {
                $('.stat_info').html(data);
                $('#station_modal').modal('show');
            }
        });
    });

    $(document).on('click', "#stat_lic_btn", function (e) {
        $.ajax({
            type: 'POST',
            url: "index.php/stations/station_licenses",
            data: {
                STATION_SR:$(this).attr('SER_NO')
            },
            dataType: "json",
            success: function (data) {
                $('.lic_info').html(data);
                $('#licenses_modal').modal('show');
                $('.date-picker').datepicker({
                    rtl: App.isRTL(),
                    autoclose: true
                });
            }
        });
    });

    $(document).on('click', "#sta_visit_btn", function (e) {
        $.ajax({
            type: 'POST',
            url: "index.php/stations/station_visits",
            data: {
                STATION_SR:$(this).attr('SER_NO')
            },
            dataType: "json",
            success: function (data) {
                $('.visit_info').html(data);
                $('#visit_modal').modal('show');
                $('.date-picker').datepicker({
                    rtl: App.isRTL(),
                    autoclose: true
                });
            }
        });
    });

    $(document).on('click', "#license_btn", function (e) {
        $('.licenses_form').toggle('show');
    });

    $(document).on('click', "#visit_btn", function (e) {
        $('.visit_form').toggle('show');
    });

    $.ajax({
        type: 'POST',
        url: "index.php/stations/get_ALL_stations",
        dataType: "json",
        cache: false,
        success: function (data) {
            $.each(data, function (i, result) {
                $('#STATION_NO').append('<option value="'+result.SERIAL_NO+'">'+result.STATION_NAME+'</option>');
            });
        }
    });

    $(document).on('click', "#search_station", function (e) {
        $('#stations_tb').dataTable({
            "destroy": true,
            //"bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            dom: 'Blfrtip',
            buttons: [
                {
                    extend: 'excel', text: 'تصدير الى اكسل',
                }
            ],
            "ajax": {
                type: 'POST',
                url: "index.php/stations/get_stations_list",
                dataType: "json",
                cache: false,
                data: {
                    STATION_NO:$('#STATION_NO').val(),
                    STATION_TYPE:$('#STATION_TYPE').val(),
                    SUPPLIER_ID:$('#SUPPLIER_ID').val(),
                    GOVERNORATE_ID:$('#GOVERNORATE_ID').val(),
                    CITIE_ID:$('#CITIE_ID').val(),
                    CONFIRMED:$('#CONFIRMED').val()
                }
            },
            "order": [[7, "asc"]],
            //"ordering": false
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumnDefs": [
                {
                    "aTargets": [7],
                    "mData": "download_link",
                    "mRender": function (data, type, full) {
                        var res = "";
                        res += '<a  href="javascript:;"  id="stat_info_btn"  SER_NO="'+ data.SERIAL_NO +'" class="btn btn btn-info">عرض المزيد</a>';
                        res += '<a href="index.php/stations/updata_station/'+data.SERIAL_NO+'" target="_blank" class="btn btn-danger">تعديل </a>';
                        res +=  '<a href="javascript:;"  SER_NO="'+ data.SERIAL_NO +'" id="stat_lic_btn" class="btn btn-success">التراخيص</a>';
                       /* res += '<a href="javascript:;"   SER_NO="'+ data.SERIAL_NO +'" id="sta_visit_btn" class="btn btn-primary ">الزيارات</a>';*/
                        return res;
                    }
                }
            ],
            "aoColumns": [
                {"mData": 'SERIAL_NO','width':'10'},
                {"mData": 'STATION_NAME'},
                {"mData": "COMPANY_ID",'width':'10'},
                {"mData": "OWNER_NAME"},
                {"mData": "TYPE_TXT"},
                {"mData": "GOVER_NAME",'width':'15'},
                {"mData": "CITY_NAME",'width':'10'},
                {"mData": null}
            ]

        });
    });

    $('.delete_file').confirmation({
        title           : 'هل انت متأكد ؟',
        btnOkClass      : 'btn btn-sm btn-danger',
        btnOkLabel      : 'حذف',
        btnOkIcon       : 'glyphicon glyphicon-ok',
        btnCancelClass  : 'btn btn-sm btn-default',
        btnCancelLabel  : 'إلغاء',
        btnCancelIcon   : 'glyphicon glyphicon-remove',
        href            : 'javascript:;',
        target          : '_self',
        singleton       : true,
        popout          : true,
        onShow          : function(event, element) {},
        onHide          : function(event, element) {},
        onConfirm       : function(event, element) {
            $.ajax({
                type: 'POST',
                url: "index.php/stations/delete_station_file",
                data:{
                    serial_no:element.attr('ser_no')
                },
                dataType: "json",
                cache: false,
                success: function (data) {
                    if(data.success>0){
                    element.parent().remove();}

                }
            });
        },
        onCancel        : function(event, element) {},
    });

    $(document).on('click', "#add_station_licenses", function (e) {
        formdata = new FormData();
        var i;
        for (i = 0; i < $('.mod_files').length; i++) {
            var FILE = document.getElementById("mod_files" + i);
            var FILE_INFO = FILE.files[0];
            if (FILE.files[0] != undefined || FILE.files[0] != null) {
                formdata.append(i, FILE_INFO);
            }
        }
        formdata.append("STATION_SR", $('#L_STATION_SR').val());
        formdata.append("LTYPE", $('#LTYPE').val());
        formdata.append("YEAR", $('#YEAR').val());
        formdata.append("START_DT", $('#START_DT').val());
        formdata.append("END_DT", $('#END_DT').val());
        formdata.append("NOTES", $('#NOTES').val());
        $.ajax({
            type: 'POST',
            url: "index.php/stations/add_new_station_license",
            data: formdata,
            processData: false,
            contentType: false,
            dataType: "json",
            success: function (data) {
                showMessage({message: data.msg, type: 'success', icon: 'success'});
                document.getElementById("licensesform").reset();
                $.ajax({
                    type: 'POST',
                    url: "index.php/stations/get_all_stations_licenses",
                    data:{
                        STATION_SR:$('#L_STATION_SR').val(),
                        LTYPE:null,
                        YEAR:null
                    },
                    dataType: "json",
                    success: function (data) {
                        $('#licenses_tb tbody').empty();
                        $.each(data, function (i, result) {
                            $('#licenses_tb tbody').append('<tr><td>'+result.LTYPE_NAME+'</td>' +
                                '<td>'+result.LICENSE_YEAR+'</td>'+
                                '<td>'+result.LICENSE_START+'</td>'+
                                '<td>'+result.LICENSE_END+'</td>'+
                                '<td>'+result.NOTES+'</td>'+
                                '<td>'+result.FILES_LINKS+'</td>'
                            );
                        });
                    }
                });
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({
                    message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown,
                    type: "error",
                    icon: "warning"
                });
            }
        });
    });

    $(document).on('click', "#search_stations_licenses", function (e) {
        $('#station_licenses_tb').dataTable({
            "destroy": true,
            //"bStateSave": true,
            "lengthMenu": [
                [10, 20, 50, 100, 150, -1],
                [10, 20, 50, 100, 150, "All"] // change per page values here
            ],
            "pageLength": 10,
            dom: 'Blfrtip',
            buttons: [
                {
                    extend: 'excel', text: 'تصدير الى اكسل',
                }
            ],
            "ajax": {
                type: 'POST',
                url: "index.php/stations/get_all_stations_licenses",
                dataType: "json",
                cache: false,
                data: {
                    STATION_SR:$('#STATION_NO').val(),
                    LTYPE:$('#LTYPE').val(),
                    YEAR:$('#YEAR').val()
                }
            },
            //"ordering": false
            "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing": "جاري معالجة البيانات...",
                "search": "بحث:",
                "paginate": {
                    "first": "الأول",
                    "last": "الأخير",
                    "next": "التالي",
                    "previous": "السابق"
                },
            },
            "sAjaxDataProp": "",
            "aoColumns": [
                {"mData": 'STATION_SR'},
                {"mData": 'STATION_NAME'},
                {"mData": "LTYPE_NAME"},
                {"mData": "LICENSE_YEAR"},
                {"mData": "LICENSE_START"},
                {"mData": "LICENSE_END"},
                {"mData": "NOTES"},
                {"mData": "FILES_LINKS"}
            ]
        });
    });

    $(document).on('click', "#add_station_visit", function (e) {
        formdata = new FormData();
        formdata.append("STATION_SR", $('#V_STATION_SR').val());
        formdata.append("LTYPE", $('#').val());
        formdata.append("YEAR", $('#').val());
        formdata.append("START_DT", $('#').val());
        formdata.append("END_DT", $('#').val());
        formdata.append("NOTES", $('#').val());
        $.ajax({
            type: 'POST',
            url: "index.php/stations/add_new_station_visit",
            data: formdata,
            processData: false,
            contentType: false,
            dataType: "json",
            success: function (data) {
                showMessage({message: data.msg, type: 'success', icon: 'success'});
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({
                    message: "Ajax Connection Error. خطأ في الاتصال." + errorThrown,
                    type: "error",
                    icon: "warning"
                });
            }
        });
    });

});

function showMessage(config) {
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 100, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}