////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Add Edit PayDoc///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
$(document).on('click', "#getUser_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/user/getUser",
        cache: false,
        dataType: "json",
        data: {
            USER_ID_NO: $("#F_USER_ID_NO").val()
        },
        success: function (data) {
            if(userMaster = data.userMaster){
                hideMessage();   
                $("#USER_ID_NO_OLD").val(userMaster.USER_ID_NO);
                $("#USER_ID_NO").val(userMaster.USER_ID_NO);
                $("#USER_EMP_NO").val(userMaster.USER_EMP_NO);
                $("#USER_STATUS").val(userMaster.USER_STATUS);
                $("#USER_FNAME").val(userMaster.USER_FNAME);
                $("#USER_SNAME").val(userMaster.USER_SNAME);
                $("#USER_LNAME").val(userMaster.USER_LNAME);
				
				$.each(data.userRoles, function( index, item) {
					$("#USER_ROLE_" + item.ROLE_ID).prop('checked', true);
					$.uniform.update();
                });

            }else{
                showMessage({message:"المستخدم غير موجود.", type:"warning", icon:"warning"});
                $("#USER_ID_NO").val('');
                $("#USER_EMP_NO").val('');
                $("#USER_STATUS").val('');
                $("#USER_FNAME").val('');
                $("#USER_SNAME").val('');
                $("#USER_LNAME").val('');
				$(".USER_ROLE").prop('checked', false);
				$.uniform.update();
            }

        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', "#updateUser_btn", function (e) {
    var records = [];
	$(".USER_ROLE:checked").each(function () {
		records.push(JSON.stringify({
			'ROLE_ID': $(this).val()
		}));
	});

	$.ajax({
		type: 'post',
		url: "index.php/user/updateUser",
		cache: false,
		dataType: "json",
		data: {
            USER_ID_NO_OLD: $("#USER_ID_NO_OLD").val(),
			USER_ID_NO: $("#USER_ID_NO").val(),
			USER_FNAME: $("#USER_FNAME").val(),
			USER_SNAME: $("#USER_SNAME").val(),
			USER_LNAME: $("#USER_LNAME").val(),
			USER_EMP_NO: $("#USER_EMP_NO").val(),
			USER_STATUS : $("#USER_STATUS").val(),
			USER_JOP_TITLE : $("#USER_JOP_TITLE").val(),
			role_rows: JSON.stringify(records)
		},
		success: function (data) {
			App.alert({
				container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
				place: 'prepent', // append or prepent in container 
				type: (data.success > 0)? 'success' : 'warning',  // alert's type
				message: data.msg,  // alert's message
				close: true, // make alert closable
				reset: true, // close all previouse alerts first
				focus: false, // auto scroll to the alert after shown
				closeInSeconds: 10, // auto close after defined seconds
				icon: 'check' // put icon before the message
			});
		},
		error: function (jqXHR, textStatus, errorThrown) {
			App.alert({
				container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
				place: 'prepent', // append or prepent in container 
				type: 'error',  // alert's type
				message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
				close: true, // make alert closable
				reset: true, // close all previouse alerts first
				focus: true, // auto scroll to the alert after shown
				closeInSeconds: 10, // auto close after defined seconds
				icon: 'warning' // put icon before the message
			});
		}
	});
    
    e.preventDefault();
});


$(document).on('keyup', "#F_USER_ID_NO", function (event) {
    if (event.keyCode == 13) {
        $("#getUser_btn").click();
    }
});

$(document).on('keyup', "#F_ROLE_ID", function (event) {
    if (event.keyCode == 13) {
        $("#getRole_btn").click();
    }
});

$(document).on('click', ".goToManageUser", function (e) {
    $("#F_USER_ID_NO").val($(this).attr("USER_ID_NO"));
    $("#goToManageUserForm").submit();
    e.preventDefault();
});

$(document).on('click', ".goToManageRole", function (e) {
    $("#F_ROLE_ID").val($(this).attr("ROLE_ID"));
    $("#goToManageRoleForm").submit();
    e.preventDefault();
});

$(document).on('click', "#getReceipts_btn", function (e) {
    $('#usersMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/user/getusers", 
            "type": "POST",
            "data": {
                USER_ID_NO: $("#USER_ID_NO").val(),
                USER_EMP_NO: $('#USER_EMP_NO').val(),
                USER_STATUS: ($('#USER_STATUS').prop('checked'))? 1 : 0,
                USER_FNAME: $('#USER_FNAME').val(),
                USER_SNAME: $('#USER_SNAME').val(),
                USER_LNAME: $('#USER_LNAME').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 6 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                {
                    var res = "";
                    res += '<a href="" USER_ID_NO = "'+ data.USER_ID_NO +'" class="btn blue goToManageUser">تعديل</a>';
                    return res;
                }
            } 

        ],
        "aoColumns": 
        [   
            { "mData": 'USER_ID_NO' },
            { "mData": "USER_EMP_NO" },
            { "mData": "USER_FULL_NAME" },
            { "mData": "USER_JOB_TITLE" },
            { "mData": "IS_SYS_ADMIN_NAME"},
            { "mData": "USER_STATUS_NAME" },
            { "mData": null }
        ]
        
    });

        
    e.preventDefault();
});

$(document).on('click', "#getRole_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/user/getRole",
        cache: false,
        dataType: "json",
        data: {
            ROLE_ID: $("#F_ROLE_ID").val()
        },
        success: function (data) {
            if(roleMaster = data.roleMaster){
                hideMessage();   
                $("#ROLE_ID").val(roleMaster.ROLE_SID);
                $("#ROLE_NAME").val(roleMaster.ROLE_NAME);
                $(".FUNCTIONS").prop('checked', false);
                $.uniform.update();
                $.each(data.roleFunctions, function( index, item) {
                    $("#FUNCTION_" + item.FUNCTION_ID).prop('checked', true);
                    $.uniform.update();
                });

            }else{
                showMessage({message:"المستخدم غير موجود.", type:"warning", icon:"warning"});
                $("#ROLE_ID").val('');
                $("#ROLE_NAME").val('');
                $(".FUNCTIONS").prop('checked', false);
                $.uniform.update();
            }

        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', "#updateRole_btn", function (e) {
    var records = [];
    $(".FUNCTIONS:checked").each(function () {
        records.push(JSON.stringify({
            'FUNCTION_ID': $(this).val()
        }));
    });

    $.ajax({
        type: 'post',
        url: "index.php/user/updateRole",
        cache: false,
        dataType: "json",
        data: {
            ROLE_ID: $("#ROLE_ID").val(),
            ROLE_NAME: $("#ROLE_NAME").val(),       
            function_rows: JSON.stringify(records)
        },
        success: function (data) {
            App.alert({
                container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                place: 'prepent', // append or prepent in container 
                type: (data.success > 0)? 'success' : 'warning',  // alert's type
                message: data.msg,  // alert's message
                close: true, // make alert closable
                reset: true, // close all previouse alerts first
                focus: false, // auto scroll to the alert after shown
                closeInSeconds: 10, // auto close after defined seconds
                icon: 'check' // put icon before the message
            });
        },
        error: function (jqXHR, textStatus, errorThrown) {
            App.alert({
                container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                place: 'prepent', // append or prepent in container 
                type: 'error',  // alert's type
                message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                close: true, // make alert closable
                reset: true, // close all previouse alerts first
                focus: true, // auto scroll to the alert after shown
                closeInSeconds: 10, // auto close after defined seconds
                icon: 'warning' // put icon before the message
            });
        }
    });
    
    e.preventDefault();
});

$(document).on('click', "#addRole_btn", function (e) {
    var records = [];
    $(".FUNCTIONS:checked").each(function () {
        records.push(JSON.stringify({
            'FUNCTION_ID': $(this).val()
        }));
    });

    $.ajax({
        type: 'post',
        url: "index.php/user/addRole",
        cache: false,
        dataType: "json",
        data: {
            ROLE_NAME: $("#ROLE_NAME").val(),       
            function_rows: JSON.stringify(records)
        },
        success: function (data) {
            App.alert({
                container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                place: 'prepent', // append or prepent in container 
                type: (data.success > 0)? 'success' : 'warning',  // alert's type
                message: data.msg,  // alert's message
                close: true, // make alert closable
                reset: true, // close all previouse alerts first
                focus: false, // auto scroll to the alert after shown
                closeInSeconds: 10, // auto close after defined seconds
                icon: 'check' // put icon before the message
            });
        },
        error: function (jqXHR, textStatus, errorThrown) {
            App.alert({
                container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                place: 'prepent', // append or prepent in container 
                type: 'error',  // alert's type
                message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                close: true, // make alert closable
                reset: true, // close all previouse alerts first
                focus: true, // auto scroll to the alert after shown
                closeInSeconds: 10, // auto close after defined seconds
                icon: 'warning' // put icon before the message
            });
        }
    });
    
    e.preventDefault();
});

$(document).on('click', "#getRoles_btn", function (e) {
    $('#rolesMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/user/getRoles", 
            "type": "POST",
            "data": {
                ROLE_ID: $("#ROLE_ID").val(),
                ROLE_NAME: $('#ROLE_NAME').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 2 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                {
                    var res = "";
                    res += '<a href="" ROLE_ID = "'+ data.ROLE_SID +'" class="btn blue goToManageRole">تعديل</a>';
                    return res;
                }
            } 

        ],
        "aoColumns": 
        [   
            { "mData": 'ROLE_SID' },
            { "mData": "ROLE_NAME" },
            { "mData": null }
        ]
        
    });

        
    e.preventDefault();
});












$(document).on('click', "#addTransferReceipt_btn", function (e) {
    if($("#receipt_form").valid() !== true){
        return; 
    }

    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/addTransferReceipt",
        cache: false,
        dataType: "json",
        data: {
            RECEIPT_DT: $("#RECEIPT_DT").val(),
            ACCOUNT: $("#ACCOUNT").val(),
            TARGET_ACNT: $("#TARGET_ACNT").val(),
            TRANS_AMOUNT: $("#TRANS_AMOUNT").val(),
            TRANS_ID: $("#TRANS_ID").val(),
            NOTES: $("#NOTES").val()
        },
        success: function (data) {
            if(data.success > 0){
                $("#SERIAL").val(parseInt(data.success) + 1);
                $("#reset_btn").click();
                //clearFields();

            }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
			alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
    e.preventDefault();
});

$(document).on('click', "#updateReceipt_btn", function (e) {
    var records = [];
    if($("#CASH_RECEIPT_TYPE").val() == 'C'){  
        $("#cashRecieptChecks_tb tbody tr").each(function () {
            records.push(JSON.stringify({
                'CHECK_ID': $(this).find("#CHECK_ID").val(),
                'CHECK_BANK': $(this).find("#CHECK_BANK").val(),
                'CHECK_DT': $(this).find("#CHECK_DT").val(),
                'DUE_DAYS': $(this).find("#DUE_DAYS").val(),
                'CHECK_AMOUNT': $(this).find("#CHECK_AMOUNT").val(),
                'OWNER_ACNT': $(this).find("#OWNER_ACNT").val(),
                'TARGET_ACNT': $(this).find("#TARGET_ACNT").val()
            }));
        });

        $.ajax({
            type: 'post',
            url: "index.php/cashReceipts/updateCheckReceipt",
            cache: false,
            dataType: "json",
            data: {
                SERIAL: $("#SERIAL").val(),
                RECEIPT_DT: $("#RECEIPT_DT").val(),
                ACCOUNT: $("#ACCOUNT").val(),
                NOTES: $("#NOTES").val(),
                cashRecieptChecks: JSON.stringify(records)
            },
            success: function (data) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: (data.success > 0)? 'success' : 'warning',  // alert's type
                    message: data.msg,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: false, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'check' // put icon before the message
                });
            },
            error: function (jqXHR, textStatus, errorThrown) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: 'error',  // alert's type
                    message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: true, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'warning' // put icon before the message
                });
            }
        });
    } else if($("#CASH_RECEIPT_TYPE").val() == 'T'){  
        $("#recieptTransfers_tb tbody tr").each(function () {
            records.push(JSON.stringify({
                'TRANS_ID': $(this).find("#TRANS_ID").val(),
                'TRANS_AMOUNT': $(this).find("#TRANS_AMOUNT").val(),
                'TARGET_ACNT': $(this).find("#TARGET_ACNT").val()
            }));
        });

        $.ajax({
            type: 'post',
            url: "index.php/cashReceipts/updateTransferReceipt",
            cache: false,
            dataType: "json",
            data: {
                SERIAL: $("#SERIAL").val(),
                RECEIPT_DT: $("#RECEIPT_DT").val(),
                ACCOUNT: $("#ACCOUNT").val(),
                NOTES: $("#NOTES").val(),
                recieptTransfers: JSON.stringify(records)
            },
            success: function (data) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: (data.success > 0)? 'success' : 'warning',  // alert's type
                    message: data.msg,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: false, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'check' // put icon before the message
                });
            },
            error: function (jqXHR, textStatus, errorThrown) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: 'error',  // alert's type
                    message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: true, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'warning' // put icon before the message
                });
            }
        });
    }

    e.preventDefault();
});


$(document).on('click', "#addCheckReceipt_btn", function (e) {
    FormValidation.init();
    if($("#receipt_form").valid() !== true){
        return; 
    }



    var isValid = 1;
    var records = [];

    $("#cashRecieptChecks_tb tbody tr").each(function () {


        if($(this).find("#CHECK_ID").val() == ''){
            $(this).find("#CHECK_ID").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_ID").closest('.form-group').removeClass('has-error');
        }
        if($(this).find("#CHECK_BANK").val() == ''){
            $(this).find("#CHECK_BANK").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_BANK").closest('.form-group').removeClass('has-error');
        }
        if($(this).find("#CHECK_AMOUNT").val() == ''){
            $(this).find("#CHECK_AMOUNT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_AMOUNT").closest('.form-group').removeClass('has-error');
        }
        if($(this).find("#CHECK_DT").val() ==''){
            $(this).find("#CHECK_DT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_DT").closest('.form-group').removeClass('has-error');
        }

        records.push(JSON.stringify({
            'CHECK_ID': $(this).find("#CHECK_ID").val(),
            'CHECK_BANK': $(this).find("#CHECK_BANK").val(),
            'CHECK_DT': $(this).find("#CHECK_DT").val(),
            'DUE_DAYS': $(this).find("#DUE_DAYS").val(),
            'CHECK_AMOUNT': $(this).find("#CHECK_AMOUNT").val(),
            'OWNER_ACNT': $(this).find("#OWNER_ACNT").val(),
            'TARGET_ACNT': $(this).find("#TARGET_ACNT").val()
        }));
    });

    if(!isValid) return;

    //alert(JSON.stringify(records));
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/addCheckReceipt",
        cache: false,
        dataType: "json",
        data: {
            RECEIPT_DT: $("#RECEIPT_DT").val(),
            ACCOUNT: $("#ACCOUNT").val(),
            NOTES: $("#NOTES").val(),
            cashRecieptChecks: JSON.stringify(records)
        },
        success: function (data) {
            if(data.success > 0){
                //$("#SERIAL").val(data.success);
                //$("#reset_btn").click();
                $("#ACCOUNT").val(''),
                $("#ACCOUNT_TERM").val(''),
                $("#ACCOUNT_NAME").val(''),
                $("#NOTES").val(''),                
                $(".CHECK_ID").val('');
                $(".CHECK_BANK").val('');
                $(".CHECK_AMOUNT").val('');
                $(".CHECK_DT").val('');
                $(".DUE_DAYS").val('');
                $("#amountSum").val('');
                $("#ACCOUNT").focus();

            }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            App.alert({
                container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                place: 'prepent', // append or prepent in container 
                type: 'error',  // alert's type
                message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                close: true, // make alert closable
                reset: true, // close all previouse alerts first
                focus: true, // auto scroll to the alert after shown
                closeInSeconds: 10, // auto close after defined seconds
                icon: 'warning' // put icon before the message
            });
        }
    });
    e.preventDefault();
});

$(document).on('click', "#cashRecieptChecks_tb_new", function (e) {
    FormValidation.init();
    e.preventDefault();
    
    var tabindex = ($("#addCheckReceipt_btn").attr('tabindex'))? $("#addCheckReceipt_btn").attr('tabindex') : $("#updateReceipt_btn").attr('tabindex');
    $("#cashRecieptChecks_tb tbody").append(
        '<tr>' +
            '<td class="form-group"><input id="CHECK_ID" name="CHECK_ID" type="text" class="form-control CHECK_ID" value="" tabindex="' +  parseInt(tabindex) + '"></td>' + 
            '<td class="form-group"><select id="CHECK_BANK" name="CHECK_BANK[' + tabindex + ']" class="form-control CHECK_BANK" tabindex="' +  parseInt(parseInt(tabindex) + 1) + '"><option value="">-- اختر البنك --</option></select></td>' +
            '<td class="form-group"> <input id="CHECK_AMOUNT" type="text" class="form-control CHECK_AMOUNT" value=""  tabindex="' +  parseInt(parseInt(tabindex) + 2) + '"> </td>' +
            '<td class="form-group"><input id="CHECK_DT" class="form-control CHECK_DT form-control-inline input-medium date-picker" data-date-format="dd/mm/yyyy" size="16" type="text" value="" tabindex="' +  parseInt(parseInt(tabindex) + 3) + '" /></td>' +
            '<td class="form-group"><input id="DUE_DAYS" type="text" class="form-control DUE_DAYS" value=""></td>' +
            '<td><a class="deleteCheck" href="javascript:;"> حذف </a></td>' +
        '</tr>'
    ); 
    ($("#addCheckReceipt_btn").attr('tabindex'))? $("#addCheckReceipt_btn").attr('tabindex', parseInt(tabindex) + 4) : $("#updateReceipt_btn").attr('tabindex', parseInt(tabindex) + 4);
    $(".date-picker").datepicker({
                rtl: App.isRTL(),
                orientation: "left",
                autoclose: true
    });
/*
    $("[name='CHECK_ID']").rules("add", {
        required: true,
        messages: {
            required: "يجب ادخال رقم الشيك."
        },
        multipleInputSharedName: {
                CHECK_ID: true
            },
    });
 */   

/*[' + tabindex + ']
    $("[name='CHECK_ID[" + tabindex + "]']").rules("add", {
        required: true,
        messages: {
            required: "يجب ادخال رقم الشيك."
        }
    });

    $("[name='CHECK_BANK[" + tabindex + "]']").rules("add", {
        required: true,
        messages: {
            required: "يجب ادخال البنك."
        }
    });
*/
    $.ajax({
        type: 'post',
        url: "index.php/common/getBanks",
        cache: false,
        dataType: "json",
        data: {},
        success: function (data) {
            $.each(data, function( index, item) {
                $("#cashRecieptChecks_tb tbody tr:last #CHECK_BANK").append('<option value="' + item.ID + '">' + item.BANK_NAME + '</option>');
            });
            
        },
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });



});






$(document).on('click', ".deleteCheck", function (e) {
    e.preventDefault();
    $(this).parents('tr').remove();
});

$(document).on('keyup', "#CHECK_AMOUNT", function (e) {
    e.preventDefault();
    var amountSum = 0;
    $("#cashRecieptChecks_tb tbody tr").each(function () {
        amountSum+= (parseFloat($(this).find("#CHECK_AMOUNT").val()))? parseFloat($(this).find("#CHECK_AMOUNT").val()) : 0;
    });
    $("#amountSum").val(amountSum);
});

$(document).on('keyup', "#TRANS_AMOUNT", function (e) {
    e.preventDefault();
    var amountSum = 0;
    $("#recieptTransfers_tb tbody tr").each(function () {
        amountSum+= (parseFloat($(this).find("#TRANS_AMOUNT").val()))? parseFloat($(this).find("#TRANS_AMOUNT").val()) : 0;
    });
    $("#amountSum").val(amountSum);
});

$(document).ready(function() {
    FormValidation.init();
    
    $('#recieptsMaster_tb').dataTable({
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        "data": [],
        
        "columns": [
            { title: "رقم سند القبض" },
            { title: "نوع سند القبض" },
            { title: "التاريخ" },
            { title: "الحساب." },
            { title: "الحالة" },
            { title: "ملاحظات" },
            { title: "اجراءات" }
        ],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                }
            }
        
    });
} );

function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}





$(document).ready(function(eOuter) {
    $('[tabindex=0]').focus();
/*
    $('input').bind('keypress', function(eInner) {
        alert();
        if (eInner.keyCode == 13) //if its a enter key
        {
            
            if($(this).attr('id') == 'ACCOUNT'){
                getAccount();
            }
            


            if($(this).attr('id') == 'TARGET_ACNT'){
                getBank();
            }

            var tabindex = $(this).attr('tabindex');
            tabindex++; //increment tabindex
            alert(tabindex);
            $('[tabindex=' + tabindex + ']').focus();
        }

        if (eInner.keyCode == 43) //if its a enter key
        {
            $('#cashRecieptChecks_tb_new').click();
            eInner.preventDefault();;
        }

    });
*/


/*
    $("#TRANS_AMOUNT").inputmask("9{0,3},9{0,3}", {
            numericInput: true,
            rightAlignNumerics: true,
            greedy: true
        });
*//*
    $("#TRANS_AMOUNT").inputmask({
            "mask": "9{0,3}[,9{0,3}[,9{0,3}[.9{0,3}]]]",
            numericInput: true,
            rightAlignNumerics: true,
            "greedy": false
        });
*/
    if (App.isRTL()) {
        $('#ACCOUNT').attr("dir", "rtl");  
    }   
    var custom = new Bloodhound({
          datumTokenizer: Bloodhound.tokenizers.obj.whitespace(),
          queryTokenizer: Bloodhound.tokenizers.whitespace,
          remote: 'index.php/cashReceipts/getAccounts',
          limit: 3,
        });
         
        custom.initialize();   
    //alert(JSON.stringify(custom.ttAdapter())); 
    var fakedata = ['test1' ,'test2','test3','test4','ietsanders'];  
    var bh = new Bloodhound({
        local: fakedata,
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        datumTokenizer: Bloodhound.tokenizers.whitespace
    });
    /*
    $('#ACCOUNT').typeahead(null, {
          name: 'ACCOUNT',
          displayKey: 'CASH_RECEIPT_SERIAL',
          source: custom,
          //data: {"b": "1", "c": "2", "d": "3"},
          hint: (App.isRTL() ? false : true),
          templates: {
            suggestion: Handlebars.compile([
              '<div class="media">',  
                    '<div class="media-body">',
                        '<p>{{CASH_RECEIPT_SERIAL}} -- {{REC_NO}}</p>',
                    '</div>',
              '</div>',
            ].join(''))
          }
        });*/

});
    

function getAccount(accountId) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/getAccount",
        cache: false,
        dataType: "json",
        data: {
            ACCOUNT_ID: $("#ACCOUNT").val()
        },
        success: function (data) {
            if(data){
                $("#ACCOUNT_NAME").val(data.ACCOUNT_NAME);
            }
            //showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
};

function getBank(accountId) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/getBank",
        cache: false,
        dataType: "json",
        data: {
            BANK_ID: $("#TARGET_ACNT").val()
        },
        success: function (data) {
            if(data){
                $("#TARGET_ACNT_NAME").val(data.BANK_NAME);
            }
            //showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
};


function approveReceipt(SERIAL) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/approveReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: SERIAL
        },
        success: function (data) {
            alert(data.msg);
            //showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
};



$(document).on('click', ".approveReceipt", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/approveReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: $(this).attr("RCPT_SR")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    //approveReceipt($(this).attr("RCPT_SR"));

    e.preventDefault();
});

    $(document).on('click', ".returnReceipt", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/returnReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: $(this).attr("RCPT_SR")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".cancelReceipt", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/cancelReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: $(this).attr("RCPT_SR")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".goToManageReceipts", function (e) {
    $("#F_RCPT_SR").val($(this).attr("RCPT_SR"));
    $("#goToManageReceiptsForm").submit();
    e.preventDefault();
});






$(document).on('keyup', "#ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#ACCOUNT").val('');
        $("#ACCOUNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#ACCOUNT").val(ui.item.key);
            $("#ACCOUNT_NAME").val(ui.item.ACCOUNT_NAME);
            $("#ACCOUNT-error").remove();
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#ACCOUNT_TERM').val() == ''){
                $("#ACCOUNT").val('');
                $("#ACCOUNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountsByTerm",
                    cache: false,
                    dataType: "json",
                    data: {
                        TERM: $('#ACCOUNT_TERM').val()
                    },
                    success: function (data) {
                        $("#ACCOUNT").val(data[0].ACCOUNT_ID);
                        $("#ACCOUNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#TARGET_ACNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#TARGET_ACNT").val('');
        $("#TARGET_ACNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    PARENT_ACCOUNT: 4
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#TARGET_ACNT").val(ui.item.key);
            $("#TARGET_ACNT_NAME").val(ui.item.ACCOUNT_NAME);
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#TARGET_ACNT_TERM').val() == ''){
                $("#TARGET_ACNT").val('');
                $("#TARGET_ACNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountsByTerm",
                    cache: false,
                    dataType: "json",
                    data: {
                        TERM: $('#TARGET_ACNT_TERM').val()
                    },
                    success: function (data) {
                        $("#TARGET_ACNT").val(data[0].ACCOUNT_ID);
                        $("#TARGET_ACNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#AGENCY_ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#TARGET_ACNT").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    PARENT_ACCOUNT: 4
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                            ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#TARGET_ACNT").val(ui.item.key);
            //$("#TARGET_ACNT_NAME").val(ui.item.ACCOUNT_NAME);
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            //alert();
            //documentSupplierChange();

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});



$(document).on('click', "#reset_btn", function (e) {
    $("#ACCOUNT").val('');
    $("#TARGET_ACNT").val('');
    //clearFields();
});



function clearFields() {
    $("#ACCOUNT").val('');
    $("#ACCOUNT_TERM").val('');
    $("#ACCOUNT_NAME").val('');
    $("#TARGET_ACNT").val('');
    $("#TARGET_ACNT_NAME").val('');
    $("#TRANS_AMOUNT").val('');
    $("#TRANS_ID").val('');
    $("#NOTES").val('');
};




$(document).on('change', "#CHECK_BANK", function (e) {
    var tabindex = $(this).attr('tabindex');
            tabindex++;
            $('[tabindex=' + tabindex + ']').focus();
});


$(document).on('change', ".select", function (e) {
    var tabindex = $(this).attr('tabindex');
            tabindex++;
            $('[tabindex=' + tabindex + ']').focus();
});







 

    
















function getBanks() {
    var banks;
    $.ajax({
        type: 'post',
        url: "index.php/common/getBanks",
        cache: false,
        dataType: "json",
        data: {},
        success: function (data) {
            banks = data;
            alert(banks);
        },
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });
    return banks;
};




































var FormValidation = function() {
    var handleValidation = function(){
        var form1 = $('#receipt_form');
        var error1 = $('.alert-danger', form1);
        var success1 = $('.alert-success', form1);
        form1.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                TRANS_ID: {
                    required: "هذا الحقل مطلوب",
                },
                RECEIPT_DT: {
                    required: "هذا الحقل مطلوب",
                    date : 'ادخلالتاريخ',
                },
                ACCOUNT: {
                    required: "يجب ادخال حساب مستفيد صحيح.",
                },
                TARGET_ACNT: {
                    required: "هذا الحقل مطلوب",
                },
                TRANS_AMOUNT: {
                    required: "هذا الحقل مطلوب",
                },
                NOTES: {
                    required: "هذا الحقل مطلوب",
                },
                NOTES: {
                    required: "هذا الحقل مطلوب",
                },
            },
            rules: {
                TRANS_ID: {
                    required: true
                },
                RECEIPT_DT: {
                    required: true,
                //  date : true,
                },
                ACCOUNT: {
                    required: true
                },
                TARGET_ACNT: {
                    required: true
                },
                TRANS_AMOUNT: {
                    required: true
                },
                NOTES: {
                    maxlength: 100
                }  
            },

            invalidHandler: function (event, validator) { //display error alert on form submit              
                success1.hide();
                error1.show();
                App.scrollTo(error1, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success1.show();
                error1.hide();
            }


        });
    }

    var handleValidation__2 = function(){
                var form222 = $('#det_form');

        var error2 = $('.alert-danger', form222);
        var success2 = $('.alert-success', form222);
        //alert(JSON.stringify(form2));

        form222.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "true",  // validate all fields including form hidden input
            rules: {
                CHECK_ID: {
                    required: true
                },
            },
            multipleInputSharedName: {
                CHECK_ID: true,
            },
            messages: {
                CHECK_ID: {
                    required: "يجب ادخال رقم الشيك."
                },
            },
            
            

            invalidHandler: function (event, validator) {///alert('invalidHandler'); //display error alert on form submit              
                success2.hide();
                error2.show();
                App.scrollTo(error2, -200);
            },
            /*
            errorPlacement: function (error, element) { // render error placement for each input type
                //$(element).closest('.form-control').removeClass("has-success").addClass('has-error'); 

                var icon = $(element).parent('.input-icon').children('i');
                icon.removeClass('fa-check').addClass("fa-warning");  
                icon.attr("data-original-title", error.text()).tooltip({'container': 'body'});

            },*/
            
            highlight: function (element) {//alert('highlight'); // hightlight error inputs
                $(element).closest('.form-control').removeClass("has-success").addClass('has-error'); 
                //$(element).closest('.form-control').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) {///alert('highlight'); // revert the change done by hightlight
                $(element).closest('.form-control').removeClass('has-error'); // set error class to the control group
            },

            success: function (label, element) {//alert('success');
                $(element).closest('.form-control').removeClass('has-error').addClass('has-success');
                //label.closest('.form-control').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {//alert('submitHandler');
                success2.show();
                error2.hide();
            }


        });
    }

    return {
        init: function () {
            handleValidation();
            //handleValidation__2();
            /*
            $("[name^=CHECK_ID]").each(function () {
                $(this).rules("add", {
                    required: true
                });
            });*/
        }

    }
}();


