<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class CarCheck extends CI_Controller {

    public function __construct() {
        parent::__construct();
       
          $this->load->helper('date');
        $this->load->model('technical_check');
        $this->load->model('constants');
         $this->user_sso->validate_session();

        if (!$this->user_sso->is_valid_session()) {
            $userSSO_ID = $this->user_sso->getUserID();
            $this->user_sso->set_user_session($userSSO_ID);
        }
    }

    public function index()
    {
        $data['view_title'] = 'الصفحة الرئيسية';
        $data['username'] = 'مستخدم النظام';
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('home', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function carcheck()
    {

        if (!$this->user_sso->is_allowed_function('53')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        $data['view_title'] = '';
        $data['username'] = 'مستخدم النظام';
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('technicalCheck/carCheck', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function searchcarcheck()
    {
         if (!$this->user_sso->is_allowed_function('54')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        $data['view_title'] = '';
        $data['username'] = 'مستخدم النظام';
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('technicalCheck/searchcarcheck', $data);
        $this->load->view('includes/footer.php', $data);

    }
    public function getcartype(){
        $data=array(
            'car_no' => $this->input->post('car_no'),
        );
        $results = $this->technical_check->getcar($data);
        if($results==null){
            echo "ادخل رقم سيارة صحيح";
        }else{
            echo $results;}
    }

    public function addcarcheck(){
          if (!$this->user_sso->is_allowed_function('166')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        $data=array(
            'EXAMIN_DATE' => $this->input->post('EXAMIN_DATE'),
            'FINANCIAL_NO' => $this->input->post('COMP_ACCOUNT_TERM'),
            'COMP_NO' => $this->input->post('COMP_ACCOUNT'),
            'EXAMIN_PLACE' => $this->input->post('EXAMIN_PLACE'),
            'car_no' => $this->input->post('car_no'),
            'car_cap' => $this->input->post('car_cap'),
            'EXAMIN_RESULT' => $this->input->post('EXAMIN_RESULT')
        );
        $results = $this->technical_check->addcarcheck($data);
        echo $results;
    }

    public function getcarcheck(){

        $data=array(
            'EXAMIN_DATE' => $this->input->post('EXAMIN_DATE'),
            'FINANCIAL_NO' => $this->input->post('COMP_ACCOUNT_TERM'),
            'car_no' => $this->input->post('car_no'),
        );
        $results = $this->technical_check->getcarcheck($data);
        echo json_encode( $results);
    }
   /* public function getcarcheck(){
        $data=array(
            'EXAMIN_DATE' => $this->input->post('EXAMIN_DATE'),
            'FINANCIAL_NO' => $this->input->post('COMP_ACCOUNT_TERM'),
            'car_no' => $this->input->post('car_no'),
        );
        $results = $this->technical_check->getcarcheck($data);
        return $results;
    }*/
    public function edit()
    {
        $data=array(
            'SN'=> $this->input->post('SN'),
            'EXAMIN_PLACE' => $this->input->post('EXAMIN_PLACE'),
            'car_cap' => $this->input->post('car_cap'),
            'EXAMIN_RESULT' => $this->input->post('EXAMIN_RESULT')
        );
        $results = $this->technical_check->editcarcheck($data);
        echo $results;
    }

    public function updatecar($id){
        
        $data['view_title'] = '';
        $data['username'] = 'مستخدم النظام';
        $results = $this->technical_check->getonecarcheck($id);
        $data['x']=$results;
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('technicalCheck/updatecar', $data);
        $this->load->view('includes/footer.php', $data);

    }

/*$data=array(
'SN' => $this->input->post('SN'),
);
$results = $this->technical_check->getonecarcheck($data);
echo json_encode( $results);*/

}