<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class Gas_licenses extends CI_Controller {

    public function __construct() {
        parent::__construct();
       
          $this->load->helper('date');
        $this->load->model('gas_model');
      
         $this->user_sso->validate_session();

        if (!$this->user_sso->is_valid_session()) {
            $userSSO_ID = $this->user_sso->getUserID();
            $this->user_sso->set_user_session($userSSO_ID);
        }
        
    }

    public function index()
    {   
        if (!$this->user_sso->is_allowed_function('185')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } 
        $data['view_title'] = 'إدارة رخص الغاز';
        $data['username'] = 'مستخدم النظام';
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gas/home', $data);
        $this->load->view('includes/footer.php', $data);
    }


	public function get_data()
    {
        if (!$this->user_sso->is_allowed_function('186')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        $data=array(
            'I_APPLICANT' => $this->input->post('I_APPLICANT'),
            'I_APP_SR' => $this->input->post('I_APP_SR'),
            'I_APP_STAT' => $this->input->post('I_APP_STAT'),
        );
        $data['results'] = $this->gas_model->GET_PERSON_APPLICATIONS_LIST($data);
    //    echo json_encode( $results);

         $this->load->view('gas/ajax_gas', $data);
    }


     public function sure_application()
    {
        if (!$this->user_sso->is_allowed_function('187')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        $data=array(
            'I_APP_SR' => $this->input->post('I_APP_SR')
             );
         $serial_sure = $this->input->post('I_APP_SR');
         $mobile_sure_number= $this->input->post('ID_Pperson');
         $SMS_TITLE = "MofPetrol";

         $SMS_TEXT = "تم اعتماد طلب ترخيص الغاز رقم ";
         $SMS_TEXT .=$serial_sure;
		 $SMS_TEXT .= 'توجه للصفحة واطبع الايصال للدفع';
         
        $results = $this->gas_model->ACCEPT_APPLICATION($data);
        $this->send_SMS($SMS_TEXT,$mobile_sure_number, $SMS_TITLE);
        echo json_encode( $results);
    }


     public function canceled()
    {
        if (!$this->user_sso->is_allowed_function('189')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
         $data=array(
            'I_APP_SR' => $this->input->post('I_APP_SR')
             );

          $mobile_canceled_number= $this->input->post('ID_Pperson');
           $serial_sure = $this->input->post('I_APP_SR');
         $mobile_sure_number= $this->input->post('ID_Pperson');
         $SMS_TITLE = "MofPetrol";

         $SMS_TEXT = " تم رفض طلب ترخيص توزيع الغاز للعام 2018 رقم ";
         $SMS_TEXT .=$serial_sure;

        $results = $this->gas_model->REJECT_APPLICATION($data);
         $this->send_SMS($SMS_TEXT,$mobile_sure_number, $SMS_TITLE);
        echo json_encode( $results);
    }


       public function print_repoert()
    {
        if (!$this->user_sso->is_allowed_function('190')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        $data=array(
            'I_APPLICANT' => $this->input->post('I_APPLICANT'),
            'I_APP_SR' => $this->input->post('I_APP_SR'),
            'I_APP_STAT' => $this->input->post('I_APP_STAT'),
        );
        $results = $this->gas_model->GET_PERSON_APPLICATIONS_LIST($data);
        echo json_encode( $results);
    }
    
    private function send_SMS($SMS_TEXT, $RECEIVER, $SMS_TITLE){
        $acc_username = "DistPetrol4rasel";
        $acc_password = md5("13682095") ; 
        $sender = "MofPetrol" ; 
        
        $url = "http://eapp.gov.ps/rasel/getway/c_api/send/".$acc_username."/".$acc_password."/".$sender."/sms/".$RECEIVER."/".$SMS_TITLE."/".urlencode($SMS_TEXT) ;
        $jsonString = json_decode(file_get_contents($url));
        $response = get_object_vars($jsonString) ;
        // var_dump($response) ;        
    }

}