<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class gasManage extends CI_Controller {
   

    public function __construct() {
        parent::__construct();
        $this->load->model('gasManages');
        $this->load->helper('date');
        $this->user_sso->validate_session();
        if (!$this->user_sso->is_valid_session()) {
            $userSSO_ID = $this->user_sso->getUserID();
            $this->user_sso->set_user_session($userSSO_ID);
        }
        }

       public function index()
    {
        /*if (!$this->user_sso->is_allowed_function('55')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }*/
		$comp_id = $this->input->post('COM_ID');
       // $comp_id= 5;
		$data['comp_id']= $comp_id;		
        $data['view_title'] = 'الصفحة الرئيسية';
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/addService', $data);
        $this->load->view('includes/footer.php', $data);

		
    }
	
	
	 
    // getFintialInfo
    public function gasCompMaster() { 
        /*if (!$this->user_sso->is_allowed_function('206')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } */
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/gas_managment', $data);
        $this->load->view('includes/footer.php', $data);
    }

   
/*getServiceDetails
ServiceDetailsForm
I_SERVICE_SR
GET_GAS_COMPANIES_DIST_LIST
GET_SERVICE_DETAILS   */



// jass ***
public function getServiceDetails(){
     /*
     if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        */
        $data['username'] = $this->user_sso->getUserName();

         $parm = array(
            'I_COMPANY' => null,
            'I_PARENT' => null,
             );
        $companies = $this->gasManages->GET_GAS_COMPANIES_DIST_LIST($parm);
        $data['companies']= $companies;


        $parm = array(
            'I_SERVICE_SR' => $this->input->post('I_SERVICE_SR'),
             );
        $result = $this->gasManages->GET_SERVICE_DETAILS($parm);
        // echo json_encode($result);
        $data['service']= $result;

        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/updateService', $data);
        $this->load->view('includes/footer.php', $data);
} 



    public function updateService() {
         /* if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        */
/*
        ONLINE_SERVICES_PKG.EDIT_SERVICE_INFO(
    I_SERVICE_SR    IN  NUMBER ,    -- رقم المصلحة المسلسل
    I_COMPANY       IN  NUMBER ,    -- رقم الشركة المستوعبة
    I_S_NAME        IN  VARCHAR2,   -- اسم المصلحة الخدماتية
    I_S_OWNER       IN  VARCHAR2,   -- اسم مالك المصلحة الخدماتية
    I_S_MOBILE      IN  VARCHAR2,   -- رقم جوال المصلحة
    I_S_USAGE       IN  VARCHAR2,   -- مجال عمل المصلحة
    I_S_SHARE       IN  NUMBER, -- حصة المصلحة من الغاز
    I_S_ADDRESS     IN  VARCHAR2,   -- عنوان المصلحة
    I_S_OWNER_ID    IN  VARCHAR2,   -- رقم هوية مالك المصلحة
    O_SUCCESS       OUT NUMBER, -- حالة العملية بالرقم
    O_MSG           OUT VARCHAR2    -- حالة العملية نصا
    EDIT_SERVICE_INFO
    */

        $parm = array(
            'I_SERVICE_SR' => $this->input->post('SERIAL_NO'),
            'I_S_NAME' => $this->input->post('Service_Name'),
            'I_S_OWNER_ID' => $this->input->post('I_OWNER_ID'),
            'I_S_USAGE' => $this->input->post('Service_Field'),
            'I_S_SHARE' => $this->input->post('Service_Quality'),
            'I_S_ADDRESS' => $this->input->post('Service_Address'),
            'I_S_OWNER' => $this->input->post('Service_Owner'),
            'I_S_MOBILE' => $this->input->post('mobile_Owner'),
            'I_COMPANY' => $this->input->post('Comp_Id'),


        );
        //var_dump($parm);
        //die();
        $result = $this->gasManages->updateService($parm);
        echo json_encode($result);
    }

	public function addService() {
         /* if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
		*/
	    $parm = array(
            'I_SERVICE_NAME' => $this->input->post('Service_Name'),
            'I_OWNER_ID' => $this->input->post('I_OWNER_ID'),
            'I_USAGE' => $this->input->post('Service_Field'),
            'I_SHARE' => $this->input->post('Service_Quality'),
            'I_ADDRESS' => $this->input->post('Service_Address'),
            'I_SERVICE_OWNER' => $this->input->post('Service_Owner'),
            'I_MOBILE' => $this->input->post('mobile_Owner'),
			'I_GAS_COM_ID' => $this->input->post('comp_id'),

        );
        $result = $this->gasManages->addService($parm);
        echo json_encode($result);
    }

   public function compdistgas() {
        /* if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }*/
	    $parm = array(
            'I_COM_SR' => $this->input->post('comp_id'),

        );

        $result = $this->gasManages->compdistgas($parm);

        echo json_encode($result);
    }


public function getCompList(){
     /*
     if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        */
        $parm = array(
            'I_COMPANY' => $this->input->post('I_COMPANY'),
            'I_PARENT' => $this->input->post('I_PARENT'),
             );
        $result = $this->gasManages->GET_GAS_COMPANIES_DIST_LIST($parm);
        echo json_encode($result);

}


    public function get_gas_company_by_term(){
        $parm = array(
            'COM_NAME' => $this->input->post('TERM'),
        );
        $result = $this->gasManages->get_gas_company_by_term($parm);
        echo json_encode($result);

    }

public function getDistributemasterbyListcompid(){
     /* if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
       */
    $C2P5K=0;$C5K=0;$C12K=0;$C24K=0;$C36K=0;$C48K=0;
    switch ($this->input->post('K_TYPE')) {
        case'C2P5K':
            $C2P5K = 1;
            break;
        case 'C5K':
            $C5K = 1;
            break;
        case 'C12K':
            $C12K = 1;
            break;
        case 'C24K':
            $C24K = 1;
            break;
        case 'C36K':
            $C36K = 1;
            break;
        case 'C48K':
            $C48K = 1;
            break;
    }
        $parm = array(
            'COM_SR' => $this->input->post('COM_SR'),
            'DIS_ID' => $this->input->post('DIS_ID'),
            'DIS_TYPE' => $this->input->post('DIS_TYPE'),
            'IN_START_DT' => $this->input->post('IN_START_DT'),
            'IN_END_DT' => $this->input->post('IN_END_DT'),
            'C2P5K' =>$C2P5K,
            'C5K' =>$C5K,
            'C12K' =>$C12K,
            'C24K' =>$C24K,
            'C36K' =>$C36K,
            'C48K' =>$C48K,
            'NO_FROM' => $this->input->post('NO_FROM'),
            'NO_TO' => $this->input->post('NO_TO'),
            'START_TOTAL' => $this->input->post('START_TOTAL'),
            'END_TOTAL' => $this->input->post('END_TOTAL'));
       $result = $this->gasManages->getDidtributedAmounts($parm);
        echo json_encode($result);
}

    public function return_dis_data(){
        $C2P5K=0;$C5K=0;$C12K=0;$C24K=0;$C36K=0;$C48K=0;
        switch ($this->input->post('K_TYPE')) {
            case'C2P5K':
                $C2P5K = 1;
                break;
            case 'C5K':
                $C5K = 1;
                break;
            case 'C12K':
                $C12K = 1;
                break;
            case 'C24K':
                $C24K = 1;
                break;
            case 'C36K':
                $C36K = 1;
                break;
            case 'C48K':
                $C48K = 1;
                break;
        }
        $parm = array(
            'COM_SR' => $this->input->post('COM_SR'),
            'DIS_ID' => $this->input->post('DIS_ID'),
            'DIS_TYPE' => $this->input->post('DIS_TYPE'),
            'IN_START_DT' => $this->input->post('IN_START_DT'),
            'IN_END_DT' => $this->input->post('IN_END_DT'),
            'C2P5K' =>$C2P5K,
            'C5K' =>$C5K,
            'C12K' =>$C12K,
            'C24K' =>$C24K,
            'C36K' =>$C36K,
            'C48K' =>$C48K,
            'NO_FROM' => $this->input->post('NO_FROM'),
            'NO_TO' => $this->input->post('NO_TO'),
            'START_TOTAL' => $this->input->post('START_TOTAL'),
            'END_TOTAL' => $this->input->post('END_TOTAL'));
        $result = $this->gasManages->return_dis_data($parm);
        echo json_encode($result);

    }
/////////////////////// 

//  gas_distribute_master
public function getdistributemasterbycompid(){
     /* if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
       */
       $data['username'] = $this->user_sso->getUserName();
       $this->load->view('includes/header.php', $data);
       $this->load->view('includes/sidebar', $data);
       $this->load->view('gasCompManage/gas_distribute_master', $data);
       $this->load->view('includes/footer.php', $data);
}
public function gettotalguantitiesofgas(){
        /* if (!$this->user_sso->is_allowed_function('155')) {
               redirect('/messages/disply_msg/1020/');
               return;
           }
          */
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/get_total_quan_gas', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function gas_objections_manages(){
        /* if (!$this->user_sso->is_allowed_function('155')) {
               redirect('/messages/disply_msg/1020/');
               return;
           }
          */
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/gas_objection_manges', $data);
        $this->load->view('includes/footer.php', $data);
    }


    public function getgasobjections(){
        /* if (!$this->user_sso->is_allowed_function('155')) {
               redirect('/messages/disply_msg/1020/');
               return;
           }
          */
        $parm = array(
            'DISTRIBUTER_ID' => $this->input->post('DIS_ID'),
            'OBJECTION_STATUS' => $this->input->post('OBJ_ST'),
            'START_DT' => $this->input->post('START_DT'),
            'END_DT' => $this->input->post('END_DT'),
        );
        $result = $this->gasManages->getgasobjections($parm);
        echo json_encode($result);

    }


    public function get_distribute_by_term(){
        /* if (!$this->user_sso->is_allowed_function('155')) {
               redirect('/messages/disply_msg/1020/');
               return;
           }
          */
        $result = $this->gasManages->get_distribute_by_term($this->input->post('TERM'),$this->input->post('COM'));
        echo json_encode($result);
    }



    public function getDistributeByCompId(){
     /* if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        */

      
        $parm = array(
            'I_COM_SR' => $this->input->post('comp_dist_id'),
            'I_DISTR_DT' => $this->input->post('date_val'),
             );

       $data['username'] = $this->user_sso->getUserName();
       $data = $this->gasManages->GET_COMPANY_DISTRIBUTED_AMOUNT($parm);
       $data['info']= $data;
       $data['comp_id']= (int)$this->input->post('comp_dist_id');  
       $data['date_dist']= $this->input->post('date_val'); 
       $this->load->view('includes/header.php', $data);
       $this->load->view('includes/sidebar', $data);
       $this->load->view('gasCompManage/gas_distribute_by_comp', $data);
       $this->load->view('includes/footer.php', $data);
  
}


    public function add_distributer(){
        $data['cover'] = $this->gasManages->GET_GOVERNORATES_LIST();
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/add_distributer', $data);
        $this->load->view('includes/footer.php', $data);

    }

    public function add_new_distributer(){
        $parm = array(
            'SSN' => $this->input->post('dis_id'),
            'NAME' => $this->input->post('dis_name'),
            'GOVER' => $this->input->post('cover'),
            'COMPANY' => $this->input->post('COM_SR'),
            'SHARE' => $this->input->post('dis_share'),
            'SERIAL' => $this->input->post('dis_no'),
            'MOBILE' => $this->input->post('phone_no'),
            'FREIGHTS' => $this->input->post('freight_no'),
            'ACCEPT_DT' => $this->input->post('accept_dt'),
            'CYLINDERS' => $this->input->post('cylinder_no'),
            'NOTES' => $this->input->post('note'),
            'TRANS_TYPE' => $this->input->post('trans_type'),
            'PROPERTY' => $this->input->post('property'),
            'TEST_RES' => $this->input->post('test_res'),
            'TEST_NOTE' => $this->input->post('test_note'),
        );
        $result = $this->gasManages->ADD_NEW_DISTRIBUTER($parm);
        echo json_encode($result);
    }

    public function edit_distributer(){
        $data['cover'] = $this->gasManages->GET_GOVERNORATES_LIST();
        $data['dis_info'] = $this->gasManages->GET_DISTRIBUTER_INFO($this->input->post('dis_id'));
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/edit_distributer', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function conf_edit_distributer(){
        $parm = array(
            'SSN' => $this->input->post('dis_id'),
            'NAME' => $this->input->post('dis_name'),
            'GOVER' => $this->input->post('cover'),
            'COMPANY' => $this->input->post('COM_SR'),
            'SHARE' => $this->input->post('dis_share'),
            'SERIAL' => $this->input->post('dis_no'),
            'MOBILE' => $this->input->post('phone_no'),
            'FREIGHTS' => $this->input->post('freight_no'),
            'ACCEPT_DT' => $this->input->post('accept_dt'),
            'CYLINDERS' => $this->input->post('cylinder_no'),
            'NOTES' => $this->input->post('note'),
            'TRANS_TYPE' => $this->input->post('trans_type'),
            'PROPERTY' => $this->input->post('property'),
            'TEST_RES' => $this->input->post('test_res'),
            'TEST_NOTE' => $this->input->post('test_note'),
        );
        $result = $this->gasManages->conf_edit_distributer($parm);
        echo json_encode($result);
    }

    //  getDistributormasterbyListcompid
public function getDistributormasterbyListcompid(){
     /*
     if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        */
        $parm = array(
            'I_COM_SR' => $this->input->post('I_COM_SR'),
             );

        $result = $this->gasManages->GET_COMPANY_DISTRIBUTERS_LIST($parm);
        echo json_encode($result);

} 
////// get service list 

    //  getDistributormasterbyListcompid
public function getServiceMasterbyListcompid(){
     /*
     if (!$this->user_sso->is_allowed_function('155')) {
            redirect('/messages/disply_msg/1020/');
            return;
        }
        */
        $parm = array(
            'I_COM_SR' => $this->input->post('I_COM_SR'),
             );

        $result = $this->gasManages->GET_COMPANY_SERVICES_LIST($parm);
        echo json_encode($result);

} 
    
	
    //  displayDistributors
public function displayMasterDistributors() { 
        /*if (!$this->user_sso->is_allowed_function('206')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } */
        $data = null;
        $comp_id = $this->input->post('I_COM_SR');
       // $comp_id= 5;
        $data['comp_id']= $comp_id;     
         $parm = array(
            'I_COMPANY' => null,
            'I_PARENT' => null,
             );
        $result = $this->gasManages->GET_GAS_COMPANIES_DIST_LIST($parm);
        $data['companies']= $result;
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/display_master_distributors', $data);
        $this->load->view('includes/footer.php', $data);
    }


    //////// service company
    public function serviceMasterComp() {
        /*if (!$this->user_sso->is_allowed_function('206')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } */
        $data['username'] = $this->user_sso->getUserName();
        $comp_id = $this->input->post('I_COM_SR_S');
       // $comp_id= 5;
        $data['comp_id']= $comp_id;     
       // $result = $this->gasManages->GET_COMPANY_SERVICES_LIST($parm);
        //$data['companies']= $result;
        
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/service_by_comp', $data);
        $this->load->view('includes/footer.php', $data);
    }




public function gasCompMasterDist() { 
        /*if (!$this->user_sso->is_allowed_function('206')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } */
        $data['username'] = $this->user_sso->getUserName();
		$comp_id = $this->input->post('comp_id');
        $data['comp_id']= $comp_id;		
	
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/gas_distribute_by_comp', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function updateDist() {
        $parm = array(
            'I_DISTRIBUTER' => $this->input->post('dist_id'),
            'I_NEW_COMPANY' => $this->input->post('comp_id'),
        );
        $data = $this->gasManages->CHANGE_DISTRIBUTER_COMPANY($parm);
        echo json_encode($data);
   
    }
	public function deactivateDistributor() {
        $parm = array(
            'I_DISTR_ID' => $this->input->post('I_DISTR_ID'),
            'I_NEW_STATUS' => 2,
        );
        $data = $this->gasManages->CHANGE_DISTRIBUTER_STATUS($parm);
        echo json_encode($data);
   
    }
	
		public function activateDistributor() {
        $parm = array(
            'I_DISTR_ID' => $this->input->post('I_DISTR_ID'),
            'I_NEW_STATUS' => 1,
        );
        $data = $this->gasManages->CHANGE_DISTRIBUTER_STATUS($parm);
        echo json_encode($data);
   
    }
	
	
	////////// update service status
	public function deactivateService() {
        $parm = array(
            'I_SERVICE_SR' => $this->input->post('I_SERVICE_SR'),
            'I_NEW_STATUS' => 2,
        );
        $data = $this->gasManages->CHANGE_SERVICE_STATUS($parm);
        echo json_encode($data);
   
    }
	
		public function activateService() {
        $parm = array(
            'I_SERVICE_SR' => $this->input->post('I_SERVICE_SR'),
            'I_NEW_STATUS' => 1,
        );
        $data = $this->gasManages->CHANGE_SERVICE_STATUS($parm);
        echo json_encode($data);
   
    }


    public function accept_objection()
    {
        $data = array(
            'objec_id' => $this->input->post('objec_id'),
            'text' => $this->input->post('objec_text'),
            'user' => $this->user_sso->getUserID()
        );
        $data = $this->gasManages->accept_objection($data);
        echo json_encode($data);
    }


    public function reject_objection()
    {
        $data = array(
            'objec_id' => $this->input->post('objec_id'),
            'text' => $this->input->post('objec_text'),
            'user' => $this->user_sso->getUserID()
        );
        $data = $this->gasManages->reject_objection($data);
        echo json_encode($data);
    }


    public function getdistributed_totals()
    {
        $data = array(
            'COM_SR' => $this->input->post('COM_SR'),
            'START_DT' => $this->input->post('START_DT'),
            'END_DT' => $this->input->post('END_DT'),
            'DIST_TYPE' => $this->input->post('DIST_TYPE'),
            'DIST_NO' => $this->input->post('DIST_NO'),
        );
        $data = $this->gasManages->getdistributed_totals($data);
        echo json_encode($data);
    }


    public function dilay_distribution() {
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/get_dilay_distr_total', $data);
        $this->load->view('includes/footer.php', $data);
    }


    public function GET_DILAY_DISTR_TOTAL()
    {
        $data = array(
            'COM_SR' => $this->input->post('COM_SR'),
            'PARENT_SR' => $this->input->post('PARENT_SR'),
            'DIST_DATE' => $this->input->post('DIST_DATE'),
        );
        $data = $this->gasManages->GET_DISTR_TOTAL($data);
        echo json_encode($data);
    }


    public function calculate_gas_com(){
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/calculate_gas_com', $data);
        $this->load->view('includes/footer.php', $data);
    }


    public function getcalc_gascomp()
    {
        $data = array(
            'COM_SR' => $this->input->post('COM_SR'),
            'DIST_TYPE' => $this->input->post('DIST_TYPE'),
            'CAL_START_DT' => $this->input->post('CAL_START_DT'),
            'CAL_END_DT' => $this->input->post('CAL_END_DT'),
        );
        $data = $this->gasManages->getcalc_gascomp($data);
        echo json_encode($data);
    }

    public function createJarQRC(){
        $station_code = 'G18MD'; 
        $station_name = 'محطة أبو مغصيب'; 
        $station_id = '563486927'; 
        $station_address = 'الوسطى'; 
        $beneficiary_name = ''; 
        $beneficiary_mobile = '0599792261'; 
        $lable = '';
        $jar_size = 48; 
        $random = md5(rand(1000, 9999));
        $check_url = 'https://petrol.mof.gov.ps/index.php/gasmanage/checkJarQRC/' . $random ; 
        $QRC = 'https://chart.googleapis.com/chart?chs=200x200&cht=qr&chl=' . $check_url;
        $data = array(
            'STATION_ID' => $station_id, 
            'STATION_NAME' => $station_name, 
            'STATION_CODE' => $station_code, 
            'ADDRESS' => $station_address, 
            'BENE_NAME' => $beneficiary_name, 
            'BENE_MOBILE' => $beneficiary_mobile, 
            'JAR_SIZE' => $jar_size, 
            'JAR_LABLE_ID' => $lable, 
            'QRC' => $QRC, 
            'RAND' => $random, 
            'NOTES' => '',
            'USER_ID' => $this->user_sso->getUserID()
        ); 
        $data = $this->gasManages->addJarInfo($data);
        echo json_encode($data);
    }

    public function checkJarQRC($ID){
        if (!$this->user_sso->is_allowed_function('1')) {
            redirect('/messages/disply_msg/1020/');
            return;
        } 

        $data['username'] = $this->user_sso->getUserName();
        $parm = array('SERIAL'=>null, 'RAND_NO'=> $ID, 'LABLE_ID'=>null, 'SIZE_MIN'=>null, 'SIZE_MAX'=>null, 'STATION'=>null, 'STATUS'=>null, 'GENERATE_ST'=>null, 'GENERATE_ED'=>null); 
		$jarInfo = $this->gasManages->getJarInfo($parm);
        $data['jarInfo'] = $jarInfo[0];		
	
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/checkJarInfo', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function createStationJarQRC(){
        $station_code = 'G18MD'; 
        $station_name = 'محطة أبو مغصيب'; 
        $station_id = '563486927'; 
        $station_address = 'الوسطى'; 
        $beneficiary_name = ''; 
        $beneficiary_mobile = '0599792261'; 
        $lable = '';
        $jar_size = 48; 
        for($i = 0 ; $i < 20 ; $i++){
            $random = md5(rand(1000, 9999));
            $check_url = 'https://petrol.mof.gov.ps/index.php/gasmanage/checkJarQRC/' . $random ; 
            $QRC = 'https://chart.googleapis.com/chart?chs=200x200&cht=qr&chl=' . $check_url;
            $data = array(
                'STATION_ID' => $station_id, 
                'STATION_NAME' => $station_name, 
                'STATION_CODE' => $station_code, 
                'ADDRESS' => $station_address, 
                'BENE_NAME' => $beneficiary_name, 
                'BENE_MOBILE' => $beneficiary_mobile, 
                'JAR_SIZE' => $jar_size, 
                'JAR_LABLE_ID' => $lable, 
                'QRC' => $QRC, 
                'RAND' => $random, 
                'NOTES' => '',
                'USER_ID' => $this->user_sso->getUserID()
            ); 
            $data = $this->gasManages->addJarInfo($data);
        }
        echo 'done'; 
    }

    public function manageGasIdentities(){
        $data['allowedToAdd'] = $this->user_sso->is_allowed_function('1');
        $data['allowedToPrint'] = $this->user_sso->is_allowed_function('1');
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/manageGazControl', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function getControledStationsList(){
        echo(json_encode($this->gasManages->getControledStationsList())); exit();
    }

    public function addJarsToStation(){
        $data = array(
            'STATION_CODE' => $this->input->post('STATION_CODE'),
            'JARS_COUNT' => $this->input->post('JARS_COUNT'),
            'JARS_SIZE' => $this->input->post('JARS_SIZE'),
            'BENE_NAME' => $this->input->post('BENE_NAME'),
            'BENE_MOBILE' => $this->input->post('BENE_MOBILE'),
            'USER' => $this->user_sso->getUserID()
        );
        echo(json_encode($this->gasManages->addJarsToStation($data))); exit(); 
    }

    public function addControledStation(){
        $result = array(); 
        $jarCount = $this->input->post('JARS_COUNT');
        for($i = 0 ; $i < $jarCount ; $i++){
            $random = md5(rand(1000, 9999));
            $check_url = 'https://petrol.mof.gov.ps/index.php/gasmanage/checkJarQRC/' . $random ; 
            $QRC = 'https://chart.googleapis.com/chart?chs=200x200&cht=qr&chl=' . $check_url;
            $data = array(
                'STATION_ID' => $this->input->post('STATION_ID'),
                'STATION_NAME' => $this->input->post('STATION_NAME'),
                'STATION_CODE' => $this->input->post('STATION_CODE'),
                'STATION_MOBILE' => $this->input->post('S_MOBILE'), 
                'ADDRESS' => $this->input->post('ADDRESS'),
                'BENE_NAME' => '', 
                'BENE_MOBILE' => '', 
                'JAR_SIZE' =>$this->input->post('JARS_SIZE'), 
                'JAR_LABLE_ID' => '', 
                'QRC' => $QRC, 
                'RAND' => $random, 
                'NOTES' => $this->input->post('NOTES'), 
                'USER_ID' => $this->user_sso->getUserID()
            ); 
            $result = $this->gasManages->addJarInfo($data); 
        }
        echo(json_encode($result)); exit(); 
    }

    public function manageGasAmounts(){
        $data['username'] = $this->user_sso->getUserName();
        $this->load->view('includes/header.php', $data);
        $this->load->view('includes/sidebar', $data);
        $this->load->view('gasCompManage/manageRegisteredAmounts', $data);
        $this->load->view('includes/footer.php', $data);
    }

    public function getRegisteredStationsFillList(){
        $info = array(
            'STATION_ID' => $this->input->post('STATION_ID'),
            'FILL_START' => $this->input->post('FILL_START'),
            'FILL_END'   => $this->input->post('FILL_END'),
        );
        echo(json_encode($this->gasManages->getRegisteredStationsFillList($info))); exit(); 
    }
}
?>