<?php


function jasper_init($isOnline) {
    if ($isOnline === 1) {
        spl_autoload_register(function($class) {

                    $location = "jas/" . $class . '.php';
                    $location_linux = str_replace("\\", "/", $location);
                    if (!is_readable($location_linux))
                        return;
                    require_once $location_linux;
                });
    }
    else {
        spl_autoload_register(function($class) {

                    $location = "jas/" . $class . '.php';
                    if (!is_readable($location))
                        return;
                    require_once $location;
                });
    }
}

function Connect_Jasper($isOnline) {
    if ($isOnline === 1) {
        return new Jaspersoft\Client\Client(
                        "http://10.12.2.68:8080/jasperserver",
                        "petrolDeveloper",
                        "petrol@2016",
                        ""
        );
    } else {
        return new Jaspersoft\Client\Client(
                        "http://10.12.2.68:8080/jasperserver",
                        "petrolDeveloper",
                        "petrol@2016",
                        ""
        );
    }
}



?>