<?php 
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class SSOUsers {

	private $identificationNo;
	private $fullName;
	private $employeeNo ;
	private	$ministryCode ;
	private	$ministryName ;
	private $roles ;
	
	public function __construct($logedUser){
		$this->setIdentificationNo($logedUser['UserIdentity'][0]) ;
		if(isset($logedUser['employee_number'][0])){
			$this->setEmployeeNo($logedUser['employee_number'][0]) ;
		}
		$this->setFullName($logedUser['Name'][0]);
	}
	
	public function setIdentificationNo($ID){
		$this->identificationNo = $ID ;		
	}
	
	public function setMinistryCode($ministry){
		$this->ministryCode = $ministry ;
	}
	
	public function setMinistryName($ministry){
		$this->ministryName = $ministry ;
	}
	
	public function setEmployeeNo($empNo){
		$this->employeeNo = $empNo ;
	}
	
	public function setFullName($name){
		$this->fullName = $name ;
	}
	
	public function setUserRoles($uroles){
		$this->roles = $uroles ;
	}
	
        
        
	public function getIdentificationNo(){
		return $this->identificationNo ;		
	}
	
	public function getEmployeeNo(){
		return $this->employeeNo ;		
	}
	
	public function getMinistryCode(){
		return $this->ministryCode ;
	}
	
	public function getMinistryName(){
		return $this->ministryName ;
	}
	
	public function getFullName(){
		return $this->fullName ;
	}
	
	public function getUserRoles(){
		return $this->roles ;
	}
}

?>