<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
    
class eservices extends CI_Model {
	
	public function __construct(){
		parent::__construct();
	}

 


    public function GET_COMPANY_AGENTS_LIST($PARAM ) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COM_ID', 'value' =>'', 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'GET_COMPANY_AGENTS_LIST', $paramts, $results);
        return ($results);
    }  
    
    public function get_company_agent_info($company){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_COM_ID', 'value' =>$company, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'GET_COMPANY_AGENT_INFO', $paramts, $results);
        return ($results);
    }
    
    public function get_agent_potential_accounts($agent_id){
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_AGENT_ID', 'value' =>$agent_id, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'GET_AGENT_POTENTIAL_ACCOUNTS', $paramts, $results);
        return ($results);
    }
    
    public function delete_agent_accounts($agent_id){
        $SUCCESS = -1;
        $paramts = array(
            array('name' => ':I_AGENT_ID', 'value' =>$agent_id, 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$SUCCESS, 'length' => 2, 'type' => OCI_ASSOC) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'DELETE_AGENT_ACCOUNTS', $paramts, $results);
        return ($SUCCESS);
    }
    
    public function add_account_to_agent($data){
        $SUCCESS = -1;
        $paramts = array(
            array('name' => ':I_AGENT_ID', 'value' =>$data['AGENT_ID'], 'length' => 12, 'type' => OCI_ASSOC),
            array('name' => ':I_ACCOUNT', 'value' =>$data['ACCOUNT_ID'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':O_SUCCESS', 'value' => &$SUCCESS, 'length' => 2, 'type' => OCI_ASSOC) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'ADD_ACCOUNT_TO_AGENT', $paramts, $results);
        return ($SUCCESS);
    }



//
//public function ENABLE_PRINT_ACCOUNT_STATEMENT($parameter) {
//
//         
//        $O_SUCCESS = 0;
//        $O_MSG = "";
//        
//        $parameters = array(
//            array('name' => ':I_USER_ID', 'value' =>$parameter['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
//      
//            array('name' => ':O_SUCCESS', 'value' =>&$O_SUCCESS, 'length' => 100, 'type' => OCI_ASSOC),
//             array('name' => ':O_MSG', 'value' =>&$O_MSG , 'length' => 200, 'type' => OCI_ASSOC)  
//        );
//        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'ENABLE_PRINT_ACCOUNT_STATEMENT', $parameters, $results);
//       return array ('O_SUCCESS' => $O_SUCCESS, 'O_MSG' => $O_MSG);
//    }
//
//
//    
//public function DISABLE_PRINT_STATEMENTS($parameter) {
//
//         
//        $O_SUCCESS = 0;
//        $O_MSG = "";
//        
//        $parameters = array(
//            array('name' => ':I_USER_ID', 'value' =>$parameter['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
//      
//            array('name' => ':O_SUCCESS', 'value' =>&$O_SUCCESS, 'length' => 100, 'type' => OCI_ASSOC),
//             array('name' => ':O_MSG', 'value' =>&$O_MSG , 'length' => 200, 'type' => OCI_ASSOC)  
//        );
//        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'ENABLE_PRINT_ACCOUNT_STATEMENT', $parameters, $results);
//       return array ('O_SUCCESS' => $O_SUCCESS, 'O_MSG' => $O_MSG);
//    }
}
 