<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Gas_model extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
    }




 public function GET_PERSON_APPLICATIONS_LIST($parameter) {


         $cursor =  $this->db->get_cursor();
        
        $parameters = array(
              array('name' => ':I_APPLICANT', 'value' =>$parameter['I_APPLICANT'], 'length' => -1, 'type' => OCI_ASSOC),
              array('name' => ':I_APP_SR', 'value' =>$parameter['I_APP_SR'], 'length' => -1, 'type' => OCI_ASSOC),
              array('name' => ':I_APP_STAT', 'value' =>$parameter['I_APP_STAT'], 'length' => -1, 'type' => OCI_ASSOC),
              array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'GET_PERSON_APPLICATIONS_LIST', $parameters, $results);
        return $results;
    }

 public function ACCEPT_APPLICATION($parameter) {

         
        $O_SUCCESS = 0;
        $O_MSG = "";
        
        $parameters = array(
            array('name' => ':I_APP_SR', 'value' =>$parameter['I_APP_SR'], 'length' => -1, 'type' => OCI_ASSOC),
      
            array('name' => ':O_SUCCESS', 'value' =>&$O_SUCCESS, 'length' => 100, 'type' => OCI_ASSOC),
             array('name' => ':O_MSG', 'value' =>&$O_MSG , 'length' => 200, 'type' => OCI_ASSOC)  
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'ACCEPT_APPLICATION', $parameters, $results);
       return array ('O_SUCCESS' => $O_SUCCESS, 'O_MSG' => $O_MSG);
    }


     public function REJECT_APPLICATION($parameter) {

         
        $O_SUCCESS = 0;
        $O_MSG = "";
        
        $parameters = array(
            array('name' => ':I_APP_SR', 'value' =>$parameter['I_APP_SR'], 'length' => -1, 'type' => OCI_ASSOC),
      
            array('name' => ':O_SUCCESS', 'value' =>&$O_SUCCESS, 'length' => 100, 'type' => OCI_ASSOC),
             array('name' => ':O_MSG', 'value' =>&$O_MSG , 'length' => 200, 'type' => OCI_ASSOC)  
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'REJECT_APPLICATION', $parameters, $results);
       return array ('O_SUCCESS' => $O_SUCCESS, 'O_MSG' => $O_MSG);
    }



     public function PRINT_LICENSE_APPLICATION($parameter) {


         $cursor =  $this->db->get_cursor();
        
        $parameters = array(
            
              array('name' => ':I_APP_SR', 'value' =>$parameter['I_APP_SR'], 'length' => -1, 'type' => OCI_ASSOC),
             
              array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('ONLINE_SERVICES_PKG', 'PRINT_LICENSE_APPLICATION', $parameters, $results);
        return $results;
    }
}