<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
    
class Role_model extends CI_Model {
	
	public function __construct(){
		parent::__construct();
	}
   
    public function GET_RESP_ROLE($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['I_ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['I_ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
    
            array('name' => ':O_RESP_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_ROLE', $paramts, $results);
        return $results;
    }  
    
    public function GET_RESP_FUNCTION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
    
            array('name' => ':O_RESP_FUNCTION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_FUNCTION', $paramts, $results);
        return $results;
    }     
    
  
    public function GET_RESP_USER($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['I_USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_FNAME', 'value' => $PARAM['I_USER_FNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_SNAME', 'value' => $PARAM['I_USER_SNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LNAME', 'value' => $PARAM['I_USER_LNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_EMP_NO', 'value' => $PARAM['I_USER_EMP_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_STATUS', 'value' => $PARAM['I_USER_STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LEVEL_CD', 'value' => $PARAM['I_USER_LEVEL_CD'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_USER', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER', $paramts, $results);
        return array('ret_data' => $results);
    }
    
    public function CHANGE_USER_PASSWORD($parameter) {

    //    var_dump($parameter); die();
        $ERROR_CODE = 0;
        $ERROR_MESSAGE = "";
        
        $parameters = array(
            array('name' => ':P_USER_ID_NUMBER', 'value' =>$parameter['user_id'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_USERNAME', 'value' =>$parameter['user_name'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_PASSWORD', 'value' =>$parameter['new_password'], 'length' => -1, 'type' => OCI_ASSOC), 
            array('name' => ':P_old_password', 'value' =>$parameter['current_password'], 'length' => 100, 'type' => OCI_ASSOC),
             array('name' => ':P_ERROR_CODE', 'value' =>&$ERROR_CODE, 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_MESSAGE', 'value' =>&$ERROR_MESSAGE , 'length' => 200, 'type' => OCI_ASSOC)  
        );
        $this->db->stored_procedure('USERS_PKG', 'CHANGE_USER_PASSWORD', $parameters, $results);
       return array ('P_ERROR_CODE' => $ERROR_CODE, 'P_ERROR_MESSAGE' => $ERROR_MESSAGE);
    }
    
    public function CHANGE_PASSWORD($parameter) {

    //    var_dump($parameter); die();
        $ERROR_CODE = 0;
        $ERROR_MESSAGE = "";
        
        $parameters = array(
            array('name' => ':P_USER_ID_NUMBER', 'value' =>$parameter['user_id'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_USERNAME', 'value' =>$parameter['user_name'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_PASSWORD', 'value' =>$parameter['new_password'], 'length' => -1, 'type' => OCI_ASSOC), 
              array('name' => ':P_ERROR_CODE', 'value' =>&$ERROR_CODE, 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_MESSAGE', 'value' =>&$ERROR_MESSAGE , 'length' => 200, 'type' => OCI_ASSOC)  
        );
        $this->db->stored_procedure('USERS_PKG', 'CHANGE_PASSWORD', $parameters, $results);
       return array ('P_ERROR_CODE' => $ERROR_CODE, 'P_ERROR_MESSAGE' => $ERROR_MESSAGE);
    }
    
    public function GET_RESP_USER_ROLE($PARAM = NULL) {
    // var_dump($PARAM); die();
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
			array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_USER_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_ROLE', $paramts, $results);
        return array('ret_data' => $results);
    } 
	        
     public function GET_RESP_USER_ALL_ROLE($PARAM = NULL) {
    // var_dump($PARAM); die();
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_RESP_USER_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_ALL_ROLE', $paramts, $results);
        return $results;
    }     
    
     public function GET_RESP_ROLE_FUNCTION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUNCTION_ID', 'value' => $PARAM['I_FUNCTION_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_RESP_ROLE_FUNCTION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_ROLE_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    }        
    public function GET_RESP_USER_ROLE_FUNCTION($PARAM = NULL) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_RESP_ROLE_FUNCTION', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_ROLE_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    } 
    
    
    
 
    public function ADD_RESP_USER ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['I_USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_FNAME', 'value' => $PARAM['I_USER_FNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_SNAME', 'value' => $PARAM['I_USER_SNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LNAME', 'value' => $PARAM['I_USER_LNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_EMP_NO', 'value' => $PARAM['I_USER_EMP_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_STATUS', 'value' => $PARAM['I_USER_STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_IS_SYS_ADMIN', 'value' => $PARAM['I_IS_SYS_ADMIN'], 'length' => -1, 'type' => OCI_ASSOC),
            
            array('name' => ':P_USER_NAME', 'value' => $PARAM['P_USER_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_USER_PASSWORD', 'value' => $PARAM['P_USER_PASSWORD'], 'length' => -1, 'type' => OCI_ASSOC),
  
            array('name' => ':O_USER_ID_NO', 'value' => &$responseId, 'length' => 20, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER', $paramts, $results);
        return $results;
    }
      public function UPDATE_RESP_USER ($PARAM = NULL) {
          
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID_NO', 'value' => $PARAM['I_USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_FNAME', 'value' => $PARAM['I_USER_FNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_SNAME', 'value' => $PARAM['I_USER_SNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_LNAME', 'value' => $PARAM['I_USER_LNAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_EMP_NO', 'value' => $PARAM['I_USER_EMP_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_USER_STATUS', 'value' => $PARAM['I_USER_STATUS'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_IS_SYS_ADMIN', 'value' => $PARAM['I_IS_SYS_ADMIN'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_USER_NAME', 'value' => $PARAM['P_USER_NAME'], 'length' => -1, 'type' => OCI_ASSOC), 
            
  
            array('name' => ':O_USER_ID_NO', 'value' => &$responseId, 'length' => 20, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'UPDATE_RESP_USER', $paramts, $results);
        return array('ret_data' => $results);
    }  
    
    public function ADD_RESP_USER_ROLE ($PARAM) {
       $ERROR_CODE = 0;
        $ERROR_MESSAGE = "";
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_CODE', 'value' =>&$ERROR_CODE, 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_MESSAGE', 'value' =>&$ERROR_MESSAGE , 'length' => 200, 'type' => OCI_ASSOC)  
  
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER_ROLE', $paramts, $results);
        return array( 'P_ERROR_CODE' => $ERROR_CODE, 'P_ERROR_MESSAGE' => $ERROR_MESSAGE);
    }    
     public function DELETE_RESP_USER_ROLE ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_USER_ROLE', $paramts, $results);
        return array('ret_data' => $results );
    }   
 
    public function ADD_RESP_ROLE($PARAM = NULL) {

        $responseId = -1;
        $paramts = array(
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['I_ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            //array('name' => ':I_ROLE_LOCATION', 'value' => $PARAM['I_ROLE_LOCATION'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE_SID', 'value' => &$responseId, 'length' => 8, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_ROLE', $paramts, $results);
        return array('responseId' => $responseId);
    }    
    public function UPDATE_RESP_ROLE($PARAM = NULL) {

        $responseId = -1;
        $paramts = array(
            array('name' => ':I_ROLE_SID', 'value' => $PARAM['I_ROLE_SID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_ROLE_NAME', 'value' => $PARAM['I_ROLE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_ROLE_SID', 'value' => &$responseId, 'length' => 8, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'UPDATE_RESP_ROLE', $paramts, $results);
        return array('responseId' => $responseId);
    }    
    
    public function ADD_RESP_ROLE_FUNCTION ($PARAM) {

        $ERROR_CODE = 0;
        $ERROR_MESSAGE = "";
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUNCTION_ID', 'value' => $PARAM['I_FUNCTION_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_CODE', 'value' =>&$ERROR_CODE, 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_MESSAGE', 'value' =>&$ERROR_MESSAGE , 'length' => 200, 'type' => OCI_ASSOC)  
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_ROLE_FUNCTION', $paramts, $results);
        return array('P_ERROR_CODE' => $ERROR_CODE, 'P_ERROR_MESSAGE' => $ERROR_MESSAGE);
    }       
    public function DELETE_RESP_ROLE_FUNCTION ($PARAM = NULL) {
       
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_ROLE_ID', 'value' => $PARAM['I_ROLE_ID'], 'length' => -1, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_ROLE_FUNCTION', $paramts, $results);
        return array('ret_data' => $results);
    } 
    

     public function GET_PAGES($PARAM) {
     
        $cursor = $this->db->get_cursor();
        $paramts = array(
  
             array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
             array('name' => ':O_PAGES', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_PAGES', $paramts, $results);
        return array('ret_data' => $results);
    }


     public function GET_RESP_USER_FUNCTION($PARAM) {
  //    var_dump($PARAM);
        $cursor = $this->db->get_cursor();
        $paramts = array(
  
             array('name' => ':I_USER_ID', 'value' => $PARAM['USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
             array('name' => ':O_RESP_USER_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_USER_FUNCTION', $paramts, $results);
       return $results;
    }


    //GET_RESP_USER_ALL_ROLE


       public function GET_RESP_ALL_functions($PARAM) {
   //        var_dump($PARAM);
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['USER_ID_NO'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_RESP_USER_ROLE', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR) 
        );
        $this->db->stored_procedure('USERS_PKG', 'GET_RESP_ALL_FUNCTIONS', $paramts, $results);
        return $results;
    }


     public function ADD_RESP_USER_FUNCTION ($PARAM) {
       $ERROR_CODE = 0;
        $ERROR_MESSAGE = "";
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUNCTION_ID', 'value' => $PARAM['I_FUNCTION_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_CODE', 'value' =>&$ERROR_CODE, 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_MESSAGE', 'value' =>&$ERROR_MESSAGE , 'length' => 200, 'type' => OCI_ASSOC)  
  
        );
        $this->db->stored_procedure('USERS_PKG', 'ADD_RESP_USER_FUNCTION', $paramts, $results);
        return array( 'P_ERROR_CODE' => $ERROR_CODE, 'P_ERROR_MESSAGE' => $ERROR_MESSAGE);
    }  


   public function DELETE_RESP_USER_FUNCTION ($PARAM) {
       $ERROR_CODE = 0;
        $ERROR_MESSAGE = "";
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_USER_ID', 'value' => $PARAM['I_USER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_FUNCTION_ID', 'value' => $PARAM['I_FUNCTION_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_CODE', 'value' =>&$ERROR_CODE, 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':P_ERROR_MESSAGE', 'value' =>&$ERROR_MESSAGE , 'length' => 200, 'type' => OCI_ASSOC)  
  
        );
        $this->db->stored_procedure('USERS_PKG', 'DELETE_RESP_USER_FUNCTION', $paramts, $results);
        return array( 'P_ERROR_CODE' => $ERROR_CODE, 'P_ERROR_MESSAGE' => $ERROR_MESSAGE);
    }  


}
 