<?php

if (!defined('BASEPATH'))
{ exit('No direct script access allowed');}

class store extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
    }

   

    public function ADD_NEW_STORE($data)
    {
        $STORE_SR = -1;
        $msg = '';
        $success= -1;
        $paramts = array(
        array('name' => ':P_WAREHOUSE_NAME', 'value' => $data['STORE_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
        array('name' => ':P_WAREHOUSE_EXTERNAL', 'value' => $data['STORE_TYPE'], 'length' => 10, 'type' => OCI_ASSOC),
        array('name' => ':P_WAREHOUSE_ID', 'value' => &$STORE_SR, 'length' => 300, 'type' => OCI_ASSOC),
        array('name' => ':P_SUCCESS', 'value' => &$success,'length' => 300, 'type' => OCI_ASSOC),
        array('name' => ':P_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('WAREHOUSES_PKG ', 'ADD_WAREHOUSE', $paramts, $results);
        return array('P_WAREHOUSE_ID' => $STORE_SR, 'SUCCESS' => $success,'MSG' => $msg);
        alert($msg);
    }

 
  public function GET_ALL_WAREHOUSE()
    {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('WAREHOUSES_PKG', 'GET_ALL_WAREHOUSE', $paramts, $results);
        return $results;
    } 

    public function GET_STORE_INFO($data)
    {
        
        
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':P_WAREHOUSE_ID', 'value' => $data['STORE_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('WAREHOUSES_PKG', 'GET_WAREHOUSE', $paramts, $results);
      //  var_dump($results);
        return $results;
    }

   
    public function GET_STORE_TYPE_LIST($data)
    {
        
        
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':P_WAREHOUSE_TYPE', 'value' => $data['STORE_TYPE'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_DATA', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('WAREHOUSES_PKG', 'GET_WAREHOUSE_TYPE_LIST', $paramts, $results);
      //  var_dump($results);
        return $results;
    }

   

    public function updateWarehouseData($data)
    {
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':P_WAREHOUSE_ID', 'value' => $data['STR_ID'], 'length' => 10, 'type' => OCI_ASSOC),
//            array('name' => ':P_WAREHOUSE_NAME', 'value' => $data['RES_STORE_NAME'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':P_WAREHOUSE_EXTERNAL', 'value' => $data['RES_STORE_TYPE'], 'length' => 10, 'type' => OCI_ASSOC),                   
         //   array('name' => ':P_USER', 'value' => $data['USER'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':P_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':P_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('WAREHOUSES_PKG', 'UPDATE_WAREHOUSE', $paramts, $results);
        return array('SUCCESS' => $success, 'MSG' => $msg);
    }

    

 public function DELETE_STORE($STR_ID)
    {
        $success = -1;
        $msg = '';
        $paramts = array(
            array('name' => ':P_WAREHOUSE_ID', 'value' => $STR_ID, 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':P_SUCCESS', 'value' => &$success, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':P_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC)
     );
        $this->db->stored_procedure('WAREHOUSES_PKG', 'DELETE_WAREHOUSE', $paramts, $results);
        return array('SUCCESS' => $success);
    }
  
}