<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class testers_model extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
    }

    public function addTester($data)
    {
     $msg = '';
        $paramts = array(
            array('name' => ':I_TESTER_ID', 'value' => $data['TESTER_ID'], 'length' => 10, 'type' => OCI_ASSOC),
            array('name' => ':I_TESTER_NAME', 'value' => $data['TESTER_NAME'], 'length' => 100, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 500, 'type' => OCI_ASSOC)

        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'ADD_NEW_TESTER', $paramts,$results);
        return array("msg" => $msg);

    }

    public function getTesters($data) {

        $cursor = $this->db->get_cursor();

        $paramts = array(
            array('name' => ':I_TERM', 'value' => $data['TESTER_TERM'], 'length' => 10, 'type' => OCI_ASSOC),
           // array('name' => ':I_TESTER_NAME', 'value' => $data['TESTER_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_DATA', 'value' => $cursor, 'length' => 300, 'type' => OCI_B_CURSOR)

        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TESTERS_BY_TERM', $paramts, $results);
             return (count($results) > 0)? $results : null;

    }



    public function getTester($data) {
        $cursor = $this->db->get_cursor();
        $paramts = array(
            array('name' => ':I_TESTER_ID', 'value' => $data['TESTER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_TESTER', 'value' => $cursor, 'length' => -1, 'type' => OCI_B_CURSOR)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'GET_TESTER', $paramts, $results);
        return (count($results) > 0)? $results[0] : null;
    }


    public function updateTester($data) {
        $testerID = -1;
        $msg = '';

              $paramts = array(
            array('name' => ':I_TESTER_ID', 'value' => $data['TESTER_ID'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':I_TESTER_NAME', 'value' => $data['TESTER_NAME'], 'length' => -1, 'type' => OCI_ASSOC),
            array('name' => ':O_MSG', 'value' => &$msg, 'length' => 300, 'type' => OCI_ASSOC),
            array('name' => ':O_TESTER_ID', 'value' => &$testerID, 'length' => 300, 'type' => OCI_ASSOC)
        );
        $this->db->stored_procedure('CONSIGNMENTS_PKG', 'UPDATE_TESTER', $paramts,$results);
      return array('testerID' => $testerID, 'msg' => $msg);
    }


}
?>


