<script src="js/cashReceipt_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title"> سندات القبض
            <small>شيك</small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>سند قبض شيك</div>
                        <div class="tools">
                            <a href="javascript:;" class="collapse"> </a>
                            <a href="#portlet-config" data-toggle="modal" class="config"> </a>
                            <a href="javascript:;" class="reload"> </a>
                            <a href="javascript:;" class="remove"> </a>
                        </div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form id="receipt_form" action="#" class="form-horizontal">
                            <div class="form-body">
                                <h3 class="form-section">بيانات سند القبض</h3>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">رقم سند القبض</label>
                                            <div class="col-md-9">
                                                <input id="SERIAL" name="SERIAL" type="text" class="form-control" placeholder="" readonly tabindex="-1" >
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">التاريخ</label>
                                            <div class="col-md-9">
                                                <input id="RECEIPT_DT" name="RECEIPT_DT" type="text"  class="form-control date-picker" data-date-format="dd/mm/yyyy"
                                                value=''
                                                placeholder="dd/mm/yyyy" tabindex="0"> </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-2">رقم المستفيد</label>
                                                <div class="col-md-3">
                                                    <input  id="ACCOUNT_TERM" name="ACCOUNT_TERM" type="text" class="form-control"
                                                    value=''
                                                    placeholder="" tabindex="1">
                                                    <input  id="ACCOUNT" name="ACCOUNT" type="hidden" class="form-control"
                                                    value=''
                                                    placeholder="" tabindex="-1">
                                                </div>
                                                <div class="col-md-7">
                                                    <input  id="ACCOUNT_NAME" name="ACCOUNT_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                </div>
                                            </div>
                                        </div>
                                    
                                </div>
                                <!--/row-->

                                


                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="control-label col-md-1">ملاحظات</label>
                                            <div class="col-md-11">
                                                <input id="NOTES" name="NOTES" type="text" class="form-control" placeholder="" tabindex="2">
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>


                                    <!--/span-->

                                    <!--/span-->
                                </div>
                                <!--/row-->

                                
                            </div>
                        </form>

                        <form id="det_form"  action="#" class="form-horizontal">
                        <div id="det_div"  action="#" class="form-horizontal">
                            <div class="row">
                                    <div class="col-md-12">
                                        <!-- BEGIN EXAMPLE TABLE PORTLET-->
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">الشيكات</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <table class="table table-striped table-hover table-bordered" id="cashRecieptChecks_tb">
                                                    <thead>
                                                        <tr>
                                                            <th> رقم الشيك </th>
                                                            <th> مسحوب على بنك </th>
                                                            <th> المبلغ </th>
                                                            <th> التاريخ </th>
                                                            <th> فترة الاعتماد </th>
                                                            <th> حذف </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        
                                                        
                                                        <tr>
                                                            <td class="form-group"> <input id="CHECK_ID" name="CHECK_ID" type="text" class="form-control CHECK_ID" value="" tabindex="3" > </td>

                                                            <td class="form-group"> 
                                                                <select id="CHECK_BANK" name="CHECK_BANK[1]" class="form-control CHECK_BANK" tabindex="4">
                                                                    <option value="">-- اختر البنك --</option>
                                                                    <?php foreach($banks as $bank) :?>
                                                                        <option value="<?=$bank['ID']?>"><?=$bank['BANK_NAME']?></option>
                                                                    <?php endforeach?>
                                                                </select>

                                                            </td>
                                                            
                                                            <td class="form-group"> <input id="CHECK_AMOUNT" type="text" class="form-control CHECK_AMOUNT" value="" tabindex="5"> </td>
                                                            
                                                            <td class="form-group">
                                                                <input id="CHECK_DT" class="form-control CHECK_DT form-control-inline input-medium date-picker" data-date-format="dd/mm/yyyy" size="16" type="text" value="" tabindex="6" />
                                                            </td>
                                                                
                                                                <td class="form-group">
                                                                    <input id="DUE_DAYS" type="text" class="form-control DUE_DAYS" value="" tabindex="-1">
                                                                </td>

                                                            
                                                            <td>
                                                                <a class="deleteCheck" href="javascript:;" tabindex="-1"> حذف </a>
                                                            </td>
                                                        </tr>




                                                    </tbody>
                                                    <tfoot>
                                                        <tr>
                                                            <td colspan="2"> اجمالي </td>
                                                            <td> <input id="amountSum" type="text" class="form-control" placeholder="" value="0" readonly> </td>
                                                            <td colspan="3">  </td>

                                                        </tr>
                                                    </tfoot>
                                                </table>
                                                <div class="table-toolbar">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="btn-group">
                                                                <button id="cashRecieptChecks_tb_new" type="button" class="btn green" tabindex="-1"> اضافة شيك
                                                                    <i class="fa fa-plus"></i>
                                                                </button>
                                                            </div>
                                                        </div>
                                                        
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>
                                </div>
                        </form>

                        <form action="#" class="form-horizontal">   
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-offset-3 col-md-9">
                                                <button id="addCheckReceipt_btn" type="button" class="btn green"  tabindex="7">حفظ</button>
                                                <button id="reset_btn" type="reset" class="btn default">الغاء</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6"> </div>
                                </div>
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->