<script src="js/cashReceipt_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">إدارة الشيكات
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12">
                <div id="alert_container"></div>
            </div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>إدارة  الشيكات
                        </div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">

                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span
                                                        class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">الشركة</label>

                                                                <div class="col-md-3">
                                                                    <input  id="ACCOUNT_TERM" name="ACCOUNT_TERM" type="text" class="form-control">
                                                                    <input  id="ACCOUNT" name="ACCOUNT" type="hidden" class="form-control" >
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <input  id="ACCOUNT_NAME" name="ACCOUNT_NAME" type="text" class="form-control" readonly>
                                                                </div>

                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ الاستلام</label>
                                                            <div class="col-md-9">
                                                                <div class="input-group   input-daterange" data-date-format="dd/mm/yyyy">
                                                                    <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="RECEIPT_SDT" id="RECEIPT_SDT" >
                                                                    <span class="input-group-addon"> إلى </span>
                                                                    <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="RECEIPT_EDT" id="RECEIPT_EDT" >
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ الاستحقاق</label>
                                                            <div class="col-md-9">
                                                                <div class="input-group   input-daterange" data-date-format="dd/mm/yyyy">
                                                                    <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="CHECK_SDT" id="CHECK_SDT" >
                                                                    <span class="input-group-addon"> إلى </span>
                                                                    <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="CHECK_EDT" id="CHECK_EDT" >
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-6">
                                                        <label class="control-label col-md-3">رقم الشيك</label>
                                                        <div class="col-md-9">
                                                                <input type="text" class="form-control" name="CHECK_NO" id="CHECK_NO">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label class="control-label col-md-3">البنك</label>
                                                                <div class="col-md-9">
                                                                    <select id="CHECK_BANK" class="form-control select">
                                                                        <option value="">اختر</option>
                                                                        <?php foreach($banks as $bank) :?>
                                                                            <option value="<?=$bank['ID']?>"><?=$bank['BANK_NAME']?></option>
                                                                        <?php endforeach?>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label class="control-label col-md-3">حالة التحصيل </label>
                                                                <div class="col-md-9">
                                                                    <select id="COLLECT_STAT" class="form-control select">
                                                                        <option value="">اختر</option>
                                                                        <option value="0" selected="selected">غير محصل</option>
                                                                        <option value="1">محصل</option>
                                                                        <option value="2">مرجع</option>
                                                                        <option value="3">مسحوب</option>
                                                                        <option value="4">مرجع في البنك</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        </div>
                                                <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label class="control-label col-md-3">تصنيف الحساب</label>
                                                                <div class="col-md-9">
                                                                    <select id="ACCOUNT_CAT" class="form-control select">
                                                                        <option value="2" selected="selected">مصري</option>
                                                                        <option value="1">إسرائيلي</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        </div>
                                                        <div class="row">
                                                    <div class="col-md-offset-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"></label>
                                                            <div class="col-md-9">
                                                                <button id="GET_CHECKSLIST_BTN" type="button" class="btn green" tabindex="7">بحث
                                                                </button>
                                                            </div>

                                                        </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- END EXAMPLE TABLE PORTLET-->
                                        </div>
                                    </div>

                                    <h3 class="form-section">نتائج البحث</h3>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <table class="table table-striped table-bordered table-hover table-checkable" id="CHECKSLIST_TB">
                                                <thead>
                                                <tr role="row" class="heading">
                                                    <th>المستفيد</th>
                                                    <th>الشركة</th>
                                                    <th>تاريخ الاستلام</th>
                                                    <th>تاريخ الاستحقاق</th>
                                                    <th>رقم الشيك</th>
                                                    <th>بنك الشيك</th>
                                                    <th>المبلغ</th>
                                                    <th>بنك الهيئة</th>
                                                    <th>الحالة</th>
                                                    <th>تاريخ التحصيل/الإرجاع </th>
                                                    <th>إجراءات</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td colspan="10">
                                                        لا يوجد بيانات.
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->


        <div class="modal fade" id="CheckCollectedModal" style="margin-top: 120px;">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="caption">
                            <i class="icon-settings font-red"></i>
                            <span class="caption-subject font-red sbold uppercase">تحصيل شيك</span>
                        </div>
                    </div>
                    <div class="modal-body ">
                        <form class="form-horizontal form-bordered" id="">
                            <div class="form-body">
                                <input type="hidden" id="C_CHECK_SR" value="">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تاريخ التحصيل</label>

                                            <div class="col-md-9">
                                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="dd/mm/yyyy" name="COLLECT_DT" id="COLLECT_DT" value="<?php echo(date('d/m/Y')) ; ?>"/>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">البنك</label>
                                            <div class="col-md-9">
                                                <select  id="C_BANK" name="C_BANK" type="text" class="form-control BANK">
                                                    </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-6"></label>
                                            <div class="col-md-6">
                                                <input type="button" id="CONF_CHECK_COLLECTED_BTN" class="btn btn-info" value="تحصيل  " tabindex="6">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                </div>
                            </form>
                    </div>

                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->

        <div class="modal fade" id="CheckReturnModal" style="margin-top: 120px;">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="caption">
                            <i class="icon-settings font-red"></i>
                            <span class="caption-subject font-red sbold uppercase">إرجاع شيك</span>
                        </div>
                    </div>
                    <div class="modal-body ">
                        <form class="form-horizontal form-bordered" id="">
                            <div class="form-body">
                                <input type="hidden" id="R_CHECK_SR" value="">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تاريخ الإرجاع</label>

                                            <div class="col-md-9">
                                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="dd/mm/yyyy" value="<?php echo(date('d/m/Y')) ; ?>" name="RETURN_DT" id="RETURN_DT"/>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-6"></label>
                                            <div class="col-md-6">
                                                <input type="button" id="CONF_CHECK_RETURN_BTN" class="btn btn-info" value="إرجاع" tabindex="6">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </form>

                    </div>

                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->

        <div class="modal fade" id="WithdrawCheckModal" style="margin-top: 120px;">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="caption">
                            <i class="icon-settings font-red"></i>
                            <span class="caption-subject font-red sbold uppercase">سحب شيك</span>
                        </div>
                    </div>
                    <div class="modal-body ">
                        <form class="form-horizontal form-bordered" id="">
                            <div class="form-body">
                                <input type="hidden" id="W_CHECK_SR" value="">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تاريخ السحب</label>

                                            <div class="col-md-9">
                                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="dd/mm/yyyy" value="<?php echo(date('d/m/Y')) ; ?>" name="WITHDRAW_DT" id="WITHDRAW_DT"/>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-6"></label>
                                            <div class="col-md-6">
                                                <input type="button" id="CONF_WITHDRAW_CHECK_BTN" class="btn btn-info" value="سحب" tabindex="6">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </form>

                    </div>

                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->

        <div class="modal fade" id="CheckReturnInBankModal" style="margin-top: 120px;">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="caption">
                            <i class="icon-settings font-red"></i>
                            <span class="caption-subject font-red sbold uppercase">إرجاع في البنك</span>
                        </div>
                    </div>
                    <div class="modal-body ">
                        <form class="form-horizontal form-bordered" id="">
                            <div class="form-body">
                                <input type="hidden" id="B_CHECK_SR" value="">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تاريخ الإرجاع</label>

                                            <div class="col-md-9">
                                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="dd/mm/yyyy" value="<?php echo(date('d/m/Y')) ; ?>" name="B_RETURN_DT" id="B_RETURN_DT"/>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">البنك</label>
                                            <div class="col-md-9">
                                                <select  id="B_BANK" name="B_BANK" type="text" class="form-control BANK">
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-6"></label>
                                            <div class="col-md-6">
                                                <input type="button" id="CONF_RETURN_CHECK_IN_BANK_BTN" class="btn btn-info" value="إرجاع" tabindex="6">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </form>
                    </div>

                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->


    </div>
    <!-- END CONTENT -->



