<script src="js/fees_scripts.js?v=<?php echo(rand(10,99)); ?>" type="text/javascript"></script>
<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">العمولات البنكية</h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->
        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>إدارة العمولات البنكية</div>
                    </div>
                    <div class="portlet-body form">
                        <form id="" action="#" class="form-horizontal">
                            <div class="form-body">
                                <!-- BEGIN FORM-->
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">البنك</label>
                                                            <div class="col-md-9">
                                                                <select name="PAY_BANK" id="PAY_BANK" class="form-control select" tabindex="1">
                                                                    <option value="">الجميع</option>
                                                                    <?php foreach($banks as $bank) :?>
                                                                        <option value="<?=$bank['ACCOUNT_ID']?>"><?php echo($bank['ACCOUNT_NAME'] .' - '.$bank['ACCOUNT_VALUE']); ?></option>
                                                                    <?php endforeach?>
                                                                </select>                                 
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">فترة العمولة</label>
                                                            <div class="col-md-9">
                                                                <div class="input-group" data-date-format="dd/mm/yyyy">
                                                                    <input type="text" class="form-control date-picker" name="COMIS_START_DT" id="COMIS_START_DT" data-date-format="dd/mm/yyyy" tabindex="2" fdprocessedid="i7039">
                                                                    <span class="input-group-addon"> إلى </span>
                                                                    <input type="text" class="form-control date-picker" name="COMIS_END_DT" id="COMIS_END_DT" data-date-format="dd/mm/yyyy" tabindex="3" fdprocessedid="7q4og">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">حالة العمولة</label>
                                                            <div class="col-md-9">
                                                                <select class="form-control" name="STATUS" id="STATUS" tabindex="4">
                                                                    <option value="">اختر</option>
                                                                    <option value="0">قيد الإعداد</option>
                                                                    <option value="1">معتمد</option>
                                                                    <option value="2">ملغي</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-offset-5 col-md-7">
                                                        <button id="queryBankCommissions_but" type="button" class="btn green" tabindex="5">استعلام</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="bankCommisionsList_tb">
                                            <thead>
                                            <tr role="row" class="heading">
                                                <th>معرف العمولة</th>
                                                <th>البنك</th>
                                                <th>مبلغ العمولة</th>
                                                <th>العملة</th>
                                                <th>تاريخ العمولة</th>
                                                <th>البيان</th>
                                                <th>إجراءات</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                <td  colspan="7">
                                                    عذرا لا يوجد بيانات
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="allowedToApprove" id="allowedToApprove" value="<?php echo($allowedToApprove) ; ?>" />
                            <input type="hidden" name="allowedToCancel" id="allowedToCancel" value="<?php echo($allowedToCancel) ; ?>" />
                            <input type="hidden" name="allowedToReturn" id="allowedToReturn" value="<?php echo($allowedToReturn) ; ?>" />
                        </form>
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
</div>