<script src="js/fees_scripts.js" type="text/javascript"></script>
<!-- BEGIN CONTENT -->

<!-- BEGIN CONTENT -->

<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">رسوم  تشغيلية</h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->
        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>إدارة الرسوم التشغيلية</div>
                    </div>
                    <div class="portlet-body form">
                        <form id="" action="#" class="form-horizontal">
                            <div class="form-body">
                                <!-- BEGIN FORM-->
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">نوع المشغل</label>
                                                            <div class="col-md-9">
                                                                <select id="CLIENT_TYPE" class="form-control select" tabindex="0" name="CLIENT_TYPE">
                                                                    <option value="">اختر</option>
                                                                    <option value="0">شركة</option>
                                                                    <option value="1">موزع</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group" id="COM_INFO_DIV">
                                                            <label class="control-label col-md-3"> الشركة</label>
                                                            <div class="col-md-3">
                                                                <input  id="COMPANY_TERM" type="text" class="form-control" value='' placeholder="" tabindex="1">
                                                                <input  id="COMPANY_ID" type="hidden">
                                                            </div>

                                                            <div class="col-md-6">
                                                                <input  id="COMPANY_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                            </div>                                                
                                                        </div>
                                                        <div class="form-group" id="DISTR_INFO_DIV" style="display: none;">
                                                            <label class="control-label col-md-3"> الموزع</label>
                                                            <div class="col-md-3">
                                                                <input  id="DISTRIBUTOR_TERM" type="text" class="form-control" value='' placeholder="" tabindex="1">
                                                                <input  id="DISTRIBUTOR_ID" type="hidden">
                                                            </div>

                                                            <div class="col-md-6">
                                                                <input  id="DISTRIBUTOR_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                            </div>                                                
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">نوع الرسم</label>
                                                            <div class="col-md-9">
                                                                <select id="FEE_TYPE" class="form-control select" tabindex="2" name="FEE_TYPE">
                                                                    <option value="">اختر</option>
                                                                    <option value="1">ترخيص</option>
                                                                    <option value="2">غرامة</option>
                                                                    <option value="3">أخرى</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ بداية الاستحقاق</label>
                                                            <div class="col-md-9">
                                                                <input  id="MERIT_START" name="MERIT_START" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" value='' placeholder="dd/mm/yyyy" tabindex="3"> </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">تاريخ نهاية الاستحقاق</label>
                                                            <div class="col-md-9">
                                                                <input  id="MERIT_END" name="MERIT_END" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" value='' placeholder="dd/mm/yyyy" tabindex="3"> </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">حالة الرسم</label>
                                                            <div class="col-md-9">
                                                                <select class="form-control" name="STATUS" id="STATUS" tabindex="6">
                                                                    <option value="">اختر</option>
                                                                    <option value="0">قيد الإعداد</option>
                                                                    <option value="1">معتمد</option>
                                                                    <option value="2">ملغي</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="row">
                                                    <div class="col-md-offset-5 col-md-7">
                                                        <button id="queryPayableFees" type="button" class="btn green" tabindex="7">استعلام
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                

                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="payableFees_tb">
                                            <thead>
                                            <tr role="row" class="heading">
                                                <th>نوع المشغل</th>
                                                <th>المشغل</th>
                                                <th>نوع الرسم</th>
                                                <th>المبلغ</th>
                                                <th>تاريخ الاستحقاق</th>
                                                <th>البيان</th>
                                                <th>الحالة</th>
                                                <th>إجراءات</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                <td  colspan="8">
                                                    عذرا لا يوجد بيانات
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="allowedToEdit" id="allowedToEdit" value="<?php echo($allowedToEdit) ; ?>" />
                            <input type="hidden" name="allowedToApprove" id="allowedToApprove" value="<?php echo($allowedToApprove) ; ?>" />
                            <input type="hidden" name="allowedToCancel" id="allowedToCancel" value="<?php echo($allowedToCancel) ; ?>" />
                            <input type="hidden" name="allowedToReturn" id="allowedToReturn" value="<?php echo($allowedToReturn) ; ?>" />
                        </form>
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
</div>

<form id="manageFees_frm" action="index.php/fees/payableFees" target="_blank" method="post">
    <input type="hidden" name="p_FEE_SR" id="p_FEE_SR" /> 
</form>