<script src="js/guarantee_scripts.js" type="text/javascript"></script>

    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <div class="page-content">
            <!-- BEGIN PAGE HEADER-->
            <!-- BEGIN PAGE TITLE-->
            <h3 class="page-title">الضمانات البنكية<small>     الضمانات البنكية</small></h3>
            <!-- END PAGE TITLE-->
            <!-- END PAGE HEADER-->
            <div class="row">
                <div class="col-md-12"><div id="alert_container"></div></div>
                <div class="col-md-12">
                    <div class="portlet box green">
                        <div class="portlet-title">
                            <div class="caption"><i class="fa fa-gift"></i>قيد يدوي</div>
                            <div class="tools">
                                <a href="javascript:;" class="collapse"> </a>
                                <a href="#portlet-config" data-toggle="modal" class="config"> </a>
                                <a href="javascript:;" class="reload"> </a>
                                <a href="javascript:;" class="remove"> </a>
                            </div>
                        </div>
                        <div class="portlet-body form">
                            <!-- BEGIN FORM-->
                            <form action="#" class="form-horizontal">
                                <div class="form-body">
                                    <h3 class="form-section">بيانات الضمانة النكية</h3>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">رقم الضمان</label>
                                                <div class="col-md-9">
                                                    <input id="GUARANTEE_SID" type="text" class="form-control" placeholder=""  tabindex="0" value="" readonly>
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">قيمة الضمان</label>
                                                <div class="col-md-9">
                                                    <input id="GUARANTEE_VALUE" type="text" class="form-control" placeholder=""  tabindex="1">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                        
                                    </div>

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">الشركة</label>
                                                <div class="col-md-9">
                                                    <input id="COMPANY_TERM" type="text" class="form-control" placeholder=""  tabindex="2">
                                                    <input id="COMPANY" type="hidden" class="form-control" placeholder=""  tabindex="3">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">الحساب</label>
                                                <div class="col-md-9">
                                                    <input id="ACCOUNT_TERM" type="text" class="form-control" placeholder=""  tabindex="-1">
                                                    <input id="ACCOUNT" type="hidden" class="form-control" placeholder=""  tabindex="3">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">البنك</label>
                                                <div class="col-md-9">
                                                    <select id="BANK" class="form-control" tabindex="3">
                                                        <option value="">-- اختر --</option>
                                                        <?php foreach($banks as $bank) : ?>
                                                            <option value="<?= $bank['ID'];?>"><?= $bank['BANK_NAME'];?></option>
                                                        <?php endforeach?>
                                                    </select>
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">رقم الحساب البنكي</label>
                                                <div class="col-md-9">
                                                    <input id="BANK_ACCOUNT" type="text" class="form-control" placeholder=""  tabindex="4">
                                                    <span class="help-block"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">تاريخ البداية</label>
                                                <div class="col-md-9">
                                                    <input  id="START_DATE" type="text" class="form-control"
                                                    value='<?php echo mdate("%d/%m/%Y", now()); ?>'
                                                    placeholder="dd/mm/yyyy" tabindex="5"> </div>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">تاريخ النهاية</label>
                                                <div class="col-md-9">
                                                    <input  id="END_DATE" type="text" class="form-control"
                                                    value='<?php echo mdate("%d/%m/%Y", now()); ?>'
                                                    placeholder="dd/mm/yyyy" tabindex="6"> </div>
                                            </div>
                                        </div>
                                    </div>



                                </div>
                                <div class="form-actions">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-offset-3 col-md-9">
                                                    <button id="addGuarantee_btn" type="button" class="btn green" tabindex="7">حفظ</button>
                                                    <button type="button" class="btn default">الغاء</button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6"> </div>
                                    </div>
                                </div>
                            </form>
                            <!-- END FORM-->
                        </div>
                    </div>
                </div>
            </div>
        <!-- END CONTENT BODY -->
        </div>
    <!-- END CONTENT -->