<script src="js/orders_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">طلبية جديدة 
            <small> معبر رفح </small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->
        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title" >
                        <div class="caption"><i class="fa fa-gift"></i>بيانات الطلبية</div>
                    </div>
                    <div class="portlet-body form">
                        <!-- BEGIN FORM-->
                        <form id="rafah_order_form" action="#" class="form-horizontal">
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-2">تاريخ الطلبية</label>
                                            <div class="col-md-10">
                                                <input  id="ORDER_DATE" name="ORDER_DATE" type="text" class="form-control"
                                                        value="<?php echo date("d/m/Y", time() + 86400); ?>"
                                                        placeholder="dd/mm/yyyy" tabindex="0"> </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تدفع لبنك الهيئة</label>
                                            <div class="col-md-3">
                                                <input  id="TARGET_ACNT_TERM" type="text" class="form-control"
                                                        value=''
                                                        placeholder="" tabindex="1">
                                                <input  id="TARGET_ACNT" name="TARGET_ACNT" type="hidden" class="form-control"
                                                        value=''
                                                        placeholder="" tabindex="1">
                                            </div>

                                            <div class="col-md-6">
                                                <input  id="TARGET_ACNT_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="control-label col-md-1">ملاحظات</label>
                                            <div class="col-md-11">
                                                <input id="NOTES" name="NOTES" type="text" class="form-control" placeholder="" tabindex="2">
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                        
                            <div id="det_div"  action="#" class="form-horizontal">
                                <div class="row">
                                    <div class="col-md-12">
                                        <!-- BEGIN EXAMPLE TABLE PORTLET-->
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">أصناف الطلبية</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <table class="table table-striped table-hover table-bordered" id="rafahOrderTypes_tb">
                                                    <thead>
                                                        <tr>
                                                            <th>الصنف</th>
                                                            <th>الكمية</th>
                                                            <th>لحساب</th>
                                                            <th>السعر</th>
                                                            <th>حذف</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td class="form-group">
                                                                <div class="col-md-3">
                                                                    <input  id="FUEL_TYPE" name="FUEL_TYPE" type="text" class="form-control"
                                                                            value=''
                                                                            placeholder="" tabindex="3">
                                                                    <input type="hidden" id="PRODUCT_CATEGORY" value="" />
                                                                </div>
                                                                <div class="col-md-9">
                                                                    <input  id="FUEL_TYPE_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                                </div> 
                                                            </td>

                                                            <td class="form-group"> 
                                                                <div class="col-md-12">
                                                                    <input id="PRODUCT_AMOUNT" name="PRODUCT_AMOUNT" type="text" class="form-control" placeholder=""  tabindex="4" style="direction: rtl;">
                                                                </div>
                                                            </td>

                                                            <td class="form-group">
                                                                <div class="col-md-3">
                                                                    <input  id="COMP_ACCOUNT_TERM" type="text" class="form-control" value='' placeholder="" tabindex="4">
                                                                    <input type="hidden" id="COMP_ACCOUNT" name="COMP_ACCOUNT" value="" />
                                                                </div>

                                                                <div class="col-md-9">
                                                                    <input  id="COMP_ACCOUNT_NAME" type="text" class="form-control" placeholder="" tabindex="-1" readonly>
                                                                </div>
                                                            </td>

                                                            <td class="form-group">
                                                                <div class="col-md-12">
                                                                    <input id="PRODUCT_PRICE" name="PRODUCT_PRICE" type="text" class="form-control" placeholder=""  tabindex="5" style="direction: rtl;">
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <a class="deleteTypeRow" href="javascript:;" tabindex="-1"> حذف </a>
                                                            </td>
                                                        </tr>

                                                    </tbody>
                                                    <tfoot>
                                                        <tr>
                                                            <td colspan="3"> اجمالي </td>
                                                            <td><input id="amountSum" type="text" class="form-control" placeholder="" value="0" readonly></td>
                                                            <td>  </td>

                                                        </tr>
                                                    </tfoot>
                                                </table>
                                                <div class="table-toolbar">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="btn-group">
                                                                <button id="addNewType_row" type="button" class="btn green" tabindex="-1">اضافة صنف
                                                                    <i class="fa fa-plus"></i>
                                                                </button>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>
                            </div>
                        </form>
                        <form action="#" class="form-horizontal">   
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-offset-3 col-md-9">
                                                <button id="addRafahOrder_btn" type="button" class="btn green"  tabindex="6">حفظ</button>
                                                <button id="reset_btn" type="reset" class="btn default">الغاء</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6"> </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <!-- END FORM-->
                </div>
            </div>
        </div>
    </div>
    <!-- END CONTENT BODY -->
</div>
<!-- END CONTENT -->
