<link href="assets/global/plugins/bootstrap-timepicker/css/bootstrap-timepicker.min.css" rel="stylesheet" type="text/css">
<link href="assets/global/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css" rel="stylesheet" type="text/css">
<script src="assets/global/plugins/bootstrap-timepicker/js/bootstrap-timepicker.min.js" type="text/javascript"></script>
<script src="js/rafah_scripts.js?v=<?php echo(rand(10, 99)); ?>" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">بيانات وردية<small> معبر رفح </small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>بيانات الوردية</div>
                    </div>
                    <div class="portlet-body form">
                        <form id="comp_info" action="#" class="form-horizontal">
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">يوم الوردية</label>
                                            <div class="col-md-9">
                                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy"
                                                    value="<?php echo(date('d/m/Y')); ?>" id="SHIFT_DATE" name="SHIFT_DATE"  tabindex="0"> </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">ساعة البداية</label>
                                            <div class="col-md-9">
                                                <div class="input-group">
                                                    <input type="text" class="form-control timepicker timepicker-24" id="START_TIME" name="START_TIME" tabindex="1">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">ساعة النهاية</label>
                                            <div class="col-md-9">
                                            <div class="input-group">
                                                    <input type="text" class="form-control timepicker timepicker-24" id="END_TIME" name="END_TIME" tabindex="2">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label class="control-label col-md-3"> العمل </label>
                                            <div class="col-md-9">
                                                <select id="WORK_DIRECTION" class="form-control" name="WORK_DIRECTION" tabindex="3">
                                                    <option value="1">الوارد</option>
                                                    <option value="2">الصادر</option>
                                                    <option value="3">غاز</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12">
                                        <!-- BEGIN EXAMPLE TABLE PORTLET-->
                                        <div class="portlet light portlet-fit">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">موظفوا الوردية</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <table class="table table-striped table-hover table-bordered" id="workers_tb">
                                                    <thead>
                                                    <tr>
                                                        <th>الموظف</th>
                                                        <th>المسمى الوظيفي</th>
                                                        <th> اجراءات </th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <td class="form-group">
                                                            <div class="col-md-3">
                                                                <input name="EMPLOYEE_TERM" type="text" class="form-control EMPLOYEE_TERM" value='' placeholder="" tabindex="4">
                                                                <input name="EMPLOYEE_ID" class="EMPLOYEE_ID" type="hidden">
                                                            </div>

                                                            <div class="col-md-6">
                                                                <input name="EMPLOYEE_NAME" type="text" class="form-control EMPLOYEE_NAME" placeholder="" tabindex="-1" readonly>
                                                            </div>
                                                        </td>
                                                        <td class="form-group">
                                                            <select name="EMP_JOP" id="EMP_JOP" class="form-control EMP_JOP" tabindex="5">
                                                                <?php 
                                                                foreach($titles as $title){
                                                                    ?><option value="<?php echo($title['SERIAL_NO']); ?>"><?php echo($title['JOB_TITLE']); ?></option><?php
                                                                }
                                                                ?>
                                                            </select>
                                                        </td></td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                                <div class="table-toolbar">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="btn-group">
                                                                <button id="addWorkerRow_but" type="button" class="btn green" tabindex="-1"> اضافة صف
                                                                    <i class="fa fa-plus"></i>
                                                                </button>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>


                            </div>
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-offset-3 col-md-9">
                                                <button id="addShiftInfo_but" type="button" class="btn green" tabindex="6">حفظ</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6"> </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    </div>
                </div>
                <!-- END CONTENT BODY -->
            </div>
            <!-- END CONTENT -->