<link href="assets/global/plugins/bootstrap-timepicker/css/bootstrap-timepicker.min.css" rel="stylesheet" type="text/css">
<link href="assets/global/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css" rel="stylesheet" type="text/css">
<script src="assets/global/plugins/bootstrap-timepicker/js/bootstrap-timepicker.min.js" type="text/javascript"></script>
<script src="js/rafah_scripts.js?v=<?php echo(rand(10, 99)); ?>" type="text/javascript"></script>
<style>
    .bootstrap-timepicker-widget{direction:ltr;}
</style>
<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">قياس الخزانات الأرضية - وارد المحروقات <small> معبر رفح </small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>قياس الخزانات</div>
                    </div>
                    <div class="portlet-body form">
                        <form id="comp_info" action="#" class="form-horizontal">
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">تاريخ القياس</label>
                                            <div class="col-md-9">
                                                <input type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy"
                                                    value="<?php echo(date('d/m/Y')); ?>" id="IN_DATE" name="IN_DATE"  tabindex="0"> </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">نوع الوردية</label>
                                            <div class="col-md-9">
                                                <select name="SHIFT_DIRECTION" id="SHIFT_DIRECTION" class="form-control" tabindex="1">
                                                    <option value="">اختر</option>
                                                    <option value="1">وارد</option>
                                                    <option value="2">صادر</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">توقيت القياس</label>
                                            <div class="col-md-9">
                                                <div class="input-group">
                                                    <select name="AT_WORK" id="AT_WORK" class="form-control" tabindex="2">
                                                        <option value="">اختر</option>
                                                        <option value="1">بداية العمل</option>
                                                        <option value="2">نهاية العمل</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">ساعة القياس</label>
                                            <div class="col-md-9">
                                                <div class="input-group">
                                                    <input type="text" class="form-control timepicker timepicker-24" id="GAUGE_TIME" name="GAUGE_TIME" tabindex="3">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label col-md-3">الوردية العاملة</label>
                                            <div class="col-md-9">
                                                <input  id="SHIFT_INFO" name="SHIFT_INFO" type="text" class="form-control" value="" placeholder="" tabindex="-1" readonly />
                                                <input id="SHIFT_SR" name="SHIFT_SR" type="hidden" />
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12">
                                        <!-- BEGIN EXAMPLE TABLE PORTLET-->
                                        <div class="portlet light portlet-fit">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">الخزانات</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <table class="table table-striped table-hover table-bordered" id="tanksGauges_tb">
                                                    <thead>
                                                    <tr>
                                                        <th>رقم الخزان</th>
                                                        <th>القياس</th>
                                                        <th>الصنف</th>
                                                        <th>ملاحظات</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php 
                                                        $tabIndex = 4; 
                                                        foreach($tanks as $tank){
                                                        ?>
                                                    <tr>
                                                        <td class="form-group" width="10%">
                                                            <input name="TANK_NAME" type="text" class="form-control TANK_NAME" TANK_SERIAL="<?php echo($tank['SERIAL_NO']); ?>" 
                                                                value="<?php echo($tank['TANK_NAME']); ?>" tabindex="-1" readonly />
                                                        </td>
                                                        <td class="form-group" width="10%">
                                                            <input name="TANK_VALUE" type="text" class="form-control TANK_VALUE" value="" tabindex="<?php echo($tabIndex) ;?>" />
                                                        </td>
                                                        <td class="form-group" width="20%">
                                                            <select name="TANK_PRODUCT" class="form-control TANK_PRODUCT" tabindex="-1">
                                                                <option value="6" <?php if($tank['DEFAULT_TYPE'] == 6) echo('selected="selected"'); ?>>سولار</option>
                                                                <option value="8" <?php if($tank['DEFAULT_TYPE'] == 8) echo('selected="selected"'); ?>>بنزين</option>
                                                                <option value="0" <?php if($tank['DEFAULT_TYPE'] == 0) echo('selected="selected"'); ?>>مياه وشوائب</option>
                                                            </select>
                                                        </td>
                                                        <td class="form-group">
                                                            <input name="TANK_NOTES" type="text" class="form-control TANK_NOTES" value="<?php echo($tank['DESCRIPTION']); ?>" tabindex="-1" />
                                                        </td>
                                                    </tr>
                                                    <? 
                                                            $tabIndex= $tabIndex+ 1;
                                                        } ?>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>


                            </div>
                            <div class="form-actions">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-offset-3 col-md-9">
                                            <button id="addTanksGaugesInfo_but" type="button" class="btn btn-lg green" tabindex="<?php echo($tabIndex); ?>">حفظ</button>
                                            <button type="button" class="btn btn-lg" onClick="resetTanksGauges();">إلغاء</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6"> </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    </div>
                </div>
                <!-- END CONTENT BODY -->
            </div>
            <!-- END CONTENT -->