<script src="js/userChain_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title">إدارة حركات   <small>تحويل العملة</small>
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12"><div id="alert_container"></div></div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>حركات تحويل العملة</div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">
                            
                            <div class="form-body">

                                <div class="row">
                                    <div class="col-md-12">
                                        
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>

                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">الحساب المحول</label>
                                                            <div class="col-md-8">
                                                                <input id="FROM_ACCOUNT_TERM" type="text" class="form-control FROM_ACCOUNT_TERM" placeholder=""  tabindex="0" value="" />
                                                                <input type="hidden" id="FROM_ACCOUNT" value="" /> 
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">الحساب المحول له</label>
                                                            <div class="col-md-8">
                                                                <input id="TO_ACCOUNT_TERM" type="text" class="form-control TO_ACCOUNT_TERM" tabindex="1" />
                                                                <input type="hidden" id="TO_ACCOUNT" value="" /> 
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">من عملة</label>
                                                            <div class="col-md-8">
                                                                <select id="FROM_CURRENCY" class="form-control" tabindex="2">
                                                                    <option value="" selected="selected">-- الجميع --</option>
                                                                    <option value="1">شيكل</option>
                                                                    <option value="2">دولار</option>
                                                                </select>
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label class="control-label col-md-4">إلى عملة</label>
                                                                <div class="col-md-8">
                                                                    <select id="TO_CURRENCY" class="form-control" tabindex="3">
                                                                        <option value="" selected="selected">-- الجميع --</option>
                                                                        <option value="1">شيكل</option>
                                                                        <option value="2">دولار</option>
                                                                    </select>
                                                                    <span class="help-block"></span>
                                                                </div>
                                                            </div>
                                                    </div> 
                                                </div> 
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">من تاريخ</label>
                                                            <div class="col-md-8">
                                                                <input id="START_DT" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="" tabindex="4" >
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">الى تاريخ</label>
                                                            <div class="col-md-8">
                                                                <input id="END_DT" type="text" class="form-control date-picker" data-date-format="dd/mm/yyyy" placeholder="" tabindex="5" >
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-4">رقم الحركة</label>
                                                            <div class="col-md-8">
                                                                <input id="TRANS_SERIAL" type="text" class="form-control" placeholder=""  tabindex="6" value="">
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label class="control-label col-md-4">حالة الحركة</label>
                                                                <div class="col-md-8">
                                                                    <select id="STATUS" class="form-control" tabindex="7">
                                                                        <option value="">-- الجميع --</option>
                                                                        <option value="0">تحت الاعداد</option>
                                                                        <option value="1">معتمد</option>
                                                                        <option value="2">ملغي</option>
                                                                    </select>
                                                                    <span class="help-block"></span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div> 
                                                </div> 

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"></label>
                                                            <div class="col-md-9">
                                                                <button id="getCurrencyExchangeTrans_btn" type="button" class="btn green" tabindex="8" >بحث</button>
                                                                <input type="hidden" id="allowedApprove" value="<?php echo($allowedToApprove); ?>" />
                                                                <input type="hidden" id="allowedReturn" value="<?php echo($allowedToReturn); ?>" />
                                                                <input type="hidden" id="allowedCancle" value="<?php echo($allowedToCancle); ?>" />
                                                                <input type="hidden" id="allowedEdit" value="<?php echo($allowedToEdit); ?>" />
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div> 


                                            </div>
                                        </div>
                                        <!-- END EXAMPLE TABLE PORTLET-->
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-striped table-bordered table-hover table-checkable" id="currencyExchangeTransMaster_tb">
                                                    <thead>
                                                        <tr role="row" class="heading">
                                                            <th>معرف الحركة</th>
                                                            <th>الحساب المدين</th>
                                                            <th>الحساب الدائن</th>
                                                            <th>المبلغ المحول</th>
                                                            <th>سعر الصرف</th>
                                                            <th>تاريخ الحركة</th>
                                                            <th>ملاحظات </th>
                                                            <th>حالة الإعتماد</th>
                                                            <th>ادخال</th>
                                                            <th>اعتماد</th>
                                                            <th>الإجراءات</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td colspan="11">
                                                                لا يوجد بيانات.
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                    <tfoot>
                                                        
                                                    </tfoot>
                                                </table>
                                    </div>
                                </div>


                                <!--/row-->


                                <!--/row-->

                                <!--/row-->
                            </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->

<form id="goToEditExchangeTransForm" action="index.php/userChains/exchangeTransaction" method="post" target="_blank">
    <input type="hidden" id="F_TRANS_SERIAL" name="F_TRANS_SERIAL">
</form>