<script src="js/warehouses_scripts.js" type="text/javascript"></script>

<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE TITLE-->
        <h3 class="page-title"> حركات المخازن
        </h3>
        <!-- END PAGE TITLE-->
        <!-- END PAGE HEADER-->

        <div class="row">
            <div class="col-md-12">
                <div id="alert_container"></div>
            </div>
            <div class="col-md-12">
                <div class="portlet box green">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-gift"></i>إدارة حركات المخازن
                        </div>
                    </div>
                    <div class="portlet-body form">

                        <!-- BEGIN FORM-->
                        <form action="#" class="form-horizontal">

                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="portlet light portlet-fit bordered">
                                            <div class="portlet-title">
                                                <div class="caption">
                                                    <i class="icon-settings font-red"></i>
                                                    <span
                                                        class="caption-subject font-red sbold uppercase">استعلام</span>
                                                </div>
                                            </div>
                                            <div class="portlet-body">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">المخزن</label>

                                                            <div class="col-md-9">
                                                                <select id="WAREHOUSE" class="form-control select" tabindex="1">
                                                                    <option value="">اختر</option>
                                                                    <?php foreach ($warehouses as $warehouse) { ?>
                                                                        <option value="<?php echo($warehouse['WAREHOUSE_ID']); ?>"><?php echo($warehouse['WAREHOUSE_NAME']); ?></option>
                                                                    <?php } ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">الصنف</label>
                                                            <div class="col-md-9">
                                                                <select id="FUEL_CAT" class="form-control select" tabindex="2">
                                                                    <option value="">اختر</option>
                                                                    <?php foreach ($product as $product) { ?>
                                                                        <option value="<?php echo($product['WAREHOUSE_CAT']); ?>"><?php echo $product['FUEL_NAME']."(".$product['FUEL_UNIT'].")"; ?></option>
                                                                    <?php } ?>
                                                                </select>
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">نوع الحركة</label>
                                                            <div class="col-md-9">
                                                                <select id="TRANS_TYPE" class="form-control select" tabindex="3">
                                                                    <option value="">اختر</option>
                                                                    <option value="3">عجز</option>
                                                                    <option value="6">فائض</option>
                                                                    <option value="4">مناقلة (واردة)</option>
                                                                    <option value="5">مناقلة (صادرة)</option>
                                                                </select>
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <label class="control-label col-md-3">تاريخ</label>
                                                        <div class="col-md-9">
                                                        <div class="input-group   input-daterange" data-date-format="dd/mm/yyyy">
                                                            <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="START_DT" id="START_DT" tabindex="4">
                                                            <span class="input-group-addon"> إلى </span>
                                                            <input type="text" class="form-control date-picker " data-date-format="dd/mm/yyyy" name="END_DT" id="END_DT" tabindex="5">
                                                        </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">حالة الحركة</label>
                                                            <div class="col-md-9">
                                                                <select id="STATUS" class="form-control select" tabindex="6">
                                                                    <option value="0">قيد التدقيق</option>
                                                                    <option value="1">معتمد</option>
                                                                    <option value="2">ملغي</option>
                                                                </select>
                                                                <span class="help-block"></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3"></label>
                                                            <div class="col-md-9">
                                                                <button id="getwarehousetrans_btn" type="button" class="btn green" tabindex="7">بحث
                                                                </button>
                                                                <input type="hidden" name="allowedToEdit" id="allowedToEdit" value="<?php echo($allowedToEdit); ?>">
                                                                <input type="hidden" name="allowedToApprove" id="allowedToApprove" value="<?php echo($allowedToApprove); ?>">
                                                                <input type="hidden" name="allowedToCancel" id="allowedToCancel" value="<?php echo($allowedToCancel); ?>">
                                                                <input type="hidden" name="allowedToReturn" id="allowedToReturn" value="<?php echo($allowedToReturn); ?>">
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- END EXAMPLE TABLE PORTLET-->
                                        </div>
                                    </div>

                                    <h3 class="form-section">نتائج البحث</h3>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <table class="table table-striped table-bordered table-hover table-checkable" id="warehousetrans_tb">
                                                <thead>
                                                <tr role="row" class="heading">
                                                    <th>رقم الحركة</th>
                                                    <th>المخزن</th>
                                                    <th>نوع الحركة</th>
                                                    <th>الصنف</th>
                                                    <th>وحدة الصنف</th>
                                                    <th>الكمية</th>
                                                    <th>تاريخ الحركة</th>
                                                    <th>الحالة</th>
                                                    <th>ملاحظات</th>
                                                    <th> اجراءات</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td colspan="10">
                                                        لا يوجد بيانات.
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                        </form>
                        <!-- END FORM-->
                    </div>
                </div>

            </div>
        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->

    <form id="updateWarehouseTransForm" action="index.php/warehouses/updateWarehouseTrans" method="post" target="_blank">
    <input type="hidden" id="U_TRANS_SR" name="U_TRANS_SR"/>
</form>
  