$(document).on('keypress', function (event) {
    if (event.keyCode == 13){ 
        var tabindex = $(event.target).attr("tabindex");
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    }
});

$(document).ready(function() {
    $('[tabindex=0]').focus();
});

function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
    window.scrollTo(0,0);
}

function hideMessage(){
    $('#alert_container').html('');
}