////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Add Edit PayDoc///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////




$(document).on('click', "#addTransferReceipt_btn", function (e) {
    if($("#receipt_form").valid() !== true){
        return; 
    }

    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/addTransferReceipt",
        cache: false,
        dataType: "json",
        data: {
            RECEIPT_DT: $("#RECEIPT_DT").val(),
            ACCOUNT: $("#ACCOUNT").val(),
            TARGET_ACNT: $("#TARGET_ACNT").val(),
            TRANS_AMOUNT: $("#TRANS_AMOUNT").val(),
            TRANS_ID: $("#TRANS_ID").val(),
            NOTES: $("#NOTES").val()
        },
        success: function (data) {
            if(data.success > 0){
                $("#SERIAL").val(parseInt(data.serial) + 1);
                $("#ACCOUNT").val('');
                $("#ACCOUNT_TERM").val('');
                $("#ACCOUNT_NAME").val('');
                $("#TARGET_ACNT").val('');
                $("#TARGET_ACNT_TERM").val('');
                $("#TARGET_ACNT_NAME").val('');
                $("#TRANS_AMOUNT").val('');
                $("#TRANS_ID").val('');
                $("#NOTES").val('');
                $("#ACCOUNT_TERM").focus();

                //$("#reset_btn").click();
                //clearFields();

            }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
			alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
    e.preventDefault();
});

$(document).on('click', "#updateReceipt_btn", function (e) {
    var records = [];
    if($("#CASH_RECEIPT_TYPE").val() == 'C'){  
        $("#cashRecieptChecks_tb tbody tr").each(function () {
            //alert($(this).find("#CHECK_BANK").val());
            records.push(JSON.stringify({
                'CHECK_ID': $(this).find("#CHECK_ID").val(),
                'CHECK_BANK': $(this).find("#CHECK_BANK").val(),
                'CHECK_DT': $(this).find("#CHECK_DT").val(),
                'DUE_DAYS': $(this).find("#DUE_DAYS").val(),
                'CHECK_AMOUNT': $(this).find("#CHECK_AMOUNT").val(),
                'OWNER_ACNT': $(this).find("#OWNER_ACNT").val(),
                'TARGET_ACNT': $(this).find("#TARGET_ACNT").val()
            }));
        });

        $.ajax({
            type: 'post',
            url: "index.php/cashReceipts/updateCheckReceipt",
            cache: false,
            dataType: "json",
            data: {
                SERIAL: $("#SERIAL").val(),
                RECEIPT_DT: $("#RECEIPT_DT").val(),
                ACCOUNT: $("#ACCOUNT").val(),
                NOTES: $("#NOTES").val(),
                cashRecieptChecks: JSON.stringify(records)
            },
            success: function (data) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: (data.success > 0)? 'success' : 'warning',  // alert's type
                    message: data.msg,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: false, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'check' // put icon before the message
                });
            },
            error: function (jqXHR, textStatus, errorThrown) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: 'error',  // alert's type
                    message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: true, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'warning' // put icon before the message
                });
            }
        });
    } else if($("#CASH_RECEIPT_TYPE").val() == 'T'){  
        $("#recieptTransfers_tb tbody tr").each(function () {
            records.push(JSON.stringify({
                'TRANS_ID': $(this).find("#TRANS_ID").val(),
                'TRANS_AMOUNT': $(this).find("#TRANS_AMOUNT").val(),
                'TARGET_ACNT': $(this).find("#TARGET_ACNT").val()
            }));
        });

        $.ajax({
            type: 'post',
            url: "index.php/cashReceipts/updateTransferReceipt",
            cache: false,
            dataType: "json",
            data: {
                SERIAL: $("#SERIAL").val(),
                RECEIPT_DT: $("#RECEIPT_DT").val(),
                ACCOUNT: $("#ACCOUNT").val(),
                NOTES: $("#NOTES").val(),
                recieptTransfers: JSON.stringify(records)
            },
            success: function (data) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: (data.success > 0)? 'success' : 'warning',  // alert's type
                    message: data.msg,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: false, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'check' // put icon before the message
                });
            },
            error: function (jqXHR, textStatus, errorThrown) {
                App.alert({
                    container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                    place: 'prepent', // append or prepent in container 
                    type: 'error',  // alert's type
                    message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                    close: true, // make alert closable
                    reset: true, // close all previouse alerts first
                    focus: true, // auto scroll to the alert after shown
                    closeInSeconds: 10, // auto close after defined seconds
                    icon: 'warning' // put icon before the message
                });
            }
        });
    }

    e.preventDefault();
});


$(document).on('click', "#addCheckReceipt_btn", function (e) {
    FormValidation.init();
    if($("#receipt_form").valid() !== true){
        return; 
    }



    var isValid = 1;
    var records = [];

    $("#cashRecieptChecks_tb tbody tr").each(function () {


        if($(this).find("#CHECK_ID").val() == ''){
            $(this).find("#CHECK_ID").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_ID").closest('.form-group').removeClass('has-error');
        }
        if($(this).find("#CHECK_BANK").val() == ''){
            $(this).find("#CHECK_BANK").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_BANK").closest('.form-group').removeClass('has-error');
        }
        if($(this).find("#CHECK_AMOUNT").val() == ''){
            $(this).find("#CHECK_AMOUNT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_AMOUNT").closest('.form-group').removeClass('has-error');
        }
        if($(this).find("#CHECK_DT").val() ==''){
            $(this).find("#CHECK_DT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }else{
            $(this).find("#CHECK_DT").closest('.form-group').removeClass('has-error');
        }

        records.push(JSON.stringify({
            'CHECK_ID': $(this).find("#CHECK_ID").val(),
            'CHECK_BANK': $(this).find("#CHECK_BANK").val(),
            'CHECK_DT': $(this).find("#CHECK_DT").val(),
            'DUE_DAYS': $(this).find("#DUE_DAYS").val(),
            'CHECK_AMOUNT': $(this).find("#CHECK_AMOUNT").val(),
            'OWNER_ACNT': $(this).find("#OWNER_ACNT").val(),
            'TARGET_ACNT': $(this).find("#TARGET_ACNT").val()
        }));
    });

    if(!isValid) return;

    //alert(JSON.stringify(records));
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/addCheckReceipt",
        cache: false,
        dataType: "json",
        data: {
            RECEIPT_DT: $("#RECEIPT_DT").val(),
            ACCOUNT: $("#ACCOUNT").val(),
            NOTES: $("#NOTES").val(),
            cashRecieptChecks: JSON.stringify(records)
        },
        success: function (data) {
            if(data.success > 0){
                //$("#SERIAL").val(data.success);
                //$("#reset_btn").click();
                $("#ACCOUNT").val(''),
                $("#ACCOUNT_TERM").val(''),
                $("#ACCOUNT_NAME").val(''),
                $("#NOTES").val(''),                
                $(".CHECK_ID").val('');
                $(".CHECK_BANK").val('');
                $(".CHECK_AMOUNT").val('');
                $(".CHECK_DT").val('');
                $(".DUE_DAYS").val('');
                $("#amountSum").val('');
                $("#ACCOUNT").focus();

            }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            App.alert({
                container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
                place: 'prepent', // append or prepent in container 
                type: 'error',  // alert's type
                message: 'Ajax Connection Error. خطأ في الاتصال.' + errorThrown,  // alert's message
                close: true, // make alert closable
                reset: true, // close all previouse alerts first
                focus: true, // auto scroll to the alert after shown
                closeInSeconds: 10, // auto close after defined seconds
                icon: 'warning' // put icon before the message
            });
        }
    });
    e.preventDefault();
});

$(document).on('click', "#cashRecieptChecks_tb_new", function (e) {
    FormValidation.init();
    e.preventDefault();
    
    var tabindex = ($("#addCheckReceipt_btn").attr('tabindex'))? $("#addCheckReceipt_btn").attr('tabindex') : $("#updateReceipt_btn").attr('tabindex');
    $("#cashRecieptChecks_tb tbody").append(
        '<tr>' +
            '<td class="form-group"><input id="CHECK_ID" name="CHECK_ID" type="text" class="form-control CHECK_ID" value="" tabindex="' +  parseInt(tabindex) + '"></td>' + 
            '<td class="form-group"><select id="CHECK_BANK" name="CHECK_BANK[' + tabindex + ']" class="form-control CHECK_BANK" tabindex="' +  parseInt(parseInt(tabindex) + 1) + '"><option value="">-- اختر البنك --</option></select></td>' +
            '<td class="form-group"> <input id="CHECK_AMOUNT" type="text" class="form-control CHECK_AMOUNT" value=""  tabindex="' +  parseInt(parseInt(tabindex) + 2) + '"> </td>' +
            '<td class="form-group"><input id="CHECK_DT" class="form-control CHECK_DT form-control-inline input-medium date-picker" data-date-format="dd/mm/yyyy" size="16" type="text" value="" tabindex="' +  parseInt(parseInt(tabindex) + 3) + '" /></td>' +
            '<td class="form-group"><input id="DUE_DAYS" type="text" class="form-control DUE_DAYS" value=""></td>' +
            '<td><a class="deleteCheck" href="javascript:;"> حذف </a></td>' +
        '</tr>'
    ); 
    ($("#addCheckReceipt_btn").attr('tabindex'))? $("#addCheckReceipt_btn").attr('tabindex', parseInt(tabindex) + 4) : $("#updateReceipt_btn").attr('tabindex', parseInt(tabindex) + 4);
    $(".date-picker").datepicker({
                rtl: App.isRTL(),
                orientation: "left",
                autoclose: true
    });
    $.ajax({
        type: 'post',
        url: "index.php/common/getBanks",
        cache: false,
        dataType: "json",
        data: {},
        success: function (data) {
            $.each(data, function( index, item) {
                $("#cashRecieptChecks_tb tbody tr:last #CHECK_BANK").append('<option value="' + item.ID + '">' + item.BANK_NAME + '</option>');
            });
            
        },
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });



});

$(document).on('click', "#getReceipts_btn", function (e) {
    $('#recieptsMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax": 
        {
            "url": "index.php/cashReceipts/getReceipts", 
            "type": "POST",
            "data": {
                RCPT_SR: $('#RCPT_SR').val(),
                RCPT_TYPE: $('#RCPT_TYPE').val(),
                DOC_ID: $('#DOC_ID').val(),
                RCPT_STATUS: $('#RCPT_STATUS').val(),
                START_DT: $('#START_DT').val(),
                END_DT: $('#END_DT').val(),
                COM_ACCOUNT: $('#ACCOUNT').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumns": 
        [   
            { "mData": 'CASH_RECEIPT_SERIAL' , width: "5%"},
            { "mData": "CASH_RECEIPT_TYPE_NAME" , width: "5%"},
            { "mData": "CHECKS_COUNT" , width: "5%"},
            { "mData": "RECEIPT_DT" , width: "10%"},
            { "mData": "COMPANY_ACCOUNT_NAME" , width: "15%"},
            { "mData": "RECEIPT_VALUE" , width: "10%"},
            { "mData": "DOCUMENT_ID" , width: "5%"},
            { "mData": "BANK_NAME" , width: "10%"},
            { "mData": "STATUS_NAME" , width: "5%"},
            { "mData": "CASH_RECEIPT_NOTES" , width: "15%"},
            { "mData": null , width: "10%", "render": function ( data, type, full ) 
                {
                    var res = "";
                    if(data.CASH_RECEIPT_TYPE == 'C'){
                        res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn green receiptChecks">تفاصيل الشيكات</a>';
                    }
                    if(data.RECIEPT_STATUS == 0){
                        res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn blue goToManageReceipts">ذهاب إلى</a>';
                        if($('#allowedToApprove').val()) res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn green approveReceipt">اعتماد</a>';
                        if($('#allowedToCancel').val()) res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn red cancelReceipt">الغاء</a>';
                    } else if(data.RECIEPT_STATUS == 1){
                        res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn blue goToManageReceipts">ذهاب إلى</a>';
                        if($('#allowedToReturn').val()) res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn yellow returnReceipt">ارجاع</a>';
                        if($('#allowedToPrint').val()) res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn purple printCashReciept">طباعة</a>';
                    } 
                    else if(data.RECIEPT_STATUS == 2){
                        res += '<a href="" RCPT_SR = "'+ data.CASH_RECEIPT_SERIAL +'" class="btn blue goToManageReceipts">ذهاب إلى</a>';
                    }
               return res;
                }
            }
        ], 
        "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
 
            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
 
            // Total over all pages
            amount_total = api
                .column( 5 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
                
            // Total over this page
            amount_pageTotal = api
                .column( 5, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
               
            // Update footer
            $( api.column( 5 ).footer() ).html(
                Math.round((amount_pageTotal + Number.EPSILON) * 100) / 100 + '<br /> من  <br />('+ Math.round((amount_total + Number.EPSILON) * 100) / 100 +')'
            );
        }
        
    });
    e.preventDefault();
});

$(document).on('click', '.receiptChecks', function(e){
    var rSerial = $(this).attr('RCPT_SR');
    $('#recieptChecksList_tb').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax": 
        {
            "url": "index.php/cashReceipts/getPaidChecks", 
            "type": "POST",
            "data": {
                RECP_SERIAL: rSerial
            }  
        },
        "order": [1, "asc"],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumns": 
        [   
            {"mData": 'PAYMENT_DATE' , width: "10%"},
            { "mData": 'MATURITY_DATE' , width: "10%"},
            { "mData": "DOC_ID" , width: "10%"},
            { "mData": "BANK_NAME" , width: "25%"},
            { "mData": "AMOUNT" , width: "10%"},
            { "mData": "STATUS_TITLE" , width: "10%"},
            { "mData": "COLLECT_DT" , width: "10%"},
        ], 
        "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
 
            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
 
            // Total over all pages
            amount_total = api
                .column( 4 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
                
            // Total over this page
            amount_pageTotal = api
                .column( 4, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
               
            // Update footer
            $( api.column( 4 ).footer() ).html(
                Math.round((amount_pageTotal + Number.EPSILON) * 100) / 100 + '<br /> من  <br />('+ Math.round((amount_total + Number.EPSILON) * 100) / 100 +')'
            );
        }
    });
    $('#receiptChecksListModal').modal('show'); 
    e.preventDefault();
});

$(document).on('click', '#printReceiptsList_btn', function(e){
    $('#cashReceiptsList_frm').attr('action', 'index.php/reports/printCashRecieptsList'); 
    $('#cashReceiptsList_frm').submit();
    e.preventDefault();
}); 

$(document).on('click', "#getReceipt_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/getReceipt",
        cache: false,
        dataType: "json",
        data: {
            RCPT_SR: $("#RCPT_SR").val()
        },
        success: function (data) {
            if(receiptMaster = data.receiptMaster){
                hideMessage();   
                $("#SERIAL").val(receiptMaster.CASH_RECEIPT_SERIAL);
                $("#RECEIPT_DT").val(receiptMaster.RECEIPT_DT);
                $("#CASH_RECEIPT_TYPE").val(receiptMaster.CASH_RECEIPT_TYPE);
                $("#ACCOUNT").val(receiptMaster.COMPANY_ACCOUNT_ID);
                $("#ACCOUNT_NAME").val(receiptMaster.COMPANY_ACCOUNT_NAME);
                $("#ACCOUNT_TERM").val(receiptMaster.COMPANY_ACCOUNT_VALUE);
                $("#NOTES").val(receiptMaster.CASH_RECEIPT_NOTES);
                $("#receiptDetails").html("");
                //alert(data.receiptDetails) ; 
                if(receiptMaster.CASH_RECEIPT_TYPE == 'C'){
                    $("#receiptDetails").append(
                        '<table class="table table-striped table-hover table-bordered" id="cashRecieptChecks_tb">' +
                            '<thead>' +
                                '<tr>' +
                                    '<th> رقم الشيك </th>' +
                                    '<th> مسحوب على بنك </th>' +
                                    '<th> المبلغ </th>' +
                                    '<th> التاريخ </th>' +
                                    '<th> فترة الاعتماد </th>' +
                                    '<th> حذف </th>' +
                                '</tr>' +
                            '</thead>' +
                            '<tbody>' +
                            '</tbody>' +
                            '<tfoot>' +
                                '<tr>' +
                                    '<td colspan="2"> اجمالي </td>' +
                                    '<td> <input id="amountSum" type="text" class="form-control" placeholder="" value="" readonly> </td>' +
                                    '<td colspan="3">  </td>' +
                                '</tr>' +
                            ' </tfoot>' +
                        '</table>' + 
                    '<div class="table-toolbar">' +
                        '<div class="row">' +
                            '<div class="col-md-6">' +
                                '<div class="btn-group">' +
                                    '<button id="cashRecieptChecks_tb_new" type="button" class="btn green" tabindex="-1"> اضافة صف' +
                                        '<i class="fa fa-plus"></i>' +
                                    '</button>' +
                                '</div>' +
                            '</div>' +
                            
                        '</div>' +
                    '</div>'
                    );
                    var tabindex = $("#updateReceipt_btn").attr('tabindex');
                    var amountSum = 0;
                    $.each(data.receiptDetails, function( index, item) {
                        amountSum+= parseFloat(item.CHECK_VALUE);
                        $("#cashRecieptChecks_tb tbody").append(
                            '<tr>' +
                                '<td><input id="CHECK_ID" type="text" class="form-control" value="' + item.CHECK_ID + '" tabindex="' + tabindex + '"></td>' + 
                                '<td><select id="CHECK_BANK" class="form-control oldRecords"  tabindex="' + ++tabindex + '">' + '<option selected value="' + item.CHECK_BANK + '">' + item.CHECK_BANCK_NAME + '</option></select>' +
                                '<td> <input id="CHECK_AMOUNT" type="text" class="form-control" value="' + item.CHECK_VALUE + '" tabindex="' + ++tabindex + '"> </td>' +
                                '<td><input id="CHECK_DT" class="form-control form-control-inline input-medium date-picker" data-date-format="dd/mm/yyyy" size="16" type="text" value="' + item.CHECK_DATE + '" tabindex="' + ++tabindex + '" /></td>' +
                                '<td><input id="DUE_DAYS" type="text" class="form-control" value="' + item.DUE_PERIODE + '" ></td>' +
                                '<td><a class="deleteCheck" href="javascript:;"> حذف </a></td>' +
                            '</tr>'
                        ); 
                        $("#updateReceipt_btn").attr('tabindex', ++tabindex)

                        
                        $(".date-picker").datepicker({
                            rtl: App.isRTL(),
                            orientation: "left",
                            autoclose: true
                        });
                                            

                    });
                    $.ajax({
                        type: 'post',
                        url: "index.php/common/getBanks",
                        cache: false,
                        dataType: "json",
                        data: {},
                        success: function (data) {
                            $.each(data, function( index, item) {
                                $('.oldRecords').append('<option value="' + item.ID + '">' + item.BANK_NAME + '</option>');
                            });
                        },
                        error: function (jqXHR, textStatus, errorThrown) {
                        }
                    });
                    
                    $('#amountSum').val(amountSum);

                    
                } else if(receiptMaster.CASH_RECEIPT_TYPE == 'T'){
                    $("#receiptDetails").append(
                        '<table class="table table-striped table-hover table-bordered" id="recieptTransfers_tb">' +
                            '<thead>' +
                                '<tr>' +
                                    '<th> رقم الحوالة </th>' +
                                    '<th> قيمة الحوالة </th>' +
                                    '<th> الى بنك الهيئة </th>' +
                                '</tr>' +
                            '</thead>' +
                            '<tbody>' +
                            '</tbody>' +
                            '<tfoot>' +
                                '<tr>' +
                                    '<td> اجمالي </td>' +
                                    '<td> <input id="amountSum" type="text" class="form-control" placeholder="" value="" readonly> </td>' +
                                    '<td colspan="1">  </td>' +
                                '</tr>' +
                            ' </tfoot>' +
                        '</table>'
                    );
                    var amountSum = 0;
                    $.each(data.receiptDetails, function( index, item) {
                        amountSum+= parseFloat(item.TRANS_VALUE);
                        $("#recieptTransfers_tb tbody").append(
                            '<tr>' +
                                '<td><input id="TRANS_ID" type="text" class="form-control" value="' + item.TRANS_ID + '"></td>' + 
                                '<td> <input id="TRANS_AMOUNT" type="text" class="form-control" value="' + item.TRANS_VALUE + '"> </td>' +
                                '<td>' +
                                    '<input  id="AGENCY_ACCOUNT_TERM" type="text" class="form-control" value="' + item.TARGET_ACNT_TERM + '" tabindex="">' +
                                    '<input  id="TARGET_ACNT" name="TARGET_ACNT" type="hidden" value="' + item.TARGET_ACNT + '">' +
                                '</td>' +
                            '</tr>'
                        ); 
                        //$('#TARGET_ACNT').val(item.TARGET_ACNT);
                            

                    });
                    
                    $('#amountSum').val(amountSum);
                }
            }else{
                showMessage({message:"لا يوجد سند بهذا الرقم.", type:"warning", icon:"warning"});
                $("#SERIAL").val('');
                $("#RECEIPT_DT").val('');
                $("#ACCOUNT").val('');
                $("#ACCOUNT").select2();
                $("#NOTES").val('');
            }

        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', "#getPaidChecks_btn", function (e) {
    $('#checksMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {

                extend: 'excel', text: 'تصدير الى اكسل',

            }
        ],
        "ajax": 
        {
            "url": "index.php/cashReceipts/getPaidChecks", 
            "type": "POST",
            "data": {
                CHECK_ID: $('#CHECK_ID').val(),
                CHECK_BANK: $('#CHECK_BANK').val(),
                COM_ACCOUNT: $('#ACCOUNT').val(),
                DOC_TYPE: $('#RCPT_TYPE').val(), 
                START_DT: $('#START_DT').val(),
                END_DT: $('#END_DT').val()
            }  
        },
        "order": [[4, "asc"], [8, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumns": 
        [   
            {"mData": 'DTYPE' , width: "10%"},
            { "mData": 'DOC_SERIAL' , width: "5%"},
            { "mData": "DOC_ID" , width: "10%"},
            { "mData": "RECEIPT_SR" , width: "5%"},
            { "mData": "BANK_NAME" , width: "20%"},
            { "mData": "COMPANY_NAME" , width: "20%"},
            { "mData": "AMOUNT" , width: "6%"},
            { "mData": "PAYMENT_DATE" , width: "8%"},
            { "mData": "MATURITY_DATE" , width: "8%"}, 
            { "mData": "COLLECT_DT" , width: "8%"},
            { "mData": "STATUS_TITLE" , width: "8%"}
        ]
        
    });
    e.preventDefault();
});


$(document).on('click', "#RCPT_TYPE", function (e) {
    if($('#RCPT_TYPE').val()=="C"){
        $('.Bank').show();
    }else{
        $('.Bank').hide();
    }
});
$(document).on('click', ".deleteCheck", function (e) {
    e.preventDefault();
    $(this).parents('tr').remove();
});

$(document).on('keyup', "#CHECK_AMOUNT", function (e) {
    e.preventDefault();
    var amountSum = 0;
    $("#cashRecieptChecks_tb tbody tr").each(function () {
        amountSum+= (parseFloat($(this).find("#CHECK_AMOUNT").val()))? parseFloat($(this).find("#CHECK_AMOUNT").val()) : 0;
    });
    $("#amountSum").val(amountSum);
});

$(document).on('keyup', "#TRANS_AMOUNT", function (e) {
    e.preventDefault();
    var amountSum = 0;
    $("#recieptTransfers_tb tbody tr").each(function () {
        amountSum+= (parseFloat($(this).find("#TRANS_AMOUNT").val()))? parseFloat($(this).find("#TRANS_AMOUNT").val()) : 0;
    });
    $("#amountSum").val(amountSum);
});

$(document).ready(function() {
    FormValidation.init();
    
    $('#recieptsMaster_tb').dataTable({
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        "data": [],
        
        "columns": [
            { title: "رقم سند القبض", width: "5%" },
            { title: "نوع سند القبض" , width: "5%"},
            { title: "عدد الشيكات" , width: "5%"},
            { title: "تاريخ السند" , width: "10%"},
            { title: "الحساب" , width: "15%"},
            { title: "المبلغ الإجمالي للسند" , width: "10%"},
            { title: "رقم االشيك / الحوالة" , width: "5%"},
            { title: "البنك" , width: "10%"},
            { title: "الحالة" , width: "5%"},
            { title: "ملاحظات" , width: "15%"},
            { title: "اجراءات" , width: "10%"}
        ],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                }
            }
        
    });
} );

function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}


$(document).on('keypress', function (event) {
    if (event.keyCode == 43){ 
        $('#cashRecieptChecks_tb_new').click();
        event.preventDefault();;
    }
});

function getAccount(accountId) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/getAccount",
        cache: false,
        dataType: "json",
        data: {
            ACCOUNT_ID: $("#ACCOUNT").val()
        },
        success: function (data) {
            if(data){
                $("#ACCOUNT_NAME").val(data.ACCOUNT_NAME);
            }
            //showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
};

function getBank(accountId) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/getBank",
        cache: false,
        dataType: "json",
        data: {
            BANK_ID: $("#TARGET_ACNT").val()
        },
        success: function (data) {
            if(data){
                $("#TARGET_ACNT_NAME").val(data.BANK_NAME);
            }
            //showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            //alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
};


function approveReceipt(SERIAL) {
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/approveReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: SERIAL
        },
        success: function (data) {
            alert(data.msg);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            alert('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').html('Ajax Connection Error. خطأ في الاتصال.' + errorThrown);
            $('.message').removeClass().addClass('message').addClass("mws-form-message error");
            window.scrollTo(0, 0);
        }
    });
};




$(document).on('click', ".approveReceipt", function (e) {
    var elm = $(this).parent();
    var rSERIAL = $(this).attr("RCPT_SR") ; 
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/approveReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: rSERIAL
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            $.ajax({
                type: 'post',
                url: "index.php/cashReceipts/SMSNotification",
                cache: false,
                data: {
                    RECEIPT_SR: rSERIAL
                },
                success: function (data) {
                    ;
                } ,
                error: function (jqXHR, textStatus, errorThrown) {
                    alert('تمت عملية اعتماد السند بنجاح .. ولكن حدثت مشكلة في اعلام المندوب.' + errorThrown);
                    $('.message').html('تمت عملية اعتماد السند بنجاح .. ولكن حدثت مشكلة في اعلام المندوب.' + errorThrown);
                    $('.message').removeClass().addClass('message').addClass("mws-form-message error");
                    window.scrollTo(0, 0);
                }
            }) ;
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    //approveReceipt($(this).attr("RCPT_SR"));

    e.preventDefault();
});

    $(document).on('click', ".returnReceipt", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/returnReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: $(this).attr("RCPT_SR")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".cancelReceipt", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/cashReceipts/cancelReceipt",
        cache: false,
        dataType: "json",
        data: {
            SERIAL: $(this).attr("RCPT_SR")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".goToManageReceipts", function (e) {
    $("#F_RCPT_SR").val($(this).attr("RCPT_SR"));
    $("#goToManageReceiptsForm").submit();
    e.preventDefault();
});

$(document).on('click', ".printCashReciept", function (e) {
    $("#R_RCPT_SR").val($(this).attr("RCPT_SR"));
    $("#printCashRecieptForm").submit();
    e.preventDefault();
});






$(document).on('keyup', "#ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#ACCOUNT").val('');
        $("#ACCOUNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#ACCOUNT").val(ui.item.key);
            $("#ACCOUNT_NAME").val(ui.item.ACCOUNT_NAME);
            $("#ACCOUNT-error").remove();
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#ACCOUNT_TERM').val() == ''){
                $("#ACCOUNT").val('');
                $("#ACCOUNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountsByTerm",
                    cache: false,
                    dataType: "json",
                    data: {
                        TERM: $('#ACCOUNT_TERM').val()
                    },
                    success: function (data) {
                        $("#ACCOUNT").val(data[0].ACCOUNT_ID);
                        $("#ACCOUNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#TARGET_ACNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#TARGET_ACNT").val('');
        $("#TARGET_ACNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    PARENT_ACCOUNT: 4
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#TARGET_ACNT").val(ui.item.key);
            $("#TARGET_ACNT_NAME").val(ui.item.ACCOUNT_NAME);
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#TARGET_ACNT_TERM').val() == ''){
                $("#TARGET_ACNT").val('');
                $("#TARGET_ACNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountsByTerm",
                    cache: false,
                    dataType: "json",
                    data: {
                        TERM: $('#TARGET_ACNT_TERM').val()
                    },
                    success: function (data) {
                        $("#TARGET_ACNT").val(data[0].ACCOUNT_ID);
                        $("#TARGET_ACNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#AGENCY_ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#TARGET_ACNT").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    PARENT_ACCOUNT: 4
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                            ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#TARGET_ACNT").val(ui.item.key);
            //$("#TARGET_ACNT_NAME").val(ui.item.ACCOUNT_NAME);
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            //alert();
            //documentSupplierChange();

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});



$(document).on('click', "#reset_btn", function (e) {
    $("#ACCOUNT").val('');
    $("#TARGET_ACNT").val('');
    //clearFields();
});



function clearFields() {
    $("#ACCOUNT").val('');
    $("#ACCOUNT_TERM").val('');
    $("#ACCOUNT_NAME").val('');
    $("#TARGET_ACNT").val('');
    $("#TARGET_ACNT_NAME").val('');
    $("#TRANS_AMOUNT").val('');
    $("#TRANS_ID").val('');
    $("#NOTES").val('');
};




$(document).on('change', "#CHECK_BANK", function (e) {
    var tabindex = $(this).attr('tabindex');
            tabindex++;
            $('[tabindex=' + tabindex + ']').focus();
});


$(document).on('change', ".select", function (e) {
    var tabindex = $(this).attr('tabindex');
            tabindex++;
            $('[tabindex=' + tabindex + ']').focus();
});





$(document).on('click', "#GET_CHECKSLIST_BTN", function (e) {
    $('#CHECKSLIST_TB').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax":
        {
            "url": "index.php/cashReceipts/GetChecksList",
            "type": "POST",
            "data": {
                "CHECK_NO" :$("#CHECK_NO").val(),
                "CHECK_SDT"   : $("#CHECK_SDT").val(),
                "CHECK_EDT" : $("#CHECK_EDT").val(),
                "RECEIPT_SDT" : $("#RECEIPT_SDT").val(),
                "RECEIPT_EDT" : $("#RECEIPT_EDT").val(),
                "CHECK_BANK" : $("#CHECK_BANK").val(),
                "OWNER_ACNT" : $("#ACCOUNT").val(),
                "COLLECT_STAT" : $("#COLLECT_STAT").val(),
                "ACCOUNT_CAT" : $("#ACCOUNT_CAT").val(),
            }
        },
        "order": [],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumnDefs":
            [
                {
                    "aTargets": [10],
                    "mData": "download_link",
                    "mRender": function ( data, type, full )
                    {
                        var res = "";
                        if(data.COLLECTING_STATUS == 0) {
                            res += '<a href="javascript:;" check_SR = "' + data.CHECK_SERIAL + '" check_bank = "' + data.CHECK_BANK + '" class="btn green CHECK_COLLECTED_BTN ">تحصيل</a>';
                            res += '<a href="javascript:;" check_SR = "' + data.CHECK_SERIAL + '" class="btn yellow  CHECK_RETURN_BTN ">إرجاع</a>';
                            res += '<a href="javascript:;" check_SR = "' + data.CHECK_SERIAL + '" class="btn red WITHDRAW_CHECK_BTN ">سحب</a>';
                            res += '<a href="javascript:;" check_SR = "' + data.CHECK_SERIAL + '" check_bank = "' + data.CHECK_BANK + '" class="btn purple RETURN_CHECK_IN_BANK_BTN ">إرجاع في البنك</a>';
                        }else{
                            res += '<a href="javascript:;" check_SR = "' + data.CHECK_SERIAL + '" class="btn yellow  CHECK_UNCOLLECTED_BTN ">إلغاء</a>';
                        }
                        return res;
                    }
                }
            ],
        "aoColumns": [
            {"data" : "FIN_NO","width":"5%"},
            {"data" : "COMPANY_NAME","width" : "10%" },
            {"data" : "CHECK_RECEIPT_DT","width" : "10%" },
            {"data" : "CHECK_DT","width" : "10%" },
            {"data" : "CHECK_ID","width":"5%"},
            {"data" : "BANK_NAME" },
            {"data" : "CHECK_VALUE" },
            {"data" : "AGENCY_BANK" },
            {"data" : "CSTATUS_TXT"},
            {"data" : "COLLECTING_DT"},
            {"data" : null},
        ]
    });
    e.preventDefault();
});

$(document).on('click', ".CHECK_COLLECTED_BTN", function (e) {
    $('.BANK').empty();
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/map_banks_account",
        data: {
            CHECK_BANK:this.getAttribute('check_bank'),
        },
        dataType: "json",
        success: function (data) {
            getagencycollectedbank(data.account);
        }
    });

    $('#C_CHECK_SR').val(this.getAttribute('check_SR'));
    $('#CheckCollectedModal').modal('show');
});

$(document).on('click', "#CONF_CHECK_COLLECTED_BTN", function (e) {
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/SET_CHECK_COLLECTED",
        data: {
            CHECK_SR:$('#C_CHECK_SR').val(),
            COLLECT_DT:$('#COLLECT_DT').val(),
            BANK:$('#C_BANK').val()
        },
        dataType: "json",
        success: function (data) {
            $('#CheckCollectedModal').modal('hide');
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            $('#CHECKSLIST_TB').DataTable().ajax.reload();

        }
    });
});

$(document).on('click', ".CHECK_RETURN_BTN", function (e) {
    $('#R_CHECK_SR').val(this.getAttribute('check_SR'));
    $('#CheckReturnModal').modal('show');
});

$(document).on('click', "#CONF_CHECK_RETURN_BTN", function (e) {
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/SET_CHECK_RETURNED",
        data: {
            CHECK_SR:$('#R_CHECK_SR').val(),
            RETURN_DT:$('#RETURN_DT').val(),
        },
        dataType: "json",
        success: function (data) {
            $('#CheckReturnModal').modal('hide');
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            $('#CHECKSLIST_TB').DataTable().ajax.reload();

        }
    });
});


$(document).on('click', ".WITHDRAW_CHECK_BTN", function (e) {
    $('#W_CHECK_SR').val(this.getAttribute('check_SR'));
    $('#WithdrawCheckModal').modal('show');
});

$(document).on('click', "#CONF_WITHDRAW_CHECK_BTN", function (e) {
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/WITHDRAW_CHECK",
        data: {
            CHECK_SR:$('#W_CHECK_SR').val(),
            WITHDRAW_DT:$('#WITHDRAW_DT').val(),
        },
        dataType: "json",
        success: function (data) {
            $('#WithdrawCheckModal').modal('hide');
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            $('#CHECKSLIST_TB').DataTable().ajax.reload();

        }
    });
});


$(document).on('click', ".RETURN_CHECK_IN_BANK_BTN", function (e) {
    $('.BANK').empty();
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/map_banks_account",
        data: {
            CHECK_BANK:this.getAttribute('check_bank'),
        },
        dataType: "json",
        success: function (data) {
            getagencycollectedbank(data.account);
        }
    });

    $('#B_CHECK_SR').val(this.getAttribute('check_SR'));
    $('#CheckReturnInBankModal').modal('show');
});

$(document).on('click', "#CONF RETURN_CHECK_IN_BANK_BTN", function (e) {
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/SET_CHECK_RETURNED_IN_BANK",
        data: {
            CHECK_SR:$('#B_CHECK_SR').val(),
            RETURN_DT:$('#B_RETURN_DT').val(),
            BANK:$('#B_BANK').val()
        },
        dataType: "json",
        success: function (data) {
            $('#CheckReturnInBankModal').modal('hide');
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            $('#CHECKSLIST_TB').DataTable().ajax.reload();

        }
    });
});

$(document).on('click', ".CHECK_UNCOLLECTED_BTN", function (e) {
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/SET_CHECK_UNCOLLECTED",
        data: {
            CHECK_SR:this.getAttribute('check_SR'),
        },
        dataType: "json",
        success: function (data) {
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
            $('#CHECKSLIST_TB').DataTable().ajax.reload();

        }
    });
});



$(document).on('click', "#GET_PAYABLECHECKSLIST_BTN", function (e) {
    $('#PAYABLECHECKSLIST_TB').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        "ajax":
        {
            "url": "index.php/cashReceipts/GetChecksList",
            "type": "POST",
            "data": {
                "CHECK_NO" :null,
                "CHECK_SDT"   : $("#CHECK_SDT").val(),
                "CHECK_EDT" : $("#CHECK_EDT").val(),
                "RECEIPT_SDT" : null,
                "RECEIPT_EDT" : null,
                "CHECK_BANK" : null,
                "OWNER_ACNT" : null,
                "COLLECT_STAT" : $("#COLLECT_STAT").val(),
            }
        },
        "order": [[0, "asc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumns": [
            {"data" : "FIN_NO","width":"5%"},
            {"data" : "COMPANY_NAME","width" : "10%" },
            {"data" : "CHECK_RECEIPT_DT","width" : "10%" },
            {"data" : "CHECK_DT","width" : "10%" },
            {"data" : "CHECK_ID","width":"5%"},
            {"data" : "BANK_NAME" },
            {"data" : "CHECK_VALUE" },
            {"data" : "CSTATUS_TXT"},
            {"data" : "COLLECTING_DT"},
        ]
    });
    e.preventDefault();
});



$(document).on('click', '#PRINT_PAYABLECHECKS_BTN', function () {
    $("#F_CHECK_SDT").val($("#CHECK_SDT").val());
    $("#F_CHECK_EDT").val($("#CHECK_EDT").val());
    $("#F_COLLECT_STAT").val($("#COLLECT_STAT").val());
    $("#PayableChecksForm").submit() ;
});

function getagencycollectedbank (account){
    $.ajax({
        type: 'POST',
        url: "index.php/common/getAccountsByTerm",
        cache: false,
        dataType: "json",
        data: {
            TERM: null,
            PARENT_ACCOUNT: 4
        },
        success: function (data) {
            $('.BANK').append('<option value="">اختر</option>');
            $.each(data, function (i, result) {
                $('.BANK').append('<option value="'+result.ACCOUNT_ID+'"'+(result.ACCOUNT_ID==account ?"selected":"")+'>'+result.ACCOUNT_NAME+'-'+result.ACCOUNT_VALUE+'</option>');
            });
        }
        ,
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });
}


function getBanks() {
    var banks;
    $.ajax({
        type: 'post',
        url: "index.php/common/getBanks",
        cache: false,
        dataType: "json",
        data: {},
        success: function (data) {
            banks = data;
            alert(banks);
        },
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });
    return banks;
};

 

    
















function getBanks() {
    var banks;
    $.ajax({
        type: 'post',
        url: "index.php/common/getBanks",
        cache: false,
        dataType: "json",
        data: {},
        success: function (data) {
            banks = data;
            alert(banks);
        },
        error: function (jqXHR, textStatus, errorThrown) {
        }
    });
    return banks;
};




































var FormValidation = function() {
    var handleValidation = function(){
        var form1 = $('#receipt_form');
        var error1 = $('.alert-danger', form1);
        var success1 = $('.alert-success', form1);
        form1.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                TRANS_ID: {
                    required: "هذا الحقل مطلوب",
                },
                RECEIPT_DT: {
                    required: "هذا الحقل مطلوب",
                    date : 'ادخلالتاريخ',
                },
                ACCOUNT: {
                    required: "يجب ادخال حساب مستفيد صحيح.",
                },
                TARGET_ACNT: {
                    required: "هذا الحقل مطلوب",
                },
                TRANS_AMOUNT: {
                    required: "هذا الحقل مطلوب",
                },
                NOTES: {
                    required: "هذا الحقل مطلوب",
                },
                NOTES: {
                    required: "هذا الحقل مطلوب",
                },
            },
            rules: {
                TRANS_ID: {
                    required: true
                },
                RECEIPT_DT: {
                    required: true,
                //  date : true,
                },
                ACCOUNT: {
                    required: true
                },
                TARGET_ACNT: {
                    required: true
                },
                TRANS_AMOUNT: {
                    required: true
                },
                NOTES: {
                    maxlength: 100
                }  
            },

            invalidHandler: function (event, validator) { //display error alert on form submit              
                success1.hide();
                error1.show();
                App.scrollTo(error1, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success1.show();
                error1.hide();
            }


        });
    }

    var handleValidation__2 = function(){
                var form222 = $('#det_form');

        var error2 = $('.alert-danger', form222);
        var success2 = $('.alert-success', form222);
        //alert(JSON.stringify(form2));

        form222.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "true",  // validate all fields including form hidden input
            rules: {
                CHECK_ID: {
                    required: true
                },
            },
            multipleInputSharedName: {
                CHECK_ID: true,
            },
            messages: {
                CHECK_ID: {
                    required: "يجب ادخال رقم الشيك."
                },
            },
            
            

            invalidHandler: function (event, validator) {///alert('invalidHandler'); //display error alert on form submit              
                success2.hide();
                error2.show();
                App.scrollTo(error2, -200);
            },
            /*
            errorPlacement: function (error, element) { // render error placement for each input type
                //$(element).closest('.form-control').removeClass("has-success").addClass('has-error'); 

                var icon = $(element).parent('.input-icon').children('i');
                icon.removeClass('fa-check').addClass("fa-warning");  
                icon.attr("data-original-title", error.text()).tooltip({'container': 'body'});

            },*/
            
            highlight: function (element) {//alert('highlight'); // hightlight error inputs
                $(element).closest('.form-control').removeClass("has-success").addClass('has-error'); 
                //$(element).closest('.form-control').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) {///alert('highlight'); // revert the change done by hightlight
                $(element).closest('.form-control').removeClass('has-error'); // set error class to the control group
            },

            success: function (label, element) {//alert('success');
                $(element).closest('.form-control').removeClass('has-error').addClass('has-success');
                //label.closest('.form-control').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {//alert('submitHandler');
                success2.show();
                error2.hide();
            }


        });
    }

    return {
        init: function () {
            handleValidation();
            //handleValidation__2();
            /*
            $("[name^=CHECK_ID]").each(function () {
                $(this).rules("add", {
                    required: true
                });
            });*/
        }

    }
}();


