// fintialMaster_tb
//  getfintial_btn

$(document).on('click', "#getfintial_btn", function (e) {
    //alert("getfintial_btn");

    $('#fintialMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {

                extend: 'excel', text: 'تصدير الى اكسل',

            }
        ],
        "ajax": 
        {
            "url": "index.php/checks/getFintialInfo", 
            "type": "POST",
            "data": {
                I_ACCOUNT: $('#ACCOUNT').val(),
                I_TO_DATE: $('#I_TO_DATE').val(),
                
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
       "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 6 ],
                "mData": null,
                "mRender": function ( data, type, full ) 
                {
                    //var res = (full.ACCOUNT_BALANCE + full.DEFERRED_CHECKS) - full.GARANTEES_BALANCE;
                    var res =  parseInt(parseFloat(full.ACCOUNT_BALANCE) + parseFloat(full.DEFERRED_CHECKS) 
                                  )- parseInt(parseFloat(full.GARANTEES_BALANCE)) ;
                      // res += '<a href="" role="'+full.ACCOUNT_BALANCE+'" class="btn green updateCheck">حفظ</a>';
                    
                   return res;
                }
            },
            {
                "aTargets": [ 7 ],
                "mData": null,
                "mRender": function ( data, type, full ) 
                {
                    //var res = (full.ACCOUNT_BALANCE + full.DEFERRED_CHECKS) - full.GARANTEES_BALANCE;
                    var res =  parseInt(parseFloat(full.ACCOUNT_BALANCE) + parseFloat(full.DEFERRED_CHECKS) 
                                  )- parseInt(parseFloat(full.GARANTEES_BALANCE)) - parseInt(parseFloat(full.LATER_CHECKS)) ;
                      // res += '<a href="" role="'+full.ACCOUNT_BALANCE+'" class="btn green updateCheck">حفظ</a>';
                    
                   return res;
                }
            },
            
          
        ],
       
       
        "aoColumns": 
        [   { "mData": 'ACCOUNT_NAME', 'style' : 'text-align: right !important;' },
            { "mData": 'ACCOUNT_VALUE' },
            { "mData": 'ACCOUNT_BALANCE' },
            { "mData": "DEFERRED_CHECKS" },
            { "mData": "LATER_CHECKS" },
            { "mData": "GARANTEES_BALANCE" },
            { "mData": null },
            { "mData": null },
        ]
        
        
    });
    e.preventDefault();
});


$(document).on('click', "#getchecks_btn", function (e) {
    $('#checksMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/checks/getChecksList", 
            "type": "POST",
            "data": {
                I_ACCOUNT: $('#ACCOUNT').val(),
                I_TO_DATE: $('#I_TO_DATE').val(),
                
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 7 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                {
                    var res = "";
                   
                       res += '<a href="" role="'+full.CHECK_SERIAL+'" class="btn green updateCheck">حفظ</a>';
                    
                   return res;
                }
            },
			
			
            {
                "aTargets": [ 6 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                {
                     return '<input type="number" name="DUE_PERIODE" class="period-input"  id="DUE_PERIODE" value="'+full.DUE_PERIODE+'" >';
                 }
            },
			

        ],
        "aoColumns": 
        [   
	        { "mData": 'CHECK_ID' },
			{ "mData": 'ACCOUNT_NAME' },
            { "mData": "PAID_DATE" },
            { "mData": "CHECK_DATE" },
		    { "mData": 'ACTIVE_DATE' },
            { "mData": "CHECK_VALUE" },
            { "mData": "DUE_PERIODE" },
            { "mData": null }
        ]
		
        
    });
    e.preventDefault();
});


$(document).on('click', ".updateCheck", function (e) {
     var period_no = $(this).parents('tr').find("#DUE_PERIODE").val();
     var id = $(this).attr("role")
      $.ajax({
        type: 'post',
        url: "index.php/checks/updateCheck",
        cache: false,
        dataType: "json",
        data: {
            I_CHECK_SERIAL: id, 
            I_NEW_PERIOD: period_no,
        },
        success: function (data) {
            showMessage({message: data, type: 'success', icon:'check'});


        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});


$(document).on('keyup', "#ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#ACCOUNT").val('');
        $("#ACCOUNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            //ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME ,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#ACCOUNT").val(ui.item.key);
            $("#ACCOUNT_NAME").val(ui.item.label);
            $("#ACCOUNT-error").remove();
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#ACCOUNT_TERM').val() == ''){
                $("#ACCOUNT").val('');
                $("#ACCOUNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE: $('#ACCOUNT_TERM').val()
                    },
                    success: function (data) {
                        $("#ACCOUNT").val(data[0].ACCOUNT_ID);
                        $("#ACCOUNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME );
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});



$(document).on('keyup', ".FROM_ACCOUNT_TERM", function (event) {

    if($(this).val() == ''){
        $(this).parent().find("#FROM_ACCOUNT").val('');
    }

    $search_for = $(this).val();
    $parent = $(this).parent();

    

    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    //PARENT_ACCOUNT : 3
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $parent.find("#FROM_ACCOUNT").val(ui.item.key);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($search_for == ''){
                $parent.find("#FROM_ACCOUNT").val('');
                $parent.find(".FROM_ACCOUNT_TERM").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE: $search_for
                    },
                     success: function (data) {
                        if(data.length > 0){
                            $parent.find("#FROM_ACCOUNT").val(data[0].ACCOUNT_ID);
                            $parent.find(".FROM_ACCOUNT_TERM").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                        }else{
                            $parent.find("#FROM_ACCOUNT").val('');
                            $parent.find(".FROM_ACCOUNT_TERM").val('');
                            $parent.find("#FROM_ACCOUNT").closest('.form-group').addClass('has-error');
                        }
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        $parent.find("#FROM_ACCOUNT").val('');
                        $parent.find(".FROM_ACCOUNT_TERM").val('');
                    }
                   
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', ".TO_ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $(this).parent().find("#TO_ACCOUNT").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    //PARENT_ACCOUNT : 3
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE //+ ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $parent.find("#TO_ACCOUNT").val(ui.item.key);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($search_for == ''){
                $parent.find("#TO_ACCOUNT").val('');
                $parent.find(".TO_ACCOUNT_TERM").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE: $search_for
                    },
                    success: function (data) {
                        if(data.length > 0){
                            $parent.find("#TO_ACCOUNT").val(data[0].ACCOUNT_ID);
                            $parent.find(".TO_ACCOUNT_TERM").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                        }else{
                            $parent.find("#TO_ACCOUNT").val('');
                            $parent.find(".TO_ACCOUNT_TERM").val('');  
                            $parent.find("#TO_ACCOUNT").closest('.form-group').addClass('has-error');
                        }
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        $parent.find("#TO_ACCOUNT").val('');
                        $parent.find(".TO_ACCOUNT_TERM").val('');
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('click', ".deleteRow", function (e) {
    e.preventDefault();
    $(this).parents('tr').remove();
});

$(document).on('keyup', "#AMOUNT", function (e) {
    e.preventDefault();
    var amountSum = 0;
    $("#userChainDetails_tb tbody tr").each(function () {
        amountSum+= (parseFloat($(this).find("#AMOUNT").val()))? parseFloat($(this).find("#AMOUNT").val()) : 0;
    });
    $("#amountSum").val(amountSum);
});







function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}

$(document).on('click', "#detailedAccountStatment_btn", function (e) {
    if($("#getAccountChains_frm").valid() !== true){
        return; 
    }
    $("#F_ACCOUNT_ID").val($("#ACCOUNT").val()) ;
    $("#F_START_DT").val($("#CHAIN_DT_FROM").val()) ; 
    $("#F_END_DT").val($("#CHAIN_DT_TO").val()) ;
    $("#F_ACCOUNT_NAME").val($("#ACCOUNT_NAME").val()) ;
    $("#F_REPORT_NAME").val('detailedAccountStat') ;
    $("#printAccountStatementForm").submit();
    e.preventDefault();
}) ;

$(document).on('click', "#accountStatment_btn", function (e) {
    if($("#getAccountChains_frm").valid() !== true){
        return; 
    }
    $("#F_ACCOUNT_ID").val($("#ACCOUNT").val()) ;
    $("#F_START_DT").val($("#CHAIN_DT_FROM").val()) ; 
    $("#F_END_DT").val($("#CHAIN_DT_TO").val()) ;
    $("#F_ACCOUNT_NAME").val($("#ACCOUNT_NAME").val()) ;
    $("#F_REPORT_NAME").val('accountStatement') ;
    $("#printAccountStatementForm").submit();
    e.preventDefault();
}) ;







