////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Add Edit PayDoc///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////



$(document).on('click', "#userChainDetails_tb_new", function (e) {
    e.preventDefault();
    $("#userChainDetails_tb tbody").append(
        '<tr>' +
            '<td>' +
                '<input type="text" class="form-control FROM_ACCOUNT_TERM" value=""  tabindex="10">' +
                '<input id="FROM_ACCOUNT" type="hidden" class="form-control" value="" tabindex="-1">' +
            '</td>' + 
            '<td>' +
                '<input type="text" class="form-control TO_ACCOUNT_TERM" value=""  tabindex="11">' +
                '<input id="TO_ACCOUNT" type="hidden" class="form-control" value="" tabindex="-1">' +
            '</td>' +  
            '<td><input id="AMOUNT" type="text" class="form-control" value="" tabindex="12"></td>' +
            '<td><a class="btn red deleteRow" href="javascript:;" tabindex="-1"> حذف </a></td>' + 
        '</tr>'
    ); 
});


$(document).ready(function() {
    $('[tabindex=0]').focus();
    $('input').bind('keypress', function(eInner) {
        if (eInner.keyCode == 13){ //if its a enter key
            var tabindex = $(this).attr('tabindex');
            tabindex++; //increment tabindex
            $('[tabindex=' + tabindex + ']').focus();
        }
    });
}); 

$(document).on('change', "#BANK", function (e) {
    var tabindex = $(this).attr('tabindex');
            tabindex++;
            $('[tabindex=' + tabindex + ']').focus();
});


$(document).on('click', "#addGuarantee_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/guarantees/addGuarantee",
        cache: false,
        dataType: "json",
        data: {
            COMPANY: $("#COMPANY").val(),
            ACCOUNT: $("#ACCOUNT").val(),
            BANK: $("#BANK").val(),
            BANK_ACCOUNT: $("#BANK_ACCOUNT").val(),
            GUARANTEE_VALUE: $("#GUARANTEE_VALUE").val(),
            START_DATE: $("#START_DATE").val(),
            END_DATE: $("#END_DATE").val()
        },
        success: function (data) {
            if(data.guaranteeSerial > 0){
            }
            showMessage({message:data.msg, type:(data.guaranteeSerial > 0)? 'success' : 'warning', icon:(data.succguaranteeSerialess > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
			showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    e.preventDefault();
});


$(document).on('click', "#updateGuarantee_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/guarantees/updateGuarantee",
        cache: false,
        dataType: "json",
        data: {
            GUARANTEE_SID: $("#GUARANTEE_SID").val(),
            COMPANY: $("#COMPANY").val(),
            ACCOUNT: $("#ACCOUNT").val(),
            BANK: $("#BANK").val(),
            BANK_ACCOUNT: $("#BANK_ACCOUNT").val(),
            GUARANTEE_VALUE: $("#GUARANTEE_VALUE").val(),
            START_DATE: $("#START_DATE").val(),
            END_DATE: $("#END_DATE").val()
        },
        success: function (data) {
            
            showMessage({message:data.msg, type:(data.guaranteeSerial > 0)? 'success' : 'warning', icon:(data.guaranteeSerial > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    e.preventDefault();
});



$(document).on('click', "#getGuarantees_btn", function (e) {
    $('#guaranteesMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {

                extend: 'excel', text: 'تصدير الى اكسل',

            }
        ],
        "ajax": 
        {
            "url": "index.php/guarantees/getGuarantees", 
            "type": "POST",
            "data": {
                GUARANTEE_SID: $("#GUARANTEE_SID").val(),
                COMPANY: $("#COMPANY").val(),
                ACCOUNT: $("#ACCOUNT").val(),
                BANK: $("#BANK").val(),
                BANK_ACCOUNT: $("#BANK_ACCOUNT").val(),
                GUARANTEE_VALUE: $("#GUARANTEE_VALUE").val(),
                START_DATE: $("#START_DATE").val(),
                END_DATE: $("#END_DATE").val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 9 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                {
                    var res = "";
                    if(data.STATUS == 0){ 
                        if($('#allowedToEdit').val() == 1) res += '<a href="" GUARANTEE_SID = "'+ data.GUARANTEE_SID +'" class="btn blue goToManageGuarantees">ذهاب إلى</a><span>   </span>';
                        if($('#allowedToApprove').val() == 1)res += '<a href="" GUARANTEE_SID = "'+ data.GUARANTEE_SID +'" class="btn green approveGuarantee">اعتماد</a>';
                        if($('#allowedToCancel').val() == 1) res += '<a href="" GUARANTEE_SID = "'+ data.GUARANTEE_SID +'" class="btn red cancelGuarantee">الغاء</a>';
                    } else if(data.STATUS == 1){ 
                        if($('#allowedToReturn').val() == 1) res += '<a href="" GUARANTEE_SID = "'+ data.GUARANTEE_SID +'" class="btn yellow returnGuarantee">ارجاع</a>';
                    } 
                   return res;
                }
            } 

        ],
        "aoColumns": 
        [   
            { "mData": 'GUARANTEE_SID' },
            { "mData": "COMPANY_NAME" },
            { "mData": "ACCOUNT_NAME" },
            { "mData": 'BANK_NAME' },
            { "mData": "BANK_ACCOUNT" },
            { "mData": "GUARANTEE_VALUE" },
            { "mData": 'START_DATE' },
            { "mData": "END_DATE" },
            { "mData": "STATUS_NAME" },
            { "mData": null }
        ]
        
    });
    e.preventDefault();
});

$(document).on('click', "#getGuarantee_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/guarantees/getGuarantee",
        cache: false,
        dataType: "json",
        data: {
            GUARANTEE_SID: $("#F_GUARANTEE_SID").val()
        },
        success: function (data) {
            $("#GUARANTEE_SID").val(data.GUARANTEE_SID),
            $("#COMPANY_TERM").val(data.ACCOUNT_VALUE + ' - ' + data.ACCOUNT_NAME +  ' - ' + data.COMPANY_NAME),
            $("#COMPANY").val(data.COMPANY),
            $("#ACCOUNT").val(data.ACCOUNT),
            $("#BANK").val(data.BANK),
            $("#BANK_ACCOUNT").val(data.BANK_ACCOUNT),
            $("#GUARANTEE_VALUE").val(data.GUARANTEE_VALUE),
            $("#START_DATE").val(data.START_DATE),
            $("#END_DATE").val(data.END_DATE)
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});


$(document).on('click', ".approveGuarantee", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/guarantees/approveGuarantee",
        cache: false,
        dataType: "json",
        data: {
            GUARANTEE_SID: $(this).attr("GUARANTEE_SID")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.guaranteeSerial > 0)? 'success' : 'warning', icon:(data.guaranteeSerial > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".returnGuarantee", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/guarantees/returnGuarantee",
        cache: false,
        dataType: "json",
        data: {
            GUARANTEE_SID: $(this).attr("GUARANTEE_SID")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.guaranteeSerial > 0)? 'success' : 'warning', icon:(data.guaranteeSerial > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".cancelGuarantee", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/guarantees/cancelGuarantee",
        cache: false,
        dataType: "json",
        data: {
            GUARANTEE_SID: $(this).attr("GUARANTEE_SID")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.guaranteeSerial > 0)? 'success' : 'warning', icon:(data.guaranteeSerial > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".goToManageGuarantees", function (e) {
    $("#F_GUARANTEE_SID").val($(this).attr("GUARANTEE_SID"));
    $("#goToManageGuaranteesForm").submit();
    e.preventDefault();
});

$(document).on('keyup', "#COMPANY_TERM", function (event) {
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getCompanyByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.COMPANY_NAME + ' - ' + item.ACCOUNT_NAME,
                            value: item.COMPANY_ID + ' - ' + item.COMPANY_NAME,
                            ACCOUNT_TERM: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            ACCOUNT_ID: item.ACCOUNT_ID,
                            COMPANY_ID: item.COMPANY_ID,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#COMPANY").val(ui.item.COMPANY_ID);
            $("#ACCOUNT").val(ui.item.ACCOUNT_ID);
            $("#ACCOUNT_TERM").val(ui.item.ACCOUNT_TERM);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            //alert();
            //documentSupplierChange();

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});



function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}










