////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Add Edit PayDoc///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
/*alert("begin");
$.validator.setDefaults( {
    submitHandler: function () {
        alert( "submitted!" );
    }
} );
*/
$( document ).ready( function () {

    $( "#sampleForm" ).validate( {
        rules: {
            COMPANY_TERM: {
                required: true

            },
            RECEIVE_TIME: {
                required: true

            },
            RECEIVE_PLACE: {
                required: true
            },
            NO_OF_SAMPLES: {
                required: true,
                number: true
            },

            // lastname: "required",
            FINANCIAL_NO: {
                required: true,
                minlength:5,
                number: true
            },
            RECEIVE_DATE:
            {
                required:true

            }


        },
        messages: {
                COMPANY_TERM: {
                required: "ادخل اسم الشركة او رقمها"

            },
            FINANCIAL_NO: {
                required: "ادخل الرقم المالي من فضلك",
                minlength: "االرقم المالي لا يقل عن 5 ارقام",
                number:"ادخل ارقام من فضلك"
            },
            RECEIVE_DATE:
            {
                required:"ادخل تاريخ الاستلام من فضلك",
                date:"صيغة التاريخ غير صحيحة"
            },
            RECEIVE_TIME: {
                required: "ادخل وقت الاستلام من فضلك"
                // minlength: "Your password must be at least 5 characters long"
            },
            FUEL_TYPE: {
                required: "اختر نوع الوقود من فضلك",
                // minlength: "Your password must be at least 5 characters long"
            },
            NO_OF_SAMPLES: {
                required: "ادخل عدد العينات من فضلك",
                number:"ادخل ارقام من فضلك"
            },
            RECEIVE_PLACE: {
                required: "ادخل مكان الاستلام من فضلك"
                // minlength: "Your password must be at least 5 characters long"
            },
            /* confirm_password: {
             required: "Please provide a password",
             minlength: "Your password must be at least 5 characters long",
             equalTo: "Please enter the same password as above"
             },
             email: "Please enter a valid email address",
             agree: "Please accept our policy"*/
        },
        errorElement: "em",
        errorPlacement: function ( error, element ) {
            // Add the `help-block` class to the error element
            error.addClass( "help-block" );

            if ( element.prop( "type" ) === "checkbox" ) {
                error.insertAfter( element.parent( "label" ) );
            } else {
                error.insertAfter( element );
            }
        },
        highlight: function ( element, errorClass, validClass ) {
            $( element ).parents( ".col-md-9" ).addClass( "has-error" ).removeClass( "has-success" );
        },
        unhighlight: function (element, errorClass, validClass) {
            $( element ).parents( ".col-md-9" ).addClass( "has-success" ).removeClass( "has-error" );
        }
    } );



} );
$(document).on('click', "#add_sample_btn", function (e) {

   if($("#sampleForm").valid() != true){
           //alert("not valid");
        return;
        }
    $.ajax({
        type: 'post',
        url: "index.php/samples/addFuelSample",

        cache: false,
      dataType: "json",
        data: {
            FINANCIAL_NO: $("#FINANCIAL_NO").val(),
            COMPANY: $("#COMPANY").val(),
            RECEIVE_DATE: $("#RECEIVE_DATE").val(),
            RECEIVE_TIME: $("#RECEIVE_TIME").val(),
            RECEIVE_PLACE: $("#RECEIVE_PLACE").val(),
            NO_OF_SAMPLES: $("#NO_OF_SAMPLES").val(),
            FUEL_TYPE: $("#FUEL_TYPE").val(),
            NOTES: $("#NOTES").val(),
            RECEIVE_COMMITEE: $("#RECEIVE_COMMITEE").val()

        },

        success: function (data) {

            showMessage({message:data.msg, type:'success',  icon:'check'  });
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    e.preventDefault();
}
);


$(document).on('click', "#getSamples_btn", function (e) {
    if  ($("#COMPANY_TERM").val()=='')
    {$("#COMPANY").val('');
        $("#COMPANY_NAME").val('');}

  //  alert ($("#COMPANY").val());
    $('#samplesMaster_tb').dataTable({


       "destroy": true,
       "bStateSave": true,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,

        "ajax":
        {
            "url": "index.php/samples/getSamples",
            "type": "POST",
            "data": {
                FINANCIAL_NO: $("#FINANCIAL_NO").val(),
                COMPANY: $("#COMPANY").val(),
                START_DT: $("#START_DT").val(),
                END_DT: $("#END_DT").val(),
                RECEIVE_PLACE: $("#RECEIVE_PLACE").val()
            },


        },
        "order": [],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            }
        },

       "sAjaxDataProp" : "",
        "aoColumnDefs":
            [
               {
                    "aTargets": [ 1 ],
                   // "mData": "download_link",
                    "mRender": function ( data, type, full )
                    {
                        var res = "";
                        res = data.COMPANY + '_'+ data.COMPANY_NAME;

                        return res;
                    }
                },

                {
                    "aTargets": [ 4 ],
                    //"mData": "download_link",
                    "mRender": function ( data, type, full )
                    {
                        var res = "";
                        if (data.RECEIVE_PLACE == '1')
                            res ="المحطة" ;
                        else if (data.RECEIVE_PLACE == '2')
                            res="المركبة" ;

                        return res;
                    }
                },
                {
                    "aTargets": [ 6 ],
                    //"mData": "download_link",
                    "mRender": function ( data, type, full )
                    {
                        var ftext = "";
                        if (data.FUEL_TYPE == 'b')
                            ftext ="بنزين" ;
                        else if (data.FUEL_TYPE == 'su1')
                            ftext="سولار صناعي" ;
                        else if (data.FUEL_TYPE =='su2')
                            ftext="سولار" ;
                        else if (data.FUEL_TYPE == 'g')
                            ftext="غاز" ;
                        else if (data.FUEL_TYPE == 'k')
                            ftext="كيروسين" ;
                        else if (data.FUEL_TYPE == 'm')
                            ftext="مازوت" ;

                        return ftext;
                    }
                },
                {
                    "aTargets": [ 9 ],
                   // "mData": "download_link",
                    "mRender": function ( data, type, full )
                    {
                        var but = "";
                        but += '<a href="" FINANCIAL_NO = "'+ data.FINANCIAL_NO +'" class="btn blue goToManageSamples">تعديل</a>';

                        return but;
                    }
                }

            ],
        "aoColumns":
            [
                { "mData": 'FINANCIAL_NO' },
                { "mData": null },
                { "mData": "RECEIVE_DT" },
                { "mData": "RECEIVE_TIME" },
                { "mData": null },
                { "mData": 'NO_OF_SAMPLES' },
                { "mData": null },
                { "mData": "NOTES" },
                { "mData": 'RECEIVE_COMMITEE' },
                { "mData": null }

            ]



    });
    $.ajax({
        type: 'post',
        url: "index.php/samples/getSamplesCount",

        cache: false,
        dataType: "json",
        data: {
            FINANCIAL_NO: $("#FINANCIAL_NO").val(),
            COMPANY: $("#COMPANY").val(),
            START_DT: $("#START_DT").val(),
            END_DT: $("#END_DT").val(),
            RECEIVE_PLACE: $("#RECEIVE_PLACE").val()

        },

        success: function (data) {

          $("#amountSum").val(data);


        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
 /*  $.ajax({
        type: 'post',
        url: "index.php/samples/getSamples",
        cache: false,
        dataType: "json",
        "data": {
            FINANCIAL_NO: $("#FINANCIAL_NO").val(),
            COMPANY: $("#COMPANY").val(),
            START_DT: $("#START_DT").val(),
            END_DT: $("#END_DT").val(),
            RECEIVE_PLACE: $("#RECEIVE_PLACE").val()

        },
        success: function (result) {
alert ("sucsess");
            count = 0;
            //$('#samplesMaster_tb tbody').html('');
            $.each(result, function( index, item) {

                if (item.RECEIVE_PLACE == 1)
                    ttext ="المحطة" ;
                else if (item.RECEIVE_PLACE == 2)
                    ttext="المركبة" ;

                ftext= '';
                if (item.FUEL_TYPE == 'b')
                    ftext ="بنزين" ;
                else if (item.FUEL_TYPE == 'su1')
                    ftext="سولار صناعي" ;
                else if (item.FUEL_TYPE =='su2')
                    ftext="سولار" ;
                else if (item.FUEL_TYPE == 'g')
                    ftext="غاز" ;
                else if (item.FUEL_TYPE == 'k')
                    ftext="كيروسين" ;
                else if (item.FUEL_TYPE == 'm')
                    ftext="مازوت" ;

                count ++;

                $("#samplesMaster_tb tbody").append('<tr><td>' + item.FINANCIAL_NO + '</td><td>' + item.COMPANY + '_' + item.COMPANY_NAME + '</td><td>'
                    + item.RECEIVE_DT + '</td><td>' + item.RECEIVE_TIME + '</td><td>' + ttext + '</td><td>'
                    + item.NO_OF_SAMPLES + '</td><td>' + ftext + '</td><td>' + item.NOTES + '</td><td>' + item.RECEIVE_COMMITEE
                    + '</td><td><a href = "" FINANCIAL_NO = '+ item.FINANCIAL_NO+' class="btn green goToManageSamples" >تعديل البيانات</a></td></tr>');


            });

            document.getElementById("amountSum").setAttribute('value',table.data().count());

        }
    });*/
 // var dataTable = $('#samplesMaster').DataTable();


    //document.getElementById("amountSum").setAttribute('value',dataTable.$('tr', {"filter":"applied"}).length);
    $.fn.dataTable.ext.errMode = 'throw';
    e.preventDefault();
});

/*


    });
}
);*/

$(document).on('click', "#getSample_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/samples/getSample",
        cache: false,
        dataType: "json",
        data: {
            FINANCIAL_NO: $("#F_FINANCIAL_NO").val()
        },
        success: function (data) {
            //alert("sucess");
            //document.getElementById("FINANCIAL_NO").setAttribute('value',data.FINANCIAL_NO);
               $("#FINANCIAL_NO").val(data.FINANCIAL_NO)
                $("#COMPANY_TERM").val(data.COMPANY + ' - '  + data.COMPANY_NAME),
                $("#COMPANY").val(data.COMPANY ),
                 $("COMPANY_NAME").val(data.COMPANY_NAME),
                $("#RECEIVE_DATE").val(data.RECEIVE_DATE),
                $("#RECEIVE_TIME").val(data.RECEIVE_TIME),
                $("#FUEL_TYPE").val(data.FUEL_TYPE),
                $("#NO_OF_SAMPLES").val(data.NO_OF_SAMPLES),
                $("#RECEIVE_PLACE").val(data.RECEIVE_PLACE),
                $("#RECEIVE_COMMITEE").val(data.RECEIVE_COMMITEE),
                $("#NOTES").val(data.NOTES)

        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});


$(document).on('click', "#updateSample_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/samples/updateFuelSample",
        cache: false,
        dataType: "json",
        data: {
            FINANCIAL_NO: $("#FINANCIAL_NO").val(),
            COMPANY: $("#COMPANY").val(),
            RECEIVE_DATE: $("#RECEIVE_DATE").val(),
            RECEIVE_TIME: $("#RECEIVE_TIME").val(),
            RECEIVE_PLACE: $("#RECEIVE_PLACE").val(),
            NO_OF_SAMPLES: $("#NO_OF_SAMPLES").val(),
            FUEL_TYPE: $("#FUEL_TYPE").val(),
            NOTES: $("#NOTES").val(),
            RECEIVE_COMMITEE: $("#RECEIVE_COMMITEE").val()
        },
        success: function (data) {
            alert("sucess");
            showMessage({message:data.msg, type: 'success' , icon:'check'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
           showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    e.preventDefault();
});


$(document).on('click', ".goToManageSamples", function (e) {
   $("#F_SMP").val($(this).attr("FINANCIAL_NO"));
   //  alert ("here in goToManageGuarantees");

  //  alert($("#F_SMP").val());
    $("#goToManageSample").submit();
    e.preventDefault();
});


$(document).on('keyup', "#COMPANY_TERM", function (event) {
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getCompanyByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                         //   label: item.ACCOUNT_VALUE + ' - ' + item.COMPANY_NAME + ' - ' + item.ACCOUNT_NAME,
                            value: item.COMPANY_ID + ' - ' + item.COMPANY_NAME,
                            COMPANY_ID: item.COMPANY_ID,
                            COMPANY_NAME:item.COMPANY_NAME,
                        }
                    }));

                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#COMPANY").val(ui.item.COMPANY_ID);
            $("#COMPANY_NAME").val(ui.item.COMPANY_NAME);

        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            //alert();
            //documentSupplierChange();

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
})
$(document).on('click', "#reset_btn", function (e) {

         $("#FINANCIAL_NO").val('');
         $("#COMPANY").val('');
    $("#COMPANY_NAME").val('');
    $("#COMPANY_TERM").val('');
        $("#RECEIVE_DATE").val('');
       $("#RECEIVE_TIME").val('');
        $("#RECEIVE_PLACE").val('');
        $("#NO_OF_SAMPLES").val('');
        $("#FUEL_TYPE").val('');
      $("#NOTES").val('');
       $("#RECEIVE_COMMITEE").val('');

});
function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}
