////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Add Edit carConstant///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

$( document ).ready( function () {

    $( "#testerForm" ).validate( {
        rules: {
            TESTER_ID:{
               // minlenght:9,
                required: true,
                number: true,
                minlength: 1,
                maxlength: 9

            },
            TESTER_NAME: {
                required: true

            }

        },
        messages: {

            TESTER_ID: {
                required: "ادخل رقم هوية الفاحص من فضلك",
                number:"ادخل ارقام من فضلك",
                minlength: "رقم الهوية مكون من تسع أرقام",
                maxlenght : "رقم الهوية مكون من تسع أرقام"

            },
            TESTER_NAME:
            {
                required:"ادخل اسم الفاحص من فضلك"
                          }

        },
        errorElement: "em",
        errorPlacement: function ( error, element ) {
            // Add the `help-block` class to the error element
            error.addClass( "help-block" );

            if ( element.prop( "type" ) === "checkbox" ) {
                error.insertAfter( element.parent( "label" ) );
            } else {
                error.insertAfter( element );
            }
        },
        highlight: function ( element, errorClass, validClass ) {
            $( element ).parents( ".col-md-9" ).addClass( "has-error" ).removeClass( "has-success" );
        },
        unhighlight: function (element, errorClass, validClass) {
            $( element ).parents( ".col-md-9" ).addClass( "has-success" ).removeClass( "has-error" );
        }
    } );


} );
$(document).on('click', "#add_tester_btn", function (e) {

  if($("#testerForm").valid() != true){
          // alert("not valid");
        return;
        }

    $.ajax({
        type: 'post',
        url: "index.php/testers/addTester",

        cache: false,
        dataType: "json",
        data: {

            TESTER_ID: $("#TESTER_ID").val(),
            TESTER_NAME: $("#TESTER_NAME").val()

        },

        success: function (data) {
            showMessage({message:data.msg, type:'success',  icon:'check'  });
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    e.preventDefault();
}
);



$(document).on('click', "#get_testers_btn", function (e) {
/*  if  ($("#COMPANY_TERM").val()=='')
   {$("#COMPANY").val('');
    $("#COMPANY_NAME").val('');}*/

  //  alert ($("#TESTER_TERM").val());
    $('#testersMaster_tb').dataTable({


        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,

        "ajax":
        {
            "url": "index.php/common/getTesters",
            "type": "POST",
            "data": {

                term: $("#TESTER_TERM").val()
              //  TESTER_NAME: $("#TESTER_NAME").val()

            }

        },
        "order": [],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            }
        },

        "sAjaxDataProp" : "",

        "aoColumns":
            [
                { "mData": "TESTER_ID" },
                { "mData": "TESTER_NAME" }

            ]

    });



    $.fn.dataTable.ext.errMode = 'throw';
    e.preventDefault();
});


$(document).on('click', "#reset_btn", function (e) {

    $("#TESTER_ID").val('');
    $("#TESTER_NAME").val('');



});
function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}
