////////////////////////////////////////////////////////////////////////////////
////////////////////////////////Add Edit PayDoc///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////



$(document).on('click', "#userChainDetails_tb_new", function (e) {
    e.preventDefault();
    var nextTabIndex = parseInt($('#addUserChain_btn').attr('tabindex')); 
    $("#userChainDetails_tb tbody").append(
        '<tr>' +
            '<td class="form-group">' +
                '<input type="text" class="form-control FROM_ACCOUNT_TERM" value=""  tabindex="' + nextTabIndex + '">' +
                '<input id="FROM_ACCOUNT" type="hidden" class="form-control" value="" tabindex="-1">' +
            '</td>' + 
            '<td class="form-group">' +
                '<input type="text" class="form-control TO_ACCOUNT_TERM" value=""  tabindex="' + ++nextTabIndex + '">' +
                '<input id="TO_ACCOUNT" type="hidden" class="form-control" value="" tabindex="-1">' +
            '</td>' +  
            '<td class="form-group"><input id="AMOUNT" type="text" class="form-control" value="" tabindex="' + ++nextTabIndex + '"></td>' +
            '<td><a class="btn red deleteRow" href="javascript:;" tabindex="-1"> حذف </a></td>' + 
        '</tr>'
    ); 
    $('#addUserChain_btn').attr('tabindex', ++nextTabIndex)
    //$('#last_tab_index').val(nextTabIndex + 2) ; 
});


$(document).ready(function() {
    $('#accountDetailsList_tb').dataTable({
        "destroy": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "data": [],
        "pageLength": 10,
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
        }
    }) ; 
    
    $.ajax({
        type: 'post',
        url: "index.php/userChains/getChainTypesList",
        cache: false,
        dataType: "json",
        
        success: function (data) {
            $.each(data, function(key , value) {
                $('#TRANS_TYPE').append($("<option></option>").attr("value",value.CHAIN_TYPE_ID).text(value.CHAIN_TYPE_NAME + ' - ' + value.CHAIN_TYPE_DESC)) ;
            });
        },
    });

    FormValidation.init();
    $('[tabindex=0]').focus();

}); 

$(document).on('keypress', function (event) {
    if (event.keyCode == 13){ 
        var tabindex = $(event.target).attr("tabindex");
        tabindex++;
        $('[tabindex=' + tabindex + ']').focus();
    }
    if (event.keyCode == 43){ 
        $('#userChainDetails_tb_new').click();
        event.preventDefault();;
    }
});




$(document).on('click', "#addUserChain_btn", function (e) {
    $(this).attr('disabled', true); 
    FormValidation.init();
    if($("#userChain_form").valid() !== true){
        $(this).attr('disabled', false); 
        return; 
    }

    var isValid = 1;
    var records = [];
    $("#userChainDetails_tb tbody tr").each(function () {
        if($(this).find("#FROM_ACCOUNT").val() == ''){
            $(this).find("#FROM_ACCOUNT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }
        if($(this).find("#TO_ACCOUNT").val() == ''){
            $(this).find("#TO_ACCOUNT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }
        if($(this).find("#AMOUNT").val() ==''){
            $(this).find("#AMOUNT").closest('.form-group').addClass('has-error');
            isValid = 0;
        }
        records.push(JSON.stringify({
            'FROM_ACCOUNT': $(this).find("#FROM_ACCOUNT").val(),
            'TO_ACCOUNT': $(this).find("#TO_ACCOUNT").val(),
            'AMOUNT': $(this).find("#AMOUNT").val()     
        }));
    });
    if(!isValid){
        $(this).attr('disabled', false); 
        return;
    } 

    $.ajax({
        type: 'post',
        url: "index.php/userChains/addUserChain",
        cache: false,
        dataType: "json",
        data: {

            CAHIN_DATE: $("#CAHIN_DATE").val(),
            CHAIN_DESC: $("#CHAIN_DESC").val(),
            userChainDetails: JSON.stringify(records)
        },
        success: function (data) {
            if(data.success > 0){
                $("#CHAIN_SERIAL").val('');
                $("#CHAIN_DESC").val('');
                $("#amountSum").val('');
                $(".FROM_ACCOUNT_TERM").val('');
                $(".FROM_ACCOUNT").val(''); 
                $(".TO_ACCOUNT_TERM").val('');
                $(".TO_ACCOUNT").val(''); 
            }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
			showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    $(this).attr('disabled', false); 
    e.preventDefault();
});


$(document).on('click', "#updateUserChain_btn", function (e) {
    var records = [];
    $("#userChainDetails_tb tbody tr").each(function () {
        records.push(JSON.stringify({
            'FROM_ACCOUNT': $(this).find("#FROM_ACCOUNT").val(),
            'TO_ACCOUNT': $(this).find("#TO_ACCOUNT").val(),
            'AMOUNT': $(this).find("#AMOUNT").val()     
        }));
    });
    $.ajax({
        type: 'post',
        url: "index.php/userChains/updateUserChain",
        cache: false,
        dataType: "json",
        data: {
            CHAIN_SERIAL: $("#CHAIN_SERIAL").val(),
            CAHIN_DATE: $("#CAHIN_DATE").val(),
            CHAIN_DESC: $("#CHAIN_DESC").val(),
            userChainDetails: JSON.stringify(records)
        },
        success: function (data) {
            if(data.success > 0){
                //$("#CHAIN_SERIAL").val('');
                //$("#CHAIN_DESC").val('');
                //$("#amountSum").val('');
            }
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});

        }
    });
    e.preventDefault();
});



$(document).on('click', "#getUserChains_btn", function (e) {
    $('#userChainsMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/userChains/getUserChains", 
            "type": "POST",
            "data": {
                CHAIN_SERIAL: $('#CHAIN_SERIAL').val(),
                START_DT: $('#START_DT').val(),
                END_DT: $('#END_DT').val(),
                STATUS: $('#STATUS').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumnDefs": 
        [ 
            {
                "aTargets": [ 3 ],
                "mData": "download_link",
                "mRender": function ( data, type, full ) 
                {
                    var res = "";
                    if(data.STATUS == 0){ 
                        res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn blue goToManageUserChains">ذهاب إلى</a><span>   </span>';
                        if($('#allowedToCancel').val()) res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn red cancelUserChain">الغاء</a>';
                        if($('#allowedToApprove').val()) res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn green approveUserChain">اعتماد</a>';
                        res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn dark printUserChain">طباعة</a>';
                    } else if(data.STATUS == 1){ 
                        res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn blue goToManageUserChains">ذهاب إلى</a><span>   </span>';
                        if($('#allowedToReturn').val()) res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn yellow returnUserChain">ارجاع</a>';
                        res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn dark printUserChain">طباعة</a>';
                    } 
                    else if(data.STATUS == 2){ 
                        res += '<a href="" CHAIN_SERIAL = "'+ data.CHAIN_SERIAL +'" class="btn blue goToManageUserChains">ذهاب إلى</a><span>   </span>';
                    }
                   return res;
                }
            } 

        ],
        "aoColumns": 
        [   
            { "mData": 'CHAIN_SERIAL' },
            { "mData": "CAHIN_DATE" },
            { "mData": "CHAIN_DESC" },
            { "mData": null }
        ]
        
    });
    e.preventDefault();
});

$(document).on('click', "#getDetailedStatement_btn", function (e) {
    var queryFunction ; 
    if($('#ACCOUNT_PARENT').val() == 1){
        queryFunction = 'queryParentAccountStatment'; 
    }
    else {
        queryFunction = 'queryDetailedAccountStatament'; 
    }
    $('#accountDetailsList_tb').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax": 
        {
            "url": "index.php/statements/" + queryFunction, 
            "type": "POST",
            "data": {
                ACCOUNT_ID: $('#ACCOUNT').val(),
                START_DATE: $('#CHAIN_DT_FROM').val(),
                END_DATE: $('#CHAIN_DT_TO').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "columns": [
                {"data" : "SERIAL" , "width" : "5%"},
                {"data" : "T_DATE_CHAR" , "width" : "15%" },
                {"data" : "T_TYPE" , "width" : "15%" },
                {"data" : "T_SERIAL" , "width" : "10%"  },
                {"data" : null, "width" : "15%", "render" : function( data, type, full){
                    if($('#ACCOUNT_PARENT').val() == 1) return data.ACCOUNT_NAME ; 
                    return '' ;  
                }},
                {"data" : "A_DEBT" , "width" : "10%" },
                {"data" : "A_CREDIT" , "width" : "10%"},
                {"data" : null, "width": "10%", "render" : function( data, type, full){
                        return Math.round((data.TOTAL_DEBT - data.TOTAL_CRIDIT) * 100) / 100  ; 
                    }
                },
                {"data" : "T_DECS" , "width" : "25%"}
        ]
    });
    var statementTable  = $('#accountDetailsList_tb').DataTable(); 
    if($('#ACCOUNT_PARENT').val() != 1) statementTable.column(4).visible( false );
    e.preventDefault();
});

$(document).on('click', "#queryOrderAccountStatment_btn", function (e) {
    $('#accountDetailsList_tb').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax": 
        {
            "url": "index.php/statements/queryOrderAccountStatament", 
            "type": "POST",
            "data": {
                ACCOUNT_ID: $('#ACCOUNT').val(),
                START_DATE: $('#CHAIN_DT_FROM').val(),
                END_DATE: $('#CHAIN_DT_TO').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "columns": [
                {"data" : "SERIAL" , "width" : "5%"},
                {"data" : "T_DATE_CHAR" , "width" : "15%" },
                {"data" : "T_TYPE" , "width" : "15%" },
                {"data" : "T_SERIAL" , "width" : "10%"  },
                {"data" : null, "render" : function( data, type, full){return '';}},
                {"data" : "A_DEBT" , "width" : "10%" },
                {"data" : "A_CREDIT" , "width" : "10%"},
                {"data" : null, "width": "10%", "render" : function( data, type, full){
                        return data.TOTAL_DEBT - data.TOTAL_CRIDIT  ; 
                    }
                },
                {"data" : "T_DECS" , "width" : "25%"}
        ]
    });
    var statementTable  = $('#accountDetailsList_tb').DataTable(); 
    statementTable.column(4).visible( false );
    e.preventDefault();
});

$(document).on('click', "#queryParentAccountStatment_btn", function (e) {
    $('#accountDetailsList_tb').dataTable({
        "destroy": true,
        "bStateSave": false,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "ajax": 
        {
            "url": "index.php/statements/queryParentAccountStatment", 
            "type": "POST",
            "data": {
                ACCOUNT_ID: $('#ACCOUNT').val(),
                START_DATE: $('#CHAIN_DT_FROM').val(),
                END_DATE: $('#CHAIN_DT_TO').val()
            }  
        },
        "order": [[0, "asc"]],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "columns": [
                {"data" : "SERIAL" , "width" : "5%"},
                {"data" : "T_DATE_CHAR" , "width" : "10%" },
                {"data" : "T_TYPE" , "width" : "10%" },
                {"data" : "T_SERIAL" , "width" : "5%"  },
                {"data" : "ACCOUNT_NAME" , "width" : "15%"  },
                {"data" : "A_DEBT" , "width" : "10%" },
                {"data" : "A_CREDIT" , "width" : "10%"},
                {"data" : null, "width": "10%", "render" : function( data, type, full){
                        return data.TOTAL_DEBT - data.TOTAL_CRIDIT  ; 
                    }
                },
                {"data" : "T_DECS" , "width" : "25%"}
        ]
    });
    e.preventDefault();
});



$(document).on('click', "#getChains_btn", function (e) {
    $('#chainsMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
                    [10, 20, 50, 100, 150, -1],
                    [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        
        "ajax": 
        {
            "url": "index.php/userChains/getChains", 
            "type": "POST",
            "data": {
                CHAIN_SERIAL: $('#CHAIN_SERIAL').val(),
                CHAIN_DT_FROM: $('#CHAIN_DT_FROM').val(),
                CHAIN_DT_TO: $('#CHAIN_DT_TO').val(),
                TRANS_TYPE: $('#TRANS_TYPE').val(),
                TRANS_SERIAL: $('#TRANS_SERIAL').val(),
                ACCOUNT_NO: $('#ACCOUNT').val()
            }  
        },
        "order": [[0, "asc"]],
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],
        "language": {
                "lengthMenu": "عرض _MENU_ سجل في الصفحة",
                "zeroRecords": "عذرا - لا يوجد بيانات.",
                "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
                "infoEmpty": "لا تتوفر اي بيانات.",
                "infoFiltered": "(تصفية من _MAX_ سجل)",
                "loadingRecords": "تحميل...",
                "processing":     "جاري معالجة البيانات...",
                "search":         "بحث:",
                "paginate": {
                    "first":      "الأول",
                    "last":       "الأخير",
                    "next":       "التالي",
                    "previous":   "السابق"
                },
            },
        "sAjaxDataProp" : "",
        "aoColumns": 
        [   
            { "mData": 'CHAIN_SERIAL' },
            { "mData": "CHAIN_DT" },
            { "mData": "TRANS_TYPE_NAME" },
            { "mData": "TRANS_SERIAL" },
            { "mData": "ACCOUNT_NAME" },
            { "mData": "CRIDIT" },
            { "mData": "DEBT" },
            { "mData": "CHAIN_DESC" },
        ]
        
    });
    e.preventDefault();
});

$(document).on('click', "#getUserChain_btn", function (e) {
    $.ajax({
        type: 'post',
        url: "index.php/userChains/getUserChain",
        cache: false,
        dataType: "json",
        data: {
            CHAIN_SERIAL: $("#F_CHAIN_SERIAL").val()
        },
        success: function (data) {
            if(userChainMaster = data.userChainMaster){
                hideMessage();   
                $("#CHAIN_SERIAL").val(userChainMaster.CHAIN_SERIAL);
                $("#CAHIN_DATE").val(userChainMaster.CAHIN_DATE);
                $("#CHAIN_DESC").val(userChainMaster.CHAIN_DESC);
                
                if(userChainMaster.STATUS > 0){
                    $("#updateUserChain_btn").hide(); 
                }else {
                    $("#updateUserChain_btn").show(); 
                }
               
                
                $("#userChainDetails").html("");

                $("#userChainDetails").append(
 
                    '<table class="table table-striped table-hover table-bordered" id="userChainDetails_tb">' +
                        '<thead>' +
                             '<tr role="row" class="heading">' +
                                '<th> من حساب </th>' +
                                '<th> الى حساب </th>' +
                                '<th> المبلغ </th>' +  
                                '<th> اجراءات </th>' +
                            '</tr>' +
                        '</thead>' +
                        '<tbody>' +
                        '</tbody>' +
                        '<tfoot>' + 
                        ' </tfoot>' +
                    '</table>');
                if(userChainMaster.STATUS == 0){
                    $("#userChainDetails").append(
                        '<div class="table-toolbar">' +
                            '<div class="row">' +
                                '<div class="col-md-6">' +
                                    '<div class="btn-group">' +
                                        '<button id="userChainDetails_tb_new" type="button" class="btn green" tabindex="-1"> اضافة صف' +
                                            '<i class="fa fa-plus"></i>' +
                                        '</button>' +
                                    '</div>' +
                                '</div>' +
                                
                            '</div>' +
                        '</div>'
                    );
                }
                var amountSum = 0;
                $.each(data.userChainDetails, function( index, item) {
                    amountSum+= parseFloat(item.AMOUNT);
                    $("#userChainDetails_tb tbody").append(
                        '<tr>' +
                            '<td>' +
                                '<input type="text" class="form-control FROM_ACCOUNT_TERM" value="' + item.FROM_ACCOUNT_TERM + '"  tabindex="10">' +
                                '<input id="FROM_ACCOUNT" type="hidden" class="form-control" value="' + item.FROM_ACCOUNT + '" tabindex="-1">' +
                            '</td>' + 
                            '<td>' +
                                '<input type="text" class="form-control TO_ACCOUNT_TERM" value="' + item.TO_ACCOUNT_TERM + '"  tabindex="10">' +
                                '<input id="TO_ACCOUNT" type="hidden" class="form-control" value="' + item.TO_ACCOUNT + '" tabindex="-1">' +
                            '</td>' + 
                            '<td><input id="AMOUNT" type="text" class="form-control" value="' + item.AMOUNT + '" tabindex="12"></td>' +
                            '<td><a class="btn red deleteRow" href="javascript:;" tabindex="-1"> حذف </a></td>' + 
                        '</tr>'
                    ); 
                       
                });
                $('#amountSum').val(amountSum); 
            }else{
                showMessage({message:"لا يوجد سند بهذا الرقم.", type:"warning", icon:"warning"});
                $("#CHAIN_SERIAL").val('');
                $("#CAHIN_DATE").val('');
                $("#CHAIN_DESC").val('');
                $("#userChainDetails").html("");
            }

        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:"Ajax Connection Error. خطأ في الاتصال." + errorThrown, type:"error", icon:"warning"});
        }
    });
    e.preventDefault();
});


$(document).on('click', ".approveUserChain", function (e) {
    $(this).attr('disabled', true); 
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/userChains/approveUserChain",
        cache: false,
        dataType: "json",
        data: {
            CHAIN_SERIAL: $(this).attr("CHAIN_SERIAL")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".returnUserChain", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/userChains/returnUserChain",
        cache: false,
        dataType: "json",
        data: {
            CHAIN_SERIAL: $(this).attr("CHAIN_SERIAL")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".cancelUserChain", function (e) {
    var elm = $(this).parent();
    $.ajax({
        type: 'post',
        url: "index.php/userChains/cancelUserChain",
        cache: false,
        dataType: "json",
        data: {
            CHAIN_SERIAL: $(this).attr("CHAIN_SERIAL")
        },
        success: function (data) {
            elm.html(data.msg);
            showMessage({message:data.msg, type:(data.success > 0)? 'success' : 'warning', icon:(data.success > 0)? 'check' : 'warning'});
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message:'خطأ في الاتصال. ' + errorThrown, type: 'warning', icon:'warning'});

        }
    });
    e.preventDefault();
});

$(document).on('click', ".goToManageUserChains", function (e) {
    $("#F_CHAIN_SERIAL").val($(this).attr("CHAIN_SERIAL"));
    $("#goToManageUserChainsForm").submit();
    e.preventDefault();
});

$(document).on('click', ".printUserChain", function (e) {
    $("#P_CHAIN_SERIAL").val($(this).attr("CHAIN_SERIAL"));
    $("#printUserChainForm").submit();
    e.preventDefault();
});

$(document).on('keyup', "#ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $("#ACCOUNT").val('');
        $("#ACCOUNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            //ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME ,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#ACCOUNT").val(ui.item.key);
            $("#ACCOUNT_NAME").val(ui.item.label);
            $("#ACCOUNT-error").remove();
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#ACCOUNT_TERM').val() == ''){
                $("#ACCOUNT").val('');
                $("#ACCOUNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE: $('#ACCOUNT_TERM').val()
                    },
                    success: function (data) {
                        $("#ACCOUNT").val(data[0].ACCOUNT_ID);
                        $("#ACCOUNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME );
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#ACCOUNT_TREE_TERM", function (event) {
    if($(this).val() == ''){
        $("#ACCOUNT").val('');
        $("#ACCOUNT_NAME").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAnyAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            parent : item.PARENT_ACCOUNT_ID
                            //ACCOUNT_NAME: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME ,
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#ACCOUNT").val(ui.item.key);
            $("#ACCOUNT_NAME").val(ui.item.label);
            if($('#ACCOUNT_PARENT')[0]) $("#ACCOUNT_PARENT").val(ui.item.parent);
            $("#ACCOUNT-error").remove();
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#ACCOUNT_TREE_TERM').val() == ''){
                $("#ACCOUNT").val('');
                if($('#ACCOUNT_PARENT')[0]) $("#ACCOUNT_PARENT").val('');
                $("#ACCOUNT_NAME").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE: $('#ACCOUNT_TREE_TERM').val()
                    },
                    success: function (data) {
                        $("#ACCOUNT").val(data[0].ACCOUNT_ID);
                        $("#ACCOUNT_NAME").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME );
                        if($('#ACCOUNT_PARENT')[0]) $("#ACCOUNT_PARENT").val(data[0].PARENT_ACCOUNT_ID);
                        $("#ACCOUNT-error").remove();
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});


$(document).on('keyup', ".FROM_ACCOUNT_TERM", function (event) {

    if($(this).val() == ''){
        $(this).parent().find("#FROM_ACCOUNT").val('');
    }

    $search_for = $(this).val();
    $parent = $(this).parent();

    

    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    //PARENT_ACCOUNT : 3
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            CURRENCY_ID : item.CURRENCY_ID, 
                            CURRENCY_NAME : item.CURRENCY_NAME
                        }
                    }));
                    
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $parent.find("#FROM_ACCOUNT").val(ui.item.key);
            $parent.find("#FROM_ACCOUNT_CRN").val(ui.item.CURRENCY_NAME);
            $parent.find("#FROM_ACCOUNT_CRN_ID").val(ui.item.CURRENCY_ID);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function (event, ui) {
            
            if($search_for == ''){
                $parent.find("#FROM_ACCOUNT").val('');
                $parent.find(".FROM_ACCOUNT_TERM").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE: $(this).val()
                    },
                     success: function (data) {
                            $parent.find("#FROM_ACCOUNT").val(data[0].ACCOUNT_ID);
                            $parent.find(".FROM_ACCOUNT_TERM").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                            $("#FROM_ACCOUNT_CRN").val(data[0].CURRENCY_NAME);
                            $("#FROM_ACCOUNT_CRN_ID").val(data[0].CURRENCY_ID);
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        $parent.find("#FROM_ACCOUNT").val('');
                        $parent.find(".FROM_ACCOUNT_TERM").val('');
                        $("#FROM_ACCOUNT_CRN_ID").val('');
                    }
                   
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', ".TO_ACCOUNT_TERM", function (event) {
    if($(this).val() == ''){
        $(this).parent().find("#TO_ACCOUNT").val('');
    }
    $search_for = $(this).val();
    $parent = $(this).parent();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/common/getAccountsByTerm",
                cache: false,
                dataType: "json",
                data: {
                    TERM: $search_for,
                    //PARENT_ACCOUNT : 3
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_VALUE + ' - ' + item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE, //+ ' - ' + item.ACCOUNT_NAME + ' - ' + item.ACCOUNT_ID,
                            CURRENCY_ID : item.CURRENCY_ID, 
                            CURRENCY_NAME : item.CURRENCY_NAME
                        }
                    }));
                }
                ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $parent.find("#TO_ACCOUNT").val(ui.item.key);
            $parent.find("#TO_ACCOUNT_CRN").val(ui.item.CURRENCY_NAME);
            $parent.find("#TO_ACCOUNT_CRN_ID").val(ui.item.CURRENCY_ID);
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($search_for == ''){
                $parent.find("#TO_ACCOUNT").val('');
                $parent.find(".TO_ACCOUNT_TERM").val('');
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: "index.php/common/getAccountByValue",
                    cache: false,
                    dataType: "json",
                    data: {
                        ACCOUNT_VALUE:  $(this).val()
                    },
                    success: function (data) {
                        //if(data.length > 0){
                            $parent.find("#TO_ACCOUNT").val(data[0].ACCOUNT_ID);
                            $parent.find(".TO_ACCOUNT_TERM").val(data[0].ACCOUNT_VALUE + ' - ' + data[0].ACCOUNT_NAME + ' - ' + data[0].ACCOUNT_ID);
                            $("#TO_ACCOUNT_CRN").val(data[0].CURRENCY_NAME);
                            $("#TO_ACCOUNT_CRN_ID").val(data[0].CURRENCY_ID);
                       /* }else{
                            $parent.find("#TO_ACCOUNT").val('');
                            $parent.find(".TO_ACCOUNT_TERM").val('');  
                            $parent.find("#TO_ACCOUNT").closest('.form-group').addClass('has-error');
                        }*/
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        $parent.find("#TO_ACCOUNT").val('');
                        $parent.find(".TO_ACCOUNT_TERM").val('');
                        $("#TO_ACCOUNT_CRN_ID").val('');
                    }
                });
            }

            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#FROM_BANCK_TERM", function (event) {
    if($(this).val() == ''){
        $("#FROM_BANCK_ACC").val('');
        $("#FROM_BANCK_NAME").val('');
    }
    $search_for = $(this).val();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/cashReceipts/getInstituteBankAccounts",
                cache: false,
                dataType: "json",
                data: {
                    TERM : $search_for, 
                    CURRENCY : null, 
                    PARENT : 4
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            currency: item.CURRENCY_ID,
                            currency_name : item.CURRENCY_NAME , 
                            balance: item.BALANCE
                        }
                    }));
                } ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#FROM_BANCK_ACC").val(ui.item.key);
            $("#FROM_BANCK_NAME").val(ui.item.label);
            $("#FROM_BANCK_TERM").val(ui.item.value);
            $("#FROM_BANCK_ACC").attr('ACC_BALANCE', ui.item.balance);
            $("#FROM_BANCK_ACC").attr('ACC_CURR', ui.item.currency_name);
            $("#FROM_BANCK_ACC").attr('ACC_CURR_ID', ui.item.currency);
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#FROM_BANCK_TERM').val() == ''){
                $("#FROM_BANCK_ACC").val('');
                $("#FROM_BANCK_NAME").val('');
            }
            $('#BANK_BALANCE_TXT').val($('#FROM_BANCK_ACC').attr('ACC_BALANCE') + ' ' + $('#FROM_BANCK_ACC').attr('ACC_CURR')); 
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('keyup', "#TO_BANCK_TERM", function (event) {
    if($(this).val() == ''){
        $("#TRANS_TO_ACCOUNT").val('');
        $("#TO_BANCK_NAME").val('');
        $("#TO_ACCOUNT_CRN").val('');
        $("#TO_ACCOUNT_CRN_ID").val('');
        $('#AMOUNT_CRN').val(''); 
    }
    $search_for = $(this).val();
    $(this).autocomplete({
        source: function (request, response) {
            $.ajax({
                type: 'POST',
                url: "index.php/cashReceipts/getOutgoingTransferDebtorAccounts",
                cache: false,
                dataType: "json",
                data: {
                    TERM : $search_for
                },
                success: function (data) {
                    response($.map(data, function (item) {
                        return {
                            label: item.ACCOUNT_NAME,
                            key: item.ACCOUNT_ID,
                            value: item.ACCOUNT_VALUE,
                            currency: item.CURRENCY_ID,
                            currency_name : item.CURRENCY_NAME 
                        }
                    }));
                } ,
                error: function (jqXHR, textStatus, errorThrown) {
                }
            });
        },
        minLength: 1,
        position: {
            my: "right bottom",
            at: "right top",
            collision: "flip"
        },
        select: function (event, ui) {
            $("#TRANS_TO_ACCOUNT").val(ui.item.key);
            $("#TO_BANCK_NAME").val(ui.item.label);
            $("#TO_BANCK_TERM").val(ui.item.value);
            $("#TO_ACCOUNT_CRN").val(ui.item.currency_name);
            $("#TO_ACCOUNT_CRN_ID").val( ui.item.currency);
            $('#AMOUNT_CRN').val(ui.item.currency_name); 
            
        },
        open: function () {
            $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
        },
        close: function () {
            if($('#TO_BANCK_TERM').val() == ''){
                $("#TRANS_TO_ACCOUNT").val('');
                $("#TO_BANCK_NAME").val('');
                $("#TO_ACCOUNT_CRN").val('');
                $("#TO_ACCOUNT_CRN_ID").val('');
                $('#AMOUNT_CRN').val(''); 
            }
            $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
        }
    });
});

$(document).on('click', ".deleteRow", function (e) {
    e.preventDefault();
    $(this).parents('tr').remove();
});

$(document).on('keyup', "#AMOUNT", function (e) {
    e.preventDefault();
    var amountSum = 0;
    $("#userChainDetails_tb tbody tr").each(function () {
        amountSum+= (parseFloat($(this).find("#AMOUNT").val()))? parseFloat($(this).find("#AMOUNT").val()) : 0;
    });
    $("#amountSum").val(amountSum);
});




$(document).on('click', "#comp_ratio_btn", function (e) {
    FormValidation.init();
    if($("#comp_ratio_form").valid() !== true){
        return;
    }
    $('#companies_ratio_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],

        "ajax":
        {
            "url": "index.php/userChains/GET_COMPANIES_RATIOS",
            "type": "POST",
            "data": {
                ACCOUNT_ID: $('#ACCOUNT').val(),
                PRODUCT_ID: $('#FUEL_TYPE').val(),
                START_DATE: $('#START_DT').val(),
                END_DATE: $('#END_DT').val(),
            }
        },
        "order": [[0, "asc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumns":
            [
                { "mData": "FUEL_NAME" },
                { "mData": "COM_ACC_VAL"},
                { "mData": "COMPANY_NAME"},
                { "mData": 'CONSIGNMENTS_COUNT' },
                { "mData": "TOTAL_AMOUNT" },
                { "mData": "COM_RATIO" }
            ],
        "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;

            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };

            // Total over all pages
            total = api
                .column( 3 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Total over this page
            pageTotal = api
                .column( 3, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Update footer
            $( api.column( 3 ).footer() ).html(
                pageTotal + ' من اجمالي </br>('+ total +')'
            );


            // Total over all pages
            total1 = api
                .column( 4 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Total over this page
            pageTotal = api
                .column( 4, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Update footer
            $( api.column( 4 ).footer() ).html(
                pageTotal + ' من اجمالي </br>('+ total1 +')'
            );


            // Total over all pages
            total2 = api
                .column( 5 )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Total over this page
            pageTotal = api
                .column( 5, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Update footer
            $( api.column( 5 ).footer() ).html(
                pageTotal + ' من اجمالي </br>('+ total2 +')'
            );

        }

    });
    e.preventDefault();
});
$(document).ready(function() {
    $('#FUEL_TYPE').blur(function(e){
        var elm = $(this);
        $.ajax({
            type: 'POST',
            url: "index.php/common/getPetrolProductInfoByID",
            cache: false,
            dataType: "json",
            data: {
                ID: $('#FUEL_TYPE').val()
            },
            success: function (data) {
                if(data.length > 0){
                    $('#FUEL_TYPE_NAME').val(data[0]['FUEL_NAME']);
                }else{
                    elm.focus();
                    $('#FUEL_TYPE_NAME').val('');
                    showMessage({message:"نوع الوقود غير صحيح.", type:"warning", icon:"warning"});
                }
            }
            ,
            error: function (jqXHR, textStatus, errorThrown) {
            }
        });
        e.preventDefault();
    }) ;

    }) ;

$(document).on('click', '#getAccountsSummary_btn', function(e){
    $('#accountsSummary_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [50, 100, 150, -1],
            [50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 50,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],

        "ajax":
        {
            "url": "index.php/userChains/getAccountsSummaryList",
            "type": "POST",
            "data": {
                ACCOUNT_ID: $('#CATEGORY_LIST').val()
            }
        },
        "order": [[0, "asc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumns":
            [
                { "mData": "ACCOUNT_ID" },
                { "mData": "ACCOUNT_NAME"},
                { "mData": "ACCOUNT_VALUE"},
                { "mData": 'TOTAL_DEBT' },
                { "mData": "TOTAL_CREDIT" },
                { "mData": "ACCOUNT_BALANCE" }
            ]
    });
    e.preventDefault();
});

$(document).on('focusout', '#TRANS_AMOUNT', function(e){
    calculateResultingExchangedAmount(); 
});

$(document).on('focusout', '#CURR_RATE', function(e){
    calculateResultingExchangedAmount(); 
}); 

$(document).on('click', '#addCurrencyExchangTrans_btn', function(e){
    FormValidation.init();
    if($("#currencyExchangeTrans_frm").valid() !== true){
        return;
    }
    if($('#TRANS_SERIAL').val() == ''){
        $.ajax({
            type: 'POST',
            url: "index.php/userChains/addNewExchangeTransaction",
            cache: false,
            dataType: "json",
            data: {
                FROM_ACCOUNT:   $('#FROM_ACCOUNT').val(),
                FROM_CURRENCY:  $('#FROM_ACCOUNT_CRN_ID').val(),
                TO_ACCOUNT:     $('#TO_ACCOUNT').val(),
                TO_CURRENCY:    $('#TO_ACCOUNT_CRN_ID').val(),
                RATE:           $('#CURR_RATE').val(),
                TRANS_AMOUNT:   $('#TRANS_AMOUNT').val(),
                TRANS_DATE:     $('#TRANS_DATE').val(),
                NOTES:          $('#TRANS_NOTES').val()
            },
            success: function (data) {
                if(data.success == 1){
                    showMessage({message: data.MSG + ' ' + data.trans_sr, type:"success", icon:"success"});
                    clearExchangeCurrencyForm(); 
                } else {
                    showMessage({message: data.MSG, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: errorThrown, type:"warning", icon:"warning"});
            }
        });
    } 
    else {
        $.ajax({
            type: 'POST',
            url: "index.php/userChains/changeExchangeTransaction",
            cache: false,
            dataType: "json",
            data: {
                TRANS_ID:       $('#TRANS_SERIAL').val(),
                FROM_ACCOUNT:   $('#FROM_ACCOUNT').val(),
                FROM_CURRENCY:  $('#FROM_ACCOUNT_CRN_ID').val(),
                TO_ACCOUNT:     $('#TO_ACCOUNT').val(),
                TO_CURRENCY:    $('#TO_ACCOUNT_CRN_ID').val(),
                RATE:           $('#CURR_RATE').val(),
                TRANS_AMOUNT:   $('#TRANS_AMOUNT').val(),
                TRANS_DATE:     $('#TRANS_DATE').val(),
                NOTES:          $('#TRANS_NOTES').val()
            },
            success: function (data) {
                if(data.success == 1){
                    showMessage({message: data.MSG, type:"success", icon:"success"});
                } else {
                    showMessage({message: data.MSG, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: errorThrown, type:"warning", icon:"warning"});
            }
        });
    }
    e.preventDefault();
});  

$(document).on('click', '#getCurrencyExchangeTrans_btn', function(e){
    drawCurrencyExchangeTransTable(); 
    e.preventDefault();
}); 

$(document).on('click', '.approveTransaction', function(e){
    $(this).attr('disabled', true); 
    $.ajax({
        type: 'POST',
        url: "index.php/userChains/approveExchangeTransaction",
        cache: false,
        dataType: "json",
        data: {
            TARNS_SR:   $(this).attr('TRANS_ID')
        },
        success: function (data) {
            if(data.success == 1){
                showMessage({message: data.MSG, type:"success", icon:"success"});
                drawCurrencyExchangeTransTable(); 
            } else {
                showMessage({message: data.MSG, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '.cancleTransaction', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/userChains/cancleExchangeTransaction",
        cache: false,
        dataType: "json",
        data: {
            TARNS_SR:   $(this).attr('TRANS_ID')
        },
        success: function (data) {
            if(data.success == 1){
                showMessage({message: data.MSG, type:"success", icon:"success"});
                drawCurrencyExchangeTransTable(); 
            } else {
                showMessage({message: data.MSG, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
}); 

$(document).on('click', '.returnTransaction', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/userChains/returnExchangeTransaction",
        cache: false,
        dataType: "json",
        data: {
            TARNS_SR:   $(this).attr('TRANS_ID')
        },
        success: function (data){
            if(data.success == 1){

                showMessage({message: data.MSG, type:"success", icon:"success"});
                drawCurrencyExchangeTransTable(); 
            } else {
                showMessage({message: data.MSG, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
}); 

$(document).on('click', '.editTransaction', function(e){
    $('#F_TRANS_SERIAL').val($(this).attr('TRANS_ID')) ;
    $('#goToEditExchangeTransForm').submit();
    e.preventDefault();
}); 

$(document).on('click', '#addOutgoingTransfer_btn', function(e){
    if(validOutgoingTransfer()){
        $.ajax({
            type: 'POST',
            url: "index.php/cashReceipts/addOutgoingTransfer",
            cache: false,
            dataType: "json",
            data: {
                TRANS_SERIAL: $('#TRANS_SERIAL').val(),
                FROM_ACC: $('#FROM_BANCK_ACC').val(),
                FROM_CURR: $('#FROM_BANCK_ACC').attr('ACC_CURR_ID'),
                TO_ACC: $('#TRANS_TO_ACCOUNT').val(),
                TO_CURR: $('#TO_ACCOUNT_CRN_ID').val(),
                TRANS_AMOUNT: $('#TRANS_AMOUNT').val(),
                TRANS_DT: $('#TRANS_DATE').val(),
                EXC_RATE: $('#CURR_RATE').val(), 
                TRANS_SUBJECT: $('#TRANS_SUBJECT').val()
            },
            success: function (data){
                if(data.success == 1){
                    showMessage({message: data.msg, type:"success", icon:"success"});
                    resetOutgoingTransferForm(); 
                } else {
                    showMessage({message: data.msg, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: errorThrown, type:"warning", icon:"warning"});
            }
        });
    }
    e.preventDefault();
}); 

$(document).on('click', '#resetOutgoingTransfer_btn', function(e) {
    resetOutgoingTransferForm();
    e.preventDefault();
});

$(document).on('click', '#queryOutgoingTransfers_btn', function(e){
    drawOutgoingTransfersList();
    e.preventDefault();
}); 

$(document).on('click', '.editOutgoingTrans', function(e){
    $('#p_TRANS_SR').val($(this).attr('TRANS_ID')); 
    $('#manageOutgoingTrans_frm').submit();
    e.preventDefault();
}); 

$(document).on('click', '.setExtRateTrans', function(e){
    $('#t_TRANS_SR').val($(this).attr('TRANS_ID'));
    $('#setExchangeRateModal').modal('show');
    e.preventDefault();
});

$(document).on('click', '.approveOutgoingTrans', function(e){
    $(this).attr('disabled', true); 
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/approveOutgoingTransfer",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID'),
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '#setExchangeRate_btn', function(e){
    if($.trim($('#CURR_RATE').val()) != '' && $.trim($('#EXCHANGE_DATE').val()) != ''){
        $.ajax({
            type: 'POST',
            url: "index.php/cashReceipts/setExchangeRate",
            cache: false,
            dataType: "json",
            data: {
                TRANS_SERIAL: $('#t_TRANS_SR').val(),
                EXC_RATE: $('#CURR_RATE').val(), 
                EXCHANGE_DATE: $('#EXCHANGE_DATE').val(), 
            },
            success: function (data){
                if(data.success == 1){
                    showMessage({message: data.msg, type:"success", icon:"success"});
                     $('#setExchangeRateModal').modal('hide');
                     drawOutgoingTransfersList();
                } else {
                    showMessage({message: data.msg, type:"warning", icon:"warning"});
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                showMessage({message: errorThrown, type:"warning", icon:"warning"});
            }
        });
    }
    else{

    }
    e.preventDefault();
});

$(document).on('click', '.cancleOutgoingTrans', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/cancelOutgoingTransfer",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID'),
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
}); 

$(document).on('click', '.returnOutgoingTrans', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/returnOutgoingTransfer",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID')
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '.controllerApprovalOutTrans', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/approveOutgoingTransferControler",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID'),
            TRANS_STATUS: 1
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '.finManagApprovalOutTrans', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/approveOutgoingTransferFinManager",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID'),
            TRANS_STATUS: 2
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '.returnExchangeOutTrans', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/returnExchangedOutTransfer",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID'),
            TRANS_STATUS: 2
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '.ministerApprovalOutTrans', function(e){
    $.ajax({
        type: 'POST',
        url: "index.php/cashReceipts/changeOutgoingTransferStatus",
        cache: false,
        dataType: "json",
        data: {
            TRANS_SERIAL: $(this).attr('TRANS_ID'),
            TRANS_STATUS: 4
        },
        success: function (data){
            if(data.success == 1){
                showMessage({message: data.msg, type:"success", icon:"success"});
                drawOutgoingTransfersList();
            } else {
                showMessage({message: data.msg, type:"warning", icon:"warning"});
            }
        },
        error: function (jqXHR, textStatus, errorThrown) {
            showMessage({message: errorThrown, type:"warning", icon:"warning"});
        }
    });
    e.preventDefault();
});

$(document).on('click', '.printOutgoingTrans', function(e){
    $('#i_TRANS_SR').val($(this).attr('TRANS_ID')); 
    $('#printOutgoingTrans_frm').submit();
    e.preventDefault();
});




function showMessage(config){
    App.alert({
        container: '#alert_container', // alerts parent container(by default placed after the page breadcrumbs)
        place: 'prepent', // append or prepent in container 
        type: config.type,  // alert's type
        message: config.message,  // alert's message
        close: true, // make alert closable
        reset: true, // close all previouse alerts first
        focus: false, // auto scroll to the alert after shown
        closeInSeconds: 10, // auto close after defined seconds
        icon: config.icon // put icon before the message
    });
}

function hideMessage(){
    $('#alert_container').html('');
}

function calculateResultingExchangedAmount(){
    var result = 0 ; 
    if(($('#FROM_ACCOUNT_CRN_ID').val() == 1) && ($('#TO_ACCOUNT_CRN_ID').val() == 2)){
        result = $('#TRANS_AMOUNT').val() / $('#CURR_RATE').val();  
    }
    if(($('#FROM_ACCOUNT_CRN_ID').val() == 2) && ($('#TO_ACCOUNT_CRN_ID').val() == 1)){
        result = $('#TRANS_AMOUNT').val() * $('#CURR_RATE').val();
    }
    ((result > 0) && (result != NaN)) ? $('#RESULT_AMOUNT').val(result) : $('#RESULT_AMOUNT').val(''); 
} 

function clearExchangeCurrencyForm(){
    $('.FROM_ACCOUNT_TERM').val('');
    $('#FROM_ACCOUNT').val('');
    $('#FROM_ACCOUNT_CRN').val('');
    $('#FROM_ACCOUNT_CRN_ID').val('');
    $('.TO_ACCOUNT_TERM').val('');
    $('#TO_ACCOUNT').val('');
    $('#TO_ACCOUNT_CRN').val('');
    $('#TO_ACCOUNT_CRN_ID').val('');
    $('#CURR_RATE').val('');
    $('#TRANS_AMOUNT').val('');
    $('#TRANS_DATE').val('');
    $('#RESULT_AMOUNT').val(''); 
    $('#TRANS_NOTES').val('');
}

function drawOutgoingTransfersList (){
    $('#outgoingTransfers_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [50, 100, 150, -1],
            [50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 50,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],

        "ajax":
        {
            "url": "index.php/cashReceipts/getOutgoingTransfersList",
            "type": "POST",
            "data": {
                TRANS_SR        : $('#TRANS_SR').val(),
                FROM_ACCOUNT    : $('#FROM_BANCK').val(), 
                TO_ACCOUNT      : $('#TO_ACCOUNT').val(),    
                FROM_DATE       : $('#TRANS_SDT').val(),
                TO_DATE         : $('#TRANS_EDT').val(),
                TRANS_STAT      : $('#STATUS').val(),
            }
        },
        "order": [[0, "desc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumns":
            [
                { "mData": "TRANS_SERIAL" },
                { "mData": null, "mRender": function(data){ return data.FROM_ACC_NAME + '، ' + data.FROM_CURN_NAME } },
                { "mData": null, "mRender": function(data){ return data.TO_ACC_NAME + '، ' + data.TO_CURN_NAME } },
                { "mData": "TRANS_DT_TXT" },
                { "mData": 'TRANS_AMOUNT' },
                { "mData": null, "mRender": function(data){ return (data.STATUS <= 2) ? '' : data.EXCHANGE_RATE ; } },
                { "mData": null, "mRender": function(data){ return (data.STATUS <= 2) ? '' : data.EXCHANGE_DT_TXT ; } },
                { "mData": "TRANS_SUBJECT" },
                { "mData": "STATUS_TXT" },
                { "mData": "INSERT_USERNAME" },
                { "mData": null , "mRender" : function(data, type, full) {
                    var actions = ''; 
                    if((data.STATUS == 0) && ($('#allowedToEdit').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn yellow editOutgoingTrans">تعديل</a>';
                    }
                    /*if((data.STATUS == 0) && ($('#allowedToExchange').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn green setExtRateTrans">سعر الصرف</a>';
                    }*/
                    if((data.STATUS == 0) && ($('#allowedToCApprove').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn blue controllerApprovalOutTrans">اعتماد الرقابة</a>';
                    }
                    if((data.STATUS == 0) && ($('#allowedToCancel').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn red cancleOutgoingTrans">الغاء</a>';
                    }
                    if((data.STATUS == 0) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    if((data.STATUS == 1) && ($('#allowedToFApprove').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn blue finManagApprovalOutTrans">اعتماد المدير المالي</a>';
                    }
                    if((data.STATUS == 1) && ($('#allowedToReturn').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn grey-gallery returnOutgoingTrans">إرجاع</a>';
                    }
                    if((data.STATUS == 1) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    /*
                    if((data.STATUS == 2) && ($('#allowedToGMApprove').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn blue genManagApprovalOutTrans">اعتماد المدير العام</a>';
                    }
                    if((data.STATUS == 2) && ($('#allowedToReturn').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn grey-gallery returnOutgoingTrans">إرجاع</a>';
                    }
                    if((data.STATUS == 2) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    if((data.STATUS == 3) && ($('#allowedToMApprove').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn blue ministerApprovalOutTrans">اعتماد الوكيل</a>';
                    }
                    if((data.STATUS == 3) && ($('#allowedToCancel').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn grey-gallery cancleOutgoingTrans">إلغاء</a>';
                    }
                    if((data.STATUS == 3) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    */
                    if((data.STATUS == 2) && ($('#allowedToCancel').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn red cancleOutgoingTrans">الغاء</a>';
                    }
                    if((data.STATUS == 2) && ($('#allowedToExchange').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn green setExtRateTrans">صرف</a>';
                    }
                    if((data.STATUS == 2) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    if((data.STATUS == 3) && ($('#allowedToApprove').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn blue approveOutgoingTrans">اعتماد نهائي</a>';
                    }
                    if((data.STATUS == 3) && ($('#allowedToReturnExch').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn grey-gallery returnExchangeOutTrans">ارجاع صرف</a>';
                    }
                    if((data.STATUS == 3) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    if((data.STATUS == 5) && ($('#allowedToPrint').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.TRANS_SERIAL +'" class="btn purple printOutgoingTrans">طباعة</a>';
                    }
                    return actions;
                }
            }
        ]
    });
}

function drawCurrencyExchangeTransTable (){
    $('#currencyExchangeTransMaster_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [50, 100, 150, -1],
            [50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 50,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],

        "ajax":
        {
            "url": "index.php/userChains/getExchangeTransactionsList",
            "type": "POST",
            "data": {
                FROM_ACCOUNT    : $('#FROM_ACCOUNT').val(), 
                TO_ACCOUNT      : $('#TO_ACCOUNT').val(),    
                FROM_CURRENCY   : $('#FROM_CURRENCY').val(),
                TO_CURRENCY     : $('#TO_CURRENCY').val(),
                FROM_DATE       : $('#START_DT').val(),
                TO_DATE         : $('#END_DT').val(),
                TRANS_SR        : $('#TRANS_SERIAL').val(),
                TRANS_STAT      : $('#STATUS').val()
            }
        },
        "order": [[0, "desc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumns":
            [
                { "mData": "SERIAL_NO" },
                { "mData": null, "mRender": function(data){ return data.TO_ACC_NAME + '، ' + data.TO_CURN_NAME } },
                { "mData": null, "mRender": function(data){ return data.FROM_ACC_NAME + '، ' + data.FROM_CURN_NAME } },
                { "mData": 'TRANS_AMOUNT' },
                { "mData": "EXCHANGE_RATE" },
                { "mData": "TRANS_DT" },
                { "mData": "TRANS_NOTE" },
                { "mData": "STATUS_TXT" },
                { "mData": "INSERT_USERNAME" },
                { "mData": "APPROVED_USERNAME" },
                { "mData": null , "mRender" : function(data, type, full) {
                    var actions = ''; 
                    if((data.STATUS == 0) && ($('#allowedApprove').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.SERIAL_NO +'" class="btn yellow approveTransaction">اعتماد</a>';
                    }
                    /*if((data.STATUS == 0) && ($('#allowedEdit').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.SERIAL_NO +'" class="btn green editTransaction">تعديل</a>';
                    }*/
                    if((data.STATUS == 0) && ($('#allowedCancle').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.SERIAL_NO +'" class="btn red cancleTransaction">الغاء</a>';
                    }
                    if((data.STATUS == 0) && ($('#allowedEdit').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.SERIAL_NO +'" class="btn blue editTransaction">تعديل</a>';
                    }
                    if((data.STATUS == 1) && ($('#allowedReturn').val() == 1)){
                        actions += '<a href="#" TRANS_ID="'+ data.SERIAL_NO +'" class="btn red returnTransaction">إرجاع</a>';
                    }
                    return actions;
                }
            }
        ]
    });
}

function validOutgoingTransfer(){
    var isValid = 1 ;
    if($.trim($('#FROM_BANCK_ACC').val()) == "" || $('#FROM_BANCK_ACC').val() == null){
        isValid = 0 ; 
        $(document).find("#FROM_BANCK_ACC").closest('.form-group').addClass('has-error');
        $(document).find("#FROM_BANCK_ACC").closest('.form-group').find('.help-block').first().text('الرجاء تحديد حساب البنك.'); 
    }
    else{
        $(document).find("#FROM_BANCK_ACC").closest('.form-group').removeClass('has-error');
        $(document).find("#FROM_BANCK_ACC").closest('.form-group').find('.help-block').first().text(''); 
    }
    if($.trim($('#TRANS_TO_ACCOUNT').val()) == "" || $('#TRANS_TO_ACCOUNT').val() == null){
        isValid = 0 ; 
        $(document).find("#TRANS_TO_ACCOUNT").closest('.form-group').addClass('has-error');
        $(document).find("#TRANS_TO_ACCOUNT").closest('.form-group').find('.help-block').first().text('الرجاء تحديد حساب  المستفيد .');
    }
    else{
        $(document).find("#TRANS_TO_ACCOUNT").closest('.form-group').removeClass('has-error');
        $(document).find("#TRANS_TO_ACCOUNT").closest('.form-group').find('.help-block').first().text(''); 
    }
    if($.trim($('#TRANS_DATE').val()) == ""){
        isValid = 0 ; 
        $(document).find("#TRANS_DATE").closest('.form-group').addClass('has-error');
        $(document).find("#TRANS_DATE").closest('.form-group').find('.help-block').text('الرجاء تحديد تاريخ الحوالة');
    } else {
        $(document).find("#TRANS_DATE").closest('.form-group').removeClass('has-error');
        $(document).find("#TRANS_DATE").closest('.form-group').find('.help-block').text(''); 
    }
    if( ($.trim($('#TRANS_AMOUNT').val()) == "") || !($.isNumeric($('#TRANS_AMOUNT').val())) ) {
        isValid = 0 ; 
        $(document).find("#TRANS_AMOUNT").closest('.form-group').addClass('has-error');
        $(document).find("#TRANS_AMOUNT").closest('.form-group').find('.help-block').text('الرجاء تحديد مبلغ الحوالة بشكل حصيح');
    } else {
        if((($.trim($('#CURR_RATE').val()) == '') && parseInt($('#TRANS_AMOUNT').val()) > parseInt($('#FROM_BANCK_ACC :selected').attr('ACC_BALANCE'))) ||
            (($.trim($('#CURR_RATE').val()) == '') && (parseFloat($('#CURR_RATE').val()) * parseInt($('#TRANS_AMOUNT').val()) > parseInt($('#FROM_BANCK_ACC :selected').attr('ACC_BALANCE'))))) {
            isValid = 0 ; 
            $(document).find("#TRANS_AMOUNT").closest('.form-group').addClass('has-error');
            $(document).find("#TRANS_AMOUNT").closest('.form-group').find('.help-block').text('رصيد حساب البنك لا يكفي مبلغ الحوالة');
        } else {
            $(document).find("#TRANS_AMOUNT").closest('.form-group').removeClass('has-error');
            $(document).find("#TRANS_AMOUNT").closest('.form-group').find('.help-block').text(''); 
        }
    }
    return isValid; 
}

function resetOutgoingTransferForm(){
    $("#FROM_BANCK_TERM").val('');
    $("#FROM_BANCK_ACC").val('');
    $("#FROM_BANCK_NAME").val('');    
    $("#BANK_BALANCE_TXT").val('');
    $("#TO_BANCK_TERM").val('');
    $("#TRANS_TO_ACCOUNT").val('');
    $("#TO_BANCK_NAME").val('');
    $("#TO_ACCOUNT_CRN").val('');
    $("#TO_ACCOUNT_CRN_ID").val('');
    //$("#TRANS_DATE").val('');
    $("#TRANS_AMOUNT").val('');
    $("#AMOUNT_CRN").val('');
    $("#CURR_RATE").val('');
    $("#TRANS_SUBJECT").val('');
}


var FormValidation = function() {
    var handleValidation = function(){
        var form = $('#userChain_form');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                CAHIN_DATE: {
                    required: "هذا الحقل مطلوب",
                    date : 'ادخلالتاريخ',
                },
                CHAIN_DESC: {
                    maxlength: "",
                }
                

            },
            rules: {
                CAHIN_DATE: {
                    required: true,
                //  date : true,
                },
                CHAIN_DESC: {
                    maxlength: 256
                }
            },

            invalidHandler: function (event, validator) { //display error alert on form submit              
                success.hide();
                error.show();
                //App.scrollTo(error, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success.show();
                error.hide();
            }


        });
    }
    var validateAccountStat = function(){
        var form = $('#getAccountChains_frm');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                "ACCOUNT": {
                    required: "هذا الحقل مطلوب",
                },
                "CHAIN_DT_FROM": {
                    required: "هذا الحقل مطلوب",
                    date : "الرجاء ادخال صيغة صحيحة للتاريخ"
                },
                "CHAIN_DT_TO": {
                    required: "هذا الحقل مطلوب",
                    date : "الرجاء ادخال صيغة صحيحة للتاريخ"
                }
            },
            rules: {
                "ACCOUNT": {
                    required: true
                },
                "CHAIN_DT_FROM": {
                    required: true
                },
                "CHAIN_DT_TO": {
                    required: true
                }
            },

            invalidHandler: function (event, validator) { //display error alert on form submit              
                success.hide();
                error.show();
                //App.scrollTo(error, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success.show();
                error.hide();
            }
        });
    }
    var validatecomp_ratio = function(){
        var form = $('#comp_ratio_form');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                "FUEL_TYPE": {
                    required: "هذا الحقل مطلوب",
                },
                "START_DT": {
                    required: "هذا الحقل مطلوب",
                    date : "الرجاء ادخال صيغة صحيحة للتاريخ"
                },
                "END_DT": {
                    required: "هذا الحقل مطلوب",
                    date : "الرجاء ادخال صيغة صحيحة للتاريخ"
                }
            },
            rules: {
                "FUEL_TYPE": {
                    required: true
                },
                "START_DT": {
                    required: true
                },
                "END_DT": {
                    required: true
                }
            },

            invalidHandler: function (event, validator) { //display error alert on form submit
                success.hide();
                error.show();
                //App.scrollTo(error, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success.show();
                error.hide();
            }
        });
    }
    var validateExchangeTrans = function(){
        var form = $('#currencyExchangeTrans_frm');
        var error = $('.alert-danger', form);
        var success = $('.alert-success', form);
        form.validate({
            errorElement: 'span', //default input error message container
            errorClass: 'help-block help-block-error', // default input error message class
            focusInvalid: false, // do not focus the last invalid input
            ignore: "",  // validate all fields including form hidden input
            messages: {
                "FROM_ACCOUNT_TERM": {
                    required: "هذا الحقل مطلوب"
                },
                "TO_ACCOUNT_TERM": {
                    required: "هذا الحقل مطلوب",
                },
                "CURR_RATE": {
                    required: "هذا الحقل مطلوب",
                },
                "TRANS_AMOUNT": {
                    required: "هذا الحقل مطلوب",
                },
                "TRANS_DATE": {
                    required: "هذا الحقل مطلوب",
                    date : "الرجاء ادخال صيغة صحيحة للتاريخ"
                },
            },
            rules: {
               "FROM_ACCOUNT_TERM": {
                    required: true,
                },
                "TO_ACCOUNT_TERM": {
                    required: true,
                },
                "CURR_RATE": {
                    required: true,
                },
                "TRANS_AMOUNT": {
                    required: true,
                },
                "TRANS_DATE": {
                    required: true,
                },
            },

            invalidHandler: function (event, validator) { //display error alert on form submit
                success.hide();
                error.show();
                //App.scrollTo(error, -200);
            },

            highlight: function (element) { // hightlight error inputs
                $(element).closest('.form-group').addClass('has-error'); // set error class to the control group
            },

            unhighlight: function (element) { // revert the change done by hightlight
                $(element).closest('.form-group').removeClass('has-error'); // set error class to the control group
            },

            success: function (label) {
                label.closest('.form-group').removeClass('has-error'); // set success class to the control group
            },

            submitHandler: function (form) {
                success.show();
                error.hide();
            }
        });
    }
    return {
        init: function () {
            handleValidation();
            validateAccountStat() ;
            validatecomp_ratio();
            validateExchangeTrans(); 
        }
    }
}();

$(document).on('click', "#detailedAccountStatment_btn", function (e) {
    if($("#getAccountChains_frm").valid() !== true){
        return; 
    }
    $("#F_ACCOUNT_ID").val($("#ACCOUNT").val()) ;
    $("#F_START_DT").val($("#CHAIN_DT_FROM").val()) ; 
    $("#F_END_DT").val($("#CHAIN_DT_TO").val()) ;
    $("#F_ACCOUNT_NAME").val($("#ACCOUNT_NAME").val()) ;
    $("#F_REPORT_NAME").val('detailedAccountStat') ;
    $("#printAccountStatementForm").submit();
    e.preventDefault();
}) ;

$(document).on('click', "#accountStatment_btn", function (e) {
    if($("#getAccountChains_frm").valid() !== true){
        return; 
    }
    $("#F_ACCOUNT_ID").val($("#ACCOUNT").val()) ;
    $("#F_START_DT").val($("#CHAIN_DT_FROM").val()) ; 
    $("#F_END_DT").val($("#CHAIN_DT_TO").val()) ;
    $("#F_ACCOUNT_NAME").val($("#ACCOUNT_NAME").val()) ;
    if($('#ACCOUNT_PARENT').val() == 1){
        $("#F_REPORT_NAME").val('masterAccountStatment') ;
    }
    else {
        $("#F_REPORT_NAME").val('accountStatement') ;
    }
    $("#printAccountStatementForm").submit();
    e.preventDefault();
}) ;

$(document).on('click', "#orderAccountStatment_btn", function (e) {
    if($("#getAccountChains_frm").valid() !== true){
        return; 
    }
    $("#F_ACCOUNT_ID").val($("#ACCOUNT").val()) ;
    $("#F_START_DT").val($("#CHAIN_DT_FROM").val()) ; 
    $("#F_END_DT").val($("#CHAIN_DT_TO").val()) ;
    $("#F_ACCOUNT_NAME").val($("#ACCOUNT_NAME").val()) ;
    $("#F_REPORT_NAME").val('accountStatementForOrders') ;
    $("#printAccountStatementForm").submit();
    e.preventDefault();
}) ;
/*
$(document).on('click', "#printParentAccountStatment_btn", function (e) {
    if($("#getAccountChains_frm").valid() !== true){
        return; 
    }
    $("#F_ACCOUNT_ID").val($("#ACCOUNT").val()) ;
    $("#F_START_DT").val($("#CHAIN_DT_FROM").val()) ; 
    $("#F_END_DT").val($("#CHAIN_DT_TO").val()) ;
    $("#F_ACCOUNT_NAME").val($("#ACCOUNT_NAME").val()) ;
    
    $("#printAccountStatementForm").submit();
    e.preventDefault();
}) ;
*/

$(document).on('click', '#PRINT_CompaniesFinStan_BTN', function () {
    $("#C_CATEGORY").val($("#CATEGORY_LIST").val());
    $("#C_DATE").val($("#C_DT").val());
    $("#C_TODAY_ORDER").val($("#TODAY_ORDER").prop("checked"));
    $("#C_CAT_NAME").val($("#CATEGORY_LIST option:selected").text());
    $("#CompaniesFinStanding").submit() ;
});

$(document).on('click', '#getCompaniesFinStan_BTN', function () {
    $('#CompaniesFinStan_tb').dataTable({
        "destroy": true,
        "bStateSave": true,
        "lengthMenu": [
            [10, 20, 50, 100, 150, -1],
            [10, 20, 50, 100, 150, "All"] // change per page values here
        ],
        "pageLength": 10,
        dom: 'Blfrtip',
        buttons: [
            {
                extend: 'excel', text: 'تصدير الى اكسل',
            }
        ],

        "ajax":
        {
            "url": "index.php/userChains/GetCompaniesFinData",
            "type": "POST",
            "data": {
                CATEGORY: $("#CATEGORY_LIST").val(),
                QDATE: $("#C_DT").val(),
                TODAY_ORDER: $("#TODAY_ORDER").prop("checked"),
            }
        },
        "order": [[1, "asc"]],
        "language": {
            "lengthMenu": "عرض _MENU_ سجل في الصفحة",
            "zeroRecords": "عذرا - لا يوجد بيانات.",
            "info": "عرض _START_ الى _END_ من _TOTAL_ سجل",
            "infoEmpty": "لا تتوفر اي بيانات.",
            "infoFiltered": "(تصفية من _MAX_ سجل)",
            "loadingRecords": "تحميل...",
            "processing":     "جاري معالجة البيانات...",
            "search":         "بحث:",
            "paginate": {
                "first":      "الأول",
                "last":       "الأخير",
                "next":       "التالي",
                "previous":   "السابق"
            },
        },
        "sAjaxDataProp" : "",
        "aoColumns":
            [
                { "mData": "ACCOUNT_NAME" },
                { "mData": "ACCOUNT_VALUE"},
                { "mData": "ACCOUNT_BALANCE"},
                { "mData": 'DEFERRED_CHECKS' },
                { "mData": "GARANTEES_BALANCE" },
                { "mData": "PRODUCT_PRICE" },
                { "mData": "OLD_AMOUNT" },
                { "mData": null , "render": function ( data, type, full ) {
                        return Math.floor(parseInt(data.ACCOUNT_BALANCE) + parseInt(data.DEFERRED_CHECKS) + parseInt(data.PRODUCT_PRICE) + parseInt(data.OLD_AMOUNT) + parseInt(data.GARANTEES_BALANCE)) ;
                    }
                }
            ],
    });
});






